<?php
require_once('DB.php');
require_once('kit.php');
require_once('options_boost_php_serialize.php');

function dbresult(&$__dbobject)
{
    if (PEAR::isError($__dbobject))
    {
        print "\nDB ERROR";
        print "\nError code: " . $__dbobject->getCode();
        print "\nError message: " . $__dbobject->getMessage();
        print "\nError details: " . $__dbobject->getUserInfo();
        print "\n";
        exit(1);
    }

    return $__dbobject;
}

function execute(&$__db, $__query)
{
	echo $__query . "\n";
	dbresult($__db->query($__query));
}

set_time_limit(0);

print("\n\n");
$dbhost = getenv("UKMSRVDBHOST");
$dbport = getenv("UKMSRVDBPORT");
$dbuser = getenv("UKMSRVDBUSER");
$dbpassword = getenv("UKMSRVDBPASSWORD");
$dbname = getenv("UKMSRVDBNAME");

$db_connect_params='mysql://'.$dbuser.':'.$dbpassword.'@'.$dbhost.':'.$dbport.'/'.$dbname;

print "==== DB connection parameters =========\n";
print "dbhost=$dbhost\n";
print "dbport=$dbport\n";
print "dbuser=$dbuser\n";
print "dbpassword=$dbpassword\n";
print "dbname=$dbname\n";
print "db connection string=$db_connect_params\n";
print "==== DB connection parameters =========\n";

print "\nDB connect started";
$db = &DB::connect($db_connect_params, array('portability' => DB_PORTABILITY_ALL ^ DB_PORTABILITY_NULL_TO_EMPTY,'seqname_format' => "seq_%s"));
dbresult($db);
$db->setFetchMode(DB_FETCHMODE_ASSOC);
print "\nDB connect completed\n";

$db->autoCommit(false);
$result = $db->query("SET NAMES utf8");
dbresult($result);

// UKM4-4179 Поддержать весы Штрих-Слим для КВП
function functor_device_905($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 0)
		$props[0] = 0;

	return implode_nm($props);
}
upgrade_device($db, 905);

// UKM4-4247 РБ. ПК Titan. Передавать номер ставки налога в чеках продажи/возврата.
function functor_device_431($__prop)
{
	$props = explode_nm($__prop);

	if (count($props) == 30)
	{
		$props[30] = "";
		$props[31] = "";
		$props[32] = "";
		$props[33] = "";
		$props[34] = "";
		$props[35] = "";
	}
	return implode_nm($props);
}
upgrade_device($db, 431);

// UKM4-3852 Самообслуживание на Лилло. Новое окно для Ввода товара по ШК
function functor_command_256($param)
{
	$props = explode_nm($param);

	if(count($props)==20)
	{
		$props[20] = 0;
	}

	return implode_nm($props);
}

upgrade_commands($db, 256);

$db->commit();
