SET CHARACTER SET 'utf8';

-- UKM4-4174 Внешние заказы - добавление в чек позиции по цене прайса магазина.
ALTER TABLE trm_in_external_order_items
ADD COLUMN use_pricelist TINYINT(1) NOT NULL DEFAULT 0 
AFTER fix_price;

ALTER TABLE trm_in2_external_order_items
ADD COLUMN use_pricelist TINYINT(1) NOT NULL DEFAULT 0 
AFTER fix_price;

-- UKM4-4175 Внешние заказы. Передача скидки в составе заказа
CREATE TABLE IF NOT EXISTS `trm_in_external_order_discounts` (
 `store_id` INT(11) NOT NULL,									-- id магазина
 `order_id` BIGINT(20) NOT NULL,								-- id заказа
 `discount_id` INT NOT NULL,									-- id скидки
 `discount_name` VARCHAR(40) NOT NULL DEFAULT '' COMMENT 'наименование скидка',
 `version` INT(11) NOT NULL DEFAULT '0',
 `deleted` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`store_id`,`order_id`,`discount_id`),
  KEY `version` (`store_id`,`version`,`deleted`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `trm_in_external_order_item_discount` (
 `store_id` INT(11) NOT NULL,									-- id магазина
 `order_id` BIGINT(20) NOT NULL,								-- id заказа
 `item_id` VARCHAR(40) NOT NULL,								-- id товара заказа
 `discount_id` INT NOT NULL,									-- id скидки
 `discount_amount` DECIMAL(20,4) DEFAULT NULL COMMENT 'скидка',
 `version` INT(11) NOT NULL DEFAULT '0',
 `deleted` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`store_id`,`order_id`,`item_id`,`discount_id`),
  KEY `version` (`store_id`,`version`,`deleted`)
) ENGINE=INNODB DEFAULT CHARSET=utf8;
CREATE TABLE IF NOT EXISTS trm_in2_external_order_item_discount LIKE trm_in_external_order_item_discount;
CREATE TABLE IF NOT EXISTS trm_in2_external_order_discounts LIKE trm_in_external_order_discounts;
REPLACE INTO srv_trm_domain_tables SELECT 0,domain_id,'trm_in_external_order_item_discount',121,1,0 FROM srv_trm_domain_tables WHERE `name`='trm_in_external_order_items' and deleted=0 limit 1;
REPLACE INTO srv_trm_domain_tables SELECT 0,domain_id,'trm_in_external_order_discounts',121,1,0 FROM srv_trm_domain_tables WHERE `name`='trm_in_external_order_items' and deleted=0 limit 1;

-- UKM4-3929 Блокировка авторизации кассира по дате начала и окончания продаж
ALTER TABLE trm_in_users
ADD COLUMN start_date DATE DEFAULT NULL AFTER role_id,
ADD COLUMN end_date DATE DEFAULT NULL AFTER start_date;

ALTER TABLE trm_in2_users
ADD COLUMN start_date DATE DEFAULT NULL AFTER role_id,
ADD COLUMN end_date DATE DEFAULT NULL AFTER start_date;
SET NAMES 'utf8';
REPLACE INTO trm_in_lillo_style VALUES (0,1,'/* --- интерфейс кассы --- */\r\nQDialog#CUKMControlHandlerWindow {\r\n background: #4c4c4c; \r\n}\r\n/* --- диалоги --- */\r\n\r\n\r\n/* диалог Сообщения кассиру (инфо\\предупреждение\\вопрос\\пакеты\\сканирование)>>> */\r\n\r\nQDialog#InformationDialog {\r\n	border: none;\r\n	background: #FCFCFC;\r\n}\r\nQFrame#InformationFrame {\r\n	border: 1px solid #B1B1B1;\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#InformationIconLabel {\r\n	border: none;\r\n	background: transparent;\r\n}\r\nQLabel#InformationIconLabel_CardTerminal {\r\n	border: none;\r\n	background: transparent;\r\n	qproperty-pixmapPath: url(:Resources/bigicon-cart-terminal.png);\r\n}\r\nQLabel#InformationTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 36px;\r\n}\r\nQLabel#InformationTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	text-align: top center;\r\n	font-size: 32px;\r\n}\r\n/* кнопки да\\отмена\\выход\\ */\r\nQToolButton#FullSizeOkButton {\r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #058C7C; \r\n	color: white;  \r\n	font-size: 32px;\r\n} \r\nQToolButton#FullSizeCancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #CF003E; \r\n	color: white; \r\n	font-size: 32px; \r\n} \r\nQToolButton#FullSizeBottomButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 32px; \r\n}\r\n/* <<< диалог Сообщения кассиру*/\r\n\r\n/* vision >>> */\r\nQDialog#SMVisionDialog{\r\n	border: none;\r\n	background: rgba(0, 0, 0, 130);\r\n}\r\nQFrame#SMVisionFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#titleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 32px;\r\n}\r\nQToolButton#cancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 22pt; \r\n} \r\nQToolButton#repeatButton, QToolButton#optionButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: rgb(58, 133, 217); \r\n	color: white; \r\n	font-size: 22pt; \r\n} \r\nQFrame#SMVButtonFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: rgb(230, 230, 230);\r\n}\r\nQFrame#photoFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 20px;\r\n	background: rgb(99, 99, 99);\r\n}\r\nQLabel#photoNameLabel_Bottom, QLabel#photoNameLabel_Top {\r\n	background: transparent;\r\n	color: rgb(230, 230, 230);\r\n	font-size: 8pt;\r\n}\r\nQFrame#shotFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 16px;\r\n	background: rgb(199, 199, 199);\r\n}\r\nQLabel#photoLabel {\r\n	background:  rgb(230, 230, 230);\r\n	border: 5px solid  rgb(99, 99, 99);\r\n	border-radius: 14px;\r\n}\r\nQToolButton#btn {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\nQToolButton#btn QLabel {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 8px;	\r\n	border-top-color: transparent;	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: rgb(99, 99, 99);\r\n	background: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(99, 99, 99, 130), stop:0.4 rgba(99, 99, 99, 200), stop:1 rgba(99, 99, 99, 255));\r\n	margin-left: 5px;\r\n	margin-top: 0px;\r\n	margin-right: 5px;\r\n	margin-bottom: 0px;\r\n	padding: 0px;\r\n	color: white;\r\n	font-size: 16pt\r\n}\r\n/* <<< vison*/\r\n\r\n/* Диалог мультивыбора с кнопками >>> */\r\n/* область прокрутки */\r\nQDialog#QBrowseMultipurposeBtnClass QScrollArea QWidget {\r\n	background-color: white;\r\n}\r\n\r\nQPushButton#BrowseMultipurposeBtnScroll {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::handle:vertical {\r\n	border: 1px solid #DBDBDB; \r\n	border-radius: 5px; \r\n	background-color: #DBDBDB; \r\n	min-height: 25px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/*кнопка в диалоге с выбором способа ввода*/\r\nQDialog#QBrowseMultipurposeBtnClass QToolButton#InputButton {\r\n	border: 1px solid #4B5A70; \r\n	border-radius: 8px; \r\n	background: #4B5A70; \r\n	color: white;  \r\n	font-size: 32px;\r\n}\r\n/* обычные кнопки*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 32px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n}\r\n/*тип печати чека*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnBig {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n}\r\nQPushButton#btnBig QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 32px;\r\n	padding-left: 7px;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSmall {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;	\r\n}\r\nQPushButton#btnSmall QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;	\r\n	padding-left: 7px;	\r\n	font-size: 32px;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 36px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	font-size: 32px;\r\n}\r\n/* \"кнопки\" для диалога с товарами и +- */\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 32px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonPriceLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 32px;\r\n}\r\n/* спин-бокс в диалоге с товарами */\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox:focus  {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 32px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 32px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: right;\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: #DBDBDB;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: left;\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: #DBDBDB;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-arrow {\r\n	image: url(:/Resources/plus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-arrow {\r\n	image: url(:/Resources/minus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n/* <<< Диалог мультивыбора с кнопками */\r\n/* QBrowseMultipurpose (legacy)>>> */\r\nQBrowseMultipurpose, QDialog#QBrowseMultipurposeClass, QDialog#QBrowseMultipurpose {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQDialog#QBrowseMultipurposeClass QPushButton {\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 32px;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\n/* <<< QBrowseMultipurpose */\r\n\r\n/* служебные диалоги, не видны покупателю на киоске */\r\n\r\n/*MessageDialog*/\r\nQFrame#MessageFrame {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQLabel#MessageLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*LargeMsgBox, QBarcodeSelectItemClass, SelectItemForm, QInputMSRDialogClass*/\r\nQDialog#LargeMsgBox, \r\nQDialog#QBarcodeSelectItemClass, \r\nQDialog#SelectItemForm, \r\nQDialog#QInputMSRDialogClass {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQTextEdit#CFullSizeLargeMsgBoxContents {\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 32px;	\r\n	padding-left: 10px;\r\n}\r\nQDialog#QInputMSRDialogClass QLabel,\r\nQLabel#labelDescr, \r\nQLabel#ItemNameLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\nQGroupBox#filterGroup {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n\r\n/* SelectLinkItems >>> */\r\n/*SelectItemForm - Диалог выбора товара из списка без вложений, напр. сторнирование, список невыкупленных товаров, выберите позицию*/\r\nQDialog#QSelectLinkItemsClass QPushButton {\r\n	border: 1px solid rgb(140, 140, 140);\r\n	border-radius: 8px;\r\n	background: rgb(151, 151, 151);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\nQDialog#QSelectLinkItemsClass QLabel#labelDescr {\r\n	background: rgb(230, 230, 230);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\n\r\nQTableView#tableReturnReceipt {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n	alternate-background-color: rgb(232, 232, 255);\r\n	selection-background-color: rgba(13, 165, 165, 100);\r\n	selection-color: black;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QLabel {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n	font-size: 12pt;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QHeaderView {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n}\r\n/* <<< SelectLinkItems */\r\n/* <<< диалоги */\r\n\r\n/* фон панелей >>> */\r\nQFrame#UKMGroupBox {\r\n	border: none;\r\n	background: #F3F3F3;\r\n}\r\n/* <<< фон панелей */\r\n\r\n/* пик-лист >>> */\r\nQSplitter#CUKMAutomenuRestaurant QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #424242;\r\n}\r\n\r\nQSplitter#CUKMAutoClassificator QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #424242;\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 14pt;\r\n	font-weight: normal;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\n/* ценник на кнопке товара*/\r\nQLabel#AutomenuButtonPriceLabel {\r\n	border: 1px solid rgb(76, 76, 76);\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 8px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 0px;\r\n	background: rgb(76, 76, 76);\r\n	color: white;\r\n	font-size: 10pt;\r\n	padding: 5px;\r\n}\r\nQToolButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: rgb(99, 99, 99);\r\n	color: white;\r\n	font-size: 14pt;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\nQToolButton QLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 14pt;\r\n	margin: 5px;\r\n}\r\n/* <<< пик-лист */\r\n/* - отображение состояния кассы - >>> */\r\nQLabel#CInfoHandler {\r\n	border: 1px solid transparent;\r\n	background: transparent;\r\n	color: white;\r\n}\r\nQLabel#CInformationLabel {\r\n	border: 1px solid transparent;\r\n	background: transparent;\r\n	color: white;\r\n}\r\n/* - отображение состояния кассы - */\r\n\r\n/* - клавиатура и строка ввода - */\r\nQOnScreenKeyboard::title {\r\n	background:  #F3F3F3;\r\n	color: black;\r\n}\r\nQLineEditWithTriads,QLineEditScreenKbd,QLineEditPhone {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;	\r\n/* 	Available since qt 6.5.	\r\n/*	color: black; \r\n/*  placeholder-text-color: #939CA6; */\r\n	font-size: 22pt;\r\n	margin-right: 5px;\r\n	margin-left: 5px;\r\n	padding-right: 64px;/*отступ текста от кнопки backspace*/\r\n	qproperty-paddingRight: 32;/*отступ для кнопки backspace*/\r\n}\r\nQDialog#QInputDialog, QDialog#QInputDialogScreenKbd, QOnScreenKeyboard {\r\n	background: #f3f3f3;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	font-size: 22pt;\r\n	color: black;\r\n}\r\nQDialog#QInputDialog QLabel, QDialog#QDialogForMaskedInput QLabel, QDialog#QInputDialogScreenKbd QLabel{\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 18pt;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog QPushButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 18pt;\r\n	color: white;\r\n}\r\nQPushButton#QOnScreenButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 18pt;\r\n	color: white;\r\n}\r\nQLayout#QOnScreenKeyboardBtnLayout QPushButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 18pt;\r\n	color: white;\r\n}\r\nQPushButton#btnNumpadOk {\r\n	background: #4B5A70;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	font-size: 18pt;\r\n	color: white;\r\n}\r\n\r\nQAbstractButton#btnNumpadBksp {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	font-size: 18pt;\r\n	color: white;}\r\n\r\nQOnScreenButton#btnNumpadCancel {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	font-size: 18pt;\r\n	color: white;}\r\n\r\n/* кнопка закрыть (крестик) */\r\nQPushButton#crossBtn { \r\n	border: none;\r\n	background: transparent; \r\n	font-size: 18pt;\r\n} \r\n\r\n/* <<<- клавиатура и строка ввода -*/\r\n\r\n/* текстовая панель чека*/\r\nQTextEdit#QReceiptSnapshot{\r\n	font-size: 32px;\r\n}\r\n/* - Плиточная панель чека - */\r\n/* заставка при пустом чеке */\r\nQWidget#CReceiptSplashScreen {\r\n	background-color: rgb(236,236,236);\r\n	image: url(:Resources/splash_receipt.png);\r\n	padding: 20%;\r\n}\r\nQLabel#SplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\nQLabel#ThanksSplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\n\r\n/* заголовок */\r\nQFrame#tiledReceiptHeaderFrame {\r\n	background: gray;\r\n	border: 1px solid gray;\r\n}\r\nQLabel#tiledReceiptHeaderLabel {\r\n	background: transparent;     \r\n	border: none; \r\n	color: white;\r\n	font-size: 18pt;\r\n}\r\nQLabel#tiledReceiptHeaderCard {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(0, 127, 127);\r\n	font-size: 14pt;\r\n	padding-left: 7px;\r\n}\r\n\r\n/* итог */\r\nQFrame#tiledReceiptFooterFrame {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 4px;\r\n	border-bottom-right-radius: 4px;	\r\n	border-top-color: rgb(162, 192, 192);	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: transparent;\r\n	background: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(162, 192, 192, 180), stop:0.2 rgb(162, 192, 192), stop:0.8 rgb(162, 192, 192), stop:1 rgba(162, 192, 192, 180));\r\n}\r\n\r\nQLabel#tiledReceiptSaleLabel, QLabel#tiledReceiptSale{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 14pt;\r\n}\r\n\r\nQLabel#tiledReceiptSumLabel, QLabel#tiledReceiptSum{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 16pt;\r\n	font-weight: bold;\r\n}\r\n\r\nQLabel#tiledReceiptColLabel{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 16pt;\r\n}\r\n/* плитки товара */\r\nQFrame#tiledReceiptItemTile {\r\n	background-color: white;\r\n	color: rgb(96, 96, 96);\r\n	font-size: 14pt;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 8px;\r\n	margin-top: 3px;\r\n	margin-left: 7px;\r\n	margin-right: 7px;\r\n	margin-bottom: 4px;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item {\r\n	border: none;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item:selected {\r\n	border: none;\r\n}\r\n\r\nQWidget#tiledReceiptWidget {\r\n	background: transparent;     \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemText {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(96, 96, 96);\r\n	font-size: 16pt;\r\n	margin-top: 9px;\r\n	margin-bottom: 11px;\r\n	margin-left: 20px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemPrice {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(96, 96, 96);\r\n	font-size: 16pt;\r\n	font-weight: bold;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemDiscountPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: rgb(0, 127, 127);\r\n	font-size: 16pt;\r\n	font-weight: bold;\r\n	margin-top: 17px;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptBottomPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: rgb(116, 116, 116);\r\n	font-size: 12pt;\r\n	margin-right: 20px;	\r\n	margin-bottom: 15px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptWeightItemCount {\r\n	background: transparent;   \r\n	color: rgb(96, 96, 96);\r\n	font-size: 16pt;\r\n	margin-left: 0px;\r\n	margin-right: 0px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptIcrementalButton {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 13px;\r\n	background:  rgb(175,175,175); \r\n	image: url(:/Resources/plus.png);\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptDecrementalButton  {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 13px;\r\n	background: rgb(175,175,175);\r\n	image: url(:/Resources/minus.png);\r\n}\r\n/* - Плиточная панель чека - */\r\n\r\n/* --- интерфейс кассы --- */\r\n\r\n\r\n/* --- стили для дизайнера --- */\r\n\r\n/* галочка*/\r\nQCheckBox{\r\n    spacing: 5px;\r\n}\r\nQCheckBox::indicator {\r\n	border: 1px solid gray;\r\n	background: white;\r\n	width: 13px;\r\n    height: 13px;\r\n}\r\nQCheckBox::indicator:checked {\r\n	image: url(:/Resources/checkmark.png);\r\n}\r\nQCheckBox::indicator:indeterminate {\r\n    background: rgb(155, 155, 155);\r\n}\r\n/* галочка*/\r\n/* полоса прокрутки*/\r\nQScrollBar {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar:vertical {\r\n	width: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-left: 3px;\r\n	margin-right: 3px;\r\n}\r\nQScrollBar::handle:vertical {\r\n	width: 20px;\r\n	min-height: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-top: 15px;\r\n	margin-bottom: 15px;\r\n}\r\nQScrollBar::handle:vertical:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_up_arrow.png);\r\n	subcontrol-position: top;\r\n}\r\nQScrollBar::add-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_down_arrow.png);\r\n	subcontrol-position: bottom;\r\n}\r\nQScrollBar::sub-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-page:vertical, QScrollBar::sub-page:vertical {\r\n	background: none;\r\n}\r\nQScrollBar#verticalScrollBar:vertical {\r\n	margin-top: 30px;\r\n}\r\n\r\nQScrollBar:horizontal {\r\n	height: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-top: 3px;\r\n	margin-bottom: 3px;\r\n}\r\nQScrollBar::handle:horizontal {\r\n	height: 20px;\r\n	min-width: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-left: 15px;\r\n	margin-right: 15px;\r\n}\r\nQScrollBar::handle:horizontal:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_left_arrow.png);\r\n	subcontrol-position: left;\r\n}\r\nQScrollBar::add-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_right_arrow.png);\r\n	subcontrol-position: right;\r\n}\r\nQScrollBar::sub-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-page:horizontal,QScrollBar::sub-page:horizontal {\r\n	  background: none;\r\n}\r\n/* полоса прокрутки*/\r\n/* Выпадающий список */\r\nQComboBox QAbstractItemView {\r\n   	background: transparent;\r\n	color: black;\r\n    selection-background-color: rgba(13, 165, 165, 100);\r\n	alternate-background-color: rgb(231, 231, 231);\r\n	selection-color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected:active {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item::hover {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\nQComboBox QAbstractItemView::item:alternate {\r\n	background: rgb(231, 231, 231);\r\n	color: black;\r\n}\r\n\r\nQComboBox {\r\n	border: 1px solid gray;\r\n	border-radius: 3px;\r\n	padding: 1px 18px 1px 3px;\r\n}\r\n\r\nQComboBox:editable {\r\n	background: white;\r\n}\r\n\r\nQComboBox:!editable, QComboBox::drop-down:editable {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							  stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							  stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n}\r\n\r\n /* QComboBox gets the \"on\" state when the popup is open */\r\nQComboBox:!editable:on, QComboBox::drop-down:editable:on {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n                                 stop: 0 #D3D3D3, stop: 0.4 #D8D8D8,\r\n                                 stop: 0.5 #DDDDDD, stop: 1.0 #E1E1E1);\r\n}\r\n\r\nQComboBox:on { /* shift the text when the popup opens */\r\n	padding-top: 3px;\r\n	padding-left: 4px;\r\n}\r\n\r\nQComboBox::drop-down {\r\n	subcontrol-origin: padding;\r\n	subcontrol-position: top right;\r\n	width: 15px;\r\n\r\n	border-left-width: 1px;\r\n	border-left-color: darkgray;\r\n	border-left-style: solid; /* just a single line */\r\n	border-top-right-radius: 3px; /* same radius as the QComboBox */\r\n	border-bottom-right-radius: 3px;\r\n}\r\n\r\nQComboBox::down-arrow {\r\n	image: url(:/Resources/tool_btn_down_arrow.png);\r\n}\r\n\r\nQComboBox::down-arrow:on { /* shift the arrow when popup is open */\r\n	top: 1px;\r\n	left: 1px;\r\n}\r\n/* виджет со вкладками */\r\nQTabWidget::pane { \r\n	border-top: 2px solid #C2C7CB;\r\n}\r\nQTabBar::tab {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							 stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							 stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n	border: 2px solid #C4C4C3;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	border-top-left-radius: 4px;\r\n	border-top-right-radius: 4px;\r\n	min-width: 8ex;\r\n	padding: 2px;\r\n	background-color: rgb(161, 161, 161);\r\n	color: white;\r\n}\r\nQTabBar::tab:focus {\r\n	border-color: rgba(76, 76, 76, 100);\r\n}\r\nQTabBar::tab:selected, QTabBar::tab:hover {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n						 stop: 0 #fafafa, stop: 0.4 #f4f4f4,\r\n						 stop: 0.5 #e7e7e7, stop: 1.0 #fafafa);\r\n}\r\nQTabBar::tab:selected {\r\n	border-color: transparent;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	background: solid #C2C7CB; \r\n}\r\nQTabBar::tab:!selected {\r\n	margin-top: 2px; /* делаем невыбранные вкладки меньше */\r\n}\r\n/* виджет со вкладками */','1.kiosk.style.qss',1,0);
REPLACE INTO trm_in_lillo_style VALUES (0,2,'/* --- интерфейс кассы --- */\r\nQDialog#CUKMControlHandlerWindow {\r\n background: #4c4c4c; \r\n}\r\n/* --- диалоги --- */\r\n\r\n\r\n/* диалог Сообщения кассиру (инфо\\предупреждение\\вопрос\\пакеты\\сканирование)>>> */\r\n\r\nQDialog#InformationDialog {\r\n	border: none;\r\n	background: #FCFCFC;\r\n}\r\nQFrame#InformationFrame {\r\n	border: 1px solid #B1B1B1;\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#InformationIconLabel {\r\n	border: none;\r\n	background: transparent;\r\n}\r\nQLabel#InformationIconLabel_CardTerminal {\r\n	border: none;\r\n	background: transparent;\r\n	qproperty-pixmapPath: url(:Resources/bigicon-cart-terminal.png);\r\n}\r\nQLabel#InformationTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 20px;\r\n}\r\nQLabel#InformationTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	text-align: top center;\r\n	font-size: 14pt;\r\n}\r\n/* кнопки да\\отмена\\выход\\ */\r\nQToolButton#FullSizeOkButton {\r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #058C7C; \r\n	color: white;  \r\n	font-size: 16pt;\r\n} \r\nQToolButton#FullSizeCancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #CF003E; \r\n	color: white; \r\n	font-size: 16pt; \r\n} \r\nQToolButton#FullSizeBottomButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 16pt; \r\n}\r\n/* <<< диалог Сообщения кассиру*/\r\n\r\n/* vision >>> */\r\nQDialog#SMVisionDialog{\r\n	border: none;\r\n	background: rgba(0, 0, 0, 130);\r\n}\r\nQFrame#SMVisionFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#titleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 16pt;\r\n}\r\nQToolButton#cancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 12pt; \r\n} \r\nQToolButton#repeatButton, QToolButton#optionButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: rgb(58, 133, 217); \r\n	color: white; \r\n	font-size: 12pt; \r\n} \r\nQFrame#SMVButtonFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: rgb(230, 230, 230);\r\n}\r\nQFrame#photoFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 20px;\r\n	background: rgb(99, 99, 99);\r\n}\r\nQLabel#photoNameLabel_Bottom, QLabel#photoNameLabel_Top {\r\n	background: transparent;\r\n	color: rgb(230, 230, 230);\r\n	font-size: 8pt;\r\n}\r\nQFrame#shotFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 16px;\r\n	background: rgb(199, 199, 199);\r\n}\r\nQLabel#photoLabel {\r\n	background:  rgb(230, 230, 230);\r\n	border: 5px solid  rgb(99, 99, 99);\r\n	border-radius: 14px;\r\n}\r\nQToolButton#btn {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\nQToolButton#btn QLabel {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 8px;	\r\n	border-top-color: transparent;	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: rgb(99, 99, 99);\r\n	background: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(99, 99, 99, 130), stop:0.4 rgba(99, 99, 99, 200), stop:1 rgba(99, 99, 99, 255));\r\n	margin-left: 5px;\r\n	margin-top: 0px;\r\n	margin-right: 5px;\r\n	margin-bottom: 0px;\r\n	padding: 0px;\r\n	color: white;\r\n	font-size: 10pt;\r\n}\r\n/* <<< vison*/\r\n\r\n/* Диалог мультивыбора с кнопками >>> */\r\n/* область прокрутки */\r\nQDialog#QBrowseMultipurposeBtnClass QScrollArea QWidget {\r\n	background-color: white;\r\n}\r\n\r\nQPushButton#BrowseMultipurposeBtnScroll {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 14pt;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::handle:vertical {\r\n	border: 1px solid #DBDBDB; \r\n	border-radius: 5px; \r\n	background-color: #DBDBDB; \r\n	min-height: 25px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/*кнопка в диалоге с выбором способа ввода*/\r\nQDialog#QBrowseMultipurposeBtnClass QToolButton#InputButton {\r\n	border: 1px solid #4B5A70; \r\n	border-radius: 8px; \r\n	background: #4B5A70; \r\n	color: white;  \r\n	font-size: 16pt;\r\n}\r\n/* обычные кнопки*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 16pt;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n	font-size: 16pt;\r\n}\r\n/*тип печати чека*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnBig {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n}\r\nQPushButton#btnBig QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 16pt;\r\n	padding-left: 7px;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSmall {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n}\r\nQPushButton#btnSmall QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;	\r\n	padding-left: 7px;\r\n	font-size: 16pt;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	font-size: 16pt;\r\n}\r\n/* \"кнопки\" для диалога с товарами и +- */\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 12pt;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonPriceLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 12pt;\r\n}\r\n\r\n/* спин-бокс в диалоге с товарами */\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox:focus  {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: right;\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: #DBDBDB;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: left;\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: #DBDBDB;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-arrow {\r\n	image: url(:/Resources/plus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-arrow {\r\n	image: url(:/Resources/minus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n/* <<< Диалог мультивыбора с кнопками */\r\n\r\n/* QBrowseMultipurpose >>> */\r\nQBrowseMultipurpose, QDialog#QBrowseMultipurposeClass, QDialog#QBrowseMultipurpose {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQDialog#QBrowseMultipurposeClass QPushButton {\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 16pt;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\n/* <<< QBrowseMultipurpose */\r\n\r\n/* служебные диалоги, не видны покупателю на киоске */\r\n\r\n/*MessageDialog*/\r\nQFrame#MessageFrame {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQLabel#MessageLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*LargeMsgBox, QBarcodeSelectItemClass, SelectItemForm, QInputMSRDialogClass*/\r\nQDialog#LargeMsgBox, \r\nQDialog#QBarcodeSelectItemClass, \r\nQDialog#SelectItemForm, \r\nQDialog#QInputMSRDialogClass {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQTextEdit#CFullSizeLargeMsgBoxContents {\r\n	border: 1px solid #DBDBDB;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 24px;	\r\n	padding-left: 10px;\r\n}\r\nQDialog#QInputMSRDialogClass QLabel,\r\nQLabel#labelDescr, \r\nQLabel#ItemNameLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\nQGroupBox#filterGroup {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n\r\n/* SelectLinkItems >>> */\r\n/*SelectItemForm - Диалог выбора товара из списка без вложений, напр. сторнирование, список невыкупленных товаров, выберите позицию*/\r\nQDialog#QSelectLinkItemsClass QPushButton {\r\n	border: 1px solid rgb(140, 140, 140);\r\n	border-radius: 8px;\r\n	background: rgb(151, 151, 151);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\nQDialog#QSelectLinkItemsClass QLabel#labelDescr {\r\n	background: rgb(230, 230, 230);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\n\r\nQTableView#tableReturnReceipt {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n	alternate-background-color: rgb(232, 232, 255);\r\n	selection-background-color: rgba(13, 165, 165, 100);\r\n	selection-color: black;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QLabel {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n	font-size: 12pt;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QHeaderView {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n}\r\n/* <<< SelectLinkItems */\r\n/* <<< диалоги */\r\n\r\n/* фон панелей >>> */\r\nQFrame#UKMGroupBox {\r\n	border: none;\r\n	background: rgb(76, 76, 76);\r\n}\r\n/* <<< фон панелей */\r\n\r\n/* пик-лист >>> */\r\nQSplitter#CUKMAutomenuRestaurant QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: rgb(76, 76, 76);\r\n}\r\n\r\nQSplitter#CUKMAutoClassificator QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: rgb(76, 76, 76);\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 10pt;\r\n	font-weight: normal;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\n/* ценник на кнопке товара*/\r\nQLabel#AutomenuButtonPriceLabel {\r\n	border: 1px solid rgb(76, 76, 76);\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 8px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 0px;\r\n	background: rgb(76, 76, 76);\r\n	color: white;\r\n	font-size: 8pt;\r\n	padding: 5px;\r\n}\r\nQToolButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: rgb(99, 99, 99);\r\n	color: white;\r\n	font-size: 8pt ;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\nQToolButton QLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 8pt;\r\n	margin: 5px;\r\n}\r\n/* <<< пик-лист */\r\n/* - отображение состояния кассы - >>> */\r\nQLabel#CInfoHandler {\r\n	border: 1px solid transparent;\r\n	background: transparent;\r\n	color: white;\r\n}\r\nQLabel#CInformationLabel {\r\n	border: 1px solid transparent;\r\n	background: transparent;\r\n	color: white;\r\n}\r\n/* - отображение состояния кассы - */\r\n\r\n/* - клавиатура и строка ввода - */\r\nQOnScreenKeyboard::title {\r\n	background:  #F3F3F3;\r\n	color: black;\r\n}\r\nQLineEditWithTriads,QLineEditScreenKbd,QLineEditPhone {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n/* 	Available since qt 6.5.	\r\n/*	color: black; \r\n/*  placeholder-text-color: #939CA6; */\r\n	font-size: 20pt;\r\n	margin-right: 5px;\r\n	margin-left: 5px;\r\n	padding-right: 22px;/*отступ текста от кнопки backspace*/\r\n	qproperty-paddingRight: 11; /*отступ для кнопки backspace*/\r\n}\r\nQDialog#QInputDialog, QDialog#QInputDialogScreenKbd, QOnScreenKeyboard {\r\n	background: #f3f3f3;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n}\r\nQDialog#QInputDialog QLabel, QDialog#QDialogForMaskedInput QLabel, QDialog#QInputDialogScreenKbd QLabel{\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog QPushButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	color: white;\r\n}\r\nQPushButton#QOnScreenButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 16pt;\r\n	color: white;\r\n}\r\nQLayout#QOnScreenKeyboardBtnLayout QPushButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 16pt;\r\n	color: white;\r\n}\r\nQPushButton#btnNumpadOk {\r\n	background: #4B5A70;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\nQAbstractButton#btnNumpadBksp {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\nQOnScreenButton#btnNumpadCancel {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\n/* кнопка закрыть (крестик) */\r\nQPushButton#crossBtn { \r\n	border: none;\r\n	background: transparent; \r\n	font-size: 16pt;\r\n} \r\n\r\n/* - клавиатура и строка ввода -*/\r\n\r\n/* текстовая панель чека*/\r\nQTextEdit#QReceiptSnapshot{\r\n	font-size: 16pt;\r\n}\r\n/* - Плиточная панель чека - */\r\n/* заставка при пустом чеке */\r\nQWidget#CReceiptSplashScreen {\r\n	background-color: rgb(236,236,236);\r\n	image: url(:Resources/splash_receipt.png);\r\n	padding: 20%;\r\n}\r\nQLabel#SplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\nQLabel#ThanksSplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\n\r\n/* заголовок */\r\nQFrame#tiledReceiptHeaderFrame {\r\n	background: gray;\r\n	border: 1px solid gray;\r\n}\r\nQLabel#tiledReceiptHeaderLabel {\r\n	background: transparent;     \r\n	border: none; \r\n	color: white;\r\n	font-size: 14pt;\r\n}\r\nQLabel#tiledReceiptHeaderCard {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(0, 127, 127);\r\n	font-size: 10pt;\r\n	padding-left: 7px;\r\n}\r\n\r\n/* итог */\r\nQFrame#tiledReceiptFooterFrame {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 4px;\r\n	border-bottom-right-radius: 4px;	\r\n	border-top-color: rgb(162, 192, 192);	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: transparent;\r\n	background: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(162, 192, 192, 180), stop:0.2 rgb(162, 192, 192), stop:0.8 rgb(162, 192, 192), stop:1 rgba(162, 192, 192, 180));\r\n}\r\n\r\nQLabel#tiledReceiptSaleLabel, QLabel#tiledReceiptSale{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 10pt;\r\n}\r\n\r\nQLabel#tiledReceiptSumLabel, QLabel#tiledReceiptSum{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 12pt;\r\n	font-weight: bold;\r\n}\r\n\r\nQLabel#tiledReceiptColLabel{\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(76, 76, 76);\r\n	font-size: 12pt;\r\n}\r\n/* плитки товара */\r\nQFrame#tiledReceiptItemTile {\r\n	background-color: white;\r\n	color: rgb(96, 96, 96);\r\n	font-size: 8pt;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 8px;\r\n	margin-top: 3px;\r\n	margin-left: 7px;\r\n	margin-right: 7px;\r\n	margin-bottom: 4px;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item {\r\n	border: none;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item:selected {\r\n	border: none;\r\n}\r\n\r\nQWidget#tiledReceiptWidget {\r\n	background: transparent;     \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemText {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(96, 96, 96);\r\n	font-size: 10pt;\r\n	margin-top: 9px;\r\n	margin-bottom: 11px;\r\n	margin-left: 20px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemPrice {\r\n	background: transparent;     \r\n	border: none; \r\n	color: rgb(96, 96, 96);\r\n	font-size: 10pt;\r\n	font-weight: bold;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemDiscountPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: rgb(0, 127, 127);\r\n	font-size: 10pt;\r\n	font-weight: bold;\r\n	margin-top: 17px;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptBottomPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: rgb(116, 116, 116);\r\n	font-size: 6pt;\r\n	margin-right: 20px;	\r\n	margin-bottom: 15px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptWeightItemCount {\r\n	background: transparent;   \r\n	color: rgb(96, 96, 96);\r\n	font-size: 16pt;\r\n	margin-left: 0px;\r\n	margin-right: 0px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptIcrementalButton {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 13px;\r\n	background:  rgb(175,175,175); \r\n	image: url(:/Resources/plus.png);\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptDecrementalButton  {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 13px;\r\n	background: rgb(175,175,175);\r\n	image: url(:/Resources/minus.png);\r\n}\r\n/* - Плиточная панель чека - */\r\n\r\n/* --- интерфейс кассы --- */\r\n\r\n\r\n/* --- стили для дизайнера --- */\r\n\r\n/* галочка*/\r\nQCheckBox{\r\n    spacing: 5px;\r\n}\r\nQCheckBox::indicator {\r\n	border: 1px solid gray;\r\n	background: white;\r\n	width: 13px;\r\n    height: 13px;\r\n}\r\nQCheckBox::indicator:checked {\r\n	image: url(:/Resources/checkmark.png);\r\n}\r\nQCheckBox::indicator:indeterminate {\r\n    background: rgb(155, 155, 155);\r\n}\r\n/* галочка*/\r\n/* полоса прокрутки*/\r\nQScrollBar {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar:vertical {\r\n	width: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-left: 3px;\r\n	margin-right: 3px;\r\n}\r\nQScrollBar::handle:vertical {\r\n	width: 20px;\r\n	min-height: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-top: 15px;\r\n	margin-bottom: 15px;\r\n}\r\nQScrollBar::handle:vertical:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_up_arrow.png);\r\n	subcontrol-position: top;\r\n}\r\nQScrollBar::add-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_down_arrow.png);\r\n	subcontrol-position: bottom;\r\n}\r\nQScrollBar::sub-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-page:vertical, QScrollBar::sub-page:vertical {\r\n	background: none;\r\n}\r\nQScrollBar#verticalScrollBar:vertical {\r\n	margin-top: 30px;\r\n}\r\n\r\nQScrollBar:horizontal {\r\n	height: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-top: 3px;\r\n	margin-bottom: 3px;\r\n}\r\nQScrollBar::handle:horizontal {\r\n	height: 20px;\r\n	min-width: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-left: 15px;\r\n	margin-right: 15px;\r\n}\r\nQScrollBar::handle:horizontal:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_left_arrow.png);\r\n	subcontrol-position: left;\r\n}\r\nQScrollBar::add-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_right_arrow.png);\r\n	subcontrol-position: right;\r\n}\r\nQScrollBar::sub-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-page:horizontal,QScrollBar::sub-page:horizontal {\r\n	  background: none;\r\n}\r\n/* полоса прокрутки*/\r\n/* Выпадающий список */\r\nQComboBox QAbstractItemView {\r\n   	background: transparent;\r\n	color: black;\r\n    selection-background-color: rgba(13, 165, 165, 100);\r\n	alternate-background-color: rgb(231, 231, 231);\r\n	selection-color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected:active {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item::hover {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\nQComboBox QAbstractItemView::item:alternate {\r\n	background: rgb(231, 231, 231);\r\n	color: black;\r\n}\r\n\r\nQComboBox {\r\n	border: 1px solid gray;\r\n	border-radius: 3px;\r\n	padding: 1px 18px 1px 3px;\r\n}\r\n\r\nQComboBox:editable {\r\n	background: white;\r\n}\r\n\r\nQComboBox:!editable, QComboBox::drop-down:editable {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							  stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							  stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n}\r\n\r\n /* QComboBox gets the \"on\" state when the popup is open */\r\nQComboBox:!editable:on, QComboBox::drop-down:editable:on {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n                                 stop: 0 #D3D3D3, stop: 0.4 #D8D8D8,\r\n                                 stop: 0.5 #DDDDDD, stop: 1.0 #E1E1E1);\r\n}\r\n\r\nQComboBox:on { /* shift the text when the popup opens */\r\n	padding-top: 3px;\r\n	padding-left: 4px;\r\n}\r\n\r\nQComboBox::drop-down {\r\n	subcontrol-origin: padding;\r\n	subcontrol-position: top right;\r\n	width: 15px;\r\n\r\n	border-left-width: 1px;\r\n	border-left-color: darkgray;\r\n	border-left-style: solid; /* just a single line */\r\n	border-top-right-radius: 3px; /* same radius as the QComboBox */\r\n	border-bottom-right-radius: 3px;\r\n}\r\n\r\nQComboBox::down-arrow {\r\n	image: url(:/Resources/tool_btn_down_arrow.png);\r\n}\r\n\r\nQComboBox::down-arrow:on { /* shift the arrow when popup is open */\r\n	top: 1px;\r\n	left: 1px;\r\n}\r\n/* виджет со вкладками */\r\nQTabWidget::pane { \r\n	border-top: 2px solid #C2C7CB;\r\n}\r\nQTabBar::tab {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							 stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							 stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n	border: 2px solid #C4C4C3;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	border-top-left-radius: 4px;\r\n	border-top-right-radius: 4px;\r\n	min-width: 8ex;\r\n	padding: 2px;\r\n	background-color: rgb(161, 161, 161);\r\n	color: white;\r\n}\r\nQTabBar::tab:focus {\r\n	border-color: rgba(76, 76, 76, 100);\r\n}\r\nQTabBar::tab:selected, QTabBar::tab:hover {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n						 stop: 0 #fafafa, stop: 0.4 #f4f4f4,\r\n						 stop: 0.5 #e7e7e7, stop: 1.0 #fafafa);\r\n}\r\nQTabBar::tab:selected {\r\n	border-color: transparent;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	background: solid #C2C7CB; \r\n}\r\nQTabBar::tab:!selected {\r\n	margin-top: 2px; /* делаем невыбранные вкладки меньше */\r\n}\r\n/* виджет со вкладками */','2.mini.1.kiosk.style.qss',1,0);
REPLACE INTO trm_in_lillo_style VALUES (0,3,'/* --- интерфейс кассы --- */\r\nQDialog#CUKMControlHandlerWindow {\r\n background: #e6e6e6; \r\n}\r\n/* --- диалоги --- */\r\n\r\n\r\n/* диалог Сообщения кассиру (инфо\\предупреждение\\вопрос\\пакеты\\сканирование)>>> */\r\n\r\nQDialog#InformationDialog {\r\n	border: none;\r\n	background: #FCFCFC;\r\n}\r\nQFrame#InformationFrame {\r\n	border: 1px solid #B1B1B1;\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#InformationIconLabel {\r\n	border: none;\r\n	background: transparent;\r\n}\r\nQLabel#InformationIconLabel_CardTerminal {\r\n	border: none;\r\n	background: transparent;\r\n	qproperty-pixmapPath: url(:Resources/bigicon-cart-terminal.png);\r\n}\r\nQLabel#InformationTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 20px;\r\n}\r\nQLabel#InformationTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	text-align: top center;\r\n	font-size: 14pt;\r\n}\r\n/* кнопки да\\отмена\\выход\\ */\r\nQToolButton#FullSizeOkButton {\r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #4B5A70; \r\n	color: white;  \r\n	font-size: 16pt;\r\n} \r\nQToolButton#FullSizeCancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 16pt; \r\n} \r\nQToolButton#FullSizeBottomButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 16pt; \r\n}\r\n/* <<< диалог Сообщения кассиру*/\r\n\r\n/* vision >>> */\r\nQDialog#SMVisionDialog{\r\n	border: none;\r\n	background: rgba(0, 0, 0, 130);\r\n}\r\nQFrame#SMVisionFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: white;\r\n}\r\nQLabel#titleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 16pt;\r\n}\r\nQToolButton#cancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #979797; \r\n	color: white; \r\n	font-size: 12pt; \r\n} \r\nQToolButton#repeatButton, QToolButton#optionButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: rgb(58, 133, 217); \r\n	color: white; \r\n	font-size: 12pt; \r\n} \r\nQFrame#SMVButtonFrame {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: rgb(230, 230, 230);\r\n}\r\nQFrame#photoFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 20px;\r\n	background: rgb(99, 99, 99);\r\n}\r\nQLabel#photoNameLabel_Bottom, QLabel#photoNameLabel_Top {\r\n	background: transparent;\r\n	color: rgb(230, 230, 230);\r\n	font-size: 8pt;\r\n}\r\nQFrame#shotFrame {\r\n	border: 1px solid transparent;\r\n	border-radius: 16px;\r\n	background: rgb(199, 199, 199);\r\n}\r\nQLabel#photoLabel {\r\n	background:  rgb(230, 230, 230);\r\n	border: 5px solid  rgb(99, 99, 99);\r\n	border-radius: 14px;\r\n}\r\nQToolButton#btn {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\nQToolButton#btn QLabel {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 8px;	\r\n	border-top-color: transparent;	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: rgb(99, 99, 99);\r\n	background: qlineargradient(spread:pad, x1:0, y1:0, x2:0, y2:1, stop:0 rgba(99, 99, 99, 130), stop:0.4 rgba(99, 99, 99, 200), stop:1 rgba(99, 99, 99, 255));\r\n	margin-left: 5px;\r\n	margin-top: 0px;\r\n	margin-right: 5px;\r\n	margin-bottom: 0px;\r\n	padding: 0px;\r\n	color: white;\r\n	font-size: 10pt;\r\n}\r\n/* <<< vison*/\r\n\r\n/* Диалог мультивыбора с кнопками >>> */\r\n/* область прокрутки */\r\nQDialog#QBrowseMultipurposeBtnClass QScrollArea QWidget {\r\n	background-color: #f3f3f3;\r\n}\r\n\r\nQPushButton#BrowseMultipurposeBtnScroll {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 14pt;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::handle:vertical {\r\n	border: 1px solid #f3f3f3; \r\n	border-radius: 5px; \r\n	background-color: #f3f3f3; \r\n	min-height: 25px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/*кнопка в диалоге с выбором способа ввода*/\r\nQDialog#QBrowseMultipurposeBtnClass QToolButton#InputButton {\r\n	border: 1px solid #4B5A70; \r\n	border-radius: 8px; \r\n	background: #4B5A70; \r\n	color: white;  \r\n	font-size: 16pt;\r\n}\r\n/* обычные кнопки*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 16pt;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n	font-size: 16pt;\r\n}\r\n/*тип печати чека*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnBig {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n}\r\nQPushButton#btnBig QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 14pt;\r\n	padding-left: 7px;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSmall {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;	\r\n}\r\nQPushButton#btnSmall QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;	\r\n	padding-left: 7px;	\r\n	font-size: 14pt;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 18pt;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	font-size: 14pt;\r\n}\r\n/* \"кнопки\" для диалога с товарами и +- */\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect:focus {\r\n	border: 1px solid #4B5A70;\r\n	border-radius: 8px;\r\n	background-color: #4B5A70;\r\n	color: white;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 12pt;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonPriceLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 12pt;\r\n}\r\n\r\n/* спин-бокс в диалоге с товарами */\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox:focus  {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: white;	\r\n    selection-color: black;\r\n	color: black;\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: right;\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: left;\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-arrow {\r\n	image: url(:/Resources/plus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-arrow {\r\n	image: url(:/Resources/minus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n/* <<< Диалог мультивыбора с кнопками */\r\n\r\n/* QBrowseMultipurpose >>> */\r\nQBrowseMultipurpose, QDialog#QBrowseMultipurposeClass, QDialog#QBrowseMultipurpose {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQDialog#QBrowseMultipurposeClass QPushButton {\r\n	border-radius: 8px;\r\n	background: #979797;\r\n	color: white;\r\n	font-size: 16pt;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\n/* <<< QBrowseMultipurpose */\r\n\r\n/* служебные диалоги, не видны покупателю на киоске */\r\n\r\n/*MessageDialog*/\r\nQFrame#MessageFrame {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQLabel#MessageLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*LargeMsgBox, QBarcodeSelectItemClass, SelectItemForm, QInputMSRDialogClass*/\r\nQDialog#LargeMsgBox, \r\nQDialog#QBarcodeSelectItemClass, \r\nQDialog#SelectItemForm, \r\nQDialog#QInputMSRDialogClass {\r\n	border: 1px solid transparent;\r\n	background: #f3f3f3;\r\n	color: black;\r\n}\r\nQTextEdit#CFullSizeLargeMsgBoxContents {\r\n	border: 1px solid rgb(177, 177, 177);\r\n	border-radius: 8px;\r\n	background: rgb(230, 230, 230);\r\n	color: black;\r\n	font-size: 24px;	\r\n	padding-left: 10px;\r\n}\r\nQDialog#QInputMSRDialogClass QLabel,\r\nQLabel#labelDescr, \r\nQLabel#ItemNameLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\nQGroupBox#filterGroup {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n\r\n/* SelectLinkItems >>> */\r\n/*SelectItemForm - Диалог выбора товара из списка без вложений, напр. сторнирование, список невыкупленных товаров, выберите позицию*/\r\nQDialog#QSelectLinkItemsClass QPushButton {\r\n	border: 1px solid rgb(140, 140, 140);\r\n	border-radius: 8px;\r\n	background: rgb(151, 151, 151);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\nQDialog#QSelectLinkItemsClass QLabel#labelDescr {\r\n	background: rgb(230, 230, 230);\r\n	color: black;\r\n	font-size: 16pt;\r\n}\r\n\r\nQTableView#tableReturnReceipt {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n	alternate-background-color: rgb(232, 232, 255);\r\n	selection-background-color: rgba(13, 165, 165, 100);\r\n	selection-color: black;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QLabel {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n	font-size: 12pt;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QHeaderView {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 8pt;\r\n}\r\n/* <<< SelectLinkItems */\r\n/* <<< диалоги */\r\n\r\n/* фон панелей >>> */\r\nQFrame#UKMGroupBox {\r\n	border: none;\r\n	background: #F3F3F3;\r\n}\r\n/* <<< фон панелей */\r\n\r\n/* пик-лист >>> */\r\nQSplitter#CUKMAutomenuRestaurant QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #424242;\r\n}\r\n\r\nQSplitter#CUKMAutoClassificator QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #424242;\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 14pt;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\n/* ценник на кнопке товара*/\r\nQLabel#AutomenuButtonPriceLabel {\r\n	border: 1px solid rgb(76, 76, 76);\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 8px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 0px;\r\n	background: rgb(76, 76, 76);\r\n	color: white;\r\n	font-size: 12pt;\r\n	padding: 5px;\r\n}\r\nQToolButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: #424242;\r\n	font-size: 12pt;\r\n	margin: 4px;\r\n	padding: 2px;\r\n}\r\nQToolButton QLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: #424242;\r\n	font-size: 12pt;\r\n	margin: 5px;\r\n}\r\n/* <<< пик-лист */\r\n/* - отображение состояния кассы - >>> */\r\nQLabel#CInfoHandler, QLabel#CInformationLabel {\r\n	border-width: 3px;\r\n	border-style: solid;\r\n	border-radius: 8px;\r\n	border-top-color: #808080;	\r\n	border-left-color:  #808080;\r\n	border-right-color: #808080;\r\n	border-bottom-color: transparent;\r\n	background: #808080;\r\n	color: white;\r\n}\r\n/* - отображение состояния кассы - */\r\n\r\n/* - клавиатура и строка ввода - */\r\nQOnScreenKeyboard::title {\r\n	background:  #F3F3F3;\r\n	color: black;\r\n}\r\nQLineEditWithTriads,QLineEditScreenKbd,QLineEditPhone {\r\n	border: 1px solid #979797;\r\n	border-radius: 8px;\r\n	background: white;\r\n/* 	Available since qt 6.5.	\r\n/*	color: black; \r\n/*  placeholder-text-color: #939CA6; */\r\n	font-size: 20pt;\r\n	margin-right: 5px;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog, QDialog#QInputDialogScreenKbd, QOnScreenKeyboard {\r\n	background: #f3f3f3;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n}\r\nQDialog#QInputDialog QLabel, QDialog#QDialogForMaskedInput QLabel, QDialog#QInputDialogScreenKbd QLabel{\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog QPushButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	color: white;\r\n}\r\nQPushButton#QOnScreenButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 16pt;\r\n	color: white;\r\n}\r\nQLayout#QOnScreenKeyboardBtnLayout QPushButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n	background: #979797;\r\n	font-size: 16pt;\r\n	color: white;\r\n}\r\nQPushButton#btnNumpadOk {\r\n	background: #4B5A70;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\nQAbstractButton#btnNumpadBksp {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\nQOnScreenButton#btnNumpadCancel {\r\n	background: #979797;\r\n	border: 1px solid transparent;\r\n	border-radius: 4px;\r\n}\r\n\r\n/* кнопка закрыть (крестик) */\r\nQPushButton#crossBtn { \r\n	border: none;\r\n	background: transparent; \r\n	font-size: 16pt;\r\n} \r\n\r\n/* - клавиатура и строка ввода -*/\r\n\r\n/* текстовая панель чека*/\r\nQTextEdit#QReceiptSnapshot{\r\n	font-size: 16pt;\r\n}\r\n/* - Плиточная панель чека - */\r\n/* заставка при пустом чеке */\r\nQWidget#CReceiptSplashScreen {\r\n	background-color: rgb(236,236,236);\r\n	image: url(:Resources/splash_receipt.png);\r\n	padding: 20%;\r\n}\r\nQLabel#SplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\n\r\nQLabel#ThanksSplashScreenLabel\r\n{\r\n	background-color: rgb(236,236,236);\r\n}\r\n/* заголовок */\r\nQFrame#tiledReceiptHeaderFrame {\r\n	background: #585858;\r\n	border: 1px solid gray;\r\n}\r\n\r\nQLabel#tiledReceiptHeaderLabel {\r\n	background: transparent;     \r\n	border: none; \r\n	color: white;\r\n	font-size: 16pt;\r\n}\r\n\r\nQLabel#tiledReceiptHeaderCard {\r\n	background: transparent;     \r\n	border: none; \r\n	color: white;\r\n	font-size: 12pt;\r\n	padding-left: 7px;\r\n}\r\n\r\n/* итог */\r\nQFrame#tiledReceiptFooterFrame {\r\n	border-width: 1px;\r\n	border-style: solid;\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 0px;\r\n	border-bottom-left-radius: 4px;\r\n	border-bottom-right-radius: 4px;	\r\n	border-top-color: #EDEDED;	\r\n	border-left-color:  transparent;\r\n	border-right-color: transparent;\r\n	border-bottom-color: transparent;\r\n	background: #F3F3F3;\r\n}\r\n\r\nQLabel#tiledReceiptSaleLabel, QLabel#tiledReceiptSumLabel{\r\n	background: transparent;     \r\n	border: none; \r\n	color: #636363;\r\n	font-size: 14pt;\r\n}\r\n\r\nQLabel#tiledReceiptSale, QLabel#tiledReceiptSum{\r\n	background: transparent;     \r\n	border: none; \r\n	color: #282828;\r\n	font-size: 14pt;\r\n	font-weight: bold;\r\n}\r\n\r\nQLabel#tiledReceiptColLabel{\r\n	background: transparent;     \r\n	border: none; \r\n	color: #636363;\r\n	font-size: 14pt;\r\n}\r\n/* плитки товара */\r\nQFrame#tiledReceiptItemTile {\r\n	background-color: white;\r\n	color: #282828;\r\n	font-size: 14pt;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 8px;\r\n	margin-top: 3px;\r\n	margin-left: 7px;\r\n	margin-right: 7px;\r\n	margin-bottom: 4px;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item {\r\n	border: none;\r\n}\r\n\r\nQTableView#tiledReceiptTableWidget::item:selected {\r\n	border: none;\r\n}\r\n\r\nQWidget#tiledReceiptWidget {\r\n	background: transparent;     \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemText {\r\n	background: transparent;     \r\n	border: none; \r\n	color: #282828;\r\n	font-size: 12pt;\r\n	margin-top: 9px;\r\n	margin-bottom: 11px;\r\n	margin-left: 20px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemPrice {\r\n	background: transparent;     \r\n	border: none; \r\n	color: #282828;\r\n	font-size: 12pt;\r\n	font-weight: bold;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptItemDiscountPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: #4CAF50;\r\n	font-size: 12pt;\r\n	font-weight: bold;\r\n	margin-top: 17px;\r\n	margin-right: 19px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptBottomPrice {\r\n	background: transparent; \r\n	border: none; \r\n	color: #777777;\r\n	font-size: 12pt;\r\n	margin-right: 20px;	\r\n	margin-bottom: 15px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QLabel#tiledReceiptWeightItemCount {\r\n	background: transparent;   \r\n	color: #282828;\r\n	font-size: 12pt;\r\n	margin-left: 0px;\r\n	margin-right: 0px;\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptIcrementalButton {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 8px;\r\n	background:  rgb(175,175,175); \r\n	image: url(:/Resources/plus.png);\r\n}\r\n\r\nQWidget#tiledReceiptItemTile QToolButton#tiledReceiptDecrementalButton  {\r\n	min-width: 25px;\r\n	min-height: 22px;\r\n	max-width: 25px;\r\n	max-height: 22px;\r\n	width: 25px;\r\n	height: 25px;\r\n	border: 1px solid rgb(172,172,172);\r\n	border-radius: 8px;\r\n	background: rgb(175,175,175);\r\n	image: url(:/Resources/minus.png);\r\n}\r\n/* - Плиточная панель чека - */\r\n\r\n/* --- интерфейс кассы --- */\r\n\r\n\r\n/* --- стили для дизайнера --- */\r\n\r\n/* галочка*/\r\nQCheckBox{\r\n    spacing: 5px;\r\n}\r\nQCheckBox::indicator {\r\n	border: 1px solid gray;\r\n	background: white;\r\n	width: 13px;\r\n    height: 13px;\r\n}\r\nQCheckBox::indicator:checked {\r\n	image: url(:/Resources/checkmark.png);\r\n}\r\nQCheckBox::indicator:indeterminate {\r\n    background: rgb(155, 155, 155);\r\n}\r\n/* галочка*/\r\n/* полоса прокрутки*/\r\nQScrollBar {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar:vertical {\r\n	width: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-left: 3px;\r\n	margin-right: 3px;\r\n}\r\nQScrollBar::handle:vertical {\r\n	width: 20px;\r\n	min-height: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-top: 15px;\r\n	margin-bottom: 15px;\r\n}\r\nQScrollBar::handle:vertical:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_up_arrow.png);\r\n	subcontrol-position: top;\r\n}\r\nQScrollBar::add-line:vertical {\r\n	height: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_down_arrow.png);\r\n	subcontrol-position: bottom;\r\n}\r\nQScrollBar::sub-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-line:vertical:hover {\r\n	background: rgb(205, 205, 205);\r\n}\r\nQScrollBar::add-page:vertical, QScrollBar::sub-page:vertical {\r\n	background: none;\r\n}\r\nQScrollBar#verticalScrollBar:vertical {\r\n	margin-top: 30px;\r\n}\r\n\r\nQScrollBar:horizontal {\r\n	height: 20px;\r\n	background: rgb(240, 240, 240);\r\n	margin-top: 3px;\r\n	margin-bottom: 3px;\r\n}\r\nQScrollBar::handle:horizontal {\r\n	height: 20px;\r\n	min-width: 30px;\r\n	background: rgb(205, 205, 205);\r\n	margin-left: 15px;\r\n	margin-right: 15px;\r\n}\r\nQScrollBar::handle:horizontal:hover {\r\n	background: rgb(175, 175, 175);\r\n}\r\nQScrollBar::sub-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_left_arrow.png);\r\n	subcontrol-position: left;\r\n}\r\nQScrollBar::add-line:horizontal {\r\n	width: 15px;\r\n	background: rgb(240, 240, 240);\r\n    image: url(:/Resources/btn_right_arrow.png);\r\n	subcontrol-position: right;\r\n}\r\nQScrollBar::sub-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-line:horizontal:hover {\r\n	background: rgb(240, 240, 240);\r\n}\r\nQScrollBar::add-page:horizontal,QScrollBar::sub-page:horizontal {\r\n	  background: none;\r\n}\r\n/* полоса прокрутки*/\r\n/* Выпадающий список */\r\nQComboBox QAbstractItemView {\r\n   	background: transparent;\r\n	color: black;\r\n    selection-background-color: rgba(13, 165, 165, 100);\r\n	alternate-background-color: rgb(231, 231, 231);\r\n	selection-color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item:selected:active {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\n\r\nQComboBox QAbstractItemView::item::hover {\r\n	background: rgba(13, 165, 165, 100);\r\n	color: black;\r\n}\r\nQComboBox QAbstractItemView::item:alternate {\r\n	background: rgb(231, 231, 231);\r\n	color: black;\r\n}\r\n\r\nQComboBox {\r\n	border: 1px solid gray;\r\n	border-radius: 3px;\r\n	padding: 1px 18px 1px 3px;\r\n}\r\n\r\nQComboBox:editable {\r\n	background: white;\r\n}\r\n\r\nQComboBox:!editable, QComboBox::drop-down:editable {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							  stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							  stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n}\r\n\r\n /* QComboBox gets the \"on\" state when the popup is open */\r\nQComboBox:!editable:on, QComboBox::drop-down:editable:on {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n                                 stop: 0 #D3D3D3, stop: 0.4 #D8D8D8,\r\n                                 stop: 0.5 #DDDDDD, stop: 1.0 #E1E1E1);\r\n}\r\n\r\nQComboBox:on { /* shift the text when the popup opens */\r\n	padding-top: 3px;\r\n	padding-left: 4px;\r\n}\r\n\r\nQComboBox::drop-down {\r\n	subcontrol-origin: padding;\r\n	subcontrol-position: top right;\r\n	width: 15px;\r\n\r\n	border-left-width: 1px;\r\n	border-left-color: darkgray;\r\n	border-left-style: solid; /* just a single line */\r\n	border-top-right-radius: 3px; /* same radius as the QComboBox */\r\n	border-bottom-right-radius: 3px;\r\n}\r\n\r\nQComboBox::down-arrow {\r\n	image: url(:/Resources/tool_btn_down_arrow.png);\r\n}\r\n\r\nQComboBox::down-arrow:on { /* shift the arrow when popup is open */\r\n	top: 1px;\r\n	left: 1px;\r\n}\r\n/* виджет со вкладками */\r\nQTabWidget::pane { \r\n	border-top: 2px solid #C2C7CB;\r\n}\r\nQTabBar::tab {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n							 stop: 0 #E1E1E1, stop: 0.4 #DDDDDD,\r\n							 stop: 0.5 #D8D8D8, stop: 1.0 #D3D3D3);\r\n	border: 2px solid #C4C4C3;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	border-top-left-radius: 4px;\r\n	border-top-right-radius: 4px;\r\n	min-width: 8ex;\r\n	padding: 2px;\r\n	background-color: rgb(161, 161, 161);\r\n	color: white;\r\n}\r\nQTabBar::tab:focus {\r\n	border-color: rgba(76, 76, 76, 100);\r\n}\r\nQTabBar::tab:selected, QTabBar::tab:hover {\r\n	background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1,\r\n						 stop: 0 #fafafa, stop: 0.4 #f4f4f4,\r\n						 stop: 0.5 #e7e7e7, stop: 1.0 #fafafa);\r\n}\r\nQTabBar::tab:selected {\r\n	border-color: transparent;\r\n	border-bottom-color: #C2C7CB; /* такой же цвет как у панели */\r\n	background: solid #C2C7CB; \r\n}\r\nQTabBar::tab:!selected {\r\n	margin-top: 2px; /* делаем невыбранные вкладки меньше */\r\n}\r\n/* виджет со вкладками */','3.lillo2024.style.qss',1,0);
REPLACE INTO trm_in_lillo_style VALUES (0,4,'/* --- интерфейс кассы --- */\r\nQDialog#CUKMControlHandlerWindow {\r\n background: #F4F3FC; \r\n}\r\n/* --- диалоги --- */\r\n\r\n/* диалог Сообщения кассиру (инфо\\предупреждение\\вопрос\\пакеты\\сканирование)>>> */\r\n\r\nQDialog#InformationDialog { \r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\nQFrame#InformationFrame {\r\n	border: 1px solid white;\r\n	border-radius: 25px;\r\n	background: white;\r\n}\r\nQLabel#InformationIconLabel {\r\n	border: none;\r\n	background: transparent;\r\n}\r\nQLabel#InformationIconLabel_CardTerminal {\r\n	border: none;\r\n	background: transparent;\r\n	qproperty-pixmapPath: url(:Resources/bigicon-cart-terminal.png);\r\n}\r\nQLabel#InformationTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 34px;\r\n}\r\nQLabel#InformationTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	text-align: top center;\r\n	font-size: 32px;\r\n}\r\n\r\n/* кнопки да\\отмена\\выход\\ */\r\nQToolButton#FullSizeOkButton {\r\n	border: 1px solid transparent; \r\n	border-radius: 25px; \r\n	background: #FF78B2; \r\n	color: white;  \r\n	font-size: 32px;\r\n} \r\n\r\nQToolButton#FullSizeCancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 25px; \r\n	background: #f5f5f5; \r\n	color: black; \r\n	font-size: 32px;\r\n} \r\n\r\nQToolButton#FullSizeBottomButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 25px; \r\n	background: white; \r\n	color: black; \r\n	font-size: 32px;\r\n} \r\n\r\n/* Диалог мультивыбора с кнопками >>> */\r\nQDialog#QBrowseMultipurposeBtnClass { \r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\n/* область прокрутки */\r\nQDialog#QBrowseMultipurposeBtnClass QScrollArea QWidget {\r\n	background-color: white;\r\n}\r\n/*кнопки прокрутки V ^ */\r\nQPushButton#BrowseMultipurposeBtnScroll {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n/* скролл бар*/\r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::handle:vertical {\r\n	border: 1px solid #f3f3f3; \r\n	border-radius: 5px; \r\n	background-color: #f3f3f3; \r\n	min-height: 25px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/*кнопка в диалоге с выбором способа ввода*/\r\nQDialog#QBrowseMultipurposeBtnClass QToolButton#InputButton {\r\n	border: 1px solid #FF78B2; \r\n	border-radius: 25px; \r\n	background: #FF78B2; \r\n	color: white;  \r\n	font-size: 32px;\r\n}\r\n/* обычные кнопки*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 25px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect:focus {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 25px;\r\n	background-color: #FF78B2;\r\n	color: white;\r\n	font-size: 32px;\r\n}\r\n/*тип печати чека*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnBig {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 25px;\r\n	background-color: #FF78B2;	\r\n}\r\nQPushButton#btnBig QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 76px;\r\n	qproperty-alignment: AlignLeft;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSmall {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 25px;\r\n	background: #f5f5f5;\r\n}\r\nQPushButton#btnSmall QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 34px;	\r\n	padding-left: 11px;\r\n	qproperty-alignment: AlignLeft;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: left;\r\n	font-size: 98px;\r\n	font-weight: bold;	\r\n	qproperty-alignment: AlignLeft;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: left;\r\n	font-size: 98px;\r\n	font-style: italic;\r\n	padding-right: 100px;\r\n	qproperty-alignment: AlignLeft;\r\n}\r\n/* \"кнопки\" для диалога с товарами и +- */\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 25px;\r\n	background: #f5f5f5;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect:focus {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 25px;\r\n	background-color: #FF78B2;\r\n	color: white;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonPriceLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n\r\n/* спин-бокс в диалоге с товарами */\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox:focus  {\r\n	border: 1px solid white;\r\n	border-radius: 15px;\r\n	background: white;\r\n    selection-background-color: #F4F3FC;	\r\n    selection-color: rgb(76, 76, 76);\r\n	color: rgb(76, 76, 76);\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox {\r\n	border: 1px solid white;\r\n	border-radius: 15px;\r\n	background: white;\r\n    selection-background-color: #F4F3FC;	\r\n    selection-color: rgb(76, 76, 76);\r\n	color: rgb(76, 76, 76);\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 32px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: right;\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: left;\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-arrow {\r\n	image: url(:/Resources/plus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-arrow {\r\n	image: url(:/Resources/minus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n/* <<< Диалог мультивыбора с кнопками */\r\n\r\n/* QBrowseMultipurpose (legacy)>>> */\r\nQBrowseMultipurpose, QDialog#QBrowseMultipurposeClass, QDialog#QBrowseMultipurpose {\r\n	border: 1px solid transparent;\r\n	background: white;\r\n	border-radius: 15px;\r\n	color: black;\r\n}\r\nQDialog#QBrowseMultipurposeClass QPushButton {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 15px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 32px;\r\n	margin: 5px;\r\n	padding: 2px;\r\n}\r\n/* <<< QBrowseMultipurpose */\r\n\r\n/* служебные диалоги, не видны покупателю на киоске */\r\n\r\n/*MessageDialog*/\r\nQFrame#MessageFrame {\r\n	border: 1px solid transparent;\r\n	background: #F4F3FC;\r\n	color: black;\r\n}\r\nQLabel#MessageLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*LargeMsgBox, QBarcodeSelectItemClass, SelectItemForm, QInputMSRDialogClass*/\r\nQDialog#LargeMsgBox, \r\nQDialog#QBarcodeSelectItemClass, \r\nQDialog#SelectItemForm, \r\nQDialog#QInputMSRDialogClass {\r\n	border: 1px solid transparent;\r\n	background: #F4F3FC;\r\n	color: black;\r\n}\r\nQDialog#QInputMSRDialogClass QLabel,\r\nQLabel#labelDescr, \r\nQLabel#ItemNameLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\nQGroupBox#filterGroup {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*CFullSizeLargeMsgBoxContents*/\r\nQTextEdit#CFullSizeLargeMsgBoxContents {\r\n	border: 1px solid #F4F3FC;\r\n	border-radius: 25px;\r\n	background: #F4F3FC;\r\n	color: black;\r\n	font-size: 32px;\r\n	padding-left: 10px;\r\n}\r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::handle:vertical {\r\n	border: 1px solid #f3f3f3; \r\n	border-radius: 5px; \r\n	background-color: #f3f3f3; \r\n	min-height: 25px;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n\r\n/* SelectLinkItems >>> */\r\n/*SelectItemForm - Диалог выбора товара из списка без вложений, напр. сторнирование, список невыкупленных товаров, выберите позицию*/\r\nQDialog#QSelectLinkItemsClass QPushButton {\r\n	border: 1px solid #F4F3FC;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n\r\nQTableView#tableReturnReceipt {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 32px;\r\n	alternate-background-color: rgb(232, 232, 255);\r\n	selection-background-color: rgba(13, 165, 165, 100);\r\n	selection-color: black;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QLabel {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QHeaderView {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 32px;\r\n}\r\n/* <<< SelectLinkItems */\r\n/* <<< диалоги */\r\n\r\n/* пик-лист >>> */\r\n\r\nQSplitter#CUKMAutomenuRestaurant QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\n\r\nQSplitter#CUKMAutoClassificator QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 32px;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\n\r\n/* ценник на кнопке товара*/\r\nQLabel#AutomenuButtonPriceLabel {\r\n	border: 1px solid rgb(76, 76, 76);\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 8px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 0px;\r\n	background: #F4F3FC;\r\n	color: black;\r\n	font-size: 12pt;\r\n	padding: 5px;\r\n}\r\nQToolButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 28pt;\r\n	margin: 4px;\r\n	padding: 2px;\r\n}\r\nQToolButton QLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 28pt;\r\n	margin: 5px;\r\n}\r\n/* <<< пик-лист */\r\n\r\n/* - клавиатура и строка ввода - */\r\nQOnScreenKeyboard::title {\r\n	background:  #F4F3FC;\r\n	color: black;\r\n}\r\nQLineEditWithTriads,QLineEditScreenKbd,QLineEditPhone {\r\n	border: 1px solid transparent;\r\n	border-radius: 15px;\r\n	background: #f5f5f5;\r\n/* 	Available since qt 6.5.	\r\n/*	color: black; \r\n/*  placeholder-text-color: #939CA6; */\r\n	font-size: 32px;\r\n	margin-left: 5px;\r\n	margin-right: 5px;\r\n	padding-left: 64px;\r\n	padding-right: 64px;/*отступ текста от кнопки backspace*/\r\n	qproperty-paddingRight: 32; /*отступ для кнопки backspace*/	\r\n	qproperty-alignment: AlignCenter;\r\n}\r\nQDialog#QInputDialog, QDialog#QInputDialogScreenKbd, QOnScreenKeyboard {\r\n	background: #F4F3FC;\r\n	border: 1px solid transparent;\r\n	border-radius: 15px;\r\n	color: black;\r\n}\r\nQDialog#QInputDialog QLabel, QDialog#QDialogForMaskedInput QLabel, QDialog#QInputDialogScreenKbd QLabel{\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog QPushButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n}\r\nQPushButton#QOnScreenButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	font-size: 32px;\r\n	color: black;\r\n}\r\nQLayout#QOnScreenKeyboardBtnLayout QPushButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	font-size: 32px;\r\n	color: black;\r\n}\r\nQPushButton#btnNumpadOk {\r\n	background: #FF78B2;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: white;\r\n}\r\n\r\nQAbstractButton#btnNumpadBksp {\r\n	background: #f5f5f5;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n\r\nQOnScreenButton#btnNumpadCancel {\r\n	background: white;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n/* кнопка закрыть (крестик) используется на клавиатуре */\r\nQPushButton#crossBtn { \r\n	border: none;\r\n	background: transparent; \r\n	font-size: 22px;\r\n} \r\n\r\n/* - клавиатура и строка ввода -*/\r\n\r\n\r\n/* + Корзина товаров + */\r\n\r\nQLabel#addPacketTextLabel,\r\nQToolButton#addPacketButton,\r\nQTableWidget#BasketTableWidget {\r\n	font: 75 6pt \"RF Dewi\";\r\n}\r\n\r\n/* - Корзина товаров - */\r\n\r\n\r\n/* --- интерфейс кассы --- */','4.bestie.style.qss',1,0);
REPLACE INTO trm_in_lillo_style VALUES (0,5,'/* --- интерфейс кассы --- */\r\nQDialog#CUKMControlHandlerWindow {\r\n background: #F4F3FC; \r\n}\r\n/* --- диалоги --- */\r\n\r\n/* диалог Сообщения кассиру (инфо\\предупреждение\\вопрос\\пакеты\\сканирование)>>> */\r\n\r\nQDialog#InformationDialog { \r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\nQFrame#InformationFrame {\r\n	border: 1px solid white;\r\n	border-radius: 15px;\r\n	background: white;\r\n}\r\nQLabel#InformationIconLabel {\r\n	border: none;\r\n	background: transparent;\r\n}\r\nQLabel#InformationIconLabel_CardTerminal {\r\n	border: none;\r\n	background: transparent;\r\n	qproperty-pixmapPath: url(:Resources/bigicon-cart-terminal.png);\r\n}\r\nQLabel#InformationTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: center;\r\n	font-size: 22px;\r\n}\r\nQLabel#InformationTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: rgb(99, 99, 99);\r\n	text-align: top center;\r\n	font-size: 22px;\r\n}\r\n\r\n/* кнопки да\\отмена\\выход\\ */\r\nQToolButton#FullSizeOkButton {\r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #FF78B2; \r\n	color: white;  \r\n	font-size: 22px;\r\n} \r\n\r\nQToolButton#FullSizeCancelButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 8px; \r\n	background: #f5f5f5; \r\n	color: black; \r\n	font-size: 22px;\r\n} \r\n\r\nQToolButton#FullSizeBottomButton { \r\n	border: 1px solid transparent; \r\n	border-radius: 10px; \r\n	background: white; \r\n	color: black; \r\n	font-size: 22px;\r\n} \r\n\r\n/* Диалог мультивыбора с кнопками >>> */\r\nQDialog#QBrowseMultipurposeBtnClass { \r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\n/* область прокрутки */\r\nQDialog#QBrowseMultipurposeBtnClass QScrollArea QWidget {\r\n	background-color: white;\r\n}\r\n/*кнопки прокрутки V ^ */\r\nQPushButton#BrowseMultipurposeBtnScroll {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n/* скролл бар*/\r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::handle:vertical {\r\n	border: 1px solid #f3f3f3; \r\n	border-radius: 5px; \r\n	background-color: #f3f3f3; \r\n	min-height: 25px;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQDialog#QBrowseMultipurposeBtnClass QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/*кнопка в диалоге с выбором способа ввода*/\r\nQDialog#QBrowseMultipurposeBtnClass QToolButton#InputButton {\r\n	border: 1px solid #FF78B2; \r\n	border-radius: 8px; \r\n	background: #FF78B2; \r\n	color: white;  \r\n	font-size: 22px;\r\n}\r\n/* обычные кнопки*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSelect:focus {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 8px;\r\n	background-color: #FF78B2;\r\n	color: white;\r\n	font-size: 22px;\r\n}\r\n/*тип печати чека*/\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnBig {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 8px;\r\n	background-color: #FF78B2;\r\n}\r\nQPushButton#btnBig QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: white;\r\n	font-size: 34px;\r\n	padding-left: 11px;\r\n	padding-right: 150px;\r\n	qproperty-alignment: AlignLeft;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QPushButton#btnSmall {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;	\r\n}\r\nQPushButton#btnSmall QLabel#BrowseMultipurposeBtnLabel {	\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 22px;\r\n	text-align: left;	\r\n	padding-left: 11px;\r\n	qproperty-alignment: AlignLeft;\r\n	qproperty-wordWrap: true;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTitleLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: left;\r\n	font-size: 42px;\r\n	font-weight: bold;	\r\n	qproperty-alignment: AlignLeft;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#StyledTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	text-align: left;\r\n	font-size: 42px;\r\n	font-style: italic;\r\n	padding-right: 150px;\r\n	qproperty-alignment: AlignLeft;\r\n}\r\n/* \"кнопки\" для диалога с товарами и +- */\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect{\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QFrame#btnSelect:focus {\r\n	border: 1px solid #FF78B2;\r\n	border-radius: 8px;\r\n	background-color: #FF78B2;\r\n	color: white;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonTextLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QLabel#QBrowseItemsButtonPriceLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n\r\n/* спин-бокс в диалоге с товарами */\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox:focus  {\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: #F4F3FC;	\r\n    selection-color: rgb(76, 76, 76);\r\n	color: rgb(76, 76, 76);\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox {\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n    selection-background-color: #F4F3FC;	\r\n    selection-color: rgb(76, 76, 76);\r\n	color: rgb(76, 76, 76);\r\n	qproperty-alignment: AlignCenter;	\r\n	font-size: 22px;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: right;\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-button {\r\n	subcontrol-origin: border;\r\n	subcontrol-position: left;\r\n	border: 1px solid white;\r\n	border-radius: 8px;\r\n	background: white;\r\n	width: 4em;\r\n	height: 4em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::up-arrow {\r\n	image: url(:/Resources/plus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n\r\nQDialog#QBrowseMultipurposeBtnClass QSpinBox#QBrowseItemsButtonPriceSpinBox::down-arrow {\r\n	image: url(:/Resources/minus-black.png);\r\n	width: 1em;\r\n	height: 1em;\r\n}\r\n/* <<< Диалог мультивыбора с кнопками */\r\n\r\n/* QBrowseMultipurpose (legacy)>>> */\r\nQBrowseMultipurpose, QDialog#QBrowseMultipurposeClass, QDialog#QBrowseMultipurpose {\r\n	border: 1px solid transparent;\r\n	background: white;\r\n	border-radius: 25px;\r\n	color: black;\r\n}\r\nQDialog#QBrowseMultipurposeClass QPushButton {\r\n	border: 1px solid #f5f5f5;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n/* <<< QBrowseMultipurpose */\r\n\r\n/* служебные диалоги, не видны покупателю на киоске */\r\n\r\n/*MessageDialog*/\r\nQFrame#MessageFrame {\r\n	border: 1px solid transparent;\r\n	background: #F4F3FC;\r\n	color: black;\r\n}\r\nQLabel#MessageLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*LargeMsgBox, QBarcodeSelectItemClass, SelectItemForm, QInputMSRDialogClass*/\r\nQDialog#LargeMsgBox, \r\nQDialog#QBarcodeSelectItemClass, \r\nQDialog#SelectItemForm, \r\nQDialog#QInputMSRDialogClass {\r\n	border: 1px solid transparent;\r\n	background: #F4F3FC;\r\n	color: black;\r\n}\r\nQDialog#QInputMSRDialogClass QLabel,\r\nQLabel#labelDescr, \r\nQLabel#ItemNameLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\nQGroupBox#filterGroup {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n}\r\n/*CFullSizeLargeMsgBoxContents*/\r\nQTextEdit#CFullSizeLargeMsgBoxContents {\r\n	border: 1px solid #F4F3FC;\r\n	border-radius: 25px;\r\n	background: #F4F3FC;\r\n	color: black;\r\n	font-size: 26px;\r\n	padding-left: 10px;\r\n}\r\n/* скролл бар*/\r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar:vertical {\r\n	border: 1px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	width: 20px;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::handle:vertical {\r\n	border: 1px solid #f3f3f3; \r\n	border-radius: 5px; \r\n	background-color: #f3f3f3; \r\n	min-height: 25px;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::add-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: bottom; \r\n	subcontrol-origin: margin;\r\n} \r\nQTextEdit#CFullSizeLargeMsgBoxContents QScrollBar::sub-line:vertical {\r\n	border: 2px solid white; \r\n	border-radius: 3px; \r\n	background-color: white; \r\n	height: 25px; \r\n	subcontrol-position: top; \r\n	subcontrol-origin: margin;\r\n} \r\n/* SelectLinkItems >>> */\r\n/*SelectItemForm - Диалог выбора товара из списка без вложений, напр. сторнирование, список невыкупленных товаров, выберите позицию*/\r\nQDialog#QSelectLinkItemsClass QPushButton {\r\n	border: 1px solid #F4F3FC;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n\r\nQTableView#tableReturnReceipt {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 22px;\r\n	alternate-background-color: rgb(232, 232, 255);\r\n	selection-background-color: rgba(13, 165, 165, 100);\r\n	selection-color: black;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QLabel {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n\r\nQTableWidget#tableReturnReceipt QHeaderView {\r\n	border: 1px solid transparent;\r\n	border-radius: 25px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 22px;\r\n}\r\n/* <<< SelectLinkItems */\r\n/* <<< диалоги */\r\n\r\n/* пик-лист >>> */\r\n\r\nQSplitter#CUKMAutomenuRestaurant QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\n\r\nQSplitter#CUKMAutoClassificator QFrame#CUKMAutomenuPanel{\r\n	border: none;\r\n	background: #F4F3FC;\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 14pt;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\nCUKMAutomenuPushButton {\r\n	font-size: 22px;\r\n	text-align: center;	\r\n	margin: 0px;\r\n	padding: 0px;\r\n	image-position: center;\r\n}\r\n/* ценник на кнопке товара*/\r\nQLabel#AutomenuButtonPriceLabel {\r\n	border: 1px solid rgb(76, 76, 76);\r\n	border-top-left-radius: 0px;\r\n	border-top-right-radius: 8px;\r\n	border-bottom-left-radius: 8px;\r\n	border-bottom-right-radius: 0px;\r\n	background: #F4F3FC;\r\n	color: black;\r\n	font-size: 12pt;\r\n	padding: 5px;\r\n}\r\nQToolButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: white;\r\n	color: black;\r\n	font-size: 12pt;\r\n	margin: 4px;\r\n	padding: 2px;\r\n}\r\nQToolButton QLabel {\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	font-size: 12pt;\r\n	margin: 5px;\r\n}\r\n/* <<< пик-лист */\r\n\r\n/* - клавиатура и строка ввода - */\r\nQOnScreenKeyboard::title {\r\n	background:  #F4F3FC;\r\n	color: black;\r\n}\r\nQLineEditWithTriads,QLineEditScreenKbd,QLineEditPhone {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n/*  Available since qt 6.5.	\r\n/*	color: black; \r\n/*  placeholder-text-color: #939CA6; */\r\n	font-size: 22px;\r\n	margin-left: 5px;\r\n	margin-right: 5px;\r\n	padding-left: 22px;\r\n	padding-right: 22px;/*отступ текста от кнопки backspace*/\r\n	qproperty-paddingRight: 11; /*отступ для кнопки backspace*/\r\n	qproperty-alignment: AlignCenter;\r\n}\r\nQDialog#QInputDialog, QDialog#QInputDialogScreenKbd, QOnScreenKeyboard {\r\n	background: #F4F3FC;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: black;\r\n}\r\nQDialog#QInputDialog QLabel, QDialog#QDialogForMaskedInput QLabel, QDialog#QInputDialogScreenKbd QLabel{\r\n	border: none;\r\n	background: transparent;\r\n	color: black;\r\n	margin-left: 5px;\r\n}\r\nQDialog#QInputDialog QPushButton {\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	color: black;\r\n}\r\nQPushButton#QOnScreenButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	font-size: 22px;\r\n	color: black;\r\n}\r\nQLayout#QOnScreenKeyboardBtnLayout QPushButton { \r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	background: #f5f5f5;\r\n	font-size: 22px;\r\n	color: black;\r\n}\r\nQPushButton#btnNumpadOk {\r\n	background: #FF78B2;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n	color: white;\r\n}\r\n\r\nQAbstractButton#btnNumpadBksp {\r\n	background: #f5f5f5;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n\r\nQOnScreenButton#btnNumpadCancel {\r\n	background: white;\r\n	border: 1px solid transparent;\r\n	border-radius: 8px;\r\n}\r\n/* кнопка закрыть (крестик) используется на клавиатуре */\r\nQPushButton#crossBtn { \r\n	border: none;\r\n	background: transparent; \r\n	font-size: 22px;\r\n} \r\n\r\n/* - клавиатура и строка ввода -*/\r\n\r\n/* --- интерфейс кассы --- */','5.mini.4.bestie.style.qss',1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'account.lua','--Информация о счетах клиента\r\n\r\nfunction print_client_info(__client, __width)\r\n    local text = \"\";\r\n    text = text .. ukm.leftpad(\" -\", __width, \" -\") .. \"\\n\";\r\n    text = text .. ukm.slice(\"Ид.клиента:\" .. __client.client_id, __width).. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Фамилия:\", __client.client_surname, __width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Имя:\", __client.client_name, __width, \" \") .. \"\\n\";\r\n    if __client.client_patronymic ~= nil then \r\n       text = text .. ukm.adjustment(\"Отчество:\", __client.client_patronymic:get(), __width, \" \") .. \"\\n\";\r\n    end\r\n    return text;\r\nend\r\n\r\nfunction print_certificate_info(__certificate, __width)\r\n    local text = \"\";\r\n    text = text .. ukm.leftpad(\" -\", __width, \" -\") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Номер ПС/ПК:\",  __certificate.number, __width,\" \").. \"\\n\";\r\n    return text;\r\nend\r\n\r\nfunction print_info_header(__width)\r\n    local text = \"\";\r\n    text = text .. ukm.adjustment( \"ОПР:\" .. ukm.left(ukm.get_login().name,__width-19), ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n    return text;\r\nend\r\n\r\nfunction print_account_info(__info,__width)\r\n  \r\n   local text = \"\";\r\n   text = text .. ukm.rightpad(\"-\",__width,\"-\") .. \"\\n\";\r\n   text = text .. ukm.center(\"БАЛАНС\",__width,\" \") .. \"\\n\";\r\n   local account = ukm.map.string.currency.iterator(__info.account_info);\r\n   while account:next() do\r\n	  text = text .. ukm.adjustment(account:first(), tostring(account:second()),__width,\" \") .. \"\\n\";\r\n   end\r\n   return text;\r\n	\r\nend\r\n\r\nfunction print_account_journal(__journal,__width)\r\n   local text = \"\";\r\n   text = text .. ukm.rightpad(\"-\",__width,\"-\") .. \"\\n\";\r\n   text = text .. ukm.center(\"ВЫПИСКА\",__width,\" \") .. \"\\n\";       \r\n   text = text .. ukm.center(ukm.ptime2str(__journal.start_date, \"%d/%m/%Y %H:%M\") .. \" - \" .. ukm.ptime2str(__journal.end_date, \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n   text = text .. ukm.rightpad(\"-\",__width,\"-\") .. \"\\n\";\r\n   text = text .. ukm.leftpad(ukm.adjustment(\"Сумма\", \"Остаток\",__width-20,\" \"),__width,\" \") .. \"\\n\";\r\n   local journals = ukm.map.key.struct_account_journal.iterator(__journal.account_journal);\r\n   while journals:next() do\r\n	  text = text .. ukm.rightpad(\"СЧЕТ: \" .. journals:first(), __width,\" \") .. \"\\n\";\r\n	  if journals:second().close_date ~= nil then\r\n		 text = text .. ukm.rightpad(\"  Действителен до \" .. ukm.ptime2str(journals:second().close_date, \"%d/%m/%Y %H:%M\"), __width,\" \") .. \"\\n\";\r\n	  end\r\n	  text = text .. ukm.leftpad(\" Входящий остаток: \" .. tostring(journals:second().start_balance),__width,\" \") .. \"\\n\";\r\n	  local start_balance = journals:second().start_balance;\r\n	  local sum_oper = ukm.currency(0);\r\n	  for i = 0, journals:second().journal_vec:size() - 1 do\r\n		  local operation = journals:second().journal_vec:at(i);\r\n		  text = text .. ukm.rightpad(\" \" .. ukm.ptime2str(operation.operation_date, \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n		  text = text .. ukm.adjustment(ukm.adjustment(\" \" .. operation.operName .. \" \" .. tostring(operation.sourceName),tostring(operation.amount),__width-14,\" \"), tostring(operation.balance),__width,\" \") .. \"\\n\";\r\n		  sum_oper = sum_oper + operation.amount;\r\n	  end\r\n	  text = text .. ukm.adjustment(ukm.adjustment(\" Итого за период: \",tostring(sum_oper),__width-14,\" \"), tostring(start_balance + sum_oper),__width,\" \") .. \"\\n\";\r\n   end\r\n   return text;\r\nend\r\n\r\nfunction print_client_account_info(__client_info,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. print_info_header(width);\r\n       text = text .. print_client_info(__client_info, width);\r\n       text = text .. print_account_info(__client_info, width);\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_client_account_journal(__client_journal,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. print_info_header(width);\r\n       text = text .. print_client_info(__client_journal, width);\r\n       text = text .. print_account_journal(__client_journal, width);\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_certificate_account_info(__certificate_info,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. print_info_header(width);\r\n       text = text .. print_certificate_info(__certificate_info, width);\r\n       text = text .. print_account_info(__certificate_info, width);\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_certificate_account_journal(__certificate_journal,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. print_info_header(width);\r\n       text = text .. print_certificate_info(__certificate_journal, width);\r\n       text = text .. print_account_journal(__certificate_journal, width);\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'bp_reports.lua','function opt(__o)\r\n  local r = \"\";\r\n  if __o ~= nil then\r\n    r = __o:get();\r\n  end\r\n  return r;\r\nend\r\n\r\nfunction printPass(__printer, __record, __store_name, __login)\r\n __printer:set_portrait_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n local column_width = 2*width / 5;\r\n local margin = width / 5;\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\");\r\n\r\n local gateNum = \"\";\r\n if __record.gate ~= nil then\r\n   gateNum = __record.gate:get();\r\n end\r\n\r\n local barcode = \"\";\r\n if __record.barcode ~= nil then\r\n   barcode = __record.barcode:get();\r\n end\r\n\r\n local supplier_transport = \"\";\r\n if __record.supplier_transport ~= nil then\r\n   supplier_transport= __record.supplier_transport:get();\r\n end\r\n \r\n local pallet_count = \"\"\r\n if __record.plan_pallet_count ~= nil then\r\n   pallet_count = tostring(__record.plan_pallet_count:get())\r\n end\r\n\r\n local agent = \"\"\r\n if __record.agent ~= nil then\r\n   agent = tostring(__record.agent:get())\r\n end\r\n\r\n local reason_number = \"\"\r\n if __record.reason_number ~= nil then\r\n   reason_number = tostring(__record.reason_number:get())\r\n end\r\n\r\n local doc_number = __record:get_doc_number();\r\n\r\n __printer:line(ukm.adjustment( \"┌\" .. ukm.center(\"\", column_width - 2, \"---────\") .. \"┐\", \"┌\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┐\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.centeralign(ukm.left(__store_name,column_width - 2), column_width - 2, \" \") .. \"│\", \"│\" .. ukm.centeralign(__login, column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.centeralign(ukm.mid(__store_name,column_width - 2,column_width - 2), column_width - 2, \" \") .. \"│\", \"│\" .. ukm.centeralign(dateTime, column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", width, \" \"));\r\n __printer:new_line(); __printer:new_line();\r\n __printer:set_font(\"Lucida Console\", 24, false);\r\n width = __printer:width();\r\n __printer:new_line(); __printer:new_line();\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line( ukm.center(\"Пропуск на разгрузку\", width, \" \") );\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n width = __printer:width();\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line( ukm.center(\"┌\" .. ukm.center(\"\", width - margin * 2 - 2, \"─\") .. \"┐\", width, \" \") );\r\n __printer:line( ukm.center(\"│\" .. ukm.center(\"\", width - margin * 2 - 2, \" \") .. \"│\", width, \" \") );\r\n __printer:line( ukm.center(\"│\" .. ukm.center(\"\", width - margin * 2 - 2, \" \") .. \"│\", width, \" \") );\r\n __printer:line( ukm.center(\"│\" .. ukm.centeralign(\"Заказ: \" .. reason_number .. \" Поставка: \" .. doc_number, width - margin * 2 - 2, \" \") .. \"│\", width, \" \") );\r\n __printer:line( ukm.center(\"│\" .. ukm.center(\"\", width - margin * 2 - 2, \" \") .. \"│\", width, \" \") );\r\n __printer:line( ukm.center(\"│\" .. ukm.center(\"\", width - margin * 2 - 2, \" \") .. \"│\", width, \" \") );\r\n __printer:line( ukm.center(\"└\" .. ukm.center(\"\", width - margin * 2 - 2, \"─\") .. \"┘\", width, \" \") );\r\n __printer:new_line(); __printer:new_line();\r\n\r\n if barcode ~= \"\" then\r\n   __printer:code_128(barcode, 0.05);\r\n end\r\n\r\n __printer:new_line(); __printer:new_line();\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.adjustment( ukm.center(\"Номер ворот\", column_width , \" \"), ukm.center(\"Номер машины\", column_width, \" \"), width, \" \"));\r\n __printer:new_line(); __printer:new_line();\r\n __printer:set_font(\"Courier New\", 24, false);\r\n width = __printer:width();\r\n column_width = 2 * width / 5;\r\n __printer:line(ukm.adjustment( \"┌\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┐\", \"┌\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┐\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.centeralign(tostring(gateNum), column_width - 2, \" \") .. \"│\", \"│\" .. ukm.centeralign(supplier_transport, column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", width, \" \"));\r\n\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n width = __printer:width();\r\n column_width = 2 * width / 5;\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.adjustment( ukm.center(\"Количество паллет\", column_width , \" \"), ukm.center(\"Экспедитор\", column_width, \" \"), width, \" \"));\r\n __printer:set_font(\"Courier New\", 18, false);\r\n __printer:new_line(); __printer:new_line();\r\n width = __printer:width();\r\n column_width = 2 * width / 5;\r\n\r\n local agent_1,agent_2\r\n if ukm.str_len(agent) > column_width - 2 then\r\n  agent_1 = ukm.left(agent, column_width - 2)\r\n  agent_2 = ukm.mid(agent, column_width - 2,column_width - 2)\r\n else\r\n  agent_1 = agent\r\n  agent_2 = \"\"\r\n end\r\n\r\n __printer:line(ukm.adjustment( \"┌\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┐\", \"┌\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┐\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.centeralign(pallet_count, column_width - 2, \" \") .. \"│\", \"│\" .. ukm.centeralign(agent_1, column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.centeralign(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.centeralign(agent_2, column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", \"│\" .. ukm.center(\"\", column_width - 2, \" \") .. \"│\", width, \" \"));\r\n __printer:line(ukm.adjustment( \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", \"└\" .. ukm.center(\"\", column_width - 2, \"─\") .. \"┘\", width, \" \"));\r\nend\r\n\r\nfunction printFirstDelivery(__printer, __record, __store_name, __login)\r\n	__printer:set_landscape_orientation();\r\n	local date = ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y\");\r\n	local time = ukm.ptime2str(ukm.get_sys_date(), \"%H:%M:%S\");\r\n	local invoice_number = \"\";\r\n	if __record.invoice_number ~= nil then\r\n		invoice_number= __record.invoice_number:get();\r\n	end\r\n\r\n	local supplier_name = \"\";\r\n	if __record.supplier_name ~= nil then\r\n		supplier_name= __record.supplier_name:get();\r\n	end\r\n\r\n	local supplier = \"\";\r\n	if __record.supplier ~= nil then\r\n		supplier = __record.supplier:get();\r\n	end\r\n\r\n	local invoice_date = \"\";\r\n	if __record.invoice_date ~= nil then\r\n		invoice_date = __record.invoice_date:to_string(\"dd.MM.yyyy\");\r\n	end\r\n\r\n	local agent = \"\";\r\n	if __record.agent ~= nil then\r\n		agent = __record.agent:get();\r\n	end\r\n\r\n	local supplier_transport = \"\";\r\n	if __record.supplier_transport ~= nil then\r\n		supplier_transport = __record.supplier_transport:get();\r\n	end\r\n\r\nlocal reason_number = \"\";\r\n	if __record.reason_number ~= nil then\r\n		reason_number = __record.reason_number:get();\r\n	end\r\n\r\n	local stock = \"\";\r\n	if __record.stock ~= nil then\r\n		stock = __record.stock:get();\r\n	end\r\n\r\n	local alt_type = \"\";\r\n	if __record.alt_type ~= nil then\r\n		alt_type = tostring(__record.alt_type:get());\r\n	end\r\n\r\n	local stream = \"\";\r\n	if __record.stream ~= nil then\r\n		stream = tostring(__record.stream:get());\r\n	end\r\n\r\n	local defect_pallet_count= \"\";\r\n	if __record.defect_pallet_count ~= nil then\r\n		defect_pallet_count= tostring(__record.defect_pallet_count:get());\r\n	end\r\n\r\n	local pallet_count = \"\";\r\n	if __record.pallet_count ~= nil then\r\n		pallet_count= tostring(__record.pallet_count:get());\r\n	end\r\n\r\n	local title = \"\";\r\n	if __record.title ~= nil then\r\n		title = tostring(__record.title:get())\r\n	end\r\n\r\n	local doc_number = __record:get_doc_shipment();\r\n\r\n	__printer:set_font(\"Courier\", 7, true);\r\n	__printer:set_horisontal_margins(36,36);\r\n	__printer:set_vertical_margins(46,36);\r\n\r\n	local width = __printer:width();\r\n	local smallColumn = math.floor(width / 10);\r\n	local bigColumn = math.floor(width / 6);\r\n	__printer:line( ukm.rightpad(\"Дата\", 12, \" \") .. \":\" .. ukm.leftpad(date, 12, \" \") );\r\n	__printer:line( ukm.rightpad(\"\", 3 * smallColumn, \" \") .. ukm.center(\"Бланк первой приёмки\", 2 * bigColumn + smallColumn, \" \") .. ukm.center(\"Стр: 1 / 1\", 2 * smallColumn, \" \"));\r\n	__printer:line( ukm.rightpad(\"Час\", 12, \" \") .. \":\" .. ukm.leftpad(time, 12, \" \") .. ukm.rightpad(\"\", 108, \" \") .. ukm.left(__store_name, width - 3 * smallColumn) );\r\n\r\n	__printer:new_line(); __printer:new_line();\r\n\r\n	__printer:line( \"┌\" .. ukm.center(\"\", 12, \"─\") .. \r\n		\"┬\" .. ukm.center(\"\", 21, \"─\") .. \"┐ \" .. ukm.center(\"\", 12, \" \") ..\r\n		\"┌\" .. ukm.center(\"\", 18, \"─\") .. \r\n		\"┬\" .. ukm.center(\"\",60, \"─\") .. \"┐ \");\r\n\r\n	__printer:line( \"│\" .. ukm.leftalign(\"№ ТТН\",12, \" \") .. \r\n		\"│\" .. ukm.leftalign(invoice_number, 21, \" \") .. \"│ \" .. ukm.center(\"\", 12, \" \") ..\r\n		\"│\" .. ukm.leftalign(\"Поставщик\", 18, \" \") .. \r\n		\"│\" .. ukm.leftalign(supplier_name .. \"( \" .. supplier .. \" )\", 60, \" \") .. \"│ \");\r\n\r\n	__printer:line( \"│\" .. ukm.leftalign(\"\", 12, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"\", 21, \" \") .. \"│ \" .. ukm.center(\"\", 12, \" \") ..\r\n		\"│\" .. ukm.leftalign(\"\", 18, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"\",60, \" \") .. \r\n		\"│ \");\r\n\r\n	__printer:line( \"├\" .. ukm.center(\"\", 12, \"─\") .. \r\n		\"┼\" .. ukm.center(\"\", 21, \"─\") .. \"┤ \"  .. ukm.center(\"\", 12, \" \") ..\r\n		\"├\" .. ukm.center(\"\", 18, \"─\") ..\r\n		\"┼\" .. ukm.center(\"\", 60, \"─\") .. \"┤   \" ..\r\n		\"┌\" .. ukm.center(\"\", smallColumn - 1, \"─\") ..\r\n		\"┬\" .. ukm.center(\"\", width - 4 * smallColumn - 3 * bigColumn - 2, \"─\") ..\r\n		\"┐\");\r\n\r\n	__printer:line( \"│\" .. ukm.leftalign(\"Дата\", 12, \" \") ..\r\n		\"│\" .. ukm.leftalign(invoice_date, 21, \" \") .. \"│ \"  .. ukm.center(\"\", 12, \" \") ..\r\n		\"│\" .. ukm.leftalign(\"Экспедитор\", 18, \" \") .. \r\n		\"│\" .. ukm.leftalign(agent, 60, \" \") .. \"│   \" ..\r\n		\"│\" .. ukm.leftalign(\"Гос.№ а/м\", smallColumn - 1, \" \") .. \r\n		\"│\" .. ukm.leftalign(supplier_transport, width - 4 * smallColumn - 3 * bigColumn - 2, \" \") .. \r\n		\"│\");\r\n\r\n	__printer:line( \"│\" .. ukm.leftalign(\"\", 12, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"\", 21, \" \") .. \"│ \"  .. ukm.center(\"\", 12, \" \") ..\r\n		\"│\" .. ukm.leftalign(\"\", 18, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"\", 60, \" \") .. \"│   \" ..\r\n		\"│\" .. ukm.leftalign(\"\", smallColumn - 1, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"\", width - 4 * smallColumn - 3 * bigColumn - 2, \" \") .. \r\n		\"│\");\r\n\r\n	__printer:line( \"└\" .. ukm.center(\"\", 12, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", 21, \"─\") .. \"┘ \" .. ukm.center(\"\", 12, \" \") ..\r\n		\"└\" .. ukm.center(\"\", 18, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", 60, \"─\") .. \"┘   \" ..\r\n		\"└\" .. ukm.center(\"\", smallColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", width - 4 * smallColumn - 3 * bigColumn - 2, \"─\") .. \r\n		\"┘\");\r\n\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:line( ukm.rightpad(\"ASN/инвойс\", 12, \" \") .. \":\" .. ukm.leftpad(__record.number, 12, \" \") );\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:new_line(); __printer:new_line();\r\n\r\n	bigColumn = math.floor(width / 12);\r\n\r\n	__printer:line(\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\"┌\" .. ukm.center(\"\", 3 * (bigColumn - 1) + 2, \"─\") .. \r\n		\"┐\");\r\n\r\n	__printer:line(\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.rightpad(\"\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Замечания\", 3 * (bigColumn - 1) + 2, \" \") .. \r\n		\"│\");\r\n\r\n	__printer:line(\"┌\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┼\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┬\" .. ukm.rightpad(\"\", bigColumn - 1, \"─\") .. \r\n		\"┼\" .. ukm.rightpad(\"\", width - 11*bigColumn - 2, \"─\") .. \"┐\");\r\n\r\n	__printer:line(\"│\" .. ukm.center(\"№ заказа\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"№ отдела\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Приёмка\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Тип\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Статус\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Поток\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(ukm.left(\"Кол-во паллет\", bigColumn - 1), bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(ukm.left(\"Кол-во упаковок\", bigColumn - 1), bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Бой\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Повреждено\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Другое\", bigColumn - 1, \" \") .. \r\n		\"│\" .. ukm.center(\"Отказ\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"├\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"┴\" .. ukm.center(\"\", width - 11*bigColumn - 2, \"─\") .. \"┤\");\r\n\r\n	__printer:line(\"│\" .. ukm.centeralign(reason_number, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(stock, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(doc_number, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(alt_type, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(stream, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(pallet_count, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(defect_pallet_count, bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"│\" .. ukm.centeralign(\"Примечание:\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(\"# CC\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.centeralign(\"ИМЯ КЛИЕНТА:\", 2 * bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.center(\"\", width - 11*bigColumn - 2, \" \") .. \"│\");\r\n\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \") .. \r\n		\" \" .. ukm.leftalign(title, width - bigColumn - 2, \" \") .. \r\n		\"│\");\r\n\r\n	__printer:line(\"└\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", bigColumn - 1, \"─\") .. \r\n		\"─\" .. ukm.center(\"\", width - 11*bigColumn - 2, \"─\") .. \"┘\");\r\n\r\n	local tableWidth = math.floor(width/3);\r\n	local colWidth = math.floor(tableWidth/3);\r\n	local colWidth_1 = math.floor(tableWidth/2);\r\n\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:line( ukm.center(\"Упаковка\", 46, \" \") .. ukm.center(\"\", 10, \" \") .. ukm.center(\"Замечания\",45, \" \") .. ukm.center(\"\", 13, \" \") .. \"Отказ от заказа\" );\r\n\r\n	__printer:line(\"┌\" .. ukm.center(\"\", 20, \"─\") .. \r\n		\"┬\" .. ukm.center(\"\", 11, \"─\") .. \r\n		\"┬\" .. ukm.center(\"\", 11, \"─\") .. \r\n		\"┐ \" .. ukm.center(\"\", 10, \" \") ..\r\n		\"┌\" .. ukm.center(\"\", 36, \"─\") .. \r\n		\"┬\" .. ukm.center(\"\", 6, \"─\") .. \r\n		\"┐ \" ..\r\n		\"\");\r\n\r\n	__printer:line(\"│\" .. ukm.leftalign(\"Типы\", 20, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"Получено\", 11, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"Отдано\", 11, \" \") .. \r\n		\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n		\"│\" .. ukm.leftalign(\"Причина\", 36, \" \") .. \r\n		\"│\" .. ukm.leftalign(\"Да/Нет\", 6, \" \") .. \r\n		\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n		\" \" .. \"1. Нет ТТН\");\r\n\r\n	__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n		\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┬\" .. ukm.center(\"\", 5, \"─\") .. \r\n		\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┬\" .. ukm.center(\"\", 5, \"─\") .. \r\n		\"┤ \" .. ukm.center(\"\", 10, \" \") ..\r\n		\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n		\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n		\"┤ \" ..\r\n		\"\");\r\n\r\n	local strings_left = false;\r\n	local paletteArray = {};\r\n\r\n	if __record.palettes:size() > 0 then\r\n		for j = 0, __record.palettes:size() - 1 do\r\n			local code = \"\"\r\n			if __record.palettes:at(j).code ~= nil then\r\n				code = __record.palettes:at(j).code:get()\r\n			end\r\n\r\n			local return_count = \"\"\r\n			if __record.palettes:at(j).return_count ~= nil then\r\n				return_count = __record.palettes:at(j).return_count:get()\r\n			end\r\n\r\n			local return_count_defect = \"\"\r\n			if __record.palettes:at(j).return_count_defect ~= nil then\r\n				return_count_defect = __record.palettes:at(j).return_count_defect:get();\r\n			end\r\n\r\n			local accept_count = \"\"\r\n			if __record.palettes:at(j).accept_count ~= nil then\r\n				accept_count = __record.palettes:at(j).accept_count:get();\r\n			end\r\n\r\n			local accept_count_defect = \"\"\r\n			if __record.palettes:at(j).accept_count_defect ~= nil then\r\n				accept_count_defect = __record.palettes:at(j).accept_count_defect:get();\r\n			end\r\n\r\n			local counts = {c = code, rc = return_count, rcd = return_count_defect, ac = accept_count, acd = accept_count_defect};\r\n			paletteArray[j] = counts;\r\n		end\r\n\r\n		__printer:line(\"│\" .. ukm.centeralign(paletteArray[0].c, 20, \" \") .. \r\n			\"│\" .. ukm.center(tostring(paletteArray[0].ac), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[0].acd), 5, \" \") .. \r\n			\"│\" .. ukm.center(tostring(paletteArray[0].rc), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[0].rcd), 5, \" \") ..\r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"│\" .. ukm.leftalign(\"машина неприспособленна\", 36, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. \"2. Нет № заказа\");\r\n\r\n		__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n			\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n			\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n			\"┤ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n			\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n			\"┤ \" ..\r\n			\"\");\r\n	else\r\n		strings_left = true;\r\n		__printer:line(\"│\" .. ukm.center(\"\", 20, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") ..\r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"│\" .. ukm.leftalign(ukm.left(\"машина неприспособленна\",36), 36, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. \"2. Нет № заказа\");\r\n\r\n		__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n			\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n			\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n			\"┘ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n			\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n			\"┤ \" ..\r\n			\"\");\r\n	end\r\n\r\n	if strings_left == true then\r\n		__printer:line(\" \" .. ukm.center(\"\", 20, \" \") .. \r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"│\" .. ukm.leftalign(\"машина плохо загружена\", 36, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. \"3. Не назначено время приёмки груза\");\r\n\r\n		__printer:line(\" \" .. ukm.center(\"\", 20, \" \") .. \r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n			\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n			\"┤ \" ..\r\n			\"\");\r\n	else \r\n		if #paletteArray > 0 then\r\n			__printer:line(\"│\" .. ukm.center(ukm.left(paletteArray[1].c, 20), 20, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[1].ac), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[1].acd), 5, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[1].rc), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[1].rcd), 5, \" \") ..\r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"│\" .. ukm.leftalign(\"машина плохо загружена\", 36, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"3. Не назначено время приёмки груза\");\r\n\r\n			__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┤ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n				\"┤ \" ..\r\n				\"\");\r\n		else\r\n			strings_left=true;\r\n			__printer:line(\"│\" .. ukm.center(\"\", 20, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"│\" .. ukm.leftalign(\"машина плохо загружена\", 36, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"3. Не назначено время приёмки груза\");\r\n\r\n			__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┘ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"├\" .. ukm.center(\"\", 36, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 6, \"─\") .. \r\n				\"┤ \" ..\r\n				\"\");\r\n		end\r\n	end\r\n\r\n	if strings_left==true then\r\n		__printer:line(\" \" .. ukm.centeralign(\"\", 20, \" \") .. \r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"│\" .. ukm.leftalign(\"Другое\", 36, \" \") .. \r\n			\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n			\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. \"4. Недостача Упаковок/Паллет\");\r\n\r\n		__printer:line(\" \" .. ukm.centeralign(\"\", 20, \" \") .. \r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\"└\" .. ukm.center(\"\", 36, \"─\") .. \r\n			\"┴\" .. ukm.center(\"\", 6, \"─\") .. \r\n			\"┘ \");\r\n	else \r\n		if #paletteArray > 1 then\r\n			__printer:line(\"│\" .. ukm.center(ukm.left(paletteArray[2].c, 20), 20, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[2].ac), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[2].acd), 5, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[2].rc), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[2].rcd), 5, \" \") ..\r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"│\" .. ukm.leftalign(\"Другое\", 36, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"4. Недостача Упаковок/Паллет\");\r\n\r\n			__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┤ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"└\" .. ukm.center(\"\", 36, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 6, \"─\") .. \r\n				\"┘ \" ..\r\n				\"\");\r\n		else\r\n			strings_left=true;\r\n			__printer:line(\"│\" .. ukm.center(\"\", 20, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"│\" .. ukm.leftalign(\"Другое\", 36, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 6, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"4. Недостача Упаковок/Паллет\");\r\n\r\n			__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┘ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\"└\" .. ukm.center(\"\", 36, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 6, \"─\") .. \r\n				\"┘ \" ..\r\n				\"\");\r\n		end\r\n	end\r\n\r\n	if strings_left==true then\r\n		__printer:line(\" \" .. ukm.centeralign(\"\", 20, \" \") .. \r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\" \" .. ukm.center( \"\", 11, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. ukm.center( \"\", 36, \" \") ..\r\n			\" \" .. ukm.center( \"\", 6, \" \") ..\r\n			\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n			\" \" .. \"5. Повреждение товара\");\r\n	else \r\n		if #paletteArray > 2 then\r\n			__printer:line(\"│\" .. ukm.centeralign(paletteArray[3].c, 20, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[3].ac), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[3].acd), 5, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[3].rc), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[3].rcd), 5, \" \") ..\r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. ukm.center(\"\", 36, \" \") .. \r\n				\" \" .. ukm.center(\"\", 6, \" \") .. \r\n				\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"5. Повреждение товара\");\r\n\r\n			if #paletteArray > 3 then\r\n				__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n					\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┤ \");\r\n			else\r\n				__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n					\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┘\");\r\n			end\r\n\r\n		else\r\n			__printer:line(\"│\" .. ukm.center(\"\", 20, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│\" .. ukm.center(\"\", 5, \" \") .. \"│\" .. ukm.center(\"\", 5, \" \") .. \r\n				\"│ \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. ukm.center(\"\", 36, \" \") .. \r\n				\" \" .. ukm.center(\"\", 6, \" \") .. \r\n				\"  \" .. ukm.center(\"\", 10, \" \") ..\r\n				\" \" .. \"5. Повреждение товара\");\r\n\r\n			__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n				\"┘\");\r\n		end\r\n	end\r\n\r\n	if #paletteArray > 3 then\r\n		for i = 4, #paletteArray do \r\n			__printer:line(\"│\" .. ukm.centeralign(paletteArray[i].c, 20, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[i].ac), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[i].acd), 5, \" \") .. \r\n				\"│\" .. ukm.center(tostring(paletteArray[i].rc), 5, \" \") .. \"│\" .. ukm.center(tostring(paletteArray[i].rcd), 5, \" \") ..\r\n				\"│ \");\r\n\r\n			if i < __record.palettes:size() - 1 then\r\n				__printer:line(\"├\" .. ukm.center(\"\", 20, \"─\") .. \r\n					\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┼\" .. ukm.center(\"\", 5, \"─\") .. \"┼\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┤ \");\r\n			else\r\n				__printer:line(\"└\" .. ukm.center(\"\", 20, \"─\") .. \r\n					\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┴\" .. ukm.center(\"\", 5, \"─\") .. \"┴\" .. ukm.center(\"\", 5, \"─\") .. \r\n					\"┘ \");\r\n			end\r\n		end\r\n	end\r\n\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:new_line(); __printer:new_line();\r\n	__printer:new_line(); __printer:new_line();\r\n	bigColumn = math.floor(width / 8);\r\n	__printer:line(\"┌\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) ..\r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┬\" .. ukm.center(\"\", width - 7*bigColumn - 2, \"─\" ) .. \"┐\"\r\n	);\r\n	__printer:line(\"│\" .. ukm.leftalign(\"ВВОД ДАННЫХ ТТН\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.leftalign(\"СВЕРКА\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) ..\r\n		\"│\" .. ukm.leftalign(\"СПОРНЫЕ ВОПРОСЫ\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.leftalign(\"ПОДТВЕРЖДЕНИЕ\", bigColumn - 1, \" \" ) .. \r\n		\"│\" .. ukm.center(\"\", width - 7*bigColumn - 2, \" \" ) .. \"│\"\r\n	);\r\n	__printer:line(\"└\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \r\n		\"┴\" .. ukm.center(\"\", width - 7*bigColumn - 2, \"─\" ) .. \"┘\"\r\n	);\r\n\r\n	bigColumn = math.floor(width / 3);\r\n	local driver = \"\";\r\n	driver = __record:get_user(5);\r\n\r\n	local admin = \"\";\r\n	admin= __record:get_user(1);\r\n	if admin == \"\" then\r\n		admin = __login;\r\n	end\r\n\r\n	__printer:line(\"┌\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┬\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┬\" .. ukm.center(\"\", width - 2*bigColumn - 2, \"─\" ) .. \"┐\");\r\n	__printer:line(\"│\" .. ukm.centeralign(\"Администратор 1-ой приемки\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.centeralign(\"Водитель погрузчика\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.leftalign(\"Экспедитор\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"├\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┼\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┼\" .. ukm.center(\"\", width - 2*bigColumn - 2, \"─\" ) .. \"┤\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.leftalign(\" Ф.И.О. : \" .. admin, bigColumn - 1, \" \" ) .. \"│\" .. ukm.leftalign(\" Ф.И.О. : \" .. driver, bigColumn - 1, \" \" ) .. \"│\" .. ukm.leftalign(\" Ф.И.О. : \" .. agent, width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.leftalign(\"   Подпись: \", bigColumn - 1, \" \" ) .. \"│\" .. ukm.leftalign(\"   Подпись: \", bigColumn - 1, \" \" ) .. \"│\" .. ukm.leftalign(\"   Подпись: \", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", bigColumn - 1, \" \" ) .. \"│\" .. ukm.center(\"\", width - 2*bigColumn - 2, \" \" ) .. \"│\");\r\n	__printer:line(\"└\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┴\" .. ukm.center(\"\", bigColumn - 1, \"─\" ) .. \"┴\" .. ukm.center(\"\", width - 2*bigColumn - 2, \"─\" ) .. \"┘\");\r\nend\r\n\r\nfunction printSecondDelivery(__printer, __record, __store_name, __login)\r\n __printer:set_landscape_orientation();\r\n __printer:set_font(\"Courier\", 9, true);\r\n __printer:set_width( 800);\r\n __printer:set_horisontal_margins(18,46);\r\n __printer:set_vertical_margins(18,18);\r\n\r\n __record:get_status_info();\r\n\r\n local width = __printer:width();\r\n local bigColumn = math.floor((2 * width / 5) / 3);\r\n local smallColumn = math.floor((3 * width / 5) / 7);\r\n\r\n local date = ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y\");\r\n local time = ukm.ptime2str(ukm.get_sys_date(), \"%H:%M:%S\");\r\n\r\n local invoice_number = \"\";\r\n if __record.invoice_number ~= nil then\r\n invoice_number = __record.invoice_number:get();\r\n end\r\n\r\n local reason_number = \"\"\r\n if __record.reason_number ~= nil then\r\n reason_number = tostring(__record.reason_number:get())\r\n end\r\n\r\n local agent = \"\";\r\n if __record.supplier ~= nil then\r\n agent = __record.supplier:get();\r\n   if __record.supplier_name ~= nil then\r\n     agent = agent .. \" \" .. __record.supplier_name:get();\r\n   end\r\n end\r\n\r\n local stream = \"\";\r\n if __record.stream ~= nil then\r\n stream = __record.stream:get();\r\n end\r\n\r\n local title = \"\"\r\n if __record.title ~= nil then\r\n title = tostring(__record.title:get())\r\n end\r\n\r\n local pallet_count = \"\";\r\n if __record.pallet_count ~= nil then\r\n  pallet_count = tostring(__record.pallet_count:get());\r\n end\r\n\r\n local doc_number = __record:get_doc_number();\r\n local shipment = __record:get_doc_shipment();\r\n\r\n __printer:line( ukm.rightpad(\"Дата         : \" .. date, width, \" \" ) );\r\n __printer:line( ukm.leftpad( \"Стр          : 1 / 1\", width, \" \" ) );\r\n __printer:line( \"Час          : \" .. time .. ukm.leftalign( __store_name, width - 22, \" \") );\r\n\r\n __printer:set_font(\"Courier\", 14, true);\r\n __printer:line( ukm.center(\"Бланк 2-ой приёмки\", __printer:width(), \" \") );\r\n __printer:set_font(\"Courier\", 9, true);\r\n __printer:set_width( 840 );\r\n\r\n __printer:line(ukm.rightpad(\"№ ТН\", bigColumn, \" \" ) .. ukm.leftalign(\":\" .. invoice_number, bigColumn, \" \" ));\r\n-- __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.rightpad(\"№ заказа\", bigColumn, \" \" ) .. ukm.leftalign(\":\" .. reason_number, bigColumn, \" \" ) .. ukm.leftalign(\"Поставщик : \", bigColumn - 1, \" \" ) .. ukm.leftalign(agent, 3 * smallColumn, \" \") .. ukm.leftalign(\"\", 1 * smallColumn, \" \") .. ukm.leftalign(\"Количество упаков: \", 2 * smallColumn, \" \"));\r\n-- __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.rightpad(\"№ приёмки\", bigColumn, \" \" ) .. ukm.leftalign(\":\" .. shipment, bigColumn, \" \" ) .. ukm.center(\"\", bigColumn - 1 + 4*smallColumn, \" \") .. ukm.leftalign(\"Количество паллет: \", 2 * smallColumn, \" \") .. pallet_count);\r\n __printer:line(ukm.rightpad(\"ASN/инвойс\", bigColumn, \" \" ) .. ukm.leftalign(\":\" .. doc_number, bigColumn, \" \" ));\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.leftalign(\"Причины количественных расхождений \", width / 3,\" \") .. ukm.leftalign(\"Аномалии штрих-кода\", width / 3, \" \") .. ukm.leftalign(\"Причины отклонений качества\", width / 3, \" \"));\r\n __printer:line(ukm.leftalign(ukm.left(\" NR. Отсутствует артикул \",width / 3), width / 3,\" \") .. ukm.leftalign(ukm.left(\" 1. Штрих-код отличается от кода магазина\",width / 3), width / 3, \" \") .. ukm.leftalign(ukm.left(\" 4. Бой\",width / 3),width / 3, \" \"));\r\n __printer:line(ukm.leftalign(\"\", width / 3, \" \") .. ukm.leftalign(ukm.left(\" 2. Штрих-код присутствующий на артикулах и извест:\", width / 3), width / 3, \" \") .. ukm.leftalign(ukm.left(\" 5. Порча\", width / 3), width / 3, \" \"));\r\n __printer:line(ukm.leftalign(\"\", width / 3, \" \") .. ukm.leftalign(ukm.left(\" 3. Плохо распечатанный штрих-код\", width / 3), width / 3, \" \") .. ukm.leftalign(ukm.left(\" 6. Непригодно для продажи\", width / 3), width / 3, \" \"));\r\n\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line(ukm.centeralign(\"Штрих код / № серии \", 22, \" \") .. \r\n                ukm.centeralign(\"Артикул ЛМ \", 11,\" \") .. \r\n                ukm.centeralign(\"Наименование\", 30, \" \") .. \r\n                ukm.centeralign(\"Артикул поставщика \", 19, \" \") .. \r\n                ukm.centeralign(\"ТОП \", 4, \" \") .. \r\n                ukm.centeralign(\"Кол-во в уп \", 12, \" \") .. \r\n                ukm.centeralign(\"Защита \", 7, \" \") .. \r\n                ukm.centeralign(\"Ед Изм\", 7, \" \") .. \r\n                ukm.centeralign(\"Полученное кол-во \", 19, \" \") .. \r\n                ukm.centeralign(\"Аномалии \", 11, \" \") );\r\n __printer:line( ukm.centeralign(\"\", 131, \" \") ..  ukm.centeralign(\"Отклонения\", 11, \" \"));\r\n __printer:line( ukm.centeralign(\"\", 131, \" \") ..  ukm.centeralign(\"Расхождения\", 11, \" \"));\r\n\r\n __printer:line(ukm.center(\"\", width, \"─\"));\r\n\r\n __record:get_acceptance_items();\r\n for i = 0, __record.acceptance_items:size() - 1 do\r\n\r\n   local amount = \"\"\r\n   if __record.acceptance_items:at(i).amount ~= nil then\r\n     amount = __record.acceptance_items:at(i).amount;\r\n   end\r\n\r\n   local client_item = \"\"\r\n   if __record.acceptance_items:at(i).client_item ~= nil then\r\n     client_item = __record.acceptance_items:at(i).client_item:get();\r\n   end\r\n\r\n   local protection_code = \"\"\r\n   if __record.acceptance_items:at(i).protection_code ~= nil then\r\n     protection_code = __record.acceptance_items:at(i).protection_code:get();\r\n   end\r\n\r\n   local measure_iso = \"\"\r\n   if __record.acceptance_items:at(i).measure_iso ~= nil then\r\n     measure_iso= __record.acceptance_items:at(i).measure_iso:get();\r\n   end\r\n\r\n   local defect_quantity = \"\"\r\n   if __record.acceptance_items:at(i).defect_quantity ~= nil then\r\n     defect_quantity = __record.acceptance_items:at(i).defect_quantity;\r\n   end\r\n\r\n   local barcode = \"\"\r\n   if __record.acceptance_items:at(i).var ~= nil then\r\n     barcode = __record.acceptance_items:at(i).var:get();\r\n   end\r\n   __printer:line( ukm.centeralign(barcode, 22, \" \") \r\n     .. ukm.centeralign( __record.acceptance_items:at(i).item, 11,\" \" ) \r\n     .. ukm.leftalign( ukm.mid( __record.acceptance_items:at(i).name, 0, 30 ), 30, \" \" ) \r\n     .. ukm.centeralign( client_item, 19, \" \" ) \r\n     .. ukm.centeralign( stream, 4, \" \") \r\n     .. ukm.centeralign( tostring(amount), 12, \" \" ) \r\n     .. ukm.centeralign( protection_code, 7, \" \") \r\n     .. ukm.centeralign( measure_iso, 7, \" \") \r\n     .. ukm.centeralign( tostring(__record.acceptance_items:at(i).quantity), 19, \" \")\r\n     .. ukm.leftalign( tostring(defect_quantity), 11, \" \") );\r\n\r\n   __printer:line( ukm.leftalign(\"\", 33, \" \") .. ukm.mid( __record.acceptance_items:at(i).name, 31, 30 ) );\r\n   __printer:line(ukm.center(\"\", width, \"─\"));\r\n\r\n end\r\n\r\n __printer:new_line(); __printer:new_line();\r\n __printer:line( ukm.centeralign(\"Примечание:\", 22, \" \") .. ukm.left(title, width - 22) );\r\n __printer:line( \"№  CC - Имя клиента\" );\r\n __printer:line( \"Фамилия клиента\" );\r\n __printer:new_line(); __printer:new_line();\r\n\r\n local secondDeliveryStatus = __record:get_second_delivery_status();\r\n local contrCalcStatus = __record:get_contr_calculate_status();\r\n\r\n local secondDeliveryUser = \"\";\r\n if secondDeliveryStatus.user ~= nil then\r\n secondDeliveryUser = secondDeliveryStatus.user:get();\r\n end\r\n\r\n local contrCalcUser = \"\";\r\n if contrCalcStatus.user ~= nil then\r\n contrCalcUser = contrCalcStatus.user:get();\r\n end\r\n\r\n-- local w1 = width*2/15;\r\n-- local w2 = width/15;\r\n local w1 = width*3/25;\r\n local w2 = width*2/25;\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \"─\") .. \"┐\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"┌\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┐\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"┌\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┐\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"┌\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┐\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"┌\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┐\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n );\r\n __printer:line( ukm.centeralign(\"Подсчет артикулов\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Сверка БП-2 / ТТН\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Ввод данных БП-2\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Подтвержд. кач.\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Спорные вопросы с\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \" \" \r\n );\r\n __printer:line( ukm.centeralign(\"БП-2\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"контроля\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Поставщиком\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \" \" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"Экспедитором\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \" \" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \" \" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \"─\") .. \"┼\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┼\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┼\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┼\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┼\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┼\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┼\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┼\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┼\" \r\n .. ukm.centeralign(\"\", w2, \"─\") .. \"┐\"\r\n );\r\n __printer:line( ukm.leftalign(\"Ф.И.О.:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(secondDeliveryUser, w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Ф.И.О.:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(contrCalcUser , w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Ф.И.О.:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Ф.И.О.:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Ф.И.О.:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.leftalign(\"Подпись:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Подпись:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Подпись:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Подпись:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" ..ukm.leftalign(\"Подпись:\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") \r\n .. \"│\" .. ukm.centeralign(\"\", w1, \" \") .. \"│\" \r\n .. ukm.centeralign(\"\", w2, \" \") .. \"│\" \r\n );\r\n\r\n __printer:line( ukm.centeralign(\"\", w1, \"─\") .. \"┴\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┴\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┴\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┴\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┴\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┴\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┴\" \r\n .. ukm.centeralign(\"\", w2, \"─\") \r\n .. \"┴\" .. ukm.centeralign(\"\", w1, \"─\") .. \"┴\" \r\n .. ukm.centeralign(\"\", w2, \"─\") .. \"┘\"\r\n );\r\nend\r\n\r\n\r\nfunction printInfo(__printer, __record, __store_name, __login)\r\n __printer:set_landscape_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n local w4 = width / 4;\r\n local w15 = width / 15;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateConfirm = __record:status_info(ukm.bpdoc.status_confirm).date;\r\n\r\n if dateConfirm ~= nil then\r\n   dateConfirm = dateConfirm:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateConfirm = \"нет\";\r\n end\r\n\r\n-- Тут всякие настройки для печати разных ИА\r\n local iaName = \"ИНФОРМАЦИОННЫЙ АКТ \'\";\r\n local opType = \"\";\r\n\r\n if (__record.bp == \"{7A65C171-7102-421c-901E-5225BFB631EC}\") then\r\n   iaName = iaName .. \"РАБОТА С БРАКОМ\'\";\r\n else if (__record.bp == \"{81E3EDE3-937A-47D5-8DD4-BDF9B46A1A14}\") then\r\n     iaName = iaName .. \"ИНВЕНТАРИЗАЦИИ И РЕВИЗИИ\'\";\r\n          if (__record.act_type == 1) then\r\n        opType = \"РЕВИЗИЯ\";\r\n     else\r\n        opType = \"ИНВЕНТАРИЗАЦИЯ\";\r\n     end\r\n   else\r\n     iaName = iaName .. \"ПРЕТЕНЗИИ ПО ПОСТАВКЕ\'\";\r\n     opType = \"Приходная накладная №\" .. __record.ref_shipment:get();\r\n   end\r\n end\r\n\r\n __printer:new_line();\r\n __printer:line(ukm.center(iaName, width, \" \"));\r\n __printer:new_line();\r\n\r\n __printer:line(ukm.rightpad(__record.number, w4, \" \") .. ukm.rightpad(opType, w4, \" \") .. ukm.adjustment(\"Завершён: \" .. dateConfirm, dateTime, 2 * w4, \" \"));\r\n __printer:new_line();\r\n\r\n __record:get_acceptance_item_defect();\r\n\r\n local s1 = ukm.rightalign(\"№ п/п \", w15, \" \") .. ukm.leftalign(\"Артикул\", 2*w15, \" \") .. ukm.leftalign(\"Название\", 4*w15, \" \") .. ukm.rightalign(\"Кол-во \", 2*w15, \" \") .. ukm.leftalign(\"Проблема\", 2*w15, \" \") .. ukm.leftalign(\" Комментарий\", 4*w15, \" \");\r\n local s2 = ukm.rightpad(\"-\", width, \"-\");\r\n __printer:line(s1);\r\n __printer:line(s2);\r\n\r\n for i = 0, __record.acceptance_item_defects:size() - 1 do\r\n  local a = __record.acceptance_item_defects:at(i);\r\n  local defect = a.defect;\r\n  if (__record.bp ~= \"{7A65C171-7102-421c-901E-5225BFB631EC}\") then\r\n     if (a.defect_code == 0) then\r\n        defect = \"Недостача\";\r\n     else\r\n        defect = \"Излишки\";\r\n     end\r\n  end\r\n  if __printer:get_rows_left_on_page() < 7 then\r\n   __printer:new_page();\r\n   __printer:line(s1);\r\n   __printer:line(s2);\r\n  end\r\n\r\n  __printer:line(ukm.rightalign(tostring(a.sequence) .. \" \", w15, \" \") .. ukm.leftalign(a.item, 2*w15, \" \") .. ukm.leftalign(a.name, 4*w15, \" \") .. ukm.rightalign(tostring(a.quantity) .. \" \", 2*w15, \" \") .. ukm.leftalign(defect, 2*w15, \" \") .. ukm.leftalign(\" \" .. opt(a.comments), 4*w15, \" \"));\r\n  __printer:new_line();\r\n  __printer:line(s2);\r\n end\r\n\r\n __printer:new_line();\r\n __printer:new_line();\r\n __printer:line(\"ПОДПИСЬ: ...........................\");\r\n\r\nend\r\n\r\nfunction printReturnTaskForm(__printer, __record, __store_name, __login)\r\n __printer:set_landscape_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n local w4 = width / 4;\r\n local w15 = width / 15;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateFrom = __record.date_from;\r\n\r\n if dateFrom ~= \"\" then\r\n   dateFrom = dateFrom:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateFrom = \"нет\";\r\n end\r\n \r\n __record:get_delivery_items();\r\n \r\n local headerLines = 7;\r\n local linesOnPage = __printer:get_rows_left_on_page() - 4 - headerLines;\r\n local totalPages = math.ceil((__record.delivery_items:size() * 3) / linesOnPage);\r\n \r\n local currentPage = 1;\r\n \r\n __printer:line(ukm.rightalign(dateTime .. \"  Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n local s1 = ukm.center(\"БЛАНК ДЛЯ ПОДБОРА ТОВАРОВ НА ВОЗВРАТ\", width, \" \");\r\n __printer:line(s1);\r\n __printer:new_line();\r\n local s2 = ukm.rightpad(\"Задание №: \" .. __record.number, w4, \" \") .. ukm.rightpad(\"Дата задания: \" .. dateFrom, w4, \" \");\r\n __printer:line(s2);\r\n __printer:new_line();\r\n\r\n local s3 = ukm.rightalign(\"№ п/п \", w15, \" \") .. ukm.leftalign(\"Артикул\", 2*w15 + 2, \" \") .. ukm.leftalign(\"Название\", 4*w15, \" \") .. ukm.rightalign(\"План \", 2*w15, \" \") .. ukm.rightalign(\"Факт \", 2*w15, \" \") .. ukm.leftalign(\" Примечание\", 4*w15 - 2, \" \");\r\n local s4 = ukm.rightpad(\"─\", width, \"─\");\r\n __printer:line(s3);\r\n __printer:line(s4);\r\n\r\nfor i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  local actual_quantity = \"\";\r\n  if delivery_item.acceptance_item ~= nil then\r\n   actual_quantity = tostring(delivery_item.acceptance_item.quantity);\r\n  end\r\n  \r\n  if __printer:get_rows_left_on_page() < 4 then\r\n   currentPage = currentPage + 1;\r\n   __printer:new_page();\r\n   __printer:line(ukm.rightalign(\"Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n   __printer:line(s1);\r\n   __printer:new_line();\r\n   __printer:line(s2);\r\n   __printer:new_line();\r\n   __printer:line(s3);\r\n   __printer:line(s4);\r\n  end\r\n\r\n  __printer:line(ukm.rightalign(tostring(delivery_item.sequence) .. \" \", w15, \" \") .. ukm.leftalign(delivery_item.item, 2*w15 + 2, \" \") .. ukm.leftalign(delivery_item.name, 4*w15, \" \") .. ukm.rightalign(tostring(delivery_item.quantity) .. \" \", 2*w15, \" \") .. ukm.rightalign(actual_quantity .. \" \", 2*w15, \" \") .. ukm.leftalign(\" \" .. opt(delivery_item.title), 4*w15 - 2, \" \"));\r\n  __printer:new_line();\r\n  __printer:line(s4);\r\n end\r\n\r\nend\r\n\r\nfunction printReturnTaskDocument(__printer, __record, __store_name, __login)\r\n __printer:set_landscape_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n local w4 = width / 4;\r\n local w15 = width / 15;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateFrom = __record.date_from;\r\n \r\n __record:get_status_info();\r\n local dateConfirm = __record:status_info(ukm.bpdoc.status_confirm).date;\r\n\r\n if dateConfirm ~= nil then\r\n   dateConfirm = dateConfirm:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateConfirm = \"нет\";\r\n end\r\n\r\n if dateFrom ~= \"\" then\r\n   dateFrom = dateFrom:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateFrom = \"нет\";\r\n end\r\n \r\n __record:get_delivery_items();\r\n \r\n local headerLines = 7;\r\n local linesOnPage = __printer:get_rows_left_on_page() - 7 - headerLines;\r\n local totalPages = math.ceil((__record.delivery_items:size() * 3) / linesOnPage);\r\n \r\n local currentPage = 1;\r\n \r\n __printer:line(ukm.rightalign(dateTime .. \"  Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n local s1 = ukm.center(\"НАКЛАДНАЯ НА ВОЗВРАТ ТОВАРА\", width, \" \");\r\n __printer:line(s1);\r\n __printer:new_line();\r\n local s2 = ukm.rightpad(\"Задание №: \" .. __record.number, w4, \" \") .. ukm.rightpad(\"Дата задания: \" .. dateFrom, w4, \" \") .. ukm.rightpad(\"  Завершено: \" .. dateConfirm, w4, \" \");\r\n __printer:line(s2);\r\n __printer:new_line();\r\n\r\n local s3 = ukm.rightalign(\"№ п/п \", w15, \" \") .. ukm.leftalign(\"Артикул\", 4*w15 + 2, \" \") .. ukm.leftalign(\"Название\", 6*w15, \" \") .. ukm.rightalign(\"План \", 2*w15, \" \") .. ukm.rightalign(\"Факт \", 2*w15 - 2, \" \");\r\n local s4 = ukm.rightpad(\"─\", width, \"─\");\r\n __printer:line(s3);\r\n __printer:line(s4);\r\n\r\nfor i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  local actual_quantity = \"\";\r\n  if delivery_item.acceptance_item ~= nil then\r\n   actual_quantity = tostring(delivery_item.acceptance_item.quantity);\r\n  end\r\n  \r\n  if __printer:get_rows_left_on_page() < 7 then\r\n   currentPage = currentPage + 1;\r\n   __printer:new_page();\r\n   __printer:line(ukm.rightalign(\"Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n   __printer:line(s1);\r\n   __printer:new_line();\r\n   __printer:line(s2);\r\n   __printer:new_line();\r\n   __printer:line(s3);\r\n   __printer:line(s4);\r\n  end\r\n\r\n  __printer:line(ukm.rightalign(tostring(delivery_item.sequence) .. \" \", w15, \" \") .. ukm.leftalign(delivery_item.item, 4*w15 + 2, \" \") .. ukm.leftalign(delivery_item.name, 6*w15, \" \") .. ukm.rightalign(tostring(delivery_item.quantity) .. \" \", 2*w15, \" \") .. ukm.rightalign(actual_quantity .. \" \", 2*w15 - 2, \" \"));\r\n  __printer:new_line();\r\n  __printer:line(s4);\r\n end\r\n \r\n __printer:new_line();\r\n __printer:new_line();\r\n __printer:line(\"РУКОВОДИТЕЛЬ ОРГАНИЗАЦИИ: ...........................\");\r\n\r\nend\r\n\r\nfunction printDeliveryAutoCommon(__printer, __record, __store_name, __login)\r\n __printer:set_portrait_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n\r\n local w4 = width / 4;\r\n local w11 = width / 11;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateFrom = __record.date_from;\r\n\r\n if dateFrom ~= \"\" then\r\n   dateFrom = dateFrom:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateFrom = \"нет\";\r\n end\r\n \r\n __record:get_delivery_items();\r\n \r\n local headerLines = 7;\r\n local footerLines = 4;\r\n local linesOnPage = __printer:get_rows_left_on_page() - footerLines - headerLines;\r\n local totalPages = math.ceil(__record.delivery_items:size() * 3 / linesOnPage);\r\n \r\n local currentPage = 1;\r\n \r\n __printer:line(ukm.rightalign(dateTime .. \"  Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n local s1 = ukm.center(\"ЗАДАНИЕ НА ПРИЁМКУ\", width, \" \");\r\n __printer:line(s1);\r\n __printer:new_line();\r\n\r\n local s2 = ukm.rightpad(\"Задание №: \" .. __record.number, 2*w4, \" \") .. ukm.rightpad(\" от: \" .. dateFrom, 2*w4, \" \");\r\n __printer:line(s2);\r\n __printer:new_line();\r\n\r\n local s3 = ukm.rightalign(\"№ п/п \", w11, \" \") .. ukm.leftalign(\"Артикул\", 2*w11, \" \") .. ukm.leftalign(\"Название\", 4*w11, \" \") .. ukm.rightalign(\"План \", 2*w11, \" \") .. ukm.rightalign(\"Факт \", w11, \" \")  .. ukm.rightalign(\"Брак \", w11, \" \");\r\n local s4 = ukm.rightpad(\"─\", width, \"─\");\r\n __printer:line(s3);\r\n __printer:line(s4);\r\n\r\n for i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  local actual_quantity = \"\";\r\n  local defect_quantity = \"\";\r\n  if delivery_item.acceptance_item ~= nil then\r\n   actual_quantity = tostring(delivery_item.acceptance_item.quantity);\r\n   if delivery_item.acceptance_item.defect_quantity ~= nil and delivery_item.acceptance_item.defect_quantity ~= ukm.quantity(0) then\r\n     defect_quantity = tostring(delivery_item.acceptance_item.defect_quantity);\r\n   end\r\n end\r\n  \r\n  if __printer:get_rows_left_on_page() < footerLines then\r\n   currentPage = currentPage + 1;\r\n   __printer:new_page();\r\n   __printer:line(ukm.rightalign(\"Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n   __printer:line(s1);\r\n   __printer:new_line();\r\n   __printer:line(s2);\r\n   __printer:new_line();\r\n   __printer:line(s3);\r\n   __printer:line(s4);\r\n  end\r\n\r\n  __printer:line(ukm.rightalign(tostring(delivery_item.sequence) .. \" \", w11, \" \") .. ukm.leftalign(delivery_item.item, 2*w11, \" \") .. ukm.leftalign(delivery_item.name, 4*w11, \" \") .. ukm.rightalign(tostring(delivery_item.quantity) .. \" \", 2*w11, \" \") .. ukm.rightalign(actual_quantity .. \" \", w11, \" \") .. ukm.rightalign(defect_quantity .. \" \", w11, \" \"));\r\n  __printer:new_line();\r\n  __printer:line(s4);\r\n end\r\n\r\nend\r\n\r\n \r\nfunction printDeliveryAutoPriority(__printer, __record, __store_name, __login)\r\n __printer:set_portrait_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n\r\n local w4 = width / 4;\r\n local w11 = width / 11;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateFrom = __record.date_from;\r\n\r\n if dateFrom ~= \"\" then\r\n   dateFrom = dateFrom:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateFrom = \"нет\";\r\n end\r\n \r\n __record:get_delivery_items();\r\n \r\n local headerLines = 7;\r\n local footerLines = 4;\r\n local linesOnPage = __printer:get_rows_left_on_page() - footerLines - headerLines;\r\n local rows = 0;\r\n for i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  if delivery_item.acceptance_item == nil and delivery_item.remain:sign() <= 0 then\r\n   rows = rows + 1;\r\n  end\r\n end\r\n\r\n local totalPages = math.ceil(rows * 3 / linesOnPage);\r\n \r\n local currentPage = 1;\r\n \r\n __printer:line(ukm.rightalign(dateTime .. \"  Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n local s1 = ukm.center(\"СПИСОК ПЕРВООЧЕРЕДНЫХ ТОВАРОВ ДЛЯ ПРИЁМКИ\", width, \" \");\r\n __printer:line(s1);\r\n __printer:new_line();\r\n\r\n local s2 = ukm.rightpad(\"По заданию №: \" .. __record.number, 2*w4, \" \") .. ukm.rightpad(\" от: \" .. dateFrom, 2*w4, \" \");\r\n __printer:line(s2);\r\n __printer:new_line();\r\n\r\n local s3 = ukm.rightalign(\"№ п/п \", w11, \" \") .. ukm.leftalign(\"Артикул\", 2*w11, \" \") .. ukm.leftalign(\"Название\", 8*w11, \" \");\r\n local s4 = ukm.rightpad(\"─\", width, \"─\");\r\n __printer:line(s3);\r\n __printer:line(s4);\r\n\r\n for i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  local actual_quantity = \"\";\r\n  if delivery_item.acceptance_item == nil and delivery_item.remain:sign() <= 0 then\r\n  \r\n   if __printer:get_rows_left_on_page() < footerLines then\r\n    currentPage = currentPage + 1;\r\n    __printer:new_page();\r\n    __printer:line(ukm.rightalign(\"Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n    __printer:line(s1);\r\n    __printer:new_line();\r\n    __printer:line(s2);\r\n    __printer:new_line();\r\n    __printer:line(s3);\r\n    __printer:line(s4);\r\n   end\r\n\r\n   __printer:line(ukm.rightalign(tostring(delivery_item.sequence) .. \" \", w11, \" \") .. ukm.leftalign(delivery_item.item, 2*w11, \" \") .. ukm.leftalign(delivery_item.name, 8*w11, \" \"));\r\n   __printer:new_line();\r\n   __printer:line(s4);\r\n  end\r\n end\r\n\r\nend\r\n\r\n\r\nfunction printDeliveryAutoInTrade(__printer, __record, __store_name, __login)\r\n __printer:set_portrait_orientation();\r\n __printer:set_font(\"Lucida Console\", 12, false);\r\n local width = __printer:width();\r\n\r\n local w4 = width / 4;\r\n local w11 = width / 11;\r\n\r\n __record:get_status_info();\r\n local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n local dateFrom = __record.date_from;\r\n\r\n if dateFrom ~= \"\" then\r\n   dateFrom = dateFrom:to_string(\"dd.MM.yyyy hh:mm\");\r\n else\r\n   dateFrom = \"нет\";\r\n end\r\n \r\n __record:get_delivery_items();\r\n \r\n local headerLines = 7;\r\n local footerLines = 4;\r\n local linesOnPage = __printer:get_rows_left_on_page() - footerLines - headerLines;\r\n local rows = 0;\r\n for i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  if delivery_item.acceptance_item ~= nil then\r\n   if delivery_item.acceptance_item.quantity:sign() ~= 0 and delivery_item.acceptance_item.remain_before:sign() <= 0 then\r\n    rows = rows + 1;\r\n   end\r\n  end\r\n end\r\n\r\n local totalPages = math.ceil(rows * 3 / linesOnPage);\r\n \r\n local currentPage = 1;\r\n \r\n __printer:line(ukm.rightalign(dateTime .. \"  Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n local s1 = ukm.center(\"СПИСОК ТОВАРОВ ДЛЯ ВЫКЛАДКИ НА ВИТРИНУ\", width, \" \");\r\n __printer:line(s1);\r\n __printer:new_line();\r\n\r\n local s2 = ukm.rightpad(\"По заданию №: \" .. __record.number, 2*w4, \" \") .. ukm.rightpad(\" от: \" .. dateFrom, 2*w4, \" \");\r\n __printer:line(s2);\r\n __printer:new_line();\r\n\r\n local s3 = ukm.rightalign(\"№ п/п \", w11, \" \") .. ukm.leftalign(\"Артикул\", 2*w11, \" \") .. ukm.leftalign(\"Название\", 8*w11, \" \");\r\n local s4 = ukm.rightpad(\"─\", width, \"─\");\r\n __printer:line(s3);\r\n __printer:line(s4);\r\n\r\n for i = 0, __record.delivery_items:size() - 1 do\r\n  local delivery_item = __record.delivery_items:at(i);\r\n  local actual_quantity = \"\";\r\n  if delivery_item.acceptance_item ~= nil then\r\n   if delivery_item.acceptance_item.quantity:sign() ~= 0 and delivery_item.acceptance_item.remain_before:sign() <= 0 then\r\n\r\n    if __printer:get_rows_left_on_page() < footerLines then\r\n     currentPage = currentPage + 1;\r\n     __printer:new_page();\r\n     __printer:line(ukm.rightalign(\"Стр. \" .. tostring(currentPage) .. \"/\" .. tostring(totalPages) , width, \" \"));\r\n     __printer:line(s1);\r\n     __printer:new_line();\r\n     __printer:line(s2);\r\n     __printer:new_line();\r\n     __printer:line(s3);\r\n     __printer:line(s4);\r\n    end\r\n\r\n    __printer:line(ukm.rightalign(tostring(delivery_item.sequence) .. \" \", w11, \" \") .. ukm.leftalign(delivery_item.item, 2*w11, \" \") .. ukm.leftalign(delivery_item.name, 8*w11, \" \"));\r\n    __printer:new_line();\r\n    __printer:line(s4);\r\n   end\r\n  end\r\n end\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'checkway77f.lua','-- Документы\r\nfunction print_fn_result_header(__result, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.center(\"КАССОВЫЙ ЧЕК\", width, \" \") .. \"\\n\";\r\n    local sign = \"\";\r\n    if __result.paymentSign == 1 then\r\n      sign = \"ПРИХОД\";\r\n    elseif __result.paymentSign == 2 then\r\n      sign = \"ВОЗВРАТ ПРИХОДА\";\r\n    elseif __result.paymentSign == 3 then\r\n      sign = \"РАСХОД\";\r\n    elseif __result.paymentSign == 4 then\r\n      sign = \"ВОЗВРАТ РАСХОДА\";\r\n    else\r\n      sign = tostring(__result.paymentSign);\r\n    end;\r\n    text = text .. ukm.center(sign, width, \" \") .. \"\\n\";\r\n   \r\n   text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"СМЕНА: \", __result.fiscalShiftNum,width,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"ЧЕК: \", __result.receiptNumber, width,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n\r\n   local tax_system_vec = ukm.explode(__result.tax_system, \"\\n\");\r\n   text = text .. ukm.adjustmentdouble(\"СНО:\", tax_system_vec:at(0), width, \" \") .. \"\\n\";\r\n   for i = 1, tax_system_vec:size() - 1 do\r\n      text = text .. ukm.rightpad(tax_system_vec:at(i), width, \" \") .. \"\\n\";\r\n   end\r\n   text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_fn_result_footer(__result, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n   if __result.agent_attr ~= \"\" then\r\n       text = text .. ukm.adjustment(\"ПРИЗНАК АГЕНТА:\", __result.agent_attr, width-1,\" \") .. \"\\n\";\r\n       if __result.operation ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ОПЕРАЦИЯ:\", __result.operation, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.operator_name ~= \"\" then\r\n          text = text .. ukm.adjustment(\"НАИМЕН. ОПЕРАТОРА:\", __result.operator_name, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.operator_address ~= \"\" then\r\n          text = text .. ukm.adjustment(\"АДРЕС ОПЕРАТОРА:\", __result.operator_address, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.operator_phone ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ТЕЛ. ОПЕРАТОРА:\", __result.operator_phone, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.operator_inn ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ИНН ОПЕРАТОРА:\", __result.operator_inn, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.agent_phone ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ТЕЛ. АГЕНТА:\", __result.agent_phone, width-1,\" \") .. \"\\n\";\r\n       end\r\n       if __result.rec_operator_phone ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ТЕЛ. ОПЕРАТОРА ПО ПРИЕМУ ПЛАТЕЖЕЙ:\", \"\", width-1,\" \") .. \"\\n\";\r\n          text = text .. ukm.leftpad(__result.rec_operator_phone, width - 1, \" \") .. \"\\n\";\r\n       end\r\n       if __result.provider_phone ~= \"\" then\r\n          text = text .. ukm.adjustment(\"ТЕЛ. ПОСТАВЩИКА:\", __result.provider_phone, width-1,\" \") .. \"\\n\";\r\n       end\r\n   end\r\n\r\n   if __result.automat_number ~= \"\" then\r\n        text = text .. ukm.adjustment(\"НОМЕР АВТОМАТА:\", __result.automat_number, width-1,\" \") .. \"\\n\";\r\n   end\r\n   text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n   if __result.customer_phone ~= \"\" then\r\n        text = text .. ukm.adjustmentdouble(\"ТЕЛ. ПОКУПАТЕЛЯ:\", __result.customer_phone, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   elseif __result.customer_email ~= \"\" then\r\n        text = text .. ukm.adjustmentdouble(\"ЭЛ.АДР.ПОКУПАТЕЛЯ:\", __result.customer_email, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   end\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ФНС:\", ukm.slice(__result.fns_url, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 1:\", ukm.slice(__result.check_url_1, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 2:\", ukm.slice(__result.check_url_2, width), width,\" \");\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   if __result.qr_code ~= \"\" then\r\n       text = text .. hw_command_qrcode(__result.qr_code) .. \"\\n\";\r\n       text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   end\r\n   text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width-1,\" \") .. \"\\n\";\r\n   text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width-1,\" \") .. \"\\n\";\r\n   text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n    \r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\n\r\n--Документ на открытие смены ФН\r\nfunction print_fn_shift_open(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.center(\"ОТЧЕТ ОБ ОТКРЫТИИ СМЕНЫ\", width,\" \") ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"СМЕНА: \", __result.fiscalShiftNum,width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ВЕРСИЯ ККТ:\", __result.kkt_version, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   \r\n        text = text .. ukm.adjustment(\"Версия ФФД ККТ:\", __result.ffd_kkt_version, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Документ на закрытие смены ФН\r\nfunction print_fn_shift_close(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n \r\n        text = text .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"СМЕНА: \", __result.fiscalShiftNum,width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ЧЕКОВ ЗА СМЕНУ:\", __result.receipt_total, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФД ЗА СМЕНУ:\", __result.fd_total, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НЕПЕРЕДАННЫХ ФД:\", __result.not_sended_fn_docs, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФД НЕ ПЕРЕДАНЫ С:\", __result.not_sended_fn_docs_datetime, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ОФД НЕ ОТВЕЧАЕТ:\", __result.long_wait_ofd, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РЕСУРС ФН МЕНЕЕ 3 ДНЕЙ:\", __result.need_change_fn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ПАМЯТЬ ФН ЗАПОЛНЕНА:\", __result.owerflow_fn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РЕСУРС ФН МЕНЕЕ 30 ДНЕЙ:\", __result.ending_resource_fn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   \r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Документ  регистрации/перерегистрации ФН\r\nfunction print_fn_registration_report(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.slicecenter(__result.doc_title, width) ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ЗН ККТ:\", __result.factory_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ВЕРСИЯ ККТ:\", __result.kkt_version, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ИНН ОФД:\", __result.ofd_inn, width,\" \") .. \"\\n\";\r\n        local tax_system_vec = ukm.explode(__result.tax_system, \"\\n\");\r\n        text = text .. ukm.adjustmentdouble(\"СНО:\", tax_system_vec:at(0), width, \" \") .. \"\\n\";\r\n        for i = 1, tax_system_vec:size() - 1 do\r\n           text = text .. ukm.leftpad(tax_system_vec:at(i), width, \" \") .. \"\\n\";\r\n        end\r\n        text = text .. ukm.adjustment(\"АВТОНОМН. РЕЖИМ:\", __result.autonom_mode, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"АС БСО:\", __result.bso_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ККТ ДЛЯ УСЛУГ:\", __result.service_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ШФД:\", __result.encrypt_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"АВТОМАТ. РЕЖИМ:\", __result.automatic_mode, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ККТ ДЛЯ ИНТЕРНЕТ:\", __result.internet_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ПРИНТЕР В АВТОМАТЕ:\", __result.set_in_automat, width,\" \") .. \"\\n\";\r\n        if(__result.automatic_mode == \'Да\') then\r\n            text = text .. ukm.adjustmentdouble(\"НОМЕР АВТОМАТА:\", __result.automat_number, width,\" \") .. \"\\n\";\r\n        end\r\n        if(__result.agent_attr ~= \"\") then\r\n           local agent_vec = ukm.explode(__result.agent_attr, \"\\n\");\r\n           text = text .. ukm.adjustmentdouble(\"ПРИЗНАК АГЕНТА:\", agent_vec:at(0), width, \" \") .. \"\\n\";\r\n           for i = 1, agent_vec:size() - 1 do\r\n              text = text .. ukm.leftpad(agent_vec:at(i), width, \" \") .. \"\\n\";\r\n           end\r\n        end\r\n\r\n        if(__result.reregistration_reason ~= \"\") then\r\n            text = text .. ukm.adjustmentdouble(\"ИЗМ. СВЕД. О ККТ:\", __result.reregistration_reason, width,\" \") .. \"\\n\";\r\n        end\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ОФД:\", ukm.slice(__result.ofd_name, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"ИНН ОФД:\", ukm.slice(__result.ofd_inn, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ФНС:\", ukm.slice(__result.fns_url, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 1:\", ukm.slice(__result.check_url_1, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 2:\", ukm.slice(__result.check_url_2, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"ЭЛ. АДР. ОТПРАВИТЕЛЯ:\", ukm.slice(__result.receipt_sender_email, width), width,\" \");\r\n   \r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"Версия ФФД ККТ:\", __result.ffd_kkt_version, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Документ  итогов фискализации ФН\r\nfunction print_fn_registry_info(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( __result.cur_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.slicecenter(__result.doc_title, width) ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ДАТА:\", __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ЗН ККТ:\", __result.factory_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ИНН ОФД:\", __result.ofd_inn, width,\" \") .. \"\\n\";\r\n        local tax_system_vec = ukm.explode(__result.tax_system, \"\\n\");\r\n        text = text .. ukm.adjustmentdouble(\"СНО:\", tax_system_vec:at(0), width, \" \") .. \"\\n\";\r\n        for i = 1, tax_system_vec:size() - 1 do\r\n           text = text .. ukm.leftpad(tax_system_vec:at(i), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        text = text .. ukm.adjustment(\"АВТОНОМН. РЕЖИМ:\", __result.autonom_mode, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"АС БСО:\", __result.bso_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ККТ ДЛЯ УСЛУГ:\", __result.service_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ШФД:\", __result.encrypt_sign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"АВТОМАТ. РЕЖИМ:\", __result.automatic_mode, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ККТ ДЛЯ ИНТЕРНЕТ:\", __result.internet_sign, width,\" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n       text = text .. ukm.adjustmentdouble(\"САЙТ ФНС:\", ukm.slice(__result.fns_url, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 1:\", ukm.slice(__result.check_url_1, width), width,\" \");\r\n        text = text .. ukm.adjustmentdouble(\"САЙТ ЧЕКОВ 2:\", ukm.slice(__result.check_url_2, width), width,\" \");\r\n   \r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"Версия ФФД ККТ:\", __result.ffd_kkt_version, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Закрытие фискального режима ФН\r\nfunction print_fn_close(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n \r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.slicecenter(\"ОТЧЕТ О ЗАКРЫТИИ ФИСКАЛЬНОГО НАКОПИТЕЛЯ\", width) ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НОМЕР СМЕНЫ:\", __result.fiscalShiftNum, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   \r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n         __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n\r\n-- ФН. Отчет о состоянии рассчетов\r\nfunction print_calc_state_report(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n \r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.center(\"ОТЧЕТ О ТЕКУЩЕМ СОСТОЯНИИ РАСЧЕТОВ\", width,\" \")  ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НЕПЕРЕДАННЫХ ФД:\", __result.not_sended_fn_docs, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФД НЕ ПЕРЕДАНЫ С:\", __result.not_sended_fn_docs_datetime, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ПЕРВЫЙ НЕПЕРЕДАННЫЙ ФД:\", __result.not_sended_fn_doc_first_num, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"АВТОНОМН. РЕЖИМ:\", __result.autonom_mode, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n   \r\n        if (__result.fiscalShiftNum ~= \"\") then\r\n            text = text .. ukm.adjustment(\"СМЕНА:\", __result.fiscalShiftNum, width,\" \") .. \"\\n\";\r\n        end\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n-- ФН. Подтверждение оператора\r\nfunction print_ofd_confirmation(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad( ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\"), width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(ukm.user_full_name(), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.center(\"ПОДТВЕРЖДЕНИЕ ОПЕРАТОРА\", width,\" \")  ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ИНН ОФД:\", __result.ofd_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФПО:\", __result.ofd_confirmation, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ДАТА, ВРЕМЯ:  \",  __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n-- ФН. Чек коррекции\r\nfunction print_fn_correction_receipt(__result,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n\r\n        local sign = \"\";\r\n        if __result.paymentSign == 1 then\r\n          sign = \"ПРИХОД\";\r\n        elseif __result.paymentSign == 3 then\r\n          sign = \"РАСХОД\";\r\n        else\r\n          sign = tostring(__result.paymentSign);\r\n        end;\r\n\r\n        text = text .. ukm.leftpad( __result.doc_date_time, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(__result.login, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(__result.ur_name, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.center(\"КАССОВЫЙ ЧЕК КОРРЕКЦИИ\", width,\" \")  ..  \"\\n\";\r\n        text = text .. ukm.center(sign, width,\" \")  ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        text = text .. ukm.adjustmentdouble(\"НАЛИЧНЫМИ:\", __result.paymentCash , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"БЕЗНАЛИЧНЫМИ:\", __result.paymentCard , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ПРЕДОПЛАТА:\", __result.paymentPrepay , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ПОСТОПЛАТА:\", __result.paymentPostpay , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ВСТР. ПРЕДОСТАВЛЕНИЕ:\", __result.paymentCounteroffer , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИТОГ:\", __result.paymentTotal , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НДС 18%(20%):\", __result.nds18 , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НДС 10%:\", __result.nds10 , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НДС 0%:\", __result.nds0 , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"БЕЗ НДС:\", __result.ndsno , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НДС 18/118(20/120):\", __result.nds18118 , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"НДС 10/110:\", __result.nds10110 , width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"СМЕНА: \", __result.fiscalShiftNum, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ЧЕК КОР.: \", __result.receiptNumber, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"АДРЕС РАСЧЕТОВ:\", __result.user_address, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"МЕСТО РАСЧЕТОВ:\", __result.store_location, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ИНН:\", __result.user_inn, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ФН:\", __result.fn_number, width,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"РН ККТ:\", __result.reg_num_kkt, width,\" \") .. \"\\n\";\r\n        local tax_system_vec = ukm.explode(__result.tax_system, \"\\n\");\r\n        text = text .. ukm.adjustmentdouble(\"СНО:\", tax_system_vec:at(0), width, \" \") .. \"\\n\";\r\n        for i = 1, tax_system_vec:size() - 1 do\r\n           text = text .. ukm.leftpad(tax_system_vec:at(i), width, \" \") .. \"\\n\";\r\n        end\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"ТИП КОРРЕКЦИИ:\", __result.correctionType, width, \" \") .. \"\\n\";\r\n        if __result.correctionReasonText ~= \"\" or __result.correctionReasonDocNum ~= \"\" or\r\n           __result.correctionReasonDocDate ~= \"\" then\r\n           text = text .. \"ОСН. ДЛЯ КОРР. :\" .. \"\\n\";\r\n           if __result.correctionReasonText ~= \"\" then\r\n              text = text .. ukm.slice(__result.correctionReasonText, width) .. \"\\n\";\r\n           end\r\n           if __result.correctionReasonDocNum ~= \"\" then\r\n              text = text .. ukm.adjustmentdouble(\"НОМЕР ДОК.:\", __result.correctionReasonDocNum, width,\" \") .. \"\\n\";\r\n           end\r\n           if __result.correctionReasonDocDate ~= \"\" then\r\n              text = text .. ukm.adjustmentdouble(\"ДАТА ДОК.:\", __result.correctionReasonDocDate, width,\" \") .. \"\\n\";\r\n           end\r\n        end\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        text = text .. ukm.adjustment(\"ФД:\", __result.fiscalDocNumber, width-1,\" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ФП:\", __result.fiscalSign, width-1,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n-- Чеки\r\n\r\nfunction print_fn_receipt_open(__header, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        if __header.receipt.type == ukm.core.copy then\r\n           text = text .. \"*\" .. ukm.center(\"К О П И Я   Ч Е К А\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n           text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n        elseif __header.receipt.type == ukm.core.duplicate_ then\r\n           text = text .. \"*\" .. ukm.center(\"Д У Б Л И К А Т   Ч Е К А\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n           text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n        elseif __header.receipt.type == ukm.core.restore_ then\r\n           text = text .. \"*\" .. ukm.center(\"Ч Е К   В О С С Т А Н О В Л Е Н\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n           text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n        elseif __header.receipt.type == ukm.core.goods_receipt then\r\n           text = text .. \"*\" .. ukm.center(\"Т О В А Р Н Ы Й   Ч Е К\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n           text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n        end\r\n\r\n        text = text .. ukm.adjustment(ukm.left(__header.pos_name, width), ukm.ptime2str(__header.date, \"%d.%m.%y %H:%M\"), width, \" \") .. \"\\n\"\r\n        text = text .. ukm.user_full_name() .. \"\\n\";\r\n        text = text .. print_header_info(__header);\r\n\r\n        text = text .. print_client(__header, width);\r\n	text = text .. print_order(__header, width);\r\n        text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_fn_hard_subtotal(__hard_subtotal, __tax_system,  __print_data)\r\n    if compresed_print == true then\r\n      loc_item_table = {};\r\n      loc_item_keys_table = {};\r\n      local normal_items = __hard_subtotal.receipt.items:leavenormal();\r\n      for j = 0, normal_items:size() - 1 do\r\n          local i = get_table_from_item(normal_items:at(j));\r\n          local key = i.item .. \"_\" .. tostring(i.price);\r\n          if loc_item_table[key] == nil then\r\n            table.insert(loc_item_keys_table,key);\r\n            loc_item_table[key] = i;\r\n          else\r\n            loc_item_table[key].totalquantity = loc_item_table[key].totalquantity + i.totalquantity;\r\n            loc_item_table[key].total = loc_item_table[key].total + i.total;\r\n\r\n             for idk, idv in pairs(i.discounts) do\r\n                 if loc_item_table[key].discounts[idk] == nil then\r\n                     loc_item_table[key].discounts[idk] = {};\r\n                     loc_item_table[key].discounts[idk].name = idv.name;\r\n                     loc_item_table[key].discounts[idk].increment = idv.increment;\r\n                 else\r\n                     loc_item_table[key].discounts[idk].increment = loc_item_table[key].discounts[idk].increment + idv.increment;\r\n                 end\r\n             end\r\n\r\n             for idk, idv in pairs(i.tax_item) do\r\n                 if loc_item_table[key].tax_item[idk] == nil then\r\n                     loc_item_table[key].tax_item[idk] = {};\r\n                     loc_item_table[key].tax_item[idk].name = idv.name;\r\n                     loc_item_table[key].tax_item[idk].percent = idv.name;\r\n                     loc_item_table[key].tax_item[idk].amount = idv.amount;\r\n                 else\r\n                     loc_item_table[key].tax_item[idk].amount = loc_item_table[key].tax_item[idk].amount + idv.amount;\r\n                 end\r\n             end\r\n          end\r\n       end\r\n--сортировка таблицей по ключу\r\n       for i,v in ipairs(loc_item_keys_table) do\r\n          print_item_to_printer(loc_item_table[v], ukm.printer_type_master(), __print_data);\r\n       end\r\n       loc_item_keys_table = {};\r\n       loc_item_table = {};\r\n    end\r\n\r\n--печать подытога чека\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"ТОВАРОВ В ЧЕКЕ: \" .. tostring(__hard_subtotal.receipt.subtotal.itemscount), width, \" \") .. \"\\n\";\r\n        if __hard_subtotal.receipt:receipt_discount_amount():sign() ~= 0 then\r\n\r\n           if ukm.str_len(\"ИТОГО: \" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount())  , 14, \".\") .. \" \") < (width + 1)  then\r\n        text = text .. ukm.leftpad(\"ИТОГО: \" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount())  , 14, \".\") .. \" \", width, \" \") .. \"\\n\";\r\n           else\r\n              text = text .. ukm.rightpad(\"ИТОГО: \", width, \".\") .. \"\\n\";\r\n              text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount()), width, \".\") .. \"\\n\";\r\n           end\r\n        end\r\n--печать скидок чека\r\n\r\n      for i=0, __hard_subtotal.receipt.discounts:size()-1 do\r\n         local discount = __hard_subtotal.receipt.discounts:at(i);\r\n\r\n-- скидки на виды оплаты сейчас не печатаем, напечатаем в футере\r\n         if discount.efts ~= ukm.core.efts_payment_discount_type and\r\n            __hard_subtotal.receipt.items:getdiscount(discount) ~= nil and __hard_subtotal.receipt.items:getdiscount(discount):sign() ~= 0 then\r\n\r\n            if __hard_subtotal.receipt.items:getdiscount(discount):sign() == -1 then\r\n                 if ukm.str_len(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \" .. tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1))) < width then\r\n                    text = text .. ukm.adjustment(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \", tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1)), width-1, \".\") .. \"\\n\";\r\n                 else\r\n                    text = text .. ukm.rightpad(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \", width-1, \".\") .. \"\\n\";\r\n                    text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1)),width-1,\".\") .. \"\\n\";\r\n                 end\r\n            else\r\n                 if ukm.str_len(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \" .. tostring(__hard_subtotal.receipt.items:getdiscount(discount))) < width then\r\n                    text = text .. ukm.adjustment(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \", tostring(__hard_subtotal.receipt.items:getdiscount(discount)), width-1, \".\") .. \"\\n\";\r\n                 else\r\n                    text = text .. ukm.rightpad(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-23),width-23,\".\") .. \" \", width-1, \".\") .. \"\\n\";\r\n                    text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.items:getdiscount(discount)),width-1,\".\") .. \"\\n\";\r\n                 end\r\n            end\r\n     \r\n            -- печать купонов\r\n            local receipt_type = __hard_subtotal.receipt.header:receipt_type();\r\n            if receipt_type == ukm.header.sale or receipt_type == ukm.header.pop then\r\n              for a=0, discount.accepted_coupons:size()-1 do\r\n                local coupon = discount.accepted_coupons:at(a);\r\n                text = text .. \"  \" .. ukm.adjustment(coupon.coupontype, coupon.number, width-3, \" \") .. \" \\n\";\r\n              end\r\n            end\r\n\r\n            local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n            if properties_iterator:at(ukm.core.field_discount_modificator) ~= \"\" then\r\n                 local modif = \"возможное значение \";\r\n--выполнение парсинга значения модификатора, и преобразование сохранённых в базе значений в строковый вид для печати\r\n                 local modificator = properties_iterator:at(ukm.core.field_discount_modificator);\r\n                 local human_modificator = modificator_to_human(modificator);\r\n                 if properties_iterator:at(ukm.core.field_discount_client_name) ~= \"\" then\r\n                      text = text .. ukm.rightpad(ukm.left(properties_iterator:at(ukm.core.field_discount_client_name), width - ukm.str_len(human_modificator) - 2) .. \", \" .. human_modificator, width, \" \") .. \"\\n\";\r\n                 else\r\n                      text = text .. ukm.adjustment(human_modificator, \" \", width, \" \") .. \"\\n\";\r\n                 end\r\n            end\r\n         end\r\n      end\r\n\r\n      text = text .. print_netto_subtotal(__hard_subtotal.receipt.items:leavenormal());\r\n      \r\n       if ukm.str_len(ukm.leftpad(\"ИТОГ:.\" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount), 14, \".\") .. \" \", width, \" \")) < (width + 1) then\r\n          text = text .. ukm.leftpad(\"ИТОГ:.\" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount), 14, \".\") .. \" \", width, \" \") .. \"\\n\";\r\n       else\r\n          text = text .. ukm.rightpad(\"ИТОГ:.\", width, \".\") .. \"\\n\";\r\n          text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount) .. \" \" ,width, \".\") .. \"\\n\";\r\n       end\r\n\r\n       if __hard_subtotal.receipt.type == ukm.core.goods_receipt then\r\n          text = text .. \"СУММА ПРОПИСЬЮ:\" .. \"\\n\";\r\n          text = text .. \"   \" .. ukm.slice(ukm.num2txt(__hard_subtotal.receipt.subtotal.amount), width) .. \"\\n\";\r\n       end\r\n\r\n         if __hard_subtotal.receipt.taxes:empty() == false then\r\n           text = text .. \"Включая налоги:\" .. \"\\n\";\r\n\r\n           rtax = {};\r\n           for i=0, __hard_subtotal.receipt.taxes.itemtaxes:size()-1 do\r\n             local tax = __hard_subtotal.receipt.taxes.itemtaxes:at(i);\r\n             local key = tostring(tax.taxid) .. \"_\" .. tax.percent;\r\n             if rtax[key] == nil then\r\n                rtax[key] = {};\r\n                rtax[key].name = tax.name;\r\n                rtax[key].amount = ukm.currency(0);\r\n                rtax[key].percent = tax.percent;\r\n             end\r\n              rtax[key][\"amount\"] = rtax[key][\"amount\"] + tax.amount;\r\n           end\r\n\r\n           for rk, rv in pairs(rtax) do\r\n               local tax_name = \"СУММА \" .. rv.name;\r\n               local tax_percent = rv.percent;\r\n               if (rv.percent == \'не облагается\') then\r\n                   tax_name = \"СУММА\";\r\n                   tax_percent = \"БЕЗ НДС\";\r\n               elseif (rv.percent == \'0%\') then\r\n                   tax_name = \"СУММА C \" .. rv.name;\r\n               end\r\n               text = text .. ukm.adjustment(tax_name .. \' \' .. tax_percent, ukm.leftpad(tostring(rv.amount) .. \" \", width-23, \" \") , width, \" \") .. \"\\n\";\r\n           end\r\n         end\r\n\r\n       for i = 0, __hard_subtotal.receipt.discounts:size()-1 do\r\n          local discount = __hard_subtotal.receipt.discounts:at(i);\r\n          for j=0,discount.disc_info:size()-1 do\r\n              local info = discount.disc_info:at(j);\r\n              text = text .. \"Ваши накопления:\" .. \"\\n\";\r\n              text = text .. ukm.rightpad(tostring(info.amount) .. \" - \" ..info.name , width, \" \") .. \"\\n\";\r\n          end\r\n      end\r\n\r\n--  Суммарные значения по платежам\r\n      local moneyValues = { ukm.currency(0), ukm.currency(0), ukm.currency(0), ukm.currency(0), ukm.currency(0) };\r\n      for i=0, __hard_subtotal.receipt.payments:size()-1 do\r\n        local paym = __hard_subtotal.receipt.payments:at(i);\r\n        if paym.type == 0 then\r\n           if paym.kkt_payment_form >= 0 and paym.kkt_payment_form < 5 then\r\n              moneyValues[paym.kkt_payment_form + 1] = moneyValues[paym.kkt_payment_form + 1] + paym.amount;\r\n           end\r\n        end\r\n      end\r\n\r\n      for i=1, 5 do\r\n        if moneyValues[i] ~= ukm.currency(0) then\r\n          local caption;\r\n          if i == 1 then\r\n            caption = \"НАЛИЧНЫМИ:.\";\r\n          elseif i == 2 then\r\n            caption = \"БЕЗНАЛИЧНЫМИ:.\";\r\n          elseif i == 3 then\r\n            caption = \"ПРЕДВАРИТЕЛЬНАЯ ОПЛАТА (АВАНС):.\";\r\n          elseif i == 4 then\r\n            caption = \"ПОСЛЕДУЮЩАЯ ОПЛАТА (КРЕДИТ):.\";\r\n          else\r\n            caption = \"ОПЛАТА ВСТРЕЧНЫМ ПРЕДОСТАВЛЕНИЕМ:.\";\r\n          end\r\n\r\n          local money_text = ukm.leftpad(caption .. ukm.leftpad(tostring(moneyValues[i]), 14, \".\") .. \" \", width, \" \");\r\n          if ukm.str_len(money_text) <= width then\r\n             text = text .. money_text .. \"\\n\";\r\n          else\r\n             text = text .. ukm.rightpad(caption, width, \".\") .. \"\\n\";\r\n             text = text .. ukm.leftpad(tostring(moneyValues[i]) .. \" \" ,width, \".\") .. \"\\n\";\r\n          end\r\n        end\r\n      end\r\n\r\n      text = text .. ukm.leftpad(\"В том числе: \" .. ukm.leftpad(\'\', 14, \" \") .. \" \", width, \" \") .. \"\\n\";\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n  end\r\nend\r\n\r\nfunction print_fn_link_header(__receiptlink, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        local header_t = \"\";\r\n        local header_type = __receiptlink.receipt.header:receipt_type();\r\n        if header_type == ukm.header.returnbyreceipt or header_type == ukm.header.returnbyreceiptnonfiscal then\r\n           header_t = \"ВОЗВРАТ ПО ЧЕКУ\";\r\n        elseif header_type == ukm.header.pop or header_type == ukm.header.nonfiscal then\r\n           header_t = \"ВОССТАНОВЛЕНИЕ ЧЕКА\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockcount then\r\n           header_t = \"ИНВЕНТАРИЗАЦИЯ\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockwriteoff then\r\n           header_t = \"СПИСАНИЕ\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockorder then\r\n           header_t = \"ЗАКАЗ\";\r\n        end\r\n\r\n        text = text .. ukm.left(__receiptlink.receipt.link.headerlink.pos_name, width) .. \"\\n\";\r\n\r\n        if width <= 20 then\r\n            text = text .. header_t .. \"\\n\";\r\n            text = text .. ukm.leftpad(ukm.ptime2str(__receiptlink.receipt.link.headerlink.date, \"%d.%m.%y %H:%M\"),width,\" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.adjustment(header_t, ukm.ptime2str(__receiptlink.receipt.link.headerlink.date, \"%d.%m.%y %H:%M\"), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        text = text .. print_header_info(__receiptlink.receipt.link.headerlink);\r\n        text = text .. print_client(__receiptlink.receipt.link.headerlink, width);\r\n	text = text .. print_order(__receiptlink.receipt.link.headerlink, width);\r\n        text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n     end\r\nend\r\n\r\n-- Отчеты\r\n\r\n--Отчёт Z\r\nfunction print_fn_report_z(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer then\r\n        local width = printer:get_width();\r\n\r\n        local j_count = \"\";\r\n\r\n        if __rep.journal_count > 0 then\r\n            j_count = ukm.adjustment(\"ВСЕГО КОНТРОЛЬНЫХ ЛЕНТ\", tostring(__rep.journal_count), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        local text = report_fn_general_shift_period(__rep,width)\r\n            .. report_fn_general_header(__rep,width,\"*Z*\")\r\n            .. j_count;\r\n--            .. report_fn_x_body(__rep,width);\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Статус смены, за которую формируется отчет\r\nfunction report_fn_general_shift_period(__rep,width)\r\n       local text = \"\";\r\n       local shift_id = ukm.get_shift_id_from_number(__rep.shift_number);\r\n\r\n       local open_date = ukm.shift_open_date(shift_id:get());\r\n       local close_date = ukm.shift_close_date(shift_id:get());\r\n       if shift_id ~= nil then\r\n         if (ukm.shift_is_closed(shift_id:get())) then\r\n             text = text .. \"*\" .. ukm.center(\"ОТЧЕТ О ЗАКРЫТИИ СМЕНЫ \", width-2,\" \") .. \"*\" .. \"\\n\";\r\n             text = text .. \"*\" .. ukm.adjustment( \" Касса\", tostring(ukm.get_pos_number()) ,width-3,\" \") .. \" *\" .. \"\\n\";\r\n             text = text .. \"*\" .. ukm.adjustment( \" Смена в кассе\", tostring(__rep.shift_number) ,width-3,\" \") .. \" *\" .. \"\\n\";\r\n             if open_date ~= nil and close_date ~= nil then\r\n                text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА\", ukm.ptime2str(open_date, \"%d.%m.%y %H:%M\"), width-3,\" \") .. \" *\" .. \"\\n\";\r\n                text = text .. \"*\" .. ukm.adjustment(\" ЗАКРЫТА\", ukm.ptime2str(close_date, \"%d.%m.%y %H:%M\"), width-3,\" \") .. \" *\" .. \"\\n\";\r\n             end \r\n             text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n         else\r\n            if open_date ~= nil then\r\n               text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА: \", ukm.ptime2str(open_date, \"%d.%m.%y %H:%M\"), width-3,\" \") .. \" *\" .. \"\\n\";\r\n            end\r\n         end\r\n       end\r\n    return text;\r\nend\r\n\r\n--Заголовок отчетов\r\nfunction report_fn_general_header(__rep,width,rep_type)\r\n        local text = \"\";\r\n--        text = text .. ukm.leftpad( ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%y %H:%M\"), width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(ukm.user_full_name(), width, \" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.adjustment( \"ОТЧЕТ:\" .. ukm.left(ukm.leftpad(tostring(ukm.get_pos_number()),3,\"0\"),3) .. ukm.left(ukm.leftpad(tostring(ukm.get_shift_number()),5,\"0\"),5) .. ukm.left(ukm.leftpad(tostring(__rep.local_number),4,\"0\"),4) .. \" \" .. rep_type, \"ТРН:\" .. ukm.left(ukm.leftpad(tostring(__rep.global_number),12,\"0\"),12),width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n   return text;\r\nend\r\n\r\nfunction report_fn_x_body(__rep,__width)\r\n   local text = \"\";\r\n   local text_p = \"\";\r\n   text = text .. ukm.adjustment(ukm.adjustment(\" \", \"(РУБ) РАСХОД\",__width-10,\" \"), \"ПРИХОД\", __width, \" \") .. \"\\n\"\r\n			   .. ukm.adjustment(ukm.adjustment(\"СУММА\", tostring(__rep.global_sum_return),__width-10,\" \"), tostring(__rep.global_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(\"ОБЩАЯ РЕАЛИЗАЦИЯ\", tostring(__rep.global_sum_sale - __rep.global_sum_return),__width,\" \") .. \"\\n\"\r\n   			   .. ukm.leftpad(\"  ОПЕРАЦИИ\",__width,\"-\") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(\"ПРОВЕДЁННЫЕ\", tostring(__rep.period_sum_return),__width-10,\" \"), tostring(__rep.period_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(\"РЕАЛИЗАЦИЯ\", tostring(__rep.period_sum_sale - __rep.period_sum_return),__width,\" \") .. \"\\n\"\r\n   			   .. ukm.leftpad(\"  СКИДКА/НАЦЕНКА\",__width,\"-\") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(ukm.adjustment(\"СКИДКА\",  tostring(__rep.price_down_count),__width-22,\" \"), tostring(__rep.price_down_sum_return), __width-10,\" \"), tostring(__rep.price_down_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(ukm.adjustment(\"НАЦЕНКА\", tostring(__rep.price_up_count),__width-22,\" \"), tostring(__rep.price_up_sum_return), __width-10,\" \"), tostring(__rep.price_up_sum_sale), __width,\" \") .. \"\\n\"\r\n      		   .. report_fn_x_statistic(__rep,__width)\r\n                   .. ukm.adjustment(\r\n                        ukm.adjustment(ukm.left(\"СУММА ОТМЕН. ЧЕКОВ\",__width - 15), tostring(__rep.cancelled_return_receipts_sum), __width - 10, \" \"),\r\n                        tostring(__rep.cancelled_sale_receipts_sum),\r\n                        __width,\r\n                        \" \") .. \"\\n\"\r\n                   .. ukm.adjustment(\r\n                        ukm.adjustment(\"КОРРЕКЦИЙ\", tostring(__rep.voided_items),__width-10,\" \"),\r\n                        tostring(__rep.voided_items_sums),\r\n                        __width,\r\n                        \" \") .. \"\\n\"\r\n      		   .. ukm.leftpad(\"  ПЛАТЁЖНЫЕ СРЕДСТВА\",__width,\"-\") .. \"\\n\"\r\n         	   .. ukm.adjustment(ukm.adjustment(\" \",\"ШТ (РУБ)  САЛЬДО\", __width-10,\" \"),\"ОСТАТОК\",__width,\" \") .. \"\\n\"\r\n         	   .. report_fn_x_cashier(__rep,__width);\r\n   if __rep.taxes:size() ~= 0 then\r\n      text = text .. ukm.leftpad(\"  ВКЛЮЧАЯ НАЛОГИ\",__width,\"-\") .. \"\\n\"\r\n				  .. report_fn_x_taxes(__rep,__width);\r\n   end\r\n   return text;\r\nend\r\n\r\nfunction report_fn_x_statistic(__rep,__width)\r\n  local text = \"\";\r\n  text = text \r\n            .. ukm.leftpad(\"  ТОВАРЫ\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРЫ ШТ/МЕР\",__width - 15),tostring(__rep.item_return_piece) .. \"/\" .. tostring(__rep.item_return_weight),__width - 10,\" \"),tostring(__rep.item_sale_piece) .. \"/\" .. tostring(__rep.item_sale_weight),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРЫ СКД/НЦН\",__width - 15),tostring(__rep.item_return_price_down) .. \"/\" .. tostring(__rep.item_return_price_up),__width - 10,\" \"), tostring(__rep.item_sale_price_down) .. \"/\" .. tostring(__rep.item_sale_price_up),__width, \" \") .. \"\\n\"\r\n            .. ukm.leftpad(\"  СТАТИСТИКА\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРОВ С RS-СКАНЕРА\",__width - 15),tostring(__rep.item_use_barcode_percent) .. \"%\",__width - 10,\" \"), tostring(__rep.item_use_barcode_count),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРОВ ПО НОМЕРУ\",__width - 15),tostring(__rep.item_use_id_percent) .. \"%\",__width - 10,\" \"), tostring(__rep.item_use_id_count), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАР ПРЕДУСТАН.\",__width - 15),tostring(__rep.item_use_hot_key_percent) .. \"%\",__width - 10,\" \"),  tostring(__rep.item_use_hot_key_count), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ККМ РАБОТАЛА\",__width - 15),tostring(__rep.time_work_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_work_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ВВОД ТОВАРА\" ,__width - 15),tostring(__rep.time_item_percent),__width - 10,\" \"), ukm.timeduration2str(__rep.time_item_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"РАСЧЁТ С КЛИЕНТОМ\",__width - 15),tostring(__rep.time_payment_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_payment_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ПЕРЕРЫВЫ\",__width - 15),tostring(__rep.time_out_percent) .. \"%\",__width - 10,\" \"),ukm.timeduration2str(__rep.time_out_time), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЯЩИК ОТКРЫТ\",__width - 15),tostring(__rep.time_cashdrawer_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_cashdrawer_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.leftpad(\"  ЧЕКИ\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ ЗА СМЕНУ\",__width - 15),tostring(__rep.receipt_return),__width - 10,\" \"), tostring(__rep.receipt_sale),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ ОТЛ/ВОССТ\",__width - 15),tostring(__rep.receipt_return_push .. \"/\" .. __rep.receipt_return_pop),__width - 10,\" \"), tostring(__rep.receipt_sale_push).. \"/\" .. tostring(__rep.receipt_sale_pop),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ АННУЛИРОВАНО\",__width - 15),tostring(__rep.receipt_return_cancel),__width - 10,\" \"), tostring(__rep.receipt_sale_cancel),__width, \" \") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\nfunction report_fn_x_cashier(__rep,__width)\r\n   local text = \"\";\r\n   local iterator_collect = ukm.map.int.report_time_cashier_payments.iterator(__rep.cashiers);\r\n   while iterator_collect:next() do\r\n       text = text .. ukm.adjustment(ukm.adjustment(tostring(iterator_collect:second().cashier.name)\r\n          ,tostring(iterator_collect:second().cashier.sale + iterator_collect:second().cashier.insert)\r\n          , __width-14, \" \")\r\n          ,tostring(iterator_collect:second().cashier.origin + iterator_collect:second().cashier.sale + iterator_collect:second().cashier.insert -  iterator_collect:second().cashier.extract)\r\n          ,__width, \" \")..\"\\n\";\r\n       local payment_collect = ukm.map.int.report_time_payment.iterator(iterator_collect:second().payments);\r\n       while payment_collect:next() do\r\n          text = text .. ukm.adjustment(ukm.adjustment(ukm.adjustment(ukm.left(tostring(ukm.str_upper(payment_collect:second().name)),__width - 23 - ukm.str_len(tostring(payment_collect:second().count)))\r\n	     ,tostring(payment_collect:second().count)\r\n	     , __width-22, \" \")\r\n	     ,tostring(payment_collect:second().sale + payment_collect:second().insert)\r\n	     , __width-10, \" \")\r\n             ,tostring(payment_collect:second().origin + payment_collect:second().sale + payment_collect:second().insert - payment_collect:second().extract)\r\n             , __width, \" \") .. \"\\n\"\r\n	  .. ukm.adjustment(ukm.adjustment(ukm.left(\" Внесения\",__width - 23 - ukm.str_len(tostring(payment_collect:second().count_insert))), tostring(payment_collect:second().count_insert),__width-22,\" \"), tostring(payment_collect:second().insert), __width, \" \") .. \"\\n\"\r\n	  .. ukm.adjustment(ukm.adjustment(ukm.left(\" Изъятия \",__width - 23 - ukm.str_len(tostring(payment_collect:second().count_extract))), tostring(payment_collect:second().count_extract),__width-22,\" \"), tostring(payment_collect:second().extract), __width, \" \") .. \"\\n\";\r\n       end\r\n   end\r\n   return text;\r\nend\r\n\r\nfunction report_fn_x_taxes(__rep,__width)\r\n   local text = \"\";\r\n   for j= 0, __rep.taxes:size() - 1 do\r\n       tax = __rep.taxes:at(j);\r\n       text = text .. ukm.adjustment(\"СУММА \" .. tostring(tax.name) .. \' \' .. tax.percent, tostring(tax.amount),__width,\" \") .. \"\\n\";\r\n   end\r\n   return text;\r\nend\r\n\r\nfunction print_fn_receipt_close(__core, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local coup_text = \"\";\r\n        local width = printer:get_width();\r\n        for i = 0, __core.discounts:size()-1 do\r\n            local discount = __core.discounts:at(i);\r\n            -- печать подарков по скидке\r\n            for j=0,discount.gifts:size()-1 do\r\n                 if (j == 0) then\r\n                       text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n                  end\r\n                  local gift = discount.gifts:at(j);\r\n                  text = text .. ukm.adjustment(\"Подарок\", gift.itemname, width, \".\") .. \"\\n\";\r\n             end\r\n        end\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'commands.lua','--Команды устройств\r\nhw_command_init = \"‼i\";\r\nhw_command_cut = \"‼c\";\r\nhw_command_double_weight = \"‼d\";\r\nhw_command_single_weight = \"‼s\";\r\nhw_command_normal_color = \"‼n\";\r\nhw_command_alter_color = \"‼a\";\r\nhw_command_reset = \"‼r\";\r\n\r\nfunction hw_goto_xy(_1,_2)\r\n   return \"‼?g04\" .. ukm.leftpad(tostring(_1),2,\"0\") .. ukm.leftpad(tostring(_2),2,\"0\");  \r\nend\r\n\r\nfunction hw_command_bar_code(_1)\r\n   return \"‼?b\" .. ukm.leftpad(tostring(ukm.str_len(_1)),2,\"0\") .. _1;  \r\nend\r\n\r\nfunction hw_command_document_barcode(_1)\r\n   return \"‼?h\" .. ukm.leftpad(tostring(ukm.str_len(_1)),2,\"0\") .. _1;  \r\nend\r\n\r\nfunction hw_command_eject(_1)\r\n   return \"‼?e\" .. ukm.leftpad(tostring(ukm.str_len(tostring(_1))),2,\"0\") .. tostring(_1);  \r\nend\r\n\r\nfunction hw_set_blink(_1)\r\n   return \"‼?l\" .. ukm.leftpad(tostring(ukm.str_len(tostring(_1))),2,\"0\") .. tostring(_1);  \r\nend\r\n\r\nfunction hw_set_font(_1)\r\n   return \"‼?f\" .. ukm.leftpad(tostring(ukm.str_len(tostring(_1))),2,\"0\") .. tostring(_1);  \r\nend\r\n\r\nfunction hw_set_color(_1,_2)\r\n   return \"‼?o04\" .. ukm.leftpad(tostring(_1),2,\"0\") .. ukm.leftpad(tostring(_2),2,\"0\");  \r\nend\r\n\r\nfunction hw_command_qrcode(_1)\r\n   return \"‼?q\" .. ukm.leftpad(tostring(ukm.str_len(_1)),4,\"0\") .. _1;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'discount_coupon.lua','--Модуль печати купонов\r\n\r\n--Чек-скидка типа купон\r\nfunction print_discount_coupon(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.center(\"КУПОН - СКИДКА\",width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(hw_command_document_barcode(__rep.coupon_number),width, \" \")  .. \"\\n\";\r\n        text = text .. ukm.center(__rep.coupon_number, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"Скидка на сумму \" .. __rep.discount, width, \" \") .. \"\\n\";\r\n        text = text .. __rep.card_number .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"Выдан по чеку \" .. __rep.pos .. \".\" .. tostring(ukm.get_shift_number()) .. \".\" .. tostring(__rep.receipt_number), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.ptime2str(__rep.date,\"%d.%m.%Y %H:%M\") .. \"\\n\";\r\n        text = text ..  ukm.rightpad(\"Сумма чека \" .. __rep.receipt_amount, width, \" \") .. \"\\n\";\r\n        text = text .. __rep.discount_percent .. \"\\n\";\r\n        text = text .. __rep.cashier .. \"\\n\";\r\n        text = text .. ukm.slice(ukm.rightpad(\"Действителен \" .. \"с \" .. ukm.ptime2str(__rep.date_from,\"%d.%m.%Y\") .. \" по \" .. ukm.ptime2str(__rep.date_to,\"%d.%m.%Y\"), width, \" \"),width) .. \"\\n\";\r\n        text = text .. ukm.center(\"*\", width,\"*\") .. \"\\n\"; \r\n        text = text .. ukm.slice(\"Количество купонов, принимаемых к оплате не ограничено, но сумма используемых купонов должна быть меньше суммы покупки\", width) .. \"\\n\"; \r\n        text = text .. \" \" .. \"\\n\"; \r\n        text = text .. ukm.slice(\"Купоны размену или обмену не подлежат.\", width) .. \"\\n\";\r\n        text = text .. \" \" .. \"\\n\";  \r\n        text = text .. ukm.center(\"Срок действия купона ограничен\", width,\" \") .. \"\\n\"; \r\n        text = text .. ukm.slice(\"Администрация оставляет за собой право прекратить выдачу купонов\", width) .. \"\\n\"; \r\n        text = text .. ukm.center(\"*\", width,\"*\") .. \"\\n\"; \r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n-- Печать суммовых купонов\r\nfunction print_amount_coupon(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.center(\"КУПОН - СКИДКА\",width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(hw_command_document_barcode(__rep.coupon_number),width, \" \")  .. \"\\n\";\r\n        text = text .. ukm.center(__rep.coupon_number, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"Скидка на сумму \" .. __rep.amount, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"Выдан по чеку \" .. __rep.pos .. \".\" .. tostring(ukm.get_shift_number()) .. \".\" .. tostring(__rep.receipt_number), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"Выдан по скидке \" .. __rep.discount, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.slice(ukm.rightpad(\"Действителен \" .. \"с \" .. ukm.ptime2str(__rep.date_from,\"%d.%m.%Y\") .. \" по \" .. ukm.ptime2str(__rep.date_to,\"%d.%m.%Y\"), width, \" \"),width) .. \"\\n\";\r\n        text = text .. ukm.center(\"*\", width,\"*\") .. \"\\n\"; \r\n        text = text .. ukm.slice(\"Купоны размену или обмену не подлежат.\", width) .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'display.lua','-- Дисплей покупателя\r\nfunction print_display_item_ext(__display, __item, __width, __total)\r\n   local text = \"\";\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.leftpad(ukm.left(__item.name, __width), __width, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   local itemsign = \" \";\r\n   if __item.type == ukm.item.cancel then \r\n      itemsign = \"X\";\r\n   elseif __item.type == ukm.item.void then\r\n      itemsign = \"-\";\r\n   end   \r\n   text = text .. ukm.adjustment(tostring(__item.totalquantity), __total .. itemsign, __width, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_item(__item, __print_data)\r\n   local total=\"\";\r\n   if __item.receipt.header:receipt_type() ~= ukm.header.stockcount then\r\n     total=__item.total;\r\n     if (ukm.get_store().show_discount) then\r\n        total=total-__item:discount_amount();\r\n     end\r\n     total=tostring(total);\r\n   end\r\n   local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_item_ext(displays:at(i), __item, 20, total), i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_item_ext(displays:at(i), __item, 35, total), i);\r\n       end\r\n    end\r\n   end\r\nend\r\n\r\nfunction display_service_info_20_2(__display, __item)\r\n   local item_name = __item.name;\r\n   local tel_number = \"\";\r\n   local amount = tostring(__item.total);\r\n   \r\n   for i = 0,__item.properties:size() - 1 do\r\n      local prop = __item.properties:at(i);\r\n      if prop.code == \"TELNUMBER\" then\r\n         tel_number = tel_number .. prop.value;   \r\n      end\r\n   end\r\n\r\n   local text = \"\";\r\n   text = text .. hw_goto_xy(0, 0);\r\n   text = text .. ukm.center(tel_number, 20, \" \");\r\n   text = text .. hw_goto_xy(0, 1);\r\n   text = text .. ukm.adjustment(item_name, amount, 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_service_info_40_12(__display, __item)\r\n   local item_name = __item.name;\r\n   local tel_number = \"\";\r\n   local amount = tostring(__item.total);\r\n  \r\n   for i = 0,__item.properties:size() - 1 do\r\n      local prop = __item.properties:at(i);\r\n      if prop.code == \"TELNUMBER\" then\r\n         tel_number = tel_number .. prop.value;   \r\n      end\r\n   end\r\n\r\n   local text = \"\";\r\n   text = text .. hw_goto_xy(0, 0);\r\n   text = text .. ukm.center(tel_number, 35, \" \");\r\n   text = text .. hw_goto_xy(0, 1);\r\n   text = text .. ukm.adjustment(item_name, amount, 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_service_info(__item, __print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(display_service_info_20_2(displays:at(i), __item), i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(display_service_info_40_12(displays:at(i), __item), i);\r\n       end\r\n    end\r\n   end\r\nend\r\n\r\nfunction print_display_payment_20_2(__display, __payment)\r\n   local text = \"\";\r\n   text = text .. hw_goto_xy(0,0);\r\n   if __payment.type == ukm.payment.void or __payment.type == ukm.payment.normal then\r\n      local header_type = __payment.receipt.header:receipt_type();\r\n      if header_type == ukm.header.nonfiscal or header_type == ukm.header.sale or header_type == ukm.header.pop or header_type == ukm.header.expense then\r\n          paytype = \"ОПЛАТА\";\r\n      elseif header_type == ukm.header.returnbyreceiptnonfiscal or header_type == ukm.header.returnnonfiscal or header_type == ukm.header.creturn or header_type == ukm.header.returnbyreceipt or header_type == ukm.header.return_expense or header_type == ukm.header.return_expense_by then\r\n          paytype = \"ВОЗВРАТ\";\r\n      end\r\n   elseif __payment.type == ukm.payment.change then\r\n      paytype = \"СДАЧА\"; \r\n   end\r\n   text = text .. ukm.adjustment(paytype, ukm.left(ukm.str_upper(__payment.paymentname), 20), 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n\r\n   local npaytype = \" \";\r\n   if __payment.type == ukm.payment.cancel then \r\n      npaytype = \"X\";\r\n   elseif __payment.type == ukm.payment.void  or __payment.type == ukm.payment.change then\r\n      npaytype = \"-\";\r\n   end\r\n   text = text .. ukm.leftpad(tostring(__payment.amount) .. npaytype, 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_payment_40_12(__display, __payment)\r\n   local text = \"\";\r\n   text = text .. hw_goto_xy(0,0);\r\n   if __payment.type == ukm.payment.void or __payment.type == ukm.payment.normal then\r\n      local header_type = __payment.receipt.header:receipt_type();\r\n      if header_type == ukm.header.nonfiscal or header_type == ukm.header.sale or header_type == ukm.header.pop or header_type == ukm.header.expense then\r\n          paytype = \"ОПЛАТА\";\r\n      elseif header_type == ukm.header.returnbyreceiptnonfiscal or header_type == ukm.header.returnnonfiscal or header_type == ukm.header.creturn or header_type == ukm.header.returnbyreceiptor or header_type == ukm.header.return_expense or header_type == ukm.header.return_expense_by then\r\n          paytype = \"ВОЗВРАТ\";\r\n      end\r\n   elseif __payment.type == ukm.payment.change then\r\n      paytype = \"СДАЧА\"; \r\n   end\r\n   text = text .. ukm.adjustment(paytype, ukm.left(ukm.str_upper(__payment.paymentname), 35), 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n\r\n   local npaytype = \" \";\r\n   if __payment.type == ukm.payment.cancel then \r\n      npaytype = \"X\";\r\n   elseif __payment.type == ukm.payment.void  or __payment.type == ukm.payment.change then\r\n      npaytype = \"-\";\r\n   end\r\n   text = text .. ukm.leftpad(tostring(__payment.amount) .. npaytype, 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_receipt_payment(__payment, __print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_payment_20_2(displays:at(i), __payment),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_payment_40_12(displays:at(i), __payment),i);\r\n       end\r\n    end\r\n   end    \r\nend\r\n\r\nfunction print_display_subtotal_20_2(__display, __subtotal)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.adjustment(\"ТОВАРОВ: \",  tostring(__subtotal.itemscount), 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.adjustment(\"ИТОГО: \",  tostring(__subtotal.amount), 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_subtotal_40_12(__display, __subtotal)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.adjustment(\"ТОВАРОВ: \",  tostring(__subtotal.itemscount), 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.adjustment(\"ИТОГО: \",  tostring(__subtotal.amount), 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_subtotal(__subtotal, __print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_subtotal_20_2(displays:at(i), __subtotal),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_subtotal_40_12(displays:at(i), __subtotal),i);\r\n       end\r\n    end\r\n   end  \r\nend\r\n\r\nfunction print_display_offside_40_12(__display)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ИЗВИНИТЕ!\", 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"КАССА НЕ РАБОТАЕТ\", 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_offside_20_2(__display)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ИЗВИНИТЕ!\", 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"КАССА НЕ РАБОТАЕТ\", 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_offside(__print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_offside_20_2(displays:at(i)),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_offside_40_12(displays:at(i)),i);\r\n       end\r\n    end\r\n   end  \r\nend\r\n\r\nfunction print_display_pause_40_12(__display, __from, __to)\r\n   local text = \"\";\r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ТЕХ. ПЕРЕРЫВ\", 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"C \" .. __from .. \" ПО \" .. __to, 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_pause_20_2(__display, __from, __to)\r\n   local text = \"\";\r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ТЕХ. ПЕРЕРЫВ\", 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"C \" .. __from .. \" ПО \" .. __to, 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_pause(__pause, __print_data)\r\n  local displays = ukm.get_customer_displays();\r\n  local datetime=ukm.get_sys_date();\r\n  local from = ukm.ptime2str(datetime, \"%H:%M\");\r\n  local to = ukm.ptime2str(datetime + __pause, \"%H:%M\");\r\n  for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n      if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n        __print_data:add(print_display_pause_20_2(displays:at(i),from,to),i);\r\n      end\r\n      if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n        __print_data:add(print_display_pause_40_12(displays:at(i),from,to),i);\r\n      end\r\n    end\r\n  end\r\nend\r\n\r\nfunction print_display_receipt_cancel_40_12(__display, __print_data)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ЧЕК\", 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"АННУЛИРОВАН!\", 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_receipt_cancel_20_2(__display, __print_data)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ЧЕК\", 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"АННУЛИРОВАН!\", 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_receipt_cancel(__print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_receipt_cancel_20_2(displays:at(i)),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_receipt_cancel_40_12(displays:at(i)),i);\r\n       end\r\n    end\r\n   end \r\nend\r\n\r\n\r\nfunction print_display_receipt_push_40_12(__display, __print_data)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ЧЕК\", 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"ОТЛОЖЕН!\", 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_receipt_push_20_2(__display, __print_data)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"ЧЕК\", 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"ОТЛОЖЕН!\", 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_receipt_push(__print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_receipt_push_20_2(displays:at(i)),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_receipt_push_40_12(displays:at(i)),i);\r\n       end\r\n    end\r\n   end \r\nend\r\n\r\nfunction print_display_thankyou_20_2(__display)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"СПАСИБО\", 20, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"ЗА ПОКУПКУ!\", 20, \" \");\r\n   return text;\r\nend\r\n\r\nfunction print_display_thankyou_40_12(__display)\r\n   local text = \"\"; \r\n   text = text .. hw_command_reset\r\n   text = text .. hw_goto_xy(0,0);\r\n   text = text .. ukm.center(\"СПАСИБО\", 35, \" \");\r\n   text = text .. hw_goto_xy(0,1);\r\n   text = text .. ukm.center(\"ЗА ПОКУПКУ!\", 35, \" \");\r\n   return text;\r\nend\r\n\r\nfunction display_thankyou(__print_data)\r\n  local displays = ukm.get_customer_displays();\r\n   for i = 0, displays:size() - 1 do\r\n    if displays:at(i) ~= nil then\r\n       if displays:at(i):get_width() == 20 and displays:at(i):get_height() == 2 then\r\n          __print_data:add(print_display_thankyou_20_2(displays:at(i)),i);\r\n       end\r\n       if displays:at(i):get_width() == 40 and displays:at(i):get_height() == 12 then\r\n          __print_data:add(print_display_thankyou_40_12(displays:at(i)),i);\r\n       end\r\n    end\r\n   end \r\nend\r\nfunction loymax_balance_msg(__balance,  __print_data)\r\n   local displays = ukm.get_customer_displays();\r\n\r\n   for i = 0, displays:size() - 1 do\r\n      if displays:at(i) ~= nil then\r\n         local width = displays:at(i):get_width();\r\n         local height = displays:at(i):get_height();\r\n\r\n         if (width  == 20 and height == 2) or (width == 40 and height == 12) then\r\n\r\n            local text = hw_command_reset .. hw_goto_xy(0,0);\r\n            text = text .. ukm.center(\"БАЛАНС\", width , \" \");\r\n\r\n            text = text .. hw_goto_xy(0,1);\r\n            text = text .. ukm.center(__balance , width , \" \");\r\n\r\n            __print_data:add(text , i);\r\n         end\r\n      end\r\n   end \r\nend\r\n\r\nfunction loymax_balance_msg15(__balance,  __print_data)\r\n   local displays = ukm.get_customer_displays();\r\n\r\n   for i = 0, displays:size() - 1 do\r\n      if displays:at(i) ~= nil then\r\n         local width = displays:at(i):get_width();\r\n         local height = displays:at(i):get_height();\r\n\r\n         if (width  == 20 and height == 2) or (width == 40 and height == 12) then\r\n\r\n            local text = hw_command_reset .. hw_goto_xy(0,0);\r\n            text = text .. ukm.center(\"БАЛАНС\", width , \" \");\r\n\r\n            text = text .. hw_goto_xy(0,1);\r\n            text = text .. ukm.center(__balance , width , \" \");\r\n\r\n            __print_data:add(text , i);\r\n         end\r\n      end\r\n   end \r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'documents.lua','--Модуль печати документов\r\n\r\n--Документ по внесению наличных средств\r\nfunction print_money_insert(__mo,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.adjustment(\"ОПР:\" ..  ukm.left(__mo.moneyophead.login.name,width-21), ukm.ptime2str(__mo.moneyophead.date,\"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ДОК:\" .. tostring(__mo.moneyophead:pos_number()) .. \".\" .. tostring(__mo.moneyophead.shiftnumber) .. \".\" .. tostring(__mo.moneyophead.localnumber), \" ТРН:\" .. ukm.leftpad(tostring(__mo.moneyophead.globalnumber) ,12,\"0\"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.left(ukm.rightpad( __mo.moneyophead.paymentname,width-28, \" \"),width-28), ukm.adjustment(\"(\".. __mo:base_nominal_name() ..\")\", \"СУММА\",width-18,\" \"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\" ДО ВНЕСЕНИЯ\", tostring(__mo.moneyophead.amount_before), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\" ВНЕСЕНО\", tostring(__mo.moneyophead.amount), width, \" \") .. \"\\n\";\r\n        for i=0,__mo.moneyopnotes:size()-1 do\r\n           local note = __mo.moneyopnotes:at(i);\r\n           if tonumber(note:count()) ~= 0 then\r\n             if (note:note_type() ~= 2) then\r\n                  text = text .. ukm.adjustment(\"    \" .. note:note_nominal_name() .. \" * \" .. note:count() .. \" шт\", tostring(note:amount()), width, \" \") ..\"\\n\";\r\n             else\r\n               text = text .. ukm.adjustment(\"    \" .. tostring(note:amount()), tostring(note:amount()), width, \" \") ..\"\\n\";\r\n             end\r\n           end           \r\n        end\r\n        text = text .. ukm.adjustment(\" ПОСЛЕ ВНЕСЕНИЯ\", tostring(__mo.moneyophead.amount_before + __mo.moneyophead.amount), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.leftpad( \"  ВСЕГО  ВНЕСЕНО\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.slice(__mo:human_result(),width) .. \"\\n\";\r\n        text = text .. \" \" .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.rightpad(\"СДАЛ\", width-26, \" \") .. \": \",\".\", width, \".\") .. \"\\n\";\r\n        text = text .. \" \" .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.rightpad(\"ПРИНЯЛ\", width-26, \" \") .. \": \",\".\", width, \".\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n--Документ по изъятию наличных средств\r\nfunction print_money_extract(__mo,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.adjustment(\"ОПР:\" ..  ukm.left(__mo.moneyophead.login.name,width-21), ukm.ptime2str(__mo.moneyophead.date,\"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ДОК:\" .. tostring(__mo.moneyophead:pos_number()) .. \".\" .. tostring(__mo.moneyophead.shiftnumber) .. \".\" .. tostring(__mo.moneyophead.localnumber), \" ТРН:\" .. ukm.leftpad(tostring(__mo.moneyophead.globalnumber) ,12,\"0\"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.left(ukm.rightpad( __mo.moneyophead.paymentname,width-28, \" \"),width-28), ukm.adjustment(\"(\".. __mo:base_nominal_name() ..\")\", \"СУММА\",width-18,\" \"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\" ДО ИЗЪЯТИЯ\", tostring(__mo.moneyophead.amount_before), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\" ИЗЪЯТО\", tostring(__mo.moneyophead.amount), width, \" \") .. \"\\n\";\r\n        for i=0,__mo.moneyopnotes:size()-1 do\r\n           local note = __mo.moneyopnotes:at(i);\r\n           if tonumber(note:count()) ~= 0 then\r\n             if (note:note_type() ~= 2) then\r\n               text = text .. ukm.adjustment(\"    \" .. note:note_nominal_name() .. \" * \" .. note:count() .. \" шт\", tostring(note:amount()), width, \" \") ..\"\\n\";\r\n             else\r\n               text = text .. ukm.adjustment(\"    \" .. tostring(note:amount()), tostring(note:amount()), width, \" \") ..\"\\n\";\r\n             end\r\n           end           \r\n        end\r\n        text = text .. ukm.adjustment(\" ПОСЛЕ ИЗЪЯТИЯ\", tostring(__mo.moneyophead.amount_before - __mo.moneyophead.amount), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.leftpad( \"  ВСЕГО  ИЗЪЯТО\", width, \"-\") .. \"\\n\";\r\n        text = text .. ukm.slice(__mo:human_result(),width) .. \"\\n\";\r\n        text = text .. \" \" .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.rightpad(\"СДАЛ\", width-26, \" \") .. \": \",\".\", width, \".\") .. \"\\n\";\r\n        text = text .. \" \" .. \"\\n\";\r\n        text = text .. ukm.adjustment(ukm.rightpad(\"ПРИНЯЛ\", width-26, \" \") .. \": \",\".\", width, \".\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n--Реквизиты документа (вспомогательный для изъятия и внесения)\r\nfunction print_money_lite(__mo,__print_data)\r\n    local p_d = ukm.print_data();    \r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.adjustment(\"ДОК:\" .. tostring(__mo.moneyophead:pos_number()) .. \".\" .. tostring(__mo.moneyophead.shiftnumber) .. \".\" .. tostring(__mo.moneyophead.localnumber), \" ТРН:\" .. ukm.leftpad(tostring(__mo.moneyophead.globalnumber) ,12,\"0\"), width, \" \") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n--Печать документа авторизации кассира на кассе\r\nfunction print_login(__login,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        if width > 27 then\r\n            text = text .. ukm.adjustment(\"ОПР:\" .. ukm.left(__login.name,width-21), ukm.ptime2str(__login.date,\"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.rightpad(__login.name, width, \" \") .. \"\\n\";\r\n            text = text .. ukm.leftpad(ukm.ptime2str(__login.date, \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        end\r\n        text = text .. \"!\" .. ukm.center(\"НАЧАЛО РАБОТЫ ПОЛЬЗОВАТЕЛЯ\", width-2,\" \") .. \"!\" ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Печать документа авторизации кассира при выходе с кассы\r\nfunction print_logout(__logout,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        if width > 27 then\r\n           text = text .. ukm.adjustment(\"ОПР:\" .. ukm.left(__logout.login.name,width-21), ukm.ptime2str(__logout.date,\"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.rightpad(__logout.login.name, width, \" \") .. \"\\n\";\r\n            text = text .. ukm.leftpad(ukm.ptime2str(__logout.date, \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        end\r\n        text = text .. \"!\" .. ukm.center(\"ОКОНЧАНИЕ РАБОТЫ ПОЛЬЗОВАТЕЛЯ\", width-2,\" \") .. \"!\" ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Документ на открытие смены\r\nfunction print_shift_open(__shift_open,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        if width > 27 then\r\n             text = text .. ukm.adjustment(\"ОПР:\" .. ukm.left(__shift_open.login.name,width-21), ukm.ptime2str(__shift_open.date,\"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.rightpad(__shift_open.login.name, width, \" \") .. \"\\n\";\r\n            text = text .. ukm.leftpad(ukm.ptime2str(__shift_open.date, \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        end\r\n        text = text .. \"!\" .. ukm.center(\"ОТКРЫТИЕ СМЕНЫ\", width-2,\" \") .. \"!\" ..  \"\\n\";\r\n        text = text .. ukm.rightpad(\"Номер смены: \" .. __shift_open.number,width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\nfunction banner_text(__printer)\r\n  local text = \"\";\r\n  local width = __printer:get_default_width();\r\n  text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n  text = text .. \"*\" .. ukm.center(ukm.str_upper(ukm.left( ukm.shop_inn() .. \" \" .. ukm.shop_juristic_person(), width-2)) ,width-2,\" \") .. \"*\" .. \"\\n\";\r\n--  if ukm.get_store().number ~= nil then\r\n--    text = text .. \"*\" .. ukm.center(ukm.left(\"Магазин №\" .. tostring(ukm.get_store().number:get()), width-2),width-2,\" \") .. \"*\" .. \"\\n\";\r\n--  end\r\n  text = text .. \"*\" .. ukm.center(ukm.left( ukm.shop_address(), width-2),width-2,\" \") .. \"*\" .. \"\\n\";\r\n  text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\n--Окончание чека в фискальном регистраторе\r\nfunction footer_text(__printer)\r\n  local width = __printer:get_default_width();\r\n  local text = \" \" .. \"\\n\";\r\n  text = text .. ukm.center(ukm.str_upper(ukm.left(ukm.shop_address(),width)), width, \" \") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\n\r\n--Шапка документов\r\nfunction print_banner(__index,__print_data)\r\n    local printer = ukm.get_printer(__index);\r\n    if printer then\r\n        local text = \"\";\r\n        text = text .. hw_command_init;\r\n        text = text .. hw_command_eject(4);\r\n        text = text .. banner_text(printer);\r\n        text = text .. hw_command_cut;\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Шапка с промоткой без отрезки\r\nfunction print_banner_no_cut(__index,__print_data)\r\n    local printer = ukm.get_printer(__index);\r\n    if printer then\r\n        local text = \"\";\r\n        text = text .. hw_command_init;\r\n        text = text .. hw_command_eject(4);\r\n        text = text .. banner_text(printer);\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n-- Заявление на возврат товаров\r\nfunction format_return_written_request(__receipt, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer == nil then\r\n        return;\r\n    end\r\n\r\n    local width = printer:get_width();\r\n    local text = \"Руководителю организации\\n\"\r\n        .. ukm.shop_juristic_person() .. \"\\n\"\r\n        .. ukm.rightpad(\"От \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"паспорт (сер., ном.) _____ \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"выдан (кем, когда) \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\\n\\n\"\r\n        .. ukm.center(\"ЗАЯВЛЕНИЕ О ВОЗВРАТЕ ТОВАРА\", width, \" \") .. \"\\n\\n\\n\"\r\n        .. ukm.adjustment(\"\\\"___\\\" \", \" 20___г.\", width, \"_\") .. \"\\n\"\r\n        .. ukm.slice(\"в магазине \" .. ukm.shop_name() .. \" мной был приобретен:\", width) .. \"\\n\";\r\n\r\n    local normal_items = __receipt.items:leavenormal();\r\n\r\n    for j = 0, normal_items:size() - 1 do\r\n        local i = normal_items:at(j);\r\n        text = text .. \"\\n\" .. ukm.left(i.item .. \" \" .. i.name, width) .. \"\\n\"\r\n            .. ukm.adjustment(i.measurement .. \"*\" .. tostring(i.totalquantity) .. \"*\" .. tostring(i.price), tostring(i.total), width, \" \") .. \"\\n\"\r\n            .. ukm.rightpad(\"Причина возврата: \", width, \"_\") .. \"\\n\\n\"\r\n            .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n    end\r\n\r\n    local amount_str = tostring(__receipt.subtotal.amount);\r\n\r\n    text = text .. \"\\nВ соответствии с Законом РФ \\\"О защите\\n\"\r\n        .. \"прав потребителя\\\" от 07.02.92 г.\\n\"\r\n        .. \"№ 2300-1, прошу расторгнуть со мной\\n\"\r\n        .. \"договор купли-продажи  и возвратить мне\\n\"\r\n        .. ukm.slice(\"сумму в размере \" .. ukm.rightcut(amount_str, 3) .. \" РУБ \" .. ukm.right(amount_str, 2) .. \" КОП ( \" .. ukm.num2txt(__receipt.subtotal.amount) .. \" )\", width) .. \"\\n\\n\"\r\n        .. ukm.adjustment(\"\\\"___\\\" \", \" 20___г.\", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\" (подпись)\", width, \"_\") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- РКО\r\nfunction format_payment_order_expenditure(__amount, __cashier_name, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer == nil then\r\n        return;\r\n    end\r\n\r\n    local width = printer:get_width();\r\n    local amount_str = tostring(__amount);\r\n    local text = ukm.center(ukm.shop_juristic_person(), width, \" \") .. \"\\n\"\r\n        .. ukm.center(ukm.shop_name(), width, \" \") .. \"\\n\\n\\n\"\r\n        .. ukm.rightpad(\"РАСХОДНЫЙ КАССОВЫЙ ОРДЕР № \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"                        от \", width, \"_\") .. \"\\n\\n\\n\"\r\n        .. ukm.adjustment(\"Код структ. подразделения \", ukm.shop_code_subdivision(), width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.adjustment(\"Корр. счет \", ukm.shop_bank(), width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"Код анал. учета \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"Кредит \", width, \"_\") .. \"\\n\\n\\n\"\r\n        .. ukm.adjustment(\"Сумма \", amount_str, width, \" \") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"Код цел.назначения \", width, \"_\") .. \"\\n\\n\\n\"\r\n        .. ukm.rightpad(\"Выдать (ФИО) \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"_\", width, \"_\") .. \"\\n\\n\\n\"\r\n        .. ukm.adjustment(\"Основание \", \"ЗАЯВЛЕНИЕ\", width, \" \") .. \"\\n\\n\"\r\n        .. ukm.slice(\"Сумма \" .. ukm.rightcut(amount_str, 3) .. \" РУБ \" .. ukm.right(amount_str, 2) .. \" КОП ( \" .. ukm.num2txt(__amount) .. \" )\", width) .. \"\\n\\n\"\r\n        .. ukm.adjustment(\"Рук.орг. \", ukm.shop_director(), width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.adjustment(\"Гл.бух. \", ukm.shop_accountant(), width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.slice(\"Получил \" .. ukm.rightcut(amount_str, 3) .. \" РУБ \" .. ukm.right(amount_str, 2) .. \" КОП ( \" .. ukm.num2txt(__amount) .. \" )\", width) .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"\\\"___\\\" _______ 20  г. Подпись \", width, \"_\") .. \"\\n\\n\"\r\n        .. ukm.rightpad(\"По \", width, \"_\") .. \"\\n\"\r\n        .. ukm.center(\"(наимен., номер, дата\", width, \" \") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\"\r\n        .. ukm.center(\"и место выдачи док.,\", width, \" \") .. \"\\n\\n\"\r\n        .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\"\r\n        .. ukm.center(\"удостоверяющего личность)\", width, \" \") .. \"\\n\\n\\n\"\r\n        .. ukm.adjustment(\"Кассир \", ukm.str_upper(__cashier_name), width, \" \") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_moneyoperation_info(__mo,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    if printer then\r\n        local width = printer:get_width();\r\n        for i=0,__mo.moneyopnotes:size()-1 do\r\n           local note = __mo.moneyopnotes:at(i);\r\n           if tonumber(note:count()) ~= 0 then\r\n                local subwidth = width / 2;\r\n                if subwidth < 18 then\r\n                      subwidth = 18;\r\n                end\r\n                text = text .. ukm.adjustment(note:note_formated(false,subwidth), \"=\" .. tostring(note:amount()), width, \" \") .. \"\\n\"; \r\n           end           \r\n        end\r\n    end\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_erip_verify_header(__reg)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	if printer then\r\n		local width = printer:get_width();\r\n		text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n		text = text .. ukm.center(\"Отчет о сверке платежей ЕРИП\", width, \" \") .. \"\\n\"\r\n		text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Терминал ККС\", __reg.terminal, width, \" \")  .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Дата сверки\", __reg.date, width, \" \")  .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Номер сообщения\", __reg.message, width, \" \")  .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Количество ошибочных платежей\", __reg.quantity, width, \" \")  .. \"\\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_erip_payment(__pay)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	if printer then\r\n		local width = printer:get_width();\r\n		text = text .. ukm.adjustment(\"ID платежа у Оператора\", tostring(__pay.payment_id), width, \" \")  .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Номер чека в ККС\", __pay.receipt, width, \" \")  .. \"\\n\";\r\n		if (ukm.str_len(\"Дата и время операции:\" .. __pay.date) > width) then\r\n			text = text .. \"Дата и время операции:\" .. \"\\n\";\r\n			text = text .. ukm.adjustmentlinesleft(__pay.date, width) .. \"\\n\";\r\n		else\r\n			text = text .. ukm.adjustment(\"Дата и время операции:\", __pay.date, width, \" \")  .. \"\\n\";\r\n		end\r\n		if __pay.reason_text ~= \"\" then\r\n			if (ukm.str_len(\"Причина ошибки:\" .. __pay.reason_text) > width) then\r\n				text = text .. \"Причина ошибки:\" .. \"\\n\";\r\n				text = text .. ukm.adjustmentlinesleft(__pay.reason_text, width) .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(\"Причина ошибки\", __pay.reason_text, width, \" \")  .. \"\\n\";\r\n			end\r\n		end\r\n		text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_erip_group(__type,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    if printer then\r\n    	local width = printer:get_width();\r\n    	text = text .. \"\\n\";\r\n    	text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n		if (__type == 0) then\r\n			text = text .. ukm.center(\"===Успешно сверены платежи===\", width, \" \") .. \"\\n\"\r\n		elseif (__type == 1) then\r\n			text = text .. ukm.center(\"===Проблемы сверки платежей===\", width, \" \") .. \"\\n\"\r\n		elseif (__type == 2) then\r\n			text = text .. ukm.center(\"===Повторная отправка данных===\", width, \" \") .. \"\\n\"\r\n		end\r\n        text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\n-- QR-Pay \r\nfunction print_qr_pay_shift_report(__report,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    if printer then\r\n    	local width = printer:get_width();\r\n    	text = text .. \"\\n\";\r\n   	text = text ..  ukm.center(\"Отчет по операциям QR-Оплаты за смену\", width-1,\" \") ..\"\\n\";\r\n    	text = text .. \"\\n\";\r\n        local info_vec = ukm.explode(__report:get_shift_report(), \"\\n\");\r\n        for i = 0, info_vec:size() - 1 do\r\n		text = text .. ukm.slice(info_vec:at(i), width);\r\n        end\r\n     	text = text .. \"\\n\";\r\n         __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n-- Универсальный  интегратор\r\nfunction print_integration_qr_code(__Asc, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n   	text = text ..  ukm.slicecenter(__Asc.AscText, width-1) ..\"\\n\\n\";\r\n	text = text .. hw_command_qrcode(__Asc.QRCode) .. \"\\n\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Печать ценника\r\nfunction print_price_tag(__lines, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"‼?k\";\r\n	local width = printer:get_width();\r\n	local measure = __lines:at(0);\r\n	local old_price = __lines:at(1);\r\n	local new_price = __lines:at(2);\r\n	local sku = __lines:at(3);\r\n	local name1 = __lines:at(4);\r\n	local name2 = \"\";\r\n	local name3 = \"\";\r\n	local name4 = \"\";\r\n	local lines_size = __lines:size();\r\n	if lines_size > 5 then\r\n		name2 = __lines:at(5);\r\n	end\r\n	if lines_size > 6 then\r\n		name3 = __lines:at(6);\r\n	end\r\n	if lines_size > 7 then\r\n		name4 = __lines:at(7);\r\n	end\r\n	local name_format = 56;\r\n	local sku_len = 7;\r\n	local spacefill = ukm.rightpad(\" \",sku_len,\" \");\r\n	local spacefill1 = ukm.rightpad(\" \",21,\" \");\r\n	text = text .. printer:formatB_text(ukm.rightpad(\"-\",width,\"-\"), 0) .. \"\\n\";\r\n	text = text ..  printer:formatB_text(ukm.leftpad(sku,sku_len,\" \"), 34) .. printer:formatB_text(\"|\", 2) .. printer:format_text(ukm.center(name1,15,\" \"), name_format) .. \"\\n\";\r\n	text = text ..  printer:formatB_text(ukm.leftpad(spacefill,sku_len,\" \"), 32) .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.center(name2,15,\" \"), name_format) .. \"\\n\";\r\n	text = text ..  printer:formatB_text(ukm.leftpad(spacefill,sku_len,\" \"), 32) .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.center(name3,15,\" \"), name_format) .. \"\\n\";\r\n	text = text ..  printer:formatB_text(ukm.leftpad(\" \",21,\" \"), 0) .. printer:formatB_text(\"|\", 0) .. printer:format_text(ukm.center(name4,31,\" \"), 8) .. \"\\n\";\r\n	if ukm.str_len(new_price) == 0 then\r\n		text = text .. printer:formatB_text(ukm.leftpad(\" \",21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(\" \" ,31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(\" \",21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(\" \",31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(\" \",21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(\" \",31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(spacefill,sku_len,\" \"), 36) .. printer:formatB_text(\"|\", 5) .. printer:formatB_text(ukm.leftpad(old_price,10,\" \"), 52) .. \"\\n\";\r\n	else\r\n		text = text .. printer:formatB_text(ukm.leftpad(spacefill1,21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(\"СТАРАЯ ЦЕНА\" ,31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(spacefill1,21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(old_price .. \" \" .. measure,31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(spacefill1,21,\" \"), 1)  .. printer:formatB_text(\"|\", 1) .. printer:format_text(ukm.leftpad(\"СКИДКА ПО КАРТЕ\",31,\" \"), 8) ..\"\\n\";\r\n		text = text .. printer:formatB_text(ukm.leftpad(spacefill,sku_len,\" \"), 36) .. printer:formatB_text(\"|\", 5) .. printer:formatB_text(ukm.leftpad(new_price,10,\" \"), 52) .. \"\\n\";\r\n	end\r\n	text = text ..  printer:format_text(ukm.leftpad(measure , 48,\" \"),8) ..\"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Печать QR кода\r\nfunction print_qr_code(__Qr, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	text = text .. hw_command_qrcode(__Qr) .. \"\\n\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Печать внешнего заказа\r\nfunction print_external_order(__Order, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n    \r\n	text = text .. ukm.center(\"ЗАКАЗ ОТ КЛИЕНТА\", width-2,\" \") ..\"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата печати заказа:\",  ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Клиент: \", __Order.client_name, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Тип заказа: \", __Order.ext_order_type, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Номер заказа: \", __Order.ext_order_id, width, \" \") .. \"\\n\";\r\n	if __Order.order_date ~= nil then\r\n	    text = text .. ukm.adjustmentdouble(\"Дата создания заказа:\", __Order.order_date:to_string(\"dd.MM.yyyy hh:mm\"), width, \" \") .. \"\\n\";\r\n	end\r\n    text = text .. ukm.adjustmentdouble(\"Статус заказа: \", __Order:get_ext_order_status(), width, \" \") .. \"\\n\";\r\n    text = text .. \"\\n\";\r\n\r\n    local ItemsCount = __Order:get_items_count();\r\n    for i = 0, ItemsCount - 1 do\r\n        local it = __Order:get_item(i);\r\n        if it.item ~= \"\" then\r\n            text = text .. ukm.adjustmentlinesleft(it.item .. \" \" .. it:get_item_name(), width) ..\"\\n\";\r\n            text = text .. tostring(it.quantity) .. \" * \" .. tostring(it.price) ..  \" = \" .. tostring(it:get_total()) .. \"\\n\\n\";\r\n        end\r\n    end\r\n\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'glory.lua','--Функции для умного денежного ящика Glory\r\n\r\n--Дисплей покупателя: продажа\r\nfunction glory_sale_info(__data, __print_data)\r\n   local displays = ukm.get_customer_displays();\r\n	\r\n   for i = 0, displays:size() - 1 do\r\n      if displays:at(i) ~= nil then\r\n         local width = displays:at(i):get_width();\r\n	 local height = displays:at(i):get_height();\r\n			\r\n	 if (width == 20 and height == 2) or (width == 40 and height == 12) then\r\n            local text = hw_goto_xy(0,0);\r\n\r\n            if (__data.remainder:sign()  > 0 ) then\r\n               text = text .. ukm.adjustment( \"ВНЕСИТЕ\", tostring(__data.remainder ), width, \" \");\r\n            else\r\n               text = text .. ukm.adjustment( \" \", \" \", width, \" \");\r\n            end\r\n\r\n            text = text .. hw_goto_xy(0,1);\r\n\r\n            if (__data.amount:sign()  > 0) then\r\n               text = text .. ukm.adjustment( \"ВНЕСЕНО\", tostring(__data.amount), width, \" \");\r\n            else\r\n               text = text .. ukm.adjustment( \" \", \" \", width, \" \");\r\n            end\r\n\r\n	    __print_data:add(text,i);\r\n	 end\r\n      end\r\n   end    \r\nend\r\n\r\n--Дисплей покупателя: внесение денег\r\nfunction glory_replenishment_info(__data, __print_data)\r\n   local displays = ukm.get_customer_displays();\r\n\r\n   for i = 0, displays:size() - 1 do\r\n\r\n      if displays:at(i) ~= nil then\r\n         local width = displays:at(i):get_width();\r\n	 local height = displays:at(i):get_height();\r\n			\r\n	 if (width == 20 and height == 2) or (width == 40 and height == 12) then\r\n\r\n            local text = hw_goto_xy(0,0);\r\n            text = text .. ukm.adjustment(\"ВНЕСЕНИЕ\", \"НАЛИЧНЫХ\" , width, \" \");\r\n            text = text .. hw_goto_xy(0,1);\r\n\r\n            if (__data.amount:sign()  > 0) then\r\n               text = text .. ukm.adjustment( \"ВНЕСЕНО\", tostring(__data.amount), width, \" \");\r\n            else\r\n               text = text .. ukm.adjustment( \" \", \" \", width, \" \");\r\n            end\r\n\r\n            __print_data:add(text,i);\r\n         end\r\n      end\r\n\r\n   end \r\nend\r\n\r\n--Дисплей покупателя: произвольное сообщение на две строки\r\nfunction glory_msg(__first_line, __second_line,  __print_data)\r\n   local displays = ukm.get_customer_displays();\r\n\r\n   for i = 0, displays:size() - 1 do\r\n      if displays:at(i) ~= nil then\r\n         local width = displays:at(i):get_width();\r\n         local height = displays:at(i):get_height();\r\n\r\n         if (width  == 20 and height == 2) or (width == 40 and height == 12) then\r\n\r\n            local text = hw_goto_xy(0,0);\r\n            text = text .. ukm.center(__first_line, width , \" \");\r\n\r\n            text = text .. hw_goto_xy(0,1);\r\n            text = text .. ukm.center(__second_line , width , \" \");\r\n\r\n            __print_data:add(text , i);\r\n         end\r\n      end\r\n   end \r\nend\r\n\r\n--Слип: отсутствие купюр нужного номинала\r\nfunction glory_slip(__data, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer == nil then\r\n        return;\r\n    end\r\n\r\n    local amount_str = tostring(__data.amount);\r\n    local width = printer:get_width();\r\n    local text = ukm.center(\"Магазин: \" .. ukm.shop_name(), width, \" \") .. \"\\n\\n\";\r\n    text = text .. ukm.adjustment(__data.pos_name, __data.seller_name, width, \" \") .. \"\\n\";   \r\n    text = text .. \"ЧЕК:\" .. tostring(ukm.get_pos_number()) .. \".\" .. tostring(ukm.get_shift_number())  .. \".\"  .. __data.local_number .. \"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"Сумма к выдаче\", amount_str, width, \" \") .. \"\\n\\n\";\r\n    text = text .. ukm.adjustment(\"Основание \", __data.reason, width, \" \") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'kkt_docs.lua','-- Модуль печати документов на возврат и пакет документов на ккт\r\n\r\nfunction  kkt_cash_order(__receipt, __type, __cash)\r\n	local text = \"\";\r\n	local width = 35;\r\n        local heads = ukm.shop_juristic_person() .. \", \" .. ukm.shop_code_subdivision();\r\n        local cupon = 0;\r\n\r\n        local cashMerchandise =__receipt.subtotal.amount;\r\n        local cashServices = 0;\r\n        local twoDocs = 0;\r\n        local merchandise = 0;\r\n\r\n        for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(0) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n				ukm.debug(tostring(__receipt.items:at(i).properties:size())); \r\n\r\n				for z = 0, __receipt.items:at(i).properties:size() - 1 do\r\n					  local property = __receipt.items:at(i).properties:at(z);\r\n					  local property_name = property.code;\r\n					 ukm.debug(property_name );\r\n				end\r\n\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					\r\n                                        local property = __receipt.items:at(i).properties;\r\n					   if(property:size() > 0) then\r\n						if (property:at(0).code == \"$$service_marker$$\") then\r\n						     cashMerchandise = cashMerchandise - (discount_price  * __receipt.items:at(i).totalquantity);\r\n						     twoDocs = 1;\r\n\r\n						end\r\n					   end\r\n				else\r\n					if ( __receipt.items:at(i).properties:size() ~= 0) then\r\n						local property = __receipt.items:at(i).properties;\r\n						if (property:at(0).code == \"$$service_marker$$\") then\r\n							 twoDocs = 1;\r\n							 cupon = 1;\r\n							  cashMerchandise = cashMerchandise - (__receipt.items:at(i).price * __receipt.items:at(i).totalquantity);\r\n						end\r\n                                          end\r\n				end\r\n			else\r\n			local property = __receipt.items:at(i).properties;\r\n			if(property:size() > 0) then\r\n				if (property:at(0).code == \"$$service_marker$$\") then\r\n				     cashMerchandise = cashMerchandise - (__receipt.items:at(i).price * __receipt.items:at(i).totalquantity);\r\n				     twoDocs = 1;\r\n				end\r\n			end\r\n                        end\r\n		end\r\n	end\r\n\r\n  if ( (__cash  <= cashMerchandise) and (cupon == 0)) then \r\n    cashMerchandise = __cash;\r\n    twoDocs = 0;\r\n  else\r\n    cashServices = __cash - cashMerchandise;\r\n  end\r\n   for i=0, twoDocs do \r\n        local cash, index;\r\n        if (i == 0) then\r\n           cash = cashMerchandise;\r\n           index = \"62.02\";\r\n        else\r\n           cash = cashServices;\r\n           index = \"91.02\";\r\n        end\r\n        local price_vector = ukm.explode(tostring(cash),\".\");\r\n	if (tostring(cash) ~= \"0.00\") then\r\n\r\n                text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n		if ukm.str_len(heads ) <= width then\r\n		 text = text .. ukm.center(heads , width, \" \") .. \"\\n\";\r\n		else\r\n		 text = text .. ukm.slice(ukm.center(heads , width, \" \"), width) .. \"\\n\";\r\n		end\r\n		text = text .. \"РАСХОДНО-КАССОВЫЙ ОРДЕР\" .. \"\\n\";\r\n		text = text .. \"№\" .. ukm.center(\"\", 16 , \"_\") .. \" от \" .. ukm.ptime2str(__receipt.header.date, \"%d.%m.%Y\") .. \"\\n\";\r\n		text = text .. \"Код Форма по ОКУД \" .. ukm.center(\"\", 10 , \"_\") .. \"0310002\" .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Код по ОКПО \", ukm.shop_okpo(), width, \"_\") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Корр. счет \", index, width, \"_\") .. \"\\n\";\r\n		text = text .. \"Код аналитического учета \" .. ukm.center(\"\", 9 , \"_\") .. \"\\n\";\r\n		text = text ..  ukm.adjustment(\"Кредит \", \"50.02\", width, \"_\")  .. \"\\n\";\r\n		text = text ..  ukm.adjustment(\"Сумма \", tostring(cash), width, \"_\")  .. \"\\n\";\r\n		text = text .. \"Код цел. назначения \" .. ukm.center(\"\", 15 , \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"Выдать(ФИО) \" .. ukm.center(\"\", 23 , \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width , \"_\") .. \"\\n\";\r\n		text = text .. \"Основание: Возврат товаров от\" .. \"\\n\";\r\n		text = text .. \"покупателя\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Сумма: \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП \" \r\n		.. \"(\" .. ukm.num2txt(cash) .. \" КОП\" .. \")\", width) ..\"\\n\";\r\n\r\n		if (__type == 1) then\r\n		 text = text .. ukm.rightpad(\"Приложение: Чек \" .. tostring(__receipt.link.headerlink.pos) .. \".\" .. tostring(__receipt.link.headerlink.shiftopen.number) \r\n		 .. \".\" .. tostring(__receipt.link.headerlink.localnumber), width, \" \") .. \"\\n\";\r\n		 text = text .. \"от \" .. ukm.ptime2str(__receipt.link.headerlink.date, \"%d.%m.%Y\") .. \"\\n\";\r\n		end\r\n		if (__type == 2) then\r\n		  text = text .. ukm.rightpad(\"Приложение: Чек \" .. tostring(__receipt.header.pos) .. \".\" .. tostring(__receipt.header.shiftopen.number) \r\n		 .. \".\" .. tostring( __receipt.header.localnumber), width, \" \") .. \"\\n\";\r\n		 text = text .. \"от \" .. ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y\") .. \"\\n\"; \r\n		end\r\n\r\n		text = text .. ukm.slice(\"Рук.орг.: \" .. ukm.shop_director(), width) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Гл.бух.: \" .. ukm.shop_accountant(), width) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Получил: \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП \" \r\n		.. \"(\" .. ukm.num2txt(cash) .. \" КОП\" .. \")\", width) ..\"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.ptime2str(__receipt.header.date, \"%d.%m.%Y\") .. ukm.center(\"\", 6, \" \") .. \"Подпись\" .. ukm.center(\"\", 12, \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"По \"  .. ukm.center(\"\", 32, \"_\") .. \"\\n\";\r\n		text = text .. \"   (наименование, номер, дата\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n		text = text .. \"   и место выдачи документа,\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n		text = text .. \"   удостоверяющего личность)\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"Выдал кассир\" .. ukm.center(\"\", 23, \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 16, \" \") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.left(__receipt.login.name, width-16) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 2, \" \") .. \"(расшифровка подписи)\" .. \"\\n\";\r\n		text = text .. \"***\";\r\n	end\r\n   end\r\n	return text;\r\nend\r\n\r\nfunction  kkt_return_request (__receipt)\r\n	local text = \"\";\r\n	local nameArk = \"\";\r\n	local width = 35;\r\n	local price_vector = ukm.explode(tostring( __receipt:receipt_amount()),\".\");\r\n	\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	if ukm.str_len(ukm.shop_juristic_person()) <= width then\r\n         text = text .. ukm.center(ukm.shop_juristic_person(), width, \" \") .. \"\\n\";\r\n        else\r\n         text = text .. ukm.slice(ukm.center(ukm.shop_juristic_person(), width, \" \"), width) .. \"\\n\";\r\n        end\r\n	text = text .. ukm.slice( \"Директору \" .. ukm.shop_director() ..  \", \" .. ukm.shop_address(), width) .. \"\\n\";\r\n\r\n        text = text .. \"\\n\";\r\n	text = text .. \"От \" .. ukm.center(\"\", width-3, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"паспорт (сер.,ном.) \" .. ukm.center(\"\", 5, \"_\") .. \" \" .. ukm.center(\"\", 9, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"выдан (кем, когда) \" .. ukm.center(\"\", 16, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n\r\n	text = text .. \"   ЗАЯВЛЕНИЕ О ВОЗВРАТЕ ТОВАРА\" .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"\\\"___\\\"\" .. ukm.center(\"\", 22, \"_\") .. \" 20___г.\" .. \"\\n\";\r\n	text = text .. ukm.slice(\"в магазине \" .. ukm.shop_name() .. \"\" .. \" мной был приобретен:\", width) ..\"\\n\";\r\n\r\n	for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(j) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					price_with_discount = ukm.currency(( __receipt.items:at(i).total - discount_total) /  __receipt.items:at(i).totalquantity);\r\n\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" ..__receipt.items:at(i).name, width) ..  \"\\n\";\r\n					end\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                        tostring(discount_price * __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";	\r\n                                  else\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" ..__receipt.items:at(i).name, width) ..  \"\\n\";\r\n					end\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                        tostring(__receipt.items:at(i).price* __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";\r\n                                end\r\n			else\r\n                                nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n				if ukm.str_len(nameArk) <= width then\r\n					text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width)   ;\r\n				else\r\n					text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n				end\r\n				text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                tostring(__receipt.items:at(i).price* __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";	\r\n                        end\r\n		end\r\n	end\r\n\r\n        text = text .. \"\\n\";\r\n	text = text .. \"Причина возврата: \" .. ukm.center(\"\", width-18, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n	\r\n	text = text .. ukm.slice(\"В соответствии с Законом РФ \\\"О защите прав потребителя от 07.02.92 г. №2300-1, прошу расторгнуть со мной договор купли-продажи и возвратить мне сумму в размере \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП\", width) .. \"\\n\";\r\n	text = text .. ukm.slice( \"(\" .. ukm.num2txt(__receipt.subtotal.amount) .. \" КОП\" ..\")\", width) .. \"\\n\"; \r\n	text = text .. \"\\\"___\\\"\" .. ukm.center(\"\", 22, \"_\") .. \" 20___г.\" .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n       \r\n	return text;\r\nend\r\n\r\nfunction  kkt_invoice (__receipt)\r\n	local text = \"\";\r\n	local width = 35;\r\n	local price_vector = ukm.explode(tostring( __receipt:receipt_amount()),\".\");\r\n\r\n        text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n	text = text .. ukm.center(\"ВОЗВРАТ ОТ ПОКУПАТЕЛЯ\", width, \" \") .. \"\\n\";\r\n	text = text .. \"Поставщик: Розничный покупатель\" .. \"\\n\";\r\n	text = text .. ukm.slice(\"Покупатель: \".. ukm.shop_juristic_person(), width) .. \"\\n\";\r\n	\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n	text = text .. \"№ Наим. товара     Кол-во Стоимость\" .. \"\\n\";\r\n\r\n	for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(0) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n					text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(discount_price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";	\r\n                                 else\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n					text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(__receipt.items:at(i).price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";\r\n                                 end\r\n			else\r\n				nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n				text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(__receipt.items:at(i).price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";	\r\n                        end\r\n		end\r\n	end\r\n\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	text = text .. \"Итого: \" .. ukm.leftpad(price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП\", 0, \".\") .. \"\\n\";\r\n	text = text ..  ukm.slice(\"(\" .. ukm.num2txt(__receipt.subtotal.amount) .. \" КОП\" .. \")\", width)  .. \"\\n\";\r\n	text = text .. \"Отпустил \" .. ukm.center(\"\", 16, \"_\") ..\"(подпись)\" .. \"\\n\";\r\n        text = text ..  \"\\n\";\r\n	text = text .. \"Получил \" .. ukm.center(\"\", 17, \"_\") ..\"(подпись)\" .. \"\\n\";\r\n	\r\n	return text;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'pch_serv.lua','-- Основной модуль\r\nukm.debug(\"pch_hello\");\r\n\r\nfunction require_once(__name)\r\n    ukm.require_once(ukm.mashine.handle, __name);\r\nend\r\n\r\nfunction hw_pch_cursor_pos(_1,_2)\r\n   return \"‼?g04\" .. ukm.leftpad(tostring(_1),2,\"0\") .. ukm.leftpad(tostring(_2),2,\"0\");  \r\nend\r\nfunction hw_pch_pixel_pos(_1,_2)\r\n   return \"‼?p04\" .. ukm.leftpad(tostring(_1),2,\"0\") .. ukm.leftpad(tostring(_2),2,\"0\");  \r\nend\r\nhw_pch_command_clear_screen = \"‼c\";\r\nhw_pch_command_next_screen =\"\\n\";\r\nhw_pch_command_next_line =\"‼i\";\r\nhw_pch_command_align = \"‼a\";\r\nhw_pch_command_end_text = \"‼e\";\r\nhw_pch_command_sleep = \"‼s\";\r\nhw_pch_command_wake_up = \"‼w\";\r\nhw_pch_command_small_font = \"‼m\";\r\nhw_pch_command_big_font = \"‼f\";\r\nhw_pch_command_enable_backlight = \"‼l\";\r\nhw_pch_command_disable_backlight = \"‼d\";\r\nhw_pch_command_sleep_scanner = \"‼h\";\r\nhw_pch_command_wake_up_scanner = \"‼u\";\r\nhw_pch_command_beep = \"‼b\";\r\nhw_pch_command_soft_reset = \"‼r\";\r\nhw_pch_command_align_l_t = \"‼7\";\r\nhw_pch_command_align_c_t = \"‼8\";\r\nhw_pch_command_align_r_t = \"‼9\";\r\nhw_pch_command_align_l_c = \"‼4\";\r\nhw_pch_command_align_c_c = \"‼5\";\r\nhw_pch_command_align_r_c = \"‼6\";\r\nhw_pch_command_align_l_b = \"‼1\";\r\nhw_pch_command_align_c_b = \"‼2\";\r\nhw_pch_command_align_r_b = \"‼3\";\r\nhw_pch_command_align_l_cur_y = \"‼y\";\r\nhw_pch_command_align_c_cur_y = \"‼t\";\r\nhw_pch_command_align_r_cur_y = \"‼k\";\r\n\r\n-- ***************************** Shtrih-M *****************************************\r\n-- строка, возвращаемая этой функцией должна иметь вид: строка1\\nстрока2\\n... и т.д.\r\n-- при выводе на экран ПЧ Штрих-М будут формироваться \"экраны\" по 2 строки, которые\r\n-- будут сменять друг друга. при длине больше 22 символов строки будут прокручиватся.\r\n-- соответствующие таймауты задаются в настройках ПЧ.\r\n\r\nfunction form_discount_info_shtrih(item)\r\n    local text = item.name .. \"\\n\"\r\n        .. \"цена: \" .. tostring(item.price) .. \"руб. \\n\"\r\n        .. \"цена с учетом скидок:\\n\"\r\n        .. \"мин.: \" .. tostring(item.total - item.discount_interval.second)\r\n        .. \"; макс.: \" .. tostring(item.total - item.discount_interval.first)\r\n    return text;\r\nend\r\n\r\n-- см. комментарий к form_discount_info_shtrih\r\nfunction get_not_found_shtrih()\r\n    return \"Данный товар не найден\\nпотому что его не нашлось в базе\";\r\nend\r\n\r\n-- функиция возвращает строку, отображаемую с переносом в 2х строках ПЧ Штрих-М.\r\n-- ширина экрана 22 символа, перенос - после 30го символа. прокрутка не работает.\r\n\r\nfunction get_prompt_shtrih()\r\n--    return \"  Поднесите штрихкод          товара к окну сканера\";\r\n    return ukm.rightpad(\"  Поднесите штрихкод\", 30, \" \") .. ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\");\r\nend\r\n\r\n-- ***************************** Shuttle *****************************************\r\nfunction form_discount_info_shuttle(item)\r\n    local text = \"\";\r\n    local str = item.name;\r\n    local i = 1;\r\n    \r\n    text = text .. hw_pch_command_clear_screen;\r\n    text = text .. hw_pch_command_small_font;\r\n    text = text .. hw_pch_command_align_l_t .. \"артикул: \" .. hw_pch_command_end_text;\r\n    text = text .. hw_pch_command_align_r_t .. item.item .. hw_pch_command_end_text;\r\n\r\n    while ukm.str_len(str) > 20 and i < 3 do\r\n        text = text .. hw_pch_cursor_pos(0,i);\r\n        text = text .. hw_pch_command_align_l_cur_y .. ukm.str_sub(str, 1, 20) .. hw_pch_command_end_text;\r\n	str = ukm.str_sub(str, 20, ukm.str_len(str));\r\n	i = i + 1;\r\n    end;\r\n    text = text .. hw_pch_cursor_pos(0,i);\r\n    text = text .. hw_pch_command_align_l_cur_y .. str .. hw_pch_command_end_text;\r\n\r\n    text = text .. hw_pch_command_align_l_b .. \"цена: \" .. hw_pch_command_end_text;\r\n    text = text .. hw_pch_command_align_r_b .. tostring(item.price) .. \" руб.\" .. hw_pch_command_end_text;\r\n--    if item.item.discount_interval.second > 0 then\r\n        text = text .. hw_pch_command_next_screen;\r\n        text = text .. hw_pch_command_clear_screen;\r\n        text = text .. hw_pch_command_small_font;\r\n        text = text .. hw_pch_command_align_c_t .. \"минимальная цена\" .. hw_pch_command_end_text;\r\n        text = text .. hw_pch_cursor_pos(0,1);\r\n        text = text .. hw_pch_command_small_font;\r\n        text = text .. hw_pch_command_align_c_cur_y .. \"с учетом скидок:\" .. hw_pch_command_end_text;\r\n        text = text .. hw_pch_command_big_font;\r\n        text = text .. hw_pch_pixel_pos(0,35);\r\n        text = text .. hw_pch_command_align_c_cur_y .. tostring(item.total - item.discount_interval.second) .. \" руб.\" .. hw_pch_command_end_text;\r\n--    end\r\n    return text;\r\nend\r\n\r\nfunction get_not_found_shuttle()\r\n    local text = \"\";\r\n    text = text .. hw_pch_command_clear_screen;\r\n    text = text .. hw_pch_command_small_font;\r\n    text = text .. hw_pch_command_align_c_c .. \"Не найдено\" .. hw_pch_command_end_text;\r\n    return text;\r\nend\r\n\r\nfunction get_prompt_shuttle()\r\n    local text = \"\";\r\n    text = text .. hw_pch_command_clear_screen;\r\n    text = text .. hw_pch_command_small_font;\r\n    text = text .. hw_pch_command_align_c_cur_y .. \"Добро пожаловать!\".. hw_pch_command_end_text;\r\n    text = text .. hw_pch_pixel_pos(0,31);\r\n    text = text .. hw_pch_command_align_c_cur_y .. \"Поднесите товар\" .. hw_pch_command_end_text;\r\n    text = text .. hw_pch_pixel_pos(0,47);\r\n    text = text .. hw_pch_command_align_c_cur_y .. \"к сканеру...\" .. hw_pch_command_end_text;\r\n    return text;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'pdf_report.lua','-- Модуль печати отчетов в ПДФ --\r\n	font_size =  0;\r\n	font_width = 0;\r\n\r\n-- page margins\r\n	l_margin = 0;\r\n	r_margin = 0;\r\n\r\n-- table margins\r\n	number_margin = 0;\r\n	name_margin = 0;   \r\n	quan_margin = 0;\r\n	total_margin = 0;\r\n	height = 0;\r\n\r\nfooter_decrease_5 = ukm.currency(0);\r\nfooter_decrease_8 = ukm.currency(0);\r\nfooter_decrease_9 = ukm.currency(0);\r\n\r\nfunction set_fontsize(__printer, __fontsize)\r\n	font_size = __fontsize;\r\n	__printer:setFontAndSize(font_size);\r\n	font_width = font_size/1.62;\r\nend\r\n\r\nfunction newLine(__printer)\r\n	height = height - font_size*1.5;\r\n	if  height < font_size*1.5 then\r\n		__printer:nextPage();\r\n		set_fontsize(__printer, 12)\r\n		height = __printer:getPageHeight()  - font_size*3;\r\n	end;\r\nend\r\n\r\nfunction newLineN(__printer, fs)\r\n	height = height - font_size*1.5;\r\n	if  height < font_size*1.5 then\r\n		__printer:nextPage();\r\n		set_fontsize(__printer, fs)\r\n		height = __printer:getPageHeight()  - font_size*3;\r\n	end;\r\nend\r\n\r\nfunction string_len(__line)\r\n	local len = string.len(__line);\r\n	local found = -1;\r\n	while true do\r\n		found = __line:find(\"[\\128-\\255]\", found+2);\r\n		if found == nil then break; end;\r\n		len = len-1;\r\n	end;\r\n	return len;\r\nend\r\n\r\nfunction  printRJ(__printer, __line, __y)\r\n       __x =  r_margin - string_len(__line)*font_width;\r\n       __printer:printText(__line, __x, __y);\r\nend\r\n\r\nfunction  printRU(__printer, __line, __x, __y)\r\n       __printer:printText(__line, __x, __y);\r\n       cursor_x = __x + string_len(__line)*font_width;\r\n       __printer:drawHorizontalLine( 1, cursor_x, __y, r_margin - cursor_x); \r\nend\r\n\r\nfunction  printRU_V2(__printer, __line, __x, __y, __z)\r\n       __printer:printText(__line, __x, __y);\r\n       cursor_x = __x + string_len(__line)*font_width;\r\n       __printer:drawHorizontalLine( 1, cursor_x, __y, __z); \r\nend\r\n\r\nfunction  printName(__printer, __multiline, __x, __y)\r\n	for line in  	__multiline:gmatch(\"[^\\n]+\") do	\r\n		__printer:printText(\" \"..line, name_margin, 	height);\r\n		newLine(__printer);\r\n	end;\r\n	if height < font_size*4.5 then\r\n		table_end(__printer);\r\n		__printer:nextPage();\r\n		set_fontsize(__printer, 12)\r\n		height = __printer:getPageHeight()  - font_size*1.5;\r\n		table_begin(__printer);\r\n	end;\r\nend\r\n\r\nfunction mm2pnt(__mm)\r\n	return __mm / 0.338;\r\nend\r\n\r\nfunction receipt_cash_total(__receipt)\r\n	local cash_total = ukm.currency(0);\r\n	for i=0, __receipt.payments:size()-1 do\r\n		local __payment = __receipt.payments:at(i);\r\n		local payment_efts = 2;\r\n		if __payment:get_efts() ~= nil then\r\n			payment_efts = __payment:get_efts():get();\r\n		end\r\n		if payment_efts == 2 then \r\n			cash_total = cash_total + __payment.amount;\r\n		end\r\n	end\r\n	return cash_total;\r\n end;\r\n\r\nfunction  table_begin (__printer)\r\n       u_corner = height;\r\n	-- header\r\n	__printer:drawHorizontalLine( 1, l_margin, u_corner, r_margin - l_margin); newLine(__printer);\r\n	__printer:printText(\" № \", number_margin, height);\r\n	__printer:printText(\" Наименование товара (марка, модель, артикул) \", name_margin, height);  \r\n	__printer:printText(\" Кол-во\", quan_margin, height);\r\n	__printer:printText(\" Стоимость\", total_margin, height); newLine(__printer);\r\n	__printer:drawHorizontalLine( 1, l_margin, height, r_margin - l_margin); newLine(__printer);\r\nend;\r\n\r\nfunction  table_body (__printer, __receipt)\r\n	--body\r\n	local normal_items = __receipt.items:leavenormal();\r\n	for j = 0, normal_items:size() - 1 do\r\n		local __item = normal_items:at(j);\r\n		local item_total = __item.total - __item:discount_amount();\r\n		local name_width = math.floor((quan_margin - name_margin) / font_width);\r\n		local multiline = ukm.slice(__item.item..\", \"..__item.name, name_width);\r\n		__printer:printText(\" \"..tostring(__item.position+1), 		number_margin, 	height);\r\n		__printer:printText(\" \"..tostring(__item.totalquantity),	quan_margin, 	height);\r\n		__printer:printText(\" \"..tostring(item_total),				total_margin, 	height);\r\n		printName(__printer,  multiline, 								name_margin, 	height); -- Must be the last one!!!\r\n	end;\r\nend;\r\n\r\nfunction  table_end (__printer)\r\n	d_corner = height;\r\n	--footer\r\n	__printer:drawHorizontalLine( 1, l_margin, d_corner, r_margin - l_margin);\r\n\r\n	__printer:drawVerticalLine( 1,  number_margin,  d_corner, u_corner-d_corner);\r\n	__printer:drawVerticalLine( 1,  name_margin,      d_corner, u_corner-d_corner);\r\n	__printer:drawVerticalLine( 1,  quan_margin,      d_corner, u_corner-d_corner);\r\n	__printer:drawVerticalLine( 1,  total_margin,    d_corner, u_corner-d_corner);\r\n	__printer:drawVerticalLine( 1,  r_margin,            d_corner, u_corner-d_corner);	   \r\nend;\r\n\r\n\r\nfunction pdf_report(__printer, __receipt)\r\n-- Заявление ----------------------------------------------------------------------------------------------------------------------\r\n	local filename1 = \"doc1.pdf\";\r\n	__printer:newDocument(filename1, 0);\r\n	set_fontsize(__printer, 12);\r\n\r\n	-- page constants --\r\n	height = __printer:getPageHeight();\r\n	local header_margin = __printer:getPageWidth()/3;\r\n	l_margin = __printer:getPageWidth()/16;\r\n	r_margin = __printer:getPageWidth() - l_margin;\r\n\r\n	-- table constants --\r\n	u_corner = 0;\r\n	d_corner = 0;\r\n	width_unit = (r_margin - l_margin)/16;\r\n	number_margin = l_margin;\r\n	name_margin = number_margin +width_unit*1;   \r\n	quan_margin = name_margin+width_unit*10;\r\n	total_margin = quan_margin + width_unit*2;\r\n	\r\n	-- common info --\r\n	local shop_name = ukm.shop_juristic_person();\r\n	local shop_address = ukm.shop_address();\r\n\r\n	newLine(__printer);\r\n	newLine(__printer);	\r\n	printRJ(__printer, \"Руководителю организации\",	height); newLine(__printer);\r\n	printRJ(__printer, shop_name, 					height); newLine(__printer);\r\n	printRJ(__printer, \"От\", 						height); newLine(__printer);\r\n	printRU(__printer, \"ФИО\", 						header_margin, height); newLine(__printer);\r\n	printRU(__printer, \"паспорт (серия, номер)\", 	header_margin, height); newLine(__printer);\r\n	printRU(__printer, \"выдан (кем, когда)\", 		header_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", 							header_margin, height); newLine(__printer);\r\n	printRU(__printer, \"Тел.\", 						header_margin, height); newLine(__printer);\r\n\r\n       newLine(__printer);\r\n\r\n       __printer:printText(\"ЗАЯВЛЕНИЕ О ВОЗВРАТЕ ТОВАРА\", header_margin, height); newLine(__printer);\r\n       newLine(__printer);\r\n	local linked_date = ukm.ptime2str(__receipt.link.headerlink.date, \"%d/%m/%Y %H:%M\");\r\n       __printer:printText(linked_date..\" в магазине \", l_margin, height); newLine(__printer);\r\n	__printer:printText(shop_name..\", \", 			l_margin, height); newLine(__printer);\r\n	__printer:printText(shop_address, 				l_margin, height); newLine(__printer);\r\n	__printer:printText(\"был приобретён:\", 			l_margin, height); newLine(__printer);\r\n       newLine(__printer);\r\n\r\n-- Table begin -------------------------------------------------------------------\r\n	table_begin(__printer);\r\n	table_body (__printer, __receipt)\r\n	table_end(__printer);\r\n-- Table end -------------------------------------------------------------------\r\n\r\n	newLine(__printer);\r\n	__printer:printText(\"В соответствие с Законом РФ «О защите прав потребителя» от 07.02.92 г.\", l_margin, height); newLine(__printer);\r\n	__printer:printText(\"№ 2300-1, прошу расторгнуть со мной договор купли-продажи и возвратить\", l_margin, height); newLine(__printer);\r\n	local receipt_total = tostring(__receipt.subtotal.amount);\r\n	__printer:printText(\"мне сумму в размере \"..receipt_total, l_margin, height); newLine(__printer);\r\n	local subtotal_spelled = ukm.num2txt(__receipt.subtotal.amount);\r\n	__printer:printText(subtotal_spelled..\" копеек\", l_margin, height); newLine(__printer);\r\n	newLine(__printer);\r\n	__printer:printText(\"ЗАКЛЮЧЕНИЕ\", header_margin, height); newLine(__printer);\r\n	printRU(__printer, \"Установлены следующие дефекты\", 	l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", 								l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"Причины дефектов\", 				l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", 								l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"Решение\", 						l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\",  								l_margin, height); newLine(__printer);\r\n	__printer:printText(\"Товар принял   ___________________\", l_margin, height); newLine(__printer);\r\n	__printer:printText(\"Дата возврата «___» ________ 20___ г.\", l_margin, height);\r\n	printRJ(__printer, \"______________\", height); newLine(__printer);\r\n	printRJ(__printer, \"подпись\", height); newLine(__printer);\r\n	\r\n	__printer:printDocument();\r\n\r\n-- Накладная ----------------------------------------------------------------------------------------------------------------------\r\n	filename2 = \"doc2.pdf\";\r\n	__printer:newDocument(filename2, 0);\r\n	__printer:setFontAndSize(12);\r\n	\r\n	-- page constants --\r\n	height = __printer:getPageHeight();       \r\n\r\n	-- table constants --\r\n	u_corner = 0;\r\n	d_corner = 0;\r\n\r\n	newLine(__printer);\r\n	newLine(__printer);\r\n	__printer:printText(\"Возврат от покупателя\", 			l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", 									l_margin, height); newLine(__printer);\r\n	__printer:printText(\"Поставщик:  Розничный покупатель\", 	l_margin, height); newLine(__printer);\r\n	__printer:printText(\"Покупатель: \"..shop_name, 			l_margin, height); newLine(__printer);\r\n	newLine(__printer);	\r\n\r\n-- Table begin -------------------------------------------------------------------\r\n	table_begin(__printer);\r\n	table_body (__printer, __receipt)\r\n	table_end(__printer);\r\n-- Table end -------------------------------------------------------------------\r\n\r\n	newLine(__printer);	\r\n	printRJ(__printer, \"Итого: \"..receipt_total, height); newLine(__printer);\r\n	__printer:printText(subtotal_spelled..\" копеек\", l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", l_margin, height); newLine(__printer);\r\n	newLine(__printer);	 \r\n	__printer:printText(\"Отпустил_______________\", 	l_margin, height);\r\n	printRJ(__printer, \"Получил___________________\", 	height); newLine(__printer);\r\n\r\n	__printer:printDocument();\r\n\r\n-- Раходный кассовый ордер ----------------------------------------------------------------------------------------------------------------------\r\n	local cash_total = receipt_cash_total(__receipt);\r\n	if cash_total == ukm.currency(0) then\r\n		return filename1..\",\"..filename2..\",\";\r\n	end;\r\n	subtotal_spelled = ukm.num2txt(cash_total);\r\n	filename3 = \"doc3.pdf\";\r\n	__printer:newDocument(filename3, 0);\r\n	set_fontsize(__printer, 12);\r\n\r\n	-- page constants --\r\n	height = __printer:getPageHeight();\r\n	width = __printer:getPageWidth();\r\n\r\n	newLine(__printer);\r\n	newLine(__printer);\r\n	set_fontsize(__printer, 8);\r\n	printRJ(__printer, \"Унифицированная форма № КО-2                                 \", 	height); newLine(__printer);\r\n	printRJ(__printer, \"Утверждена постановлением Госкомстата России от 18.08.98 № 88\", 	height); newLine(__printer);\r\n\r\n	height = __printer:getPageHeight();\r\n	__printer:drawHorizontalLine(1, l_margin, 709, 382);\r\n	__printer:drawHorizontalLine(1, l_margin, 685, 515);\r\n	set_fontsize(__printer, 12);	\r\n	__printer:printText(shop_name,  	l_margin, 713);\r\n	__printer:printText(ukm.shop_code_subdivision(),  l_margin, 689);\r\n\r\n	set_fontsize(__printer, 8);\r\n	__printer:printText(\"(организация)\",  				l_margin+mm2pnt(58), 700);\r\n	__printer:printText(\"(структурное подразделение)\",  	l_margin+mm2pnt(62), 676);\r\n	__printer:printText(\"Форма по ОКУД\",  				r_margin-mm2pnt(49), height-114);\r\n	__printer:printText(\"по ОКПО\",  						r_margin-mm2pnt(40), height-126);\r\n\r\n\r\n	__printer:drawHorizontalLine(1, r_margin-74, height-092, 74);\r\n	__printer:drawHorizontalLine(1, r_margin-74, height-104, 74);\r\n	__printer:drawHorizontalLine(1, r_margin-74, height-118, 74);\r\n	__printer:drawHorizontalLine(1, r_margin-74, height-130, 74);\r\n	__printer:drawHorizontalLine(1, r_margin-74, height-157, 74);\r\n	__printer:drawVerticalLine    (1, r_margin-74, height-092, -65);\r\n	__printer:drawVerticalLine    (1, r_margin,       height-092, -65);\r\n	__printer:drawHorizontalLine(2, r_margin-74, height-104, 74);\r\n	__printer:drawHorizontalLine(2, r_margin-74, height-157, 74);\r\n	__printer:drawVerticalLine    (2, r_margin-74, height-104, -53);\r\n	__printer:drawVerticalLine    (2, r_margin,       height-104, -53);\r\n\r\n	__printer:printText(\"Код\",        r_margin-45, height-100);\r\n	__printer:printText(\"0310002\", r_margin-50, height-114);\r\n	\r\n\r\n	__printer:drawHorizontalLine(1, r_margin-160, height-169, 160);\r\n	__printer:drawHorizontalLine(1, r_margin-160, height-192, 160);\r\n	__printer:drawHorizontalLine(1, r_margin-160, height-204, 160);\r\n	__printer:drawVerticalLine    (1, r_margin-160, height-169, -35);\r\n	__printer:drawVerticalLine    (1, r_margin-74,   height-169, -35);\r\n	__printer:drawVerticalLine    (1, r_margin,         height-169, -35);\r\n	__printer:drawHorizontalLine(2, r_margin-160, height-192, 160);\r\n	__printer:drawHorizontalLine(2, r_margin-160, height-204, 160);\r\n	__printer:drawVerticalLine    (2, r_margin-160, height-192, -12);\r\n	__printer:drawVerticalLine    (2, r_margin-74,   height-192, -12);\r\n	__printer:drawVerticalLine    (2, r_margin,         height-192, -12);\r\n\r\n	__printer:printText(\"Номер документа\",   r_margin-154, height-178);\r\n	__printer:printText(\"Дата\", 				r_margin-68, height-178);\r\n	__printer:printText(\"составления\", 		r_margin-68, height-187);\r\n	local return_date = ukm.ptime2str(__receipt.header.date, \"%d/%m/%Y\");\r\n	__printer:printText(return_date,               r_margin-60, height-200);\r\n	\r\n	__printer:drawHorizontalLine(1, l_margin, height-219, r_margin-l_margin);\r\n	__printer:drawHorizontalLine(1, l_margin, height-231, mm2pnt(109));\r\n	__printer:drawVerticalLine    (1, l_margin, 		 	   height-219, -47);\r\n	__printer:drawVerticalLine    (1, l_margin+mm2pnt(11),    height-231, -35);\r\n	__printer:drawVerticalLine    (1, l_margin+mm2pnt(40),    height-231, -35);\r\n	__printer:drawVerticalLine    (1, l_margin+ mm2pnt(72),   height-231, -35);\r\n	__printer:drawVerticalLine    (1, l_margin+ mm2pnt(109), height-219, -47);\r\n	__printer:drawVerticalLine    (1, l_margin+ mm2pnt(122), height-219, -47);\r\n	__printer:drawVerticalLine    (1, l_margin+ mm2pnt(142), height-219, -47);\r\n	__printer:drawVerticalLine    (1, l_margin+ mm2pnt(164), height-219, -47);\r\n	__printer:drawVerticalLine    (1, r_margin, 			   height-219, -47);\r\n	__printer:drawHorizontalLine(2, l_margin, height-254, r_margin-l_margin);\r\n	__printer:drawHorizontalLine(2, l_margin, height-266, r_margin-l_margin);\r\n	__printer:drawVerticalLine    (2, l_margin, 		 	   height-254, -12);\r\n	__printer:drawVerticalLine    (2, r_margin, 			   height-254, -12);\r\n\r\n	__printer:printText(\"Дебет\",   				l_margin+mm2pnt(56),    height-227);\r\n	__printer:printText(\"Кредит\", 				l_margin+ mm2pnt(111), height-227);\r\n	__printer:printText(\"Сумма,\", 				l_margin+ mm2pnt(124), height-227);\r\n	__printer:printText(\"руб. коп.\", 			l_margin+ mm2pnt(124), height-236);\r\n	__printer:printText(\"Код целевого\",			l_margin+ mm2pnt(144), height-227);\r\n	__printer:printText(\"назначения\", 			l_margin+ mm2pnt(144), height-236);\r\n\r\n	__printer:printText(\"код структурного\", 		l_margin+ mm2pnt(13), height-241);\r\n	__printer:printText(\"подразделения\", 		l_margin+ mm2pnt(13), height-250);\r\n	__printer:printText(\"корреспондирующий\", 	l_margin+ mm2pnt(42), height-241);\r\n	__printer:printText(\"счет, субсчет\", 		l_margin+ mm2pnt(42), height-250);\r\n	__printer:printText(\"62.02\", 				l_margin+ mm2pnt(42), height-262);\r\n	__printer:printText(\"код аналитического\", 	l_margin+ mm2pnt(74), height-241);\r\n	__printer:printText(\"учета\", 				l_margin+ mm2pnt(74), height-250);\r\n	__printer:printText(\"50.02\", 				l_margin+ mm2pnt(111), height-262);\r\n	__printer:printText(tostring(cash_total), 	l_margin+ mm2pnt(124), height-262);\r\n	\r\n	\r\n	\r\n	set_fontsize(__printer, 12);\r\n	__printer:printText(\"РАСХОДНЫЙ КАССОВЫЙ ОРДЕР\", 	l_margin+148, height-204);\r\n	height = height-mm2pnt(98);\r\n	printRU(__printer, \"Выдать \",       l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"(фамилия, имя, отчество)\", l_margin+mm2pnt(82), height); set_fontsize(__printer, 12); newLine(__printer);\r\n	printRU(__printer, \"Основание: \", l_margin, height); \r\n	local return_receipt_number = \"ЧЕК:\" .. tostring(__receipt.header.pos) .. \".\" .. tostring(__receipt.header.shiftopen.number) .. \".\" .. tostring(__receipt.header.localnumber);\r\n	__printer:printText(\"Заявление о возврате товара, \"..return_receipt_number..\", \"..return_date,  l_margin+mm2pnt(29), height+4); newLine(__printer);\r\n	__printer:printText(\"Сумма \"..subtotal_spelled..\" копеек\", l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"Приложение \", l_margin, height); newLine(__printer);\r\n	printRU(__printer, \"\", l_margin, height); newLine(__printer);\r\n	__printer:printText(\"Руководитель организации ______________  _________  ______________\", l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"(должность)          (подпись)     (расшифровка подписи)\", l_margin+mm2pnt(70), height); set_fontsize(__printer, 12); newLine(__printer);\r\n	newLine(__printer);\r\n	__printer:printText(\"Главный бухгалтер  _________  ______________\", l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"(подпись)     (расшифровка подписи)\", l_margin+mm2pnt(50), height); set_fontsize(__printer, 12); newLine(__printer);\r\n	newLine(__printer);\r\n	__printer:printText(\"Получил\", l_margin, height); newLine(__printer);\r\n	__printer:printText(return_date..\"                         Подпись _________\", l_margin, height); newLine(__printer);\r\n	newLine(__printer);\r\n	printRU(__printer, \"По \", l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"(наименование, номер, дата и место выдачи документа,\", l_margin+mm2pnt(56), height); set_fontsize(__printer, 12); newLine(__printer);\r\n	printRU(__printer, \"\", l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"удостоверяющего личность получателя)\", l_margin+mm2pnt(60), height); set_fontsize(__printer, 12); newLine(__printer);\r\n	newLine(__printer);\r\n	__printer:printText(\"Выдал кассир  _________  ______________\", l_margin, height); set_fontsize(__printer, 8); newLine(__printer);\r\n	__printer:printText(\"(подпись)     (расшифровка подписи)\", l_margin+mm2pnt(38), height); set_fontsize(__printer, 12); newLine(__printer);\r\n\r\n	__printer:printDocument();\r\n\r\n	return filename1..\",\"..filename2..\",\"..filename3;\r\nend\r\n\r\n-- Корректировочный счет-фактура -------------------------------------------------------------------------------------------------------------\r\n\r\nfunction CAI_create_head_head_table(__printer)\r\n	set_fontsize(__printer, 8);\r\n\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\n	__printer:drawVerticalLine(1, 15, height, -96);\r\n	__printer:drawVerticalLine(1, 825, height, -96);\r\n\r\n	__printer:drawVerticalLine(1, 177, height, -96);\r\n	__printer:drawVerticalLine(1, 270, height, -96);\r\n	__printer:drawVerticalLine(1, 305, height, -96);\r\n	__printer:drawVerticalLine(1, 390, height, -96);\r\n	__printer:drawVerticalLine(1, 440, height, -96);\r\n	__printer:drawVerticalLine(1, 515, height, -96);\r\n	__printer:drawVerticalLine(1, 588, height, -96);\r\n	__printer:drawVerticalLine(1, 632, height, -96);\r\n	__printer:drawVerticalLine(1, 686, height, -96);\r\n	__printer:drawVerticalLine(1, 745, height, -96);\r\n\r\n	newLine(__printer);\r\n	__printer:printText(\"Наименование товара\",60,height); \r\n	__printer:printText(\"Показатели в связи с\",183,height); \r\n	__printer:printText(\"Код\",282,height);\r\n	__printer:printText(\"Количество\",393,height); \r\n	__printer:printText(\"Цена\",465,height); \r\n	__printer:printText(\"Стоимость\",530,height); \r\n	__printer:printText(\"В том\",598,height); \r\n	__printer:printText(\"Налоговая\",640,height); \r\n	__printer:printText(\"Стоимость\",770,height); \r\n	__printer:printText(\"Сумма\",705,height); \r\n\r\n	newLine(__printer);\r\n	__printer:printText(\"(описание выполненных\",57,height); \r\n	__printer:printText(\"изменением стоимости\",181,height); \r\n	__printer:printText(\"вида\",280,height); \r\n	__printer:printText(\"(объем)\",400,height); \r\n	__printer:printText(\"(тариф)\",462,height); \r\n	__printer:printText(\"товаров\",540,height); \r\n	__printer:printText(\"числе\",598,height);\r\n	__printer:printText(\"ставка\",645,height);  \r\n	__printer:printText(\"товаров\",770,height); \r\n	__printer:printText(\"Единица измерения\",310,height+10); \r\n	__printer:printText(\"налога\",705,height); \r\n	\r\n	__printer:drawHorizontalLine(1, 305, height, 85);\r\n	__printer:drawVerticalLine(1, 338, height, -84);\r\n	newLine(__printer);\r\n	__printer:printText(\"работ, оказанных услуг),\",57,height); \r\n	__printer:printText(\"отгруженных товаров\",185,height); \r\n	__printer:printText(\"за единицу\",455,height);\r\n	__printer:printText(\"товара\",275,height); \r\n	__printer:printText(\"сумма\",598,height);\r\n	__printer:printText(\"(работ, услуг)\",525,height); \r\n	__printer:printText(\"(работ, услуг),\",762,height);\r\n	__printer:printText(\"код\",315,height); \r\n	__printer:printText(\"условное\",348,height);\r\n	\r\n	newLine(__printer);\r\n	__printer:printText(\"имущественного права\",60,height); \r\n	__printer:printText(\"(выполненных работ,\",186,height);\r\n	__printer:printText(\"имущественных\",521,height); \r\n	__printer:printText(\"акциза\",598,height);\r\n	__printer:printText(\"имущественных\",755,height); \r\n	__printer:printText(\"измерения\",456,height);\r\n	__printer:printText(\"обозначение\",340,height); \r\n	\r\n	newLine(__printer);\r\n	__printer:printText(\"оказанных услуг),\",188,height);\r\n	__printer:printText(\"прав без налога -\",518,height); \r\n	__printer:printText(\"прав с налогом -\",756,height); \r\n	__printer:printText(\"(националь-\",340,height); \r\n\r\n	newLine(__printer);\r\n	__printer:printText(\"ное)\",355,height); \r\n	__printer:printText(\"переданных\",191,height);\r\n	__printer:printText(\"всего\",540,height);\r\n	__printer:printText(\"всего\",777,height);\r\n\r\n	newLine(__printer);\r\n	__printer:printText(\"имущественных прав\",184,height);\r\n	 \r\n	newLine(__printer);\r\n	\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\nend\r\n\r\nfunction check_height_tbl(__printer);\r\n	if height < 20 then\r\n		__printer:drawHorizontalLine(1, 15, height, 810);\r\n		newLine(__printer);\r\n		CAI_create_head_table(__printer);\r\n	end;\r\nend;\r\n\r\nfunction check_height_tbl_footer(__printer);\r\n	if height < 20 then\r\n		newLine(__printer);\r\n		CAI_create_head_table(__printer);\r\n		set_fontsize(__printer, 8);\r\n		__printer:drawHorizontalLine(1, 15, height, 810);\r\n		__printer:drawVerticalLine(1, 15, height, -12);\r\n		__printer:drawVerticalLine(1, 825, height, -12);\r\n\r\n		__printer:drawVerticalLine(1, 515, height, -12);\r\n		__printer:drawVerticalLine(1, 588, height, -12);\r\n		__printer:drawVerticalLine(1, 632, height, -12);\r\n		__printer:drawVerticalLine(1, 680, height, -12);\r\n		__printer:drawVerticalLine(1, 745, height, -12);\r\n	end;\r\nend;\r\n\r\nfunction CAI_create_head_table(__printer)\r\n	set_fontsize(__printer, 8);\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\n	__printer:drawVerticalLine(1, 15, height, -12);\r\n	__printer:drawVerticalLine(1, 825, height, -12);\r\n\r\n	__printer:drawVerticalLine(1, 177, height, -12);\r\n	__printer:drawVerticalLine(1, 270, height, -12);\r\n	__printer:drawVerticalLine(1, 305, height, -12);\r\n	__printer:drawVerticalLine(1, 338, height, -12);\r\n	__printer:drawVerticalLine(1, 390, height, -12);\r\n	__printer:drawVerticalLine(1, 440, height, -12);\r\n	__printer:drawVerticalLine(1, 515, height, -12);\r\n	__printer:drawVerticalLine(1, 588, height, -12);\r\n	__printer:drawVerticalLine(1, 632, height, -12);\r\n	__printer:drawVerticalLine(1, 686, height, -12);\r\n	__printer:drawVerticalLine(1, 745, height, -12);\r\n	newLine(__printer);\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\n	__printer:printText(\"1\",90,height+4); \r\n	__printer:printText(\"1а\",220,height+4); \r\n	__printer:printText(\"1б\",282,height+4); \r\n	__printer:printText(\"2\",320,height+4); \r\n	__printer:printText(\"2а\",360,height+4); \r\n	__printer:printText(\"3\",412,height+4); \r\n	__printer:printText(\"4\",474,height+4); \r\n	__printer:printText(\"5\",549,height+4); \r\n	__printer:printText(\"6\",608,height+4); \r\n	__printer:printText(\"7\",656,height+4); \r\n	__printer:printText(\"8\",715,height+4); \r\n	__printer:printText(\"9\",782,height+4); \r\nend;\r\n\r\nfunction CAI_create_body_table_rect(__printer);\r\n	check_height_tbl(__printer);\r\n	__printer:drawVerticalLine(1, 15, height, -12);\r\n	__printer:drawVerticalLine(1, 825, height, -12);\r\n\r\n	__printer:drawVerticalLine(1, 177, height, -12);\r\n	__printer:drawVerticalLine(1, 270, height, -12);\r\n	__printer:drawVerticalLine(1, 305, height, -12);\r\n	__printer:drawVerticalLine(1, 338, height, -12);\r\n	__printer:drawVerticalLine(1, 390, height, -12);\r\n	__printer:drawVerticalLine(1, 440, height, -12);\r\n	__printer:drawVerticalLine(1, 515, height, -12);\r\n	__printer:drawVerticalLine(1, 588, height, -12);\r\n	__printer:drawVerticalLine(1, 632, height, -12);\r\n	__printer:drawVerticalLine(1, 686, height, -12);\r\n	__printer:drawVerticalLine(1, 745, height, -12);\r\n	__printer:drawHorizontalLine(1, 177, height, 647);\r\n\r\n	\r\n	newLine(__printer);\r\nend;\r\n\r\nfunction code_case(__line)\r\n	if string.match(__line, \"шт\") then\r\n		return \"796\";\r\n	end\r\n	if string.match(__line, \"кг\") then\r\n		return \"166\";\r\n	end\r\n	if string.match(__line, \"г\") then\r\n		return \"163\";\r\n	end\r\n	return \"\";\r\nend; \r\n\r\nfunction print_block_A(__printer, __name_item, __item_sale, __item_return, __item_tax_sale, __item_tax_amount_sale);\r\n	local discount_amount = __item_return:discount_amount()/__item_return.totalquantity*__item_sale.totalquantity;\r\n\r\n	local _1 = __name_item;\r\n	local _1a = \"А (до изменения)\";\r\n	local _1b = \"-\";\r\n	local _2 = code_case(__item_sale.measurement);\r\n	local _2a = __item_sale.measurement:sub(1, 16);\r\n	local _3 = tostring(__item_sale.totalquantity);\r\n	local _4 = tostring(__item_sale.price);\r\n	local _5 = tostring(__item_sale.total - __item_sale:discount_amount());\r\n	local _6 = \"Без акциза\";\r\n	local _7 = __item_tax_sale;\r\n	local _8 = tostring(__item_tax_amount_sale);\r\n	local _9 = tostring((__item_sale.total - __item_sale:discount_amount()) - __item_tax_amount_sale);\r\n		 \r\n	CAI_create_body_table_rect(__printer);\r\n	__printer:printText(_1,20,height+4); \r\n	__printer:printText(_1a,185,height+4); \r\n	__printer:printText(_1b,285,height+4); \r\n	__printer:printText(_2,315,height+4); \r\n	__printer:printText(_2a,350,height+4); \r\n	__printer:printText(_3,393,height+4);\r\n	__printer:printText(_4,443,height+4); \r\n	__printer:printText(_5,518,height+4); \r\n	__printer:printText(_6,589,height+4); \r\n	__printer:printText(_7,633,height+4); \r\n	__printer:printText(_8,688,height+4); \r\n	__printer:printText(_9,749,height+4); \r\nend;\r\n\r\nfunction print_block_B(__printer, __name_item, __item_return, __item_tax_return, __item_tax_amount_return);\r\n	local _1 = __name_item;\r\n	local _1a = \"Б (после изменения)\";\r\n	local _1b = \"-\";\r\n	local _2 = code_case(__item_return.measurement);\r\n	local _2a = __item_return.measurement:sub(1, 16);\r\n	local _3 = tostring(__item_return.totalquantity);\r\n	local _4 = tostring(__item_return.price);\r\n	local _5 = tostring(__item_return.total - __item_return:discount_amount());\r\n	local _6 = \"Без акциза\";\r\n	local _7 = __item_tax_return;\r\n	local _8 = tostring(__item_tax_amount_return);\r\n	local _9 = tostring(__item_return.total - __item_return:discount_amount() - __item_tax_amount_return);\r\n	\r\n	CAI_create_body_table_rect(__printer);	 \r\n	__printer:printText(_1,20,height+4); \r\n	__printer:printText(_1a,185,height+4); \r\n	__printer:printText(_1b,285,height+4); \r\n	__printer:printText(_2,315,height+4); \r\n	__printer:printText(_2a,350,height+4); \r\n	__printer:printText(_3,393,height+4);\r\n	__printer:printText(_4,443,height+4); \r\n	__printer:printText(_5,518,height+4); \r\n	__printer:printText(_6,589,height+4); \r\n	__printer:printText(_7,633,height+4); \r\n	__printer:printText(_8,688,height+4); \r\n	__printer:printText(_9,749,height+4); \r\nend;\r\n\r\nfunction print_block_C(__printer, __name_item, __item_sale, __item_return, __item_tax_amount_sale, __item_tax_amount_return);\r\n	--local increase_5 = (__item_return.price*__item_return.totalquantity - __item_return:discount_amount()) - (__item_sale.price*__item_sale.totalquantity - (__item_return:discount_amount()/__item_return.totalquantity*__item_sale.totalquantity));\r\n	--if increase_5 < ukm.currency(0) then increase_5 = \"0.00\"; end\r\n	--local increase_8 = __item_tax_amount_return - __item_tax_amount_sale;\r\n	--if increase_8 < ukm.currency(0) then local increase_8 = \"0.00\"; end\r\n	--local increase_9 = (__item_return.price*__item_return.totalquantity - __item_return:discount_amount() - __item_tax_amount_return) - ((__item_sale.price*__item_sale.totalquantity - (__item_return:discount_amount()/__item_return.totalquantity*__item_sale.totalquantity)) - __item_tax_amount_sale);\r\n	--if increase_9 < ukm.currency(0) then increase_9 = \"0.00\"; end\r\n\r\n	local _1 = __name_item;\r\n	local _1a = \"В (увеличение)\";\r\n	local _1b = \"-\";\r\n	local _2 = \"X\";\r\n	local _2a = \"X\";\r\n	local _3 = \"X\";\r\n	local _4 = \"X\";\r\n	local _5 = \"0.00\";\r\n	local _6 = \"-\";\r\n	local _7 = \"X\";\r\n	local _8 = \"0.00\";\r\n	local _9 = \"0.00\";\r\n	\r\n	CAI_create_body_table_rect(__printer);\r\n	__printer:printText(_1,20,height+4); \r\n	__printer:printText(_1a,185,height+4); \r\n	__printer:printText(_1b,285,height+4); \r\n	__printer:printText(_2,320,height+4); \r\n	__printer:printText(_2a,360,height+4); \r\n	__printer:printText(_3,412,height+4);\r\n	__printer:printText(_4,474,height+4); \r\n	__printer:printText(_5,518,height+4); \r\n	__printer:printText(_6,608,height+4); \r\n	__printer:printText(_7,655,height+4); \r\n	__printer:printText(_8,688,height+4); \r\n	__printer:printText(_9,749,height+4); \r\nend;\r\n\r\nfunction print_block_D(__printer, __name_item, __item_sale, __item_return, __item_tax_amount_sale, __item_tax_amount_return);\r\n	local decrease_5 = (__item_sale.total - __item_sale:discount_amount()) - (__item_return.total - __item_return:discount_amount());\r\n	local decrease_8 = __item_tax_amount_sale - __item_tax_amount_return;\r\n	local decrease_9 = (__item_sale.total - __item_sale:discount_amount() - __item_tax_amount_sale) - (__item_return.total - __item_return:discount_amount() - __item_tax_amount_return);\r\n	\r\n	footer_decrease_5 = footer_decrease_5 + decrease_5;\r\n	footer_decrease_8 = footer_decrease_8 + decrease_8;\r\n	footer_decrease_9 = footer_decrease_9 + decrease_9;\r\n\r\n	local _1 = __name_item;\r\n	local _1a = \"Г (уменьшение)\";\r\n	local _1b = \"-\";\r\n	local _2 = \"X\";\r\n	local _2a = \"X\";\r\n	local _3 = \"X\";\r\n	local _4 = \"X\";\r\n	local _5 = tostring(decrease_5);\r\n	local _6 = \"-\";\r\n	local _7 = \"X\";\r\n	local _8 = tostring(decrease_8);\r\n	local _9 = tostring(decrease_9);\r\n		\r\n	CAI_create_body_table_rect(__printer);\r\n	__printer:printText(_1,20,height+4); \r\n	__printer:printText(_1a,185,height+4); \r\n	__printer:printText(_1b,285,height+4); \r\n	__printer:printText(_2,320,height+4); \r\n	__printer:printText(_2a,360,height+4); \r\n	__printer:printText(_3,412,height+4);\r\n	__printer:printText(_4,474,height+4); \r\n	__printer:printText(_5,518,height+4); \r\n	__printer:printText(_6,608,height+4); \r\n	__printer:printText(_7,655,height+4); \r\n	__printer:printText(_8,688,height+4); \r\n	__printer:printText(_9,749,height+4); \r\n\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\nend;\r\n\r\nfunction print_block_footer_C(__printer)\r\n	check_height_tbl_footer(__printer);\r\n	__printer:drawVerticalLine(1, 15, height, -12);\r\n	__printer:drawVerticalLine(1, 825, height, -12);\r\n\r\n	__printer:drawVerticalLine(1, 515, height, -12);\r\n	__printer:drawVerticalLine(1, 588, height, -12);\r\n	__printer:drawVerticalLine(1, 632, height, -12);\r\n	__printer:drawVerticalLine(1, 686, height, -12);\r\n	__printer:drawVerticalLine(1, 745, height, -12);\r\n	newLineN(__printer, 8);\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\n\r\n	__printer:printText(\"Всего увеличение (сумма строк В)\",150,height+4); \r\n	__printer:printText(\"X\",608,height+4); \r\n	__printer:printText(\"X\",655,height+4);\r\n	__printer:printText(\"0.00\",518,height+4); \r\n	__printer:printText(\"0.00\",688,height+4); \r\n	__printer:printText(\"0.00\",749,height+4); \r\nend;\r\n\r\nfunction print_block_footer_D(__printer)\r\n	check_height_tbl_footer(__printer);\r\n	__printer:drawVerticalLine(1, 15, height, -12);\r\n	__printer:drawVerticalLine(1, 825, height, -12);\r\n\r\n	__printer:drawVerticalLine(1, 515, height, -12);\r\n	__printer:drawVerticalLine(1, 588, height, -12);\r\n	__printer:drawVerticalLine(1, 632, height, -12);\r\n	__printer:drawVerticalLine(1, 686, height, -12);\r\n	__printer:drawVerticalLine(1, 745, height, -12);\r\n	--__printer:drawHorizontalLine(1, 15, height, 810);\r\n	newLineN(__printer, 8);\r\n\r\n	__printer:printText(\"Всего уменьшение (сумма строк Г)\",150,height+4); \r\n	__printer:printText(\"X\",608,height+4); \r\n	__printer:printText(\"X\",655,height+4);\r\n	__printer:printText(tostring(footer_decrease_5),518,height+4); \r\n	__printer:printText(tostring(footer_decrease_8),687,height+4); \r\n	__printer:printText(tostring(footer_decrease_9),749,height+4); \r\n\r\n	__printer:drawHorizontalLine(1, 15, height, 810);\r\nend;\r\n\r\nfunction CAI_create_body_table(__printer, __receipt_return)\r\n	set_fontsize(__printer, 8);\r\n	local normal_items_receipt_return = __receipt_return.items:leavenormal();\r\n\r\n        footer_decrease_5 = ukm.currency(0);\r\n        footer_decrease_8 = ukm.currency(0);\r\n        footer_decrease_9 = ukm.currency(0);\r\n	\r\n	for j = 0, normal_items_receipt_return:size() - 1 do\r\n		local item_return = normal_items_receipt_return:at(j);\r\n		local arr_item_name = {};\r\n		arr_item_name[0] = \"\";\r\n		arr_item_name[1] = \"\";\r\n		arr_item_name[2] = \"\";\r\n		arr_item_name[3] = \"\";\r\n		local multiline = ukm.slice(item_return.name, 35);\r\n		local o = 0;\r\n		for line in  multiline:gmatch(\"[^\\n]+\") do	\r\n			arr_item_name[o] = \" \"..line;\r\n			o = o + 1;\r\n		end;\r\n\r\n		local item_sale = item_return.link_item;\r\n\r\n		local tax_name = \"\";\r\n		local tax_percent = \"\";\r\n		local tax_present = false;\r\n		local taxes = ukm.taxes(item_sale.receipt);\r\n		taxes:create(item_sale, false);\r\n		local item_tax_sale = \" \";\r\n		local item_tax_amount_sale = \" \";\r\n		for i=0, taxes.itemtaxes:size()-1 do\r\n			local tax = taxes.itemtaxes:at(i);\r\n			item_tax_sale = tax.percent;\r\n			item_tax_amount_sale = tax.amount;\r\n			if (item_tax_sale == \"0%\" or item_tax_sale == \"не облагается\") then\r\n				item_tax_amount_sale = ukm.currency(0);\r\n			end\r\n			-- WARNING! Исходим из постулата, что у товарной позиции только один налог\r\n			break;\r\n		end;\r\n\r\n		local tax_name = \"\";\r\n		local tax_percent = \"\";\r\n		local tax_present = false;\r\n		local taxes = ukm.taxes(item_return.receipt);\r\n		taxes:create(item_return, false);\r\n		local item_tax_return = \" \";\r\n		local item_tax_amount_return = \" \";\r\n		for i=0, taxes.itemtaxes:size()-1 do\r\n			local tax = taxes.itemtaxes:at(i);\r\n			item_tax_return = tax.percent;\r\n			item_tax_amount_return = tax.amount;\r\n			if (item_tax_return == \"0%\" or item_tax_return == \"не облагается\") then\r\n				item_tax_amount_return = ukm.currency(0);\r\n			end\r\n			-- WARNING! Исходим из постулата, что у товарной позиции только один налог\r\n			break;\r\n		end;\r\n\r\n		print_block_A(__printer, arr_item_name[0], item_sale, item_return, item_tax_sale, item_tax_amount_sale);\r\n		print_block_B(__printer, arr_item_name[1], item_return, item_tax_return, item_tax_amount_return);\r\n		print_block_C(__printer, arr_item_name[2], item_sale, item_return, item_tax_amount_sale, item_tax_amount_return);\r\n		print_block_D(__printer, arr_item_name[3], item_sale, item_return, item_tax_amount_sale, item_tax_amount_return);\r\n	end;\r\n	\r\n	print_block_footer_C(__printer);\r\n	print_block_footer_D(__printer);\r\n	\r\n	set_fontsize(__printer, 10);\r\nend;\r\n\r\n\r\nfunction pdf_report_web(__printer, __receipt_return)\r\n	local filename1 = \"CORRECTIVE_ACCOUNT_INVOICE_2019.pdf\";\r\n	__printer:newDocument(filename1, 1);\r\n	set_fontsize(__printer, 6);\r\n\r\n	-- page constants --\r\n	height = __printer:getPageHeight();\r\n	local header_margin = __printer:getPageWidth()/3;\r\n	l_margin = __printer:getPageWidth()/16;\r\n	r_margin = __printer:getPageWidth() - l_margin;\r\n\r\n	-- table constants --\r\n	u_corner = 0;\r\n	d_corner = 0;\r\n	width_unit = (r_margin - l_margin)/16;\r\n	number_margin = l_margin;\r\n	name_margin = number_margin +width_unit*1;   \r\n	quan_margin = name_margin+width_unit*10;\r\n	total_margin = quan_margin + width_unit*2;\r\n	\r\n	-- common info --\r\n	local shop_name = ukm.shop_name();\r\n	local shop_address = ukm.shop_address();\r\n	local shop_juristic_person = ukm.shop_juristic_person();\r\n	local shop_inn = ukm.shop_inn();\r\n	local shop_kpp = ukm.shop_kpp();\r\n	local shop_accountant = ukm.shop_accountant();\r\n	local shop_director = ukm.shop_director();\r\n	local currency_code = \'643\';\r\n	local currency_name = \"Российский рубль\";\r\n	--local currency_name = __currency_name;\r\n	local return_date = ukm.ptime2str(__receipt_return.header.date, \"%d.%m.%Y\");\r\n	local localnumber = tostring(__receipt_return.header.localnumber);\r\n	local current_date = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y\");\r\n	local client_name = \"\";\r\n	local client_inn = \"\";\r\n	local client_KPP = \"\";\r\n	local client_address = \"\";\r\n	if __receipt_return.header:client_exists() then\r\n		if (__receipt_return.header.client.enterprisename ~= nil) then \r\n			client_name = __receipt_return.header.client.enterprisename:get();\r\n		end\r\n		if (__receipt_return.header.client.inn ~= nil) then \r\n			client_inn = __receipt_return.header.client.inn:get();\r\n		end\r\n		if (__receipt_return.header.client.kpp ~= nil) then \r\n			client_KPP = __receipt_return.header.client.kpp:get();\r\n		end\r\n		if (__receipt_return.header.client.address ~= nil) then \r\n			client_address = __receipt_return.header.client.address:get();\r\n		end\r\n	end\r\n\r\n\r\n	newLine(__printer);\r\n	newLine(__printer);	\r\n	-----------------------\r\n	__printer:printText(\"Приложение № 2\",							l_margin+mm2pnt(243),height); newLine(__printer);\r\n	__printer:printText(\"к постановлению Правительства\",  					l_margin+mm2pnt(243-15),height); newLine(__printer); \r\n	__printer:printText(\"Российской Федерации\",  						l_margin+mm2pnt(243-6),height); newLine(__printer); \r\n	__printer:printText(\"от 26 декабря 2011 г. № 1137\",  					l_margin+mm2pnt(243-12),height); newLine(__printer); \r\n	__printer:printText(\"(в ред. Постановления Правительства РФ от 19.08.2017 № 981)\",   	l_margin+mm2pnt(243-44),height); newLine(__printer); \r\n	set_fontsize(__printer, 10);\r\n	newLine(__printer);\r\n	-----------------------\r\n	__printer:printText(\"КОРРЕКТИРОВОЧНЫЙ СЧЕТ-ФАКТУРА №\",20,height); \r\n	printRU_V2(__printer, \"\",230,height,50);__printer:printText(\"от\",285,height);printRU_V2(__printer,\"\",300,height, 80);__printer:printText(\"(1), \",480,height); \r\n	__printer:printText(current_date, 315, height+4);\r\n	newLine(__printer);\r\n\r\n	__printer:printText(\"ИСПРАВЛЕНИЕ КОРРЕКТИРОВОЧНОГО СЧЕТА-ФАКТУРЫ №\",20,height); \r\n	printRU_V2(__printer, \"\",325,height,50);__printer:printText(\"от\",380,height); printRU_V2(__printer,\"\",395,height,80);__printer:printText(\"(1а), \",480,height); newLine(__printer);\r\n\r\n	__printer:printText(\"к СЧЕТУ-ФАКТУРЕ (счетам-фактурам) №\",20,height); \r\n	printRU_V2(__printer, \"\", 220, height, 65);__printer:printText(\"от\",290,height); printRU_V2(__printer,\"\",305,height,80);__printer:printText(\", \",386,height); \r\n	__printer:printText(localnumber,  235, height+4);\r\n	__printer:printText(return_date, 320, height+4); newLine(__printer); \r\n\r\n	set_fontsize(__printer, 9);\r\n	__printer:printText(\"с учетом исправления №\",20,height); \r\n	printRU_V2(__printer, \"\", 135, height, 65);__printer:printText(\"от\",205,height); printRU_V2(__printer,\"\",220,height,80);__printer:printText(\"(1б), \",480,height); newLine(__printer);\r\n	newLine(__printer);\r\n	-----------------------\r\n	set_fontsize(__printer, 10);\r\n	printRU_V2(__printer, \"Продавец\", 20, height, 551);\r\n	__printer:printText(\"(2)\",622,height); \r\n	__printer:printText(shop_juristic_person,  80, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"Адрес\", 20, height, 569);\r\n	__printer:printText(\"(2а)\",622,height);\r\n	__printer:printText(shop_address, 60, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"ИНН/КПП продавца\", 20, height, 501);\r\n	__printer:printText(\"(2б)\",622,height); \r\n	__printer:printText(shop_inn.. \"/\".. shop_kpp, 130, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"Покупатель\", 20, height,538);\r\n	__printer:printText(\"(3)\",622,height); \r\n	__printer:printText(client_name, 100, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"Адрес\", 20, height, 569);\r\n	__printer:printText(\"(3а)\",622,height); \r\n	__printer:printText(client_address, 60, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"ИНН/КПП покупателя\", 20, height, 489);\r\n	__printer:printText(\"(3б)\",622,height); \r\n	__printer:printText(client_inn.. \"/\" ..client_KPP, 140, height+4); newLine(__printer);\r\n\r\n	printRU_V2(__printer, \"Валюта: наименование, код\", 20, height, 446);\r\n	__printer:printText(\"(4)\",622,height);	\r\n	__printer:printText(currency_name..\", \"..currency_code, 190, height+4); newLine(__printer); \r\n\r\n	__printer:printText(\"Идентификатор государственного контракта, договора (соглашения) (при наличии)\",20,height); \r\n	printRU_V2(__printer, \"\", 413, height, 208);\r\n	__printer:printText(\"(5)\",622,height); \r\n	\r\n	-----------------------\r\n	newLine(__printer);\r\n	CAI_create_head_head_table(__printer);\r\n	CAI_create_head_table(__printer);\r\n	CAI_create_body_table(__printer, __receipt_return);\r\n	-----------------------\r\n\r\n	set_fontsize(__printer, 10);\r\n	newLineN(__printer, 10);\r\n\r\n	__printer:printText(\"Руководитель организации\",20,height); \r\n	__printer:printText(\"Главный бухгалтер\",421,height);\r\n	newLineN(__printer, 10);\r\n	__printer:printText(\"или иное уполномоченное лицо\",20,height); \r\n	printRU_V2(__printer, \"\",180,height,50); printRU_V2(__printer, \"\",240,height,180);\r\n	__printer:printText(shop_director,  260, height+4); \r\n	__printer:printText(\"или иное уполномоченное лицо\",421,height); \r\n	printRU_V2(__printer, \"\",580,height,50); printRU_V2(__printer, \"\",640,height,180);\r\n	__printer:printText(shop_accountant,  660, height+4); \r\n\r\n	set_fontsize(__printer, 8); newLineN(__printer, 8);\r\n	__printer:printText(\"(подпись)\", 185, height); 	\r\n	__printer:printText(\"(ф.и.о.)\", 320, height); \r\n	__printer:printText(\"(подпись)\", 590, height); 	\r\n	__printer:printText(\"(ф.и.о.)\", 720, height); \r\n	set_fontsize(__printer, 10); newLineN(__printer, 10);\r\n	\r\n	__printer:printText(\"Индивидуальный предприниматель\",20,height); newLineN(__printer, 10);\r\n	__printer:printText(\"или иное уполномоченное лицо\",20,height); \r\n	printRU_V2(__printer, \"\",200,height,50); printRU_V2(__printer, \"\",260,height,180);  printRU_V2(__printer, \"\",450,height,370); \r\n	\r\n	set_fontsize(__printer, 8); newLineN(__printer, 8);\r\n	__printer:printText(\"(подпись)\", 210, height); 	\r\n	__printer:printText(\"(ф.и.о.)\", 330, height); \r\n	__printer:printText(\"(реквизиты свидетельства о государственной регистрации индивидуального предпринимателя)\", 460, height); \r\n	\r\n	__printer:printDocument();\r\n\r\n	return filename1;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'print_dish.lua','-- Печать блюд\r\nfunction print_dish(__items, __printparam, __print_data)\r\n\r\n	local prnDt = {};\r\n	\r\n	local PrnIndex;\r\n	if (ukm.str_len(__printparam) == 0) \r\n	then\r\n		PrnIndex = nul;\r\n	else\r\n		PrnIndex = tonumber(__printparam);\r\n	end;	\r\n	\r\n	local Printer = nil;\r\n	if (PrnIndex)\r\n	then\r\n		Printer = ukm.get_printer(PrnIndex);\r\n		if not Printer\r\n		then\r\n			error(\"Printer is undefined. Index = \"..tostring(PrnIndex));\r\n		end;	\r\n	end;\r\n\r\n    local i;\r\n\r\n    local dish_printer;\r\n    local dish_printer_index;\r\n    for i = 0, __items:size() - 1\r\n	do\r\n        local item = __items:at(i);\r\n	  \r\n	  if not(item:is_additive()) \r\n        then\r\n            if item.printer ~= nil\r\n            then\r\n                dish_printer_index = item.printer:get();\r\n                dish_printer = ukm.get_printer(dish_printer_index);\r\n            else\r\n                dish_printer = nil;\r\n            end;\r\n        end;\r\n		\r\n		if not Printer \r\n		then\r\n                  if dish_printer and item:is_additive()\r\n                  then\r\n                       prnDt[dish_printer_index] = prnDt[dish_printer_index]..dish_request_item(item,dish_printer);\r\n                  else \r\n                        if item.printer ~= nil\r\n                        then\r\n			          local lPrnIndex = item.printer:get();\r\n  	                      local lPrinter = ukm.get_printer(lPrnIndex);\r\n			          if lPrinter\r\n			          then\r\n				        if prnDt[lPrnIndex]\r\n				        then\r\n					      prnDt[lPrnIndex] = prnDt[lPrnIndex]..dish_request_item(item,lPrinter);\r\n				        else\r\n					      prnDt[lPrnIndex] = dish_request_header(lPrinter, item.receipt)..dish_request_item(item,lPrinter);\r\n				        end;\r\n			          end;\r\n                        end;\r\n                  end;\r\n		else\r\n                  if Printer\r\n			then\r\n			    if prnDt[PrnIndex]\r\n			    then\r\n			        prnDt[PrnIndex] = prnDt[PrnIndex]..dish_request_item(item,Printer);\r\n		   	    else\r\n				  prnDt[PrnIndex] = dish_request_header(Printer, item.receipt)..dish_request_item(item,Printer);\r\n			    end;\r\n			end;\r\n		end;	\r\n    end;\r\n\r\n    local text;\r\n    for i, text in pairs(prnDt)\r\n    do\r\n       local printer = ukm.get_printer(i);\r\n       text = text .. hw_command_eject(0);\r\n       text = text .. hw_command_cut;		\r\n       __print_data:add(text, i);\r\n    end;\r\nend\r\n\r\nfunction dish_request_header(printer, __receipt)\r\n    local width = printer:get_width();\r\n    local text = ukm.rightpad(\"************ Заказ на кухню ***\",width, \"*\") .. \"\\n\";\r\n    local tm = ukm.get_sys_date();\r\n    text = text .. ukm.adjustment(__receipt.header.login.name, ukm.ptime2str(tm, \"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n    if __receipt.header.table ~= nil then\r\n       text = text .. \"Стол: \" .. __receipt.header.table:get() .. \"\\n\";\r\n    end\r\n    local order_id = __receipt:get_order_id();\r\n    if order_id ~= nil then\r\n       text = text .. \"Номер заказа: \" .. order_id:get() .. \"\\n\";\r\n    end\r\n\r\n    return (text);\r\nend\r\n\r\nfunction dish_request_item(item,printer)\r\n    local width = printer:get_width();\r\n\r\n    local text=\"\";\r\n\r\n    if item.date_print ~= nil then\r\n        text = text ..\" Отмена \" .. \"\\n\";\r\n    else\r\n        if item:is_additive() then\r\n            text = text .. ukm.rightpad(\" Приготовить модификатор к блюду\",width, \" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.rightpad(\" Приготовить блюдо \",width, \" \") .. \"\\n\";\r\n        end\r\n    end\r\n	\r\n    text = text .. ukm.adjustment(\"  \" .. \"Название - \", item.name .. \" \", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"  \" .. \"Количество - \", tostring(item.quantity) .. \" \", width, \" \") .. \"\\n\";\r\n    if item.cancellation_reason ~= \"\" then\r\n        text = text .. \"  Причина - \".. item.cancellation_reason .. \"\\n\";\r\n    end;\r\n   \r\n    return (text);\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'receipt.lua','-- Модуль печати чека\r\n--переменная для сжатой печати\r\ncompresed_print = false;\r\n--подсчет позиций в чеке\r\ncount_print_item = 10;\r\n--печатать название терминала\r\npos_name_print = true;\r\n--печатать RRN\r\nrrn_print = true;\r\n--айтем для для разбиения \r\nsplit_SP_KKT_item = false;\r\n--формат чека loya Корона\r\nloya_rb = false;\r\n-- печать округления на вид оплаты для Украины\r\nukrainian_rounding_print = false;\r\n\r\nfunction modificator_to_human(__modificator)\r\n    local modif = \"\";\r\n    local parsing_modificator = ukm.parse_client_modificator(__modificator);\r\n\r\n    if parsing_modificator.prefix == \"-\" then\r\n        modif = modif .. \"Возможная скидка \";\r\n    elseif parsing_modificator.prefix == \"+\" then\r\n        modif = modif .. \"Возможная наценка \";\r\n    elseif parsing_modificator.prefix == \"\" then\r\n        modif = modif .. \"Возможная стоимость \";\r\n    elseif parsing_modificator.prefix == \"p\" then\r\n        modif = modif .. \"Возможный вид цены \";\r\n    end\r\n\r\n    if parsing_modificator.prefix ~= \"p\" then\r\n    if parsing_modificator.value ~= nil then\r\n        modif = modif .. tostring(parsing_modificator.value);\r\n    end\r\n\r\n    if parsing_modificator.suffix == \"%\" then\r\n        modif = modif .. \"%\";\r\n    end\r\n    else\r\n		if parsing_modificator.pricelist_id ~= nil then\r\n			modif = modif .. ukm.get_pricelist_name(parsing_modificator.pricelist_id:get())\r\n		end\r\n    end\r\n    return modif;\r\nend\r\n\r\nfunction print_client_short(__header, __width)\r\n    local text = \"\";\r\n    if __header:client_exists() then\r\n		text = text .. ukm.leftpad(\" -\", __width, \" -\") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Карта:\", string.sub(__header.client.sur_name, 7), __width, \" \") .. \"\\n\";\r\n    end\r\n    return text;\r\nend\r\n\r\nfunction print_client_full(__header, __width)\r\n    local text = \"\";\r\n    if __header:client_exists() then\r\n		text = text .. ukm.leftpad(\" -\", __width, \" -\") .. \"\\n\";\r\n		if __header.client.sur_name ~= \"\" then\r\n			text = text .. ukm.adjustment(\"Фамилия:\", __header.client.sur_name, __width, \" \") .. \"\\n\";\r\n		end\r\n		if __header.client.name ~= \"\" then\r\n			text = text .. ukm.adjustment(\"Имя:\", __header.client.name, __width, \" \") .. \"\\n\";\r\n		end\r\n		if __header.client.patronymic ~= nil then\r\n			text = text .. ukm.adjustment(\"Отчество:\", __header.client.patronymic:get(), __width, \" \") .. \"\\n\";\r\n		end\r\n		if __header.client.enterprisename ~= nil then\r\n			text = text .. ukm.adjustment(\"Название:\", __header.client.enterprisename:get(), __width, \" \") .. \"\\n\";\r\n		end\r\n		if __header.client.inn ~= nil then\r\n			text = text .. ukm.adjustment(\"ИНН:\", __header.client.inn:get(), __width, \" \") .. \"\\n\";\r\n		end\r\n		if __header.client.passport ~= nil then\r\n			text = text .. ukm.adjustment(\"Пасп.данные:\", __header.client.passport:get(), __width, \" \") .. \"\\n\";\r\n		end\r\n    end\r\n    return text;\r\nend\r\n\r\nfunction print_client(__header, __width)\r\n    if loya_rb == true then\r\n		return print_client_short(__header, __width);\r\n    else\r\n		return print_client_full(__header, __width);\r\n    end\r\nend\r\n\r\nfunction get_recnumb(__header)\r\n	local recnumb = \"\";\r\n	local receipt_type = __header:receipt_type();\r\n	if receipt_type == ukm.header.sale then\r\n		recnumb = \"ПРД\";\r\n	elseif receipt_type == ukm.header.creturn then\r\n		recnumb = \"ВЗВ\";\r\n	elseif receipt_type == ukm.header.returnbyreceipt then\r\n		recnumb = \"ВЗВЧ\";\r\n	elseif receipt_type == ukm.header.pop then\r\n		recnumb = \"ПРД\";\r\n	elseif receipt_type == ukm.header.expense then\r\n		recnumb = \"РСХ\";\r\n	elseif receipt_type == ukm.header.return_expense then\r\n		recnumb = \"ВРСХ\";\r\n	elseif receipt_type == ukm.header.return_expense_by then\r\n		recnumb = \"ВЧРСХ\";\r\n	elseif receipt_type == ukm.header.stockcount then\r\n		recnumb = \"ИНВ\";\r\n	elseif receipt_type == ukm.header.stockwriteoff then\r\n		recnumb = \"СПС\";\r\n	elseif receipt_type == ukm.header.stockorder then\r\n		recnumb = \"ЗАК\";\r\n	elseif receipt_type == ukm.header.nonfiscal then\r\n		recnumb = \"НФИС\";\r\n	elseif receipt_type == ukm.header.returnbyreceiptnonfiscal then\r\n		recnumb = \"НФВЧ\";\r\n	elseif receipt_type == ukm.header.returnnonfiscal then\r\n		recnumb = \"НФВЗ\";\r\n	end\r\n	return recnumb;\r\nend\r\n\r\nfunction print_item_to_printer(__item, __printer_type, __print_data)\r\n	local printer = ukm.get_printer(__printer_type);\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		if __item.position == 0 then\r\n			text = text .. ukm.rightpad(\"Е/И*К-ВО  СТОИМОСТЬ(РУБ)\", width-1, \" \") .. \"\\n\";\r\n		end\r\n		if __item.type == ukm.item.normal then\r\n			text = text .. hw_command_normal_color;\r\n		else\r\n			text = text .. hw_command_alter_color;\r\n		end\r\n\r\n		if __item.remain ~= nil then\r\n			if __item.remain:sign() == 0 then\r\n				text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			end\r\n		end\r\n		\r\n		local itemsign = \" \";\r\n		if __item.type == ukm.item.cancel then\r\n			itemsign = \"X\";\r\n		elseif __item.type == ukm.item.void then\r\n			itemsign = \"-\";\r\n		end\r\n\r\n		local barcode = shtrihkz_ofd1(__item);\r\n		local itemname = barcode .. ukm.insert_delimiters(__item.item .. \" \" .. __item.name, \"\\n\", width-1);\r\n		text = text .. ukm.adjustment(itemname, \" \", width - 1, \" \") .. \"\\n\";\r\n\r\n		for i = 0, __item.properties:size() - 1 do\r\n			local property = __item.properties:at(i);\r\n			if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n				local property_name = property.code;\r\n				if property.name ~= nil then\r\n					property_name = property.name:get();\r\n				end\r\n				local prop_text;\r\n				if property.name ~= nil then\r\n					prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n				else\r\n					prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n				end\r\n				text = text .. prop_text .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		if ukm.str_len(\" \" .. __item.measurement .. \"*\" ..  tostring(__item.totalquantity) .. \"*\" .. tostring(__item.price) .. \" \" .. tostring(__item.total) .. itemsign) < (width + 1) then\r\n			text = text .. ukm.adjustment(\" \" .. __item.measurement .. \"*\" .. tostring(__item.totalquantity) .. \"*\" .. tostring(__item.price), tostring(__item.total) .. itemsign, width, \" \") .. \"\\n\";\r\n		else\r\n			text = text .. ukm.rightpad(\" \" .. __item.measurement .. \"*\" .. tostring(__item.totalquantity) .. \"*\" .. tostring(__item.price) .. \" \", width-1, \".\") .. \"\\n\";\r\n			text = text .. ukm.leftpad(tostring(__item.total) .. itemsign, width, \".\") .. \"\\n\";\r\n		end\r\n\r\n-- Печать модификаторов\r\n		if compresed_print == false then\r\n			for i=0,__item.discounts:size()-1 do\r\n				local discount = __item.discounts:at(i);\r\n				local modificerot_item_iterator = ukm.map.int.string.iterator(discount.receipt_discount_item_properties);\r\n				if modificerot_item_iterator:at(ukm.core.field_discount_modificator) ~= \"\" then\r\n					local modificator_item = modificerot_item_iterator:at(ukm.core.field_discount_modificator);\r\n					local human_modificator = modificator_to_human(modificator_item);\r\n					text = text .. ukm.adjustment(human_modificator, \" \", width, \" \") .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n\r\n-- Печать продавцов\r\n		if ukm.get_store().print_in_receipt==true then\r\n			if __item.seller ~= nil then\r\n				local seller=__item.seller;\r\n				text = text .. ukm.left(seller.code..\" \"..seller.name, width) .. \"\\n\";\r\n			end\r\n		end\r\n\r\n\r\n-- Закоментированная возможность печати налогов и скидок сразу после товарной позиции в теле чека\r\n--		if compresed_print == false then\r\n--			local taxes = ukm.taxes(__item.receipt);\r\n--			taxes:create(__item, true);\r\n--			for i=0, taxes.itemtaxes:size()-1 do\r\n--				local tax = taxes.itemtaxes:at(i);\r\n--				text = text .. ukm.adjustment(\" \" .. tax.name .. \", \" .. tax.percent, tostring(tax.amount) .. \" \", width, \" \") .. \"\\n\";\r\n--			end\r\n--		else\r\n--			for key, tax in pairs(__item.tax_item) do\r\n--				text = text .. ukm.adjustment(\" \" .. tax.name .. \", \" .. tax.percent, tostring(tax.amount) .. \" \", width, \" \") .. \"\\n\";\r\n--			end\r\n--		end\r\n--\r\n--		if compresed_print == false then\r\n--			for i=0,__item.discounts:size()-1 do\r\n--				local discount = __item.discounts:at(i);\r\n--				if discount.increment:sign() ~= 0 then\r\n--					if discount.increment:sign() == 1 then\r\n--						text = text .. ukm.adjustment(\" \" .. discount.receiptdiscount.name, tostring(discount.increment) .. \" \", width, \" \") .. \"\\n\";\r\n--					else\r\n--						text = text .. ukm.adjustment(\" \" .. discount.receiptdiscount.name, tostring(discount.increment*ukm.currency(-1)) .. \" \", width, \" \") .. \"\\n\";\r\n--					end\r\n--				end\r\n--			end\r\n--		else\r\n--			for key, discount in pairs(__item.discounts) do\r\n--				if discount.increment:sign() ~= 0 then\r\n--					if discount.increment:sign() == 1 then\r\n--						text = text .. ukm.adjustment(\" \" .. discount.name, tostring(discount.increment) .. \" \", width, \" \") .. \"\\n\";\r\n--					else\r\n--						text = text .. ukm.adjustment(\" \" .. discount.name, tostring(discount.increment*ukm.currency(-1)) .. \" \", width, \" \") .. \"\\n\";\r\n--					end\r\n--				end\r\n--			end\r\n--		end\r\n\r\n--  Печать точек хранения\r\n		if __item.storage_places ~= nil then\r\n			if __item.storage_places:size() > 0 and __item.type ~= ukm.item.cancel then\r\n				for i=0, __item.storage_places:size()-1 do\r\n					local place = __item.storage_places:at(i);\r\n					text = text .. ukm.leftpad(place .. \" \", width, \" \") .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n		text = text .. hw_command_normal_color;\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_link_header(__receiptlink, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        local header_t = \"\";\r\n        local header_type = __receiptlink.receipt.header:receipt_type();\r\n        if header_type == ukm.header.returnbyreceipt or header_type == ukm.header.returnbyreceiptnonfiscal then\r\n           header_t = \"ВОЗВРАТ ПО ЧЕКУ\";\r\n        elseif header_type == ukm.header.pop or header_type == ukm.header.nonfiscal then\r\n           header_t = \"ВОССТАНОВЛЕНИЕ ЧЕКА\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockcount then\r\n           header_t = \"ИНВЕНТАРИЗАЦИЯ\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockwriteoff then\r\n           header_t = \"СПИСАНИЕ\";\r\n        elseif __receiptlink.receipt.header == ukm.header.stockorder then\r\n           header_t = \"ЗАКАЗ\";\r\n        end\r\n\r\n        text = text .. print_pos_name(__receiptlink.receipt.link.headerlink);\r\n\r\n        if width <= 20 then\r\n            text = text .. header_t .. \"\\n\";\r\n            text = text .. ukm.leftpad(ukm.ptime2str(__receiptlink.receipt.link.headerlink.date, \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n        else\r\n            text = text .. ukm.adjustment(header_t, ukm.ptime2str(__receiptlink.receipt.link.headerlink.date, \"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        text = text .. print_header_info(__receiptlink.receipt.link.headerlink);\r\n        text = text .. print_client(__receiptlink.receipt.link.headerlink, width);\r\n	    text = text .. print_order(__receiptlink.receipt.link.headerlink, width);\r\n        text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n     end\r\nend\r\n\r\nfunction get_table_from_item(__item)\r\n	local item_table = {};\r\n\r\n	item_table.position = __item.position;\r\n	item_table.type = __item.type;\r\n	item_table.remain = __item.remain;\r\n	item_table.item = __item.item;\r\n	item_table.name = __item.name;\r\n	item_table.measurement = __item.measurement;\r\n	item_table.totalquantity = __item.totalquantity;\r\n	item_table.price = __item.price;\r\n	item_table.total = __item.total;\r\n	item_table.properties = __item.properties;\r\n\r\n	item_table.discounts = {};\r\n\r\n	for i = 0,__item.discounts:size()-1 do\r\n		local discount = __item.discounts:at(i);\r\n		if item_table.discounts[discount.receiptdiscount.name] == nil then\r\n			item_table.discounts[discount.receiptdiscount.name] = {};\r\n			item_table.discounts[discount.receiptdiscount.name].name = discount.receiptdiscount.name;\r\n			item_table.discounts[discount.receiptdiscount.name].increment = discount.increment;\r\n		else\r\n			item_table.discounts[discount.receiptdiscount.name].increment = item_table.discounts[discount.receiptdiscount.name].increment + discount.increment;\r\n		end\r\n	end\r\n\r\n	local taxes = ukm.taxes(__item.receipt);\r\n	taxes:create(__item, true);\r\n	item_table.tax_item = {};\r\n	for i=0, taxes.itemtaxes:size()-1 do\r\n		local tax = taxes.itemtaxes:at(i);\r\n		local tax_key = tostring(tax.taxid) .. \"_\" .. tax.percent;\r\n		if item_table.tax_item[tax_key] == nil then\r\n			item_table.tax_item[tax_key] = {};\r\n			item_table.tax_item[tax_key].name = tax.name;\r\n			item_table.tax_item[tax_key].percent = tax.percent;\r\n			item_table.tax_item[tax_key].amount = tax.amount;\r\n		end\r\n	end\r\n	return item_table;\r\nend\r\n\r\nfunction print_item(__item, __print_data)\r\n	if compresed_print == false then\r\n		print_item_to_printer(__item, ukm.printer_type_master(), __print_data);\r\n	end\r\nend\r\n\r\nfunction print_stock_total(__stock, __amount, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		text = text .. ukm.adjustment(\"Итого по \" .. __stock.name .. \":\", tostring(__amount) .. \" \", width, \".\") .. \"\\n\";\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_discount(__discount, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		if __discount.receipt.type ~= ukm.core.goods_receipt then\r\n			if __discount.card_number ~= nil and __discount.card_number:get() ~= \"\" then\r\n				text = text .. \"Дисконтная карта\" .. \"\\n\";\r\n				text = text .. ukm.adjustment( __discount.name, __discount.card_number:get(), width, \".\") .. \"\\n\";\r\n				__print_data:add(text, ukm.printer_type_master());\r\n			end\r\n		end\r\n	end\r\nend\r\n\r\n-- Печать сумм НеттоПроцесинг\r\nfunction print_netto_subtotal(__normal_items)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\";\r\n	local _amounts = {};\r\n\r\n	for i = 0, __normal_items:size() - 1 do\r\n		local item = __normal_items:at(i);\r\n		local epts = item:get_epts();\r\n		if epts ~= nil and epts:get() == 82 then\r\n			local amount = ukm.currency(0);\r\n			local tax = ukm.currency(0);\r\n			if _amounts[item.item] ~= nil then\r\n				amount = _amounts[item.item][\"REALAMOUNT\"];\r\n				tax = _amounts[item.item][\"TAXTOTAL\"];\r\n			end\r\n			local temp_amount = ukm.currency(0);\r\n			if temp_amount:from_string(find_item_property_value(item, \"REALAMOUNT\")) then\r\n				amount = amount + temp_amount;\r\n			end\r\n			if temp_amount:from_string(find_item_property_value(item, \"TAXTOTAL\")) then\r\n				tax = tax + temp_amount;\r\n			end\r\n			_amounts[item.item] = {NAME=item.name, REALAMOUNT=amount, TAXTOTAL=tax};\r\n		end\r\n	end\r\n	for k,v in pairs(_amounts) do\r\n		text = text .. ukm.adjustmentdouble(\"К ЗАЧИСЛЕНИЮ,\" .. ukm.str_upper(v[\"NAME\"]), tostring(v[\"REALAMOUNT\"]) .. \" \", width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"КОМИССИЯ,\" .. ukm.str_upper(v[\"NAME\"]), tostring(v[\"TAXTOTAL\"]) .. \" \", width, \" \") .. \"\\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_hard_subtotal(__hard_subtotal, __print_data)\r\n	if compresed_print == true then\r\n		loc_item_table = {};\r\n		loc_item_keys_table = {};\r\n		local normal_items = __hard_subtotal.receipt.items:leavenormal();\r\n		for j = 0, normal_items:size() - 1 do\r\n			local i = get_table_from_item(normal_items:at(j));\r\n			local key = i.item .. \"_\" .. tostring(i.price);\r\n			if loc_item_table[key] == nil then\r\n				table.insert(loc_item_keys_table,key);\r\n				loc_item_table[key] = i;\r\n			else\r\n				loc_item_table[key].totalquantity = loc_item_table[key].totalquantity + i.totalquantity;\r\n				loc_item_table[key].total = loc_item_table[key].total + i.total;\r\n				for idk, idv in pairs(i.discounts) do\r\n					if loc_item_table[key].discounts[idk] == nil then\r\n						loc_item_table[key].discounts[idk] = {};\r\n						loc_item_table[key].discounts[idk].name = idv.name;\r\n						loc_item_table[key].discounts[idk].increment = idv.increment;\r\n					else\r\n						loc_item_table[key].discounts[idk].increment = loc_item_table[key].discounts[idk].increment + idv.increment;\r\n					end\r\n				end\r\n\r\n				for idk, idv in pairs(i.tax_item) do\r\n					if loc_item_table[key].tax_item[idk] == nil then\r\n						loc_item_table[key].tax_item[idk] = {};\r\n						loc_item_table[key].tax_item[idk].name = idv.name;\r\n						loc_item_table[key].tax_item[idk].percent = idv.name;\r\n						loc_item_table[key].tax_item[idk].amount = idv.amount;\r\n					else\r\n						loc_item_table[key].tax_item[idk].amount = loc_item_table[key].tax_item[idk].amount + idv.amount;\r\n					end\r\n				end\r\n			end\r\n		end\r\n	--сортировка таблицей по ключу\r\n		for i,v in ipairs(loc_item_keys_table) do\r\n			print_item_to_printer(loc_item_table[v], ukm.printer_type_master(), __print_data);\r\n		end\r\n		loc_item_keys_table = {};\r\n		loc_item_table = {};\r\n	end\r\n\r\n	--печать подытога чека\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n		text = text .. ukm.rightpad(\"ТОВАРОВ В ЧЕКЕ: \" .. tostring(__hard_subtotal.receipt.subtotal.itemscount), width, \" \") .. \"\\n\";\r\n		if __hard_subtotal.receipt:receipt_discount_amount():sign() ~= 0 then\r\n			if ukm.str_len(\"ИТОГО: \" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount())  , 14, \".\") .. \" \") < (width + 1)  then\r\n				text = text .. ukm.leftpad(\"ИТОГО: \" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount())  , 14, \".\") .. \" \", width, \" \") .. \"\\n\";\r\n			else\r\n				text = text .. ukm.rightpad(\"ИТОГО: \", width, \".\") .. \"\\n\";\r\n				text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount + __hard_subtotal.receipt:receipt_discount_amount()), width, \".\") .. \"\\n\";\r\n			end\r\n		end\r\n	--печать скидок чека\r\n\r\n		for i=0, __hard_subtotal.receipt.discounts:size()-1 do\r\n			local discount = __hard_subtotal.receipt.discounts:at(i);\r\n\r\n	-- скидки на виды оплаты сейчас не печатаем, напечатаем в футере\r\n			if discount.efts ~= ukm.core.efts_payment_discount_type and\r\n				__hard_subtotal.receipt.items:getdiscount(discount) ~= nil and __hard_subtotal.receipt.items:getdiscount(discount):sign() ~= 0 then\r\n				if __hard_subtotal.receipt.items:getdiscount(discount):sign() == -1 then\r\n					if ukm.str_len(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \" .. \" \" .. tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1))) < width then\r\n						text = text .. ukm.adjustment(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \", tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1)), width-1, \".\") .. \"\\n\";\r\n					else\r\n						text = text .. ukm.rightpad(\"Наценка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \", width-1, \".\") .. \"\\n\";\r\n						text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.items:getdiscount(discount)*ukm.currency(-1)),width-1,\".\") .. \"\\n\";\r\n					end\r\n				else\r\n					if ukm.str_len(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \" .. \" \" .. tostring(__hard_subtotal.receipt.items:getdiscount(discount))) < width then\r\n						text = text .. ukm.adjustment(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \", tostring(__hard_subtotal.receipt.items:getdiscount(discount)), width-1, \".\") .. \"\\n\";\r\n					else\r\n						text = text .. ukm.rightpad(\"Скидка: \" .. ukm.rightpad(ukm.left(discount.name, width-28),width-28,\".\") .. \" \" .. ukm.dbl2str(__hard_subtotal.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \", width-1, \".\") .. \"\\n\";\r\n						text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.items:getdiscount(discount)),width-1,\".\") .. \"\\n\";\r\n					end\r\n				end\r\n\r\n	-- печать купонов\r\n				local receipt_type = __hard_subtotal.receipt.header:receipt_type();\r\n				if receipt_type == ukm.header.sale or receipt_type == ukm.header.pop then\r\n					for a=0, discount.accepted_coupons:size()-1 do\r\n						local coupon = discount.accepted_coupons:at(a);\r\n						text = text .. \"  \" .. ukm.adjustment(coupon.coupontype, coupon.number, width-3, \" \") .. \" \\n\";\r\n					end\r\n				end\r\n\r\n				local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n				if properties_iterator:at(ukm.core.field_discount_modificator) ~= \"\" then\r\n					local modif = \"возможное значение \";\r\n	--выполнение парсинга значения модификатора, и преобразование сохранённых в базе значений в строковый вид для печати\r\n					local modificator = properties_iterator:at(ukm.core.field_discount_modificator);\r\n					local human_modificator = modificator_to_human(modificator);\r\n					if properties_iterator:at(ukm.core.field_discount_client_name) ~= \"\" then\r\n						text = text .. ukm.rightpad(ukm.left(properties_iterator:at(ukm.core.field_discount_client_name), width - ukm.str_len(human_modificator) - 2) .. \", \" .. human_modificator, width, \" \") .. \"\\n\";\r\n					else\r\n						text = text .. ukm.adjustment(human_modificator, \" \", width, \" \") .. \"\\n\";\r\n					end\r\n				end\r\n			end\r\n		end\r\n\r\n		text = text .. print_netto_subtotal(__hard_subtotal.receipt.items:leavenormal());\r\n\r\n		if ukm.str_len(ukm.leftpad(\"К ОПЛАТЕ:.\" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount), 14, \".\") .. \" \", width, \" \")) < (width + 1) then\r\n			text = text .. ukm.leftpad(\"К ОПЛАТЕ:.\" .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount), 14, \".\") .. \" \", width, \" \") .. \"\\n\";\r\n		else\r\n			text = text .. ukm.rightpad(\"К ОПЛАТЕ:.\", width, \".\") .. \"\\n\";\r\n			text = text .. ukm.leftpad(tostring(__hard_subtotal.receipt.subtotal.amount) .. \" \" ,width, \".\") .. \"\\n\";\r\n		end\r\n\r\n		if __hard_subtotal.receipt.type == ukm.core.goods_receipt then\r\n			text = text .. \"СУММА ПРОПИСЬЮ:\" .. \"\\n\";\r\n			text = text .. \"   \" .. ukm.slice(ukm.num2txt(__hard_subtotal.receipt.subtotal.amount), width) .. \"\\n\";\r\n		end\r\n\r\n		if __hard_subtotal.receipt.taxes:empty() == false then\r\n			text = text .. \"Включая налоги:\" .. \"\\n\";\r\n			rtax = {};\r\n			for i=0, __hard_subtotal.receipt.taxes.itemtaxes:size()-1 do\r\n				local tax = __hard_subtotal.receipt.taxes.itemtaxes:at(i);\r\n				local key = tostring(tax.taxid) .. \"_\" .. tax.percent;\r\n				if rtax[key] == nil then\r\n					rtax[key] = {};\r\n					rtax[key].name = tax.name;\r\n					rtax[key].amount = ukm.currency(0);\r\n					rtax[key].percent = tax.percent;\r\n				end\r\n				rtax[key][\"amount\"] = rtax[key][\"amount\"] + tax.amount;\r\n			end\r\n\r\n			for rk, rv in pairs(rtax) do\r\n				text = text .. ukm.adjustment(rv.name,rv.percent .. ukm.leftpad(tostring(rv.amount) .. \" \", width-23, \" \") , width, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n		\r\n		for i = 0, __hard_subtotal.receipt.discounts:size()-1 do\r\n			local discount = __hard_subtotal.receipt.discounts:at(i);\r\n			for j=0,discount.disc_info:size()-1 do\r\n				local info = discount.disc_info:at(j);\r\n				text = text .. \"Ваши накопления:\" .. \"\\n\";\r\n				text = text .. ukm.rightpad(tostring(info.amount) .. \" - \" ..info.name , width, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_receipt_payment(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		local paytype = \"\";\r\n		if __payment.receipt.type ~= ukm.core.goods_receipt then\r\n			if __payment.type == ukm.payment.void or __payment.type == ukm.payment.normal then\r\n				local header_type = __payment.receipt.header:receipt_type();\r\n				if header_type == ukm.header.nonfiscal or header_type == ukm.header.sale or header_type == ukm.header.pop or header_type == ukm.header.expense then\r\n					paytype = \"ОПЛАТА\";\r\n				elseif header_type == ukm.header.returnbyreceiptnonfiscal or header_type == ukm.header.returnnonfiscal or header_type == ukm.header.creturn or header_type == ukm.header.returnbyreceipt or header_type == ukm.header.return_expense or header_type == ukm.header.return_expense_by then\r\n					paytype = \"ВОЗВРАТ\";\r\n				end\r\n			elseif __payment.type == ukm.payment.change then\r\n				paytype = \"СДАЧА\";\r\n			end\r\n			local npaytype = \" \";\r\n			if __payment.type == ukm.payment.cancel then\r\n				npaytype = \"X\";\r\n			elseif __payment.type == ukm.payment.void  or __payment.type == ukm.payment.change then\r\n				npaytype = \"-\";\r\n			end\r\n			if ukm.str_len(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\" .. ukm.leftpad(tostring(__payment.amountwithchange), 14 ,\".\") .. npaytype) < (width + 1) then\r\n				text = text .. ukm.leftpad(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\" .. ukm.leftpad(tostring(__payment.amountwithchange), 14 ,\".\") .. npaytype, width ,\" \")  .. \"\\n\";\r\n			else\r\n				text = text .. ukm.rightpad(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\", width ,\".\")  .. \"\\n\";\r\n				text = text .. ukm.leftpad(tostring(__payment.amountwithchange) .. npaytype,width, \".\") .. \"\\n\";\r\n			end\r\n\r\n			text = text .. get_payment_info(__payment);\r\n			__print_data:add(text, ukm.printer_type_master());\r\n		end\r\n	end\r\nend\r\n\r\nfunction print_receipt_close(__core, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local coup_text = \"\";\r\n		local width = printer:get_width();\r\n		for i = 0, __core.discounts:size()-1 do\r\n			local discount = __core.discounts:at(i);\r\n-- печать подарков по скидке\r\n			for j=0,discount.gifts:size()-1 do\r\n				local gift = discount.gifts:at(j);\r\n				text = text .. ukm.adjustment(\"Подарок\", gift.itemname, width, \".\") .. \"\\n\";\r\n			end\r\n		end\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_receipt_open(__header, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		if __header.receipt.type == ukm.core.copy then\r\n			text = text .. \"*\" .. ukm.center(\"К О П И Я   Ч Е К А\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n		elseif __header.receipt.type == ukm.core.duplicate_ then\r\n			text = text .. \"*\" .. ukm.center(\"Д У Б Л И К А Т   Ч Е К А\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n		elseif __header.receipt.type == ukm.core.restore_ then\r\n			text = text .. \"*\" .. ukm.center(\"Ч Е К   В О С С Т А Н О В Л Е Н\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n		elseif __header.receipt.type == ukm.core.goods_receipt then\r\n			text = text .. \"*\" .. ukm.center(\"Т О В А Р Н Ы Й   Ч Е К\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n		end\r\n\r\n		text = text .. print_pos_name(__header);\r\n\r\n		if width > 20 then\r\n			text = text .. ukm.adjustment(ukm.left(__header.login.name, width-16), ukm.ptime2str(__header.date, \"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\";\r\n		else\r\n			text = text .. ukm.rightpad(__header.login.name, width, \" \") .. \"\\n\";\r\n			text = text .. ukm.leftpad(ukm.ptime2str(__header.date, \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n		end\r\n\r\n		text = text .. print_header_info(__header);\r\n		text = text .. print_client(__header, width);\r\n		text = text .. print_order(__header, width);\r\n\r\n		text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_receipt_open_fiscal(__header, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n\r\n		text = text .. print_pos_name(__header);\r\n\r\n		text = text .. print_header_info(__header);\r\n		text = text .. print_client(__header, width);\r\n		text = text .. print_order(__header, width);\r\n\r\n		text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_discount_props_slips(__footer)\r\n	local text = \"\";\r\n	for i=0, __footer.receipt.discounts:size()-1 do\r\n		local discount = __footer.receipt.discounts:at(i);\r\n		local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n\r\n		local slip_index =  ukm.core.field_discount_slip_script;\r\n		local discount_slip = properties_iterator:at(slip_index);\r\n		if( discount_slip ~= \"\") then\r\n			text = text .. ukm.source(ukm.mashine.handle,discount_slip);\r\n		end\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_discount_props_awards(__footer)\r\n	local text = \"\";\r\n	for i=0, __footer.receipt.discounts:size()-1 do\r\n		local discount = __footer.receipt.discounts:at(i);\r\n		local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n\r\n		local slip_index =  ukm.core.field_discount_print_awards;\r\n		local discount_slip = properties_iterator:at(slip_index);\r\n		if( discount_slip ~= \"\") then\r\n			text = text .. ukm.source(ukm.mashine.handle,discount_slip);\r\n		end\r\n	end\r\n	return text;\r\nend\r\n\r\n\r\nfunction print_receipt_footer(__footer, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n\r\n		if (__footer.receipt.header:client_exists()) then\r\n			if (__footer.receipt.header.client.saletype.type == ukm.saletype.sale_wholesale) then\r\n				text = text .. ukm.center(\"Оптовая продажа\", width, \" \") .. \"\\n\";\r\n				if (__footer.receipt.header.client.saletype:invoice_exists()) then\r\n					text = text .. ukm.adjustment(\"Счет-фактура №\", __footer.receipt.header.client.saletype.invoice.number, width, \" \") .. \"\\n\";\r\n				else\r\n					text = text .. ukm.slice(\"Номер счета-фактуры необходимо узнать у администратора\", width) .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n\r\n		local print_discount_props = 1;\r\n		local printer_type = printer:get_printer_type();\r\n		local print_addition_txt = printer:get_printer_addition_text();\r\n		if (( printer_type == ukm.printer.sp414 or printer_type == ukm.printer.sp614 or printer_type == ukm.printer.sp811 ) and (print_addition_txt ~= 0)) then\r\n			print_discount_props = 0;\r\n		end\r\n\r\n		if loya_rb ~= true then      \r\n			if (print_discount_props ~= 0) then\r\n				text = text .. print_discount_props_slips(__footer);\r\n			end\r\n		else\r\n			if (print_discount_props ~= 0) then\r\n				text = text .. print_discount_props_awards(__footer);\r\n			end\r\n		end\r\n\r\n-- печатаем скидки на виды оплаты \r\n		for i=0, __footer.receipt.discounts:size()-1 do\r\n			local discount = __footer.receipt.discounts:at(i);\r\n			if discount.efts == ukm.core.efts_payment_discount_type then\r\n				local items_discount = tostring(__footer.receipt.items:getdiscount(discount));\r\n				if items_discount ~= \"0.00\" then\r\n					local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n					local prop_value = properties_iterator:at(ukm.core.field_discount_payment_name);\r\n\r\n					text = text .. ukm.rightpad(\"Скидка на вид оплаты:\",width,\" \") .. \"\\n\";\r\n					text = text .. ukm.adjustment(prop_value .. \" \" .. ukm.dbl2str(__footer.receipt.items:getrealpercent_dbl(discount),0,\"\",2,\"0\") .. \"% \", items_discount,width,\".\");\r\n					text = text .. \"\\n\";\r\n				end\r\n			end\r\n			if discount.efts == ukm.core.efts_payment_discount_rounding and  ukrainian_rounding_print and discount:is_discount_own() then\r\n				local items_discount = tostring(ukm.currency(0) - __footer.receipt.items:getdiscount(discount));\r\n				if items_discount ~= \"0.00\" then\r\n					local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n					local prop_value = properties_iterator:at(ukm.core.field_discount_payment_name);\r\n					local before_discount_total = __footer.receipt.subtotal.amount  +  __footer.receipt.items:getdiscount(discount);\r\n					local discount_val = __footer.receipt.items:getdiscount(discount); \r\n					local discount_sign = \"(скидка)\";\r\n					if discount_val < ukm.currency(0) then\r\n						discount_sign = \"(наценка)\";\r\n					end\r\n					text = text .. ukm.adjustment(\"Сумма до округления: \", tostring(before_discount_total) ,width,\".\");\r\n					text = text .. \"\\n\";          \r\n					text = text .. ukm.adjustment(\"Округление \" .. discount_sign ..\":\", items_discount,width,\".\");\r\n					text = text .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n\r\n-- печать акционной скидки\r\n		local promotional = ukm.currency(0);\r\n		local itemA = false;\r\n		for i = 0, __footer.receipt.items:size() - 1 do\r\n			local price = __footer.receipt.items:at(i).price;\r\n			local discount_count = __footer.receipt.items:at(i).discounts:size();\r\n			local item_total = __footer.receipt.items:at(i).total;\r\n			local price_with_discount = __footer.receipt.items:at(i).price;\r\n			if ( __footer.receipt.items:at(i).properties:size() ~= 0) then\r\n				local property = __footer.receipt.items:at(i).properties;\r\n				for j = 0, __footer.receipt.items:at(i).properties:size() - 1 do\r\n					if (property:at(j).name ~= nill) then\r\n						if (property:at(j).name:get() == \"SMWarmPrice\") then\r\n							itemA = true;\r\n							if (property:at(j).value ~= \"\") then\r\n								local discount_total = ukm.currency(0);\r\n								local priceStr = tonumber(property:at(j).value);\r\n								local whole   =  priceStr /  100;\r\n								local kopeck =  priceStr % 100;\r\n								local str = \".\" ;\r\n								if  ukm.str_len(tostring(kopeck)) ~= 2 then\r\n									str  = \".0\"\r\n								end\r\n								priceStr = tostring(math.floor(whole)) .. str .. tostring(kopeck);\r\n								price = ukm.currency(0);\r\n								price:from_string(priceStr);\r\n								local discount_total = ukm.currency(0);\r\n								discount_total = (price  - price_with_discount) * __footer.receipt.items:at(i).totalquantity;\r\n								if ( discount_total < ukm.currency(0) ) then\r\n									discount_total = ukm.currency(0)\r\n								end\r\n								item_total = ukm.currency(__footer.receipt.items:at(i).totalquantity * ukm.quantity(price_with_discount));\r\n								promotional = promotional + discount_total;\r\n							end\r\n						end\r\n					end	\r\n				end\r\n			end\r\n		end\r\n		if (promotional ~= ukm.currency(0)) then\r\n			text = text ..  ukm.adjustment(\"Скидка по акции\", tostring(promotional), width, \" \")  .. \"\\n\";\r\n		end\r\n		if __footer.result == ukm.footer.footer_new  or __footer.result == ukm.footer.normal then\r\n--			local diff = __footer.receipt:get_clear_total() - __footer.receipt:receipt_amount();\r\n--			if diff > ukm.currency(0) then\r\n--				text = text .. ukm.adjustment( \"Вы сэкономили \", tostring(diff), width - 1, \" \") .. \"\\n\";\r\n--			end\r\n\r\n			if (print_discount_props ~= 0) then\r\n				for i=0, __footer.receipt.discounts:size()-1 do\r\n					local discount = __footer.receipt.discounts:at(i);\r\n					local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n					local txt_index =  ukm.core.field_discount_print_message;\r\n					local txt_msg = properties_iterator:at(txt_index);\r\n					if( txt_msg ~= \"\") then\r\n						text = text .. txt_msg .. \"\\n\";\r\n					end\r\n				end \r\n			end\r\n\r\n-- Информация по внутренним счетам:\r\n			text = text .. get_accounts_info_to_receipt_footer(__footer);\r\n\r\n			for i = 0, __footer.receipt.payments:size()-1 do\r\n				local payment__ = __footer.receipt.payments:at(i);\r\n				if (payment__.receipt.type ~= ukm.core.goods_receipt) then\r\n					if (payment__.type == ukm.payment.normal) then\r\n						local efts = payment__:get_efts();\r\n						if (efts ~= nil and efts:get() == 10 and payment__.ref_num ~= nil and payment__.ref_num:get() ~= \"\" and rrn_print==true) then\r\n							text = text .. tostring(payment__.amountwithchange) .. \" RRN \" .. payment__.ref_num:get() .. \"\\n\";\r\n						end\r\n					end\r\n				end\r\n			end\r\n\r\n			if loya_rb == true then      \r\n				if (print_discount_props ~= 0) then\r\n					text = text .. print_discount_props_slips(__footer);\r\n				end\r\n			end\r\n			text = text .. ukm.center(\"СПАСИБО ЗА ПОКУПКУ!\",width,\" \") .. \"\\n\";\r\n\r\n			if (itemA ~= false) then \r\n				text = text .. \"* товар по акции \" .. \"\\n\";\r\n			end\r\n\r\n			if(__footer.receipt.fiscal_string ~= \"\") then\r\n				text = text .. ukm.adjseparatedlines(__footer.receipt.fiscal_string, width) .. \"\\n\";\r\n			end\r\n		elseif __footer.result == ukm.footer.cancel then\r\n			text = text .. hw_command_alter_color;\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. \"*\" .. ukm.center(\"Ч Е К   А Н Н У Л И Р О В А Н\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. hw_command_normal_color;\r\n		elseif __footer.result == ukm.footer.push then\r\n			text = text .. hw_command_alter_color;\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. \"*\" .. ukm.center(\"Ч Е К   О Т Л О Ж Е Н\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. hw_command_normal_color;\r\n		elseif __footer.result == ukm.footer.broken then\r\n			text = text .. hw_command_alter_color;\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. \"*\" .. ukm.center(\"ВЫКЛЮЧЕНИЕ  ПИТАНИЯ\",width-2,\" \") .. \"*\" .. \"\\n\";\r\n			text = text .. ukm.leftpad(\"*\", width, \"*\") .. \"\\n\";\r\n			text = text .. hw_command_normal_color;\r\n		end\r\n\r\n		if __footer.receipt.type == ukm.core.goods_receipt then\r\n			text = text .. \" \\n\" .. \" \\n\" .. \"ПРОДАВЕЦ:_____________\" .. \" \\n\" .. \" \\n\";\r\n			text = text .. ukm.rightpad(\"М.П.\",width,\" \") .. \" \\n\" .. \" \\n\" .. \" \\n\";\r\n		end\r\n\r\n		local normal_items = __footer.receipt.items:leavenormal();\r\n		for j = 0, normal_items:size() - 1 do\r\n			local item = normal_items:at(j);\r\n			if item.egais ~= nil and item.egais ~= \"\" then\r\n				text = text .. \"\\n\" .. ukm.rightpad(\"*\", width/2-9, \"*\") .. \" А Л К О Г О Л Ь \" .. ukm.leftpad(\"*\", width/2-9, \"*\") .. \"\\n\\n\";\r\n				local egaisText = \"http://retail.egais.ru?\";\r\n				egaisText = egaisText .. ukm.shop_inn();\r\n				if ukm.shop_kpp() ~= nil and ukm.shop_kpp() ~= \"\" then\r\n					egaisText = egaisText .. \"-\" .. ukm.shop_kpp();\r\n				end\r\n				if ukm.kkm_serial_number() ~= nil then\r\n					egaisText = egaisText .. \"-\" .. ukm.kkm_serial_number();\r\n				end\r\n				egaisText = egaisText .. \"-\" .. tostring(__footer.receipt.header.shiftopen.number) .. \"-\" .. tostring(__footer.receipt.header.localnumber)\r\n					.. \"-\" .. ukm.ptime2str(__footer.receipt.header.date, \"%y%m%d%H%M\") .. \"\\n\\n\";\r\n				text = text .. ukm.adjustmentlines(egaisText, width, \" \");\r\n				break;\r\n			end\r\n		end\r\n\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction get_discount_message_text(__discount_data, __discount)\r\n	return \"Поздравляем, настройки верны!\";\r\nend\r\n\r\nfunction print_header_info(__header)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	count_print_item=0;\r\n	local width = printer:get_width();\r\n	local recnumb = get_recnumb(__header);\r\n	local doc_name = \"ЧЕК:\";\r\n	if (printer_type == ukm.printer.kz) then\r\n		doc_name = \"ДКМ:\";\r\n	end\r\n	if width > 20 then\r\n		text = text .. ukm.adjustmentdouble(doc_name .. tostring(__header.pos) .. \".\" .. tostring(__header.shiftopen.number) .. \".\" .. tostring(__header.localnumber), recnumb .. \" \" .. \"ТРН:\" .. ukm.leftpad(tostring(__header.globalnumber),12,\"0\"), width, \" \") .. \"\\n\";\r\n	else\r\n		text = text .. ukm.rightpad(doc_name .. tostring(__header.pos) .. \".\" .. tostring(__header.shiftopen.number) .. \".\" .. tostring(__header.localnumber), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment( recnumb , \"ТРН:\" ..ukm.leftpad(tostring(__header.globalnumber),12,\"0\"), width, \" \") .. \"\\n\";\r\n	end\r\n	local barCode = __header:get_barcode(__header.localnumber);\r\n	if ukm.str_len(barCode) > 1 then\r\n		text = text .. ukm.center(hw_command_document_barcode(barCode), width, \" \") .. \" \\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_return_normal_act(__receipt, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local dateTime = ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y %H:%M\");\r\n	local text = ukm.center(\"Акт\", width - 2, \" \") .. \"\\n\" .. ukm.center(\"о возврате товара и средств\", width - 2, \" \") .. \"\\n\";\r\n	local price_vector = ukm.explode(tostring( __receipt:receipt_amount()),\".\");\r\n\r\n	text = text .. ukm.center(\"покупателю\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"Документ покупателя\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width - 2, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"Возвращена денежная сумма в размере\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(price_vector:at(0) .. \"руб.\" .. price_vector:at(1) .. \"коп.\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"За возвращенный товар\", width - 2, \" \") .. \"\\n\";\r\n\r\n	for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(0) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					text = text .. ukm.adjustment(i+1 .. \" \" .. __receipt.items:at(i).item , __receipt.items:at(i).name, width - 2, \" \") .. \"\\n\";\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), tostring(discount_price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\"\r\n				else\r\n					text = text .. ukm.adjustment(i+1 .. \" \" .. __receipt.items:at(i).item , __receipt.items:at(i).name, width - 2, \" \") .. \"\\n\";\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), tostring(__receipt.items:at(i).total), width-2, \" \") .. \"\\n\";\r\n				end\r\n			else\r\n				text = text .. ukm.adjustment(i+1 .. \" \" .. __receipt.items:at(i).item , __receipt.items:at(i).name, width - 2, \" \") .. \"\\n\";\r\n				text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), tostring(__receipt.items:at(i).total), width-2, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n	end\r\n	text = text .. ukm.center(\"По кассовому чеку, выданному при\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"покупке товара\", width - 2, \" \") .. \"\\n\";\r\n	text = text .. __receipt.header.pos .. \".\" .. __receipt.header.shiftopen.number .. \".\" .. __receipt.header.localnumber .. \"     \" .. dateTime .. \"\\n\";\r\n\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_return_by_mistake_act(__receipt, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n\r\n	local text = ukm.center(\"Акт\", width - 2, \" \") .. \"\\n\" .. ukm.center(\"об ошибочно проведенной на РРО\", width - 2, \" \") .. \"\\n\" .. ukm.center(\"сумме продаж\", width - 2, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.center(\"На денежную сумму в размере\",width-2,\" \") .. \"\\n\" .. ukm.center(tostring( __receipt:receipt_amount() ), width - 2, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.center(\"Реквизиты расчетного\",width-2,\" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"чека:\",width-2,\" \") .. \"\\n\";\r\n	text = text .. ukm.center(__receipt.header.pos .. \".\" .. __receipt.header.shiftopen.number .. \".\" .. __receipt.header.localnumber, width - 2, \" \") .. \"\\n\";\r\n	text = text .. \"\\n\"\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	text = text .. \"   Члены комиссии:\\n\"\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	text = text ..  ukm.center(\"\",width-2,\"_\") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_user_act(__receipt, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = ukm.center(\"Пользовательский акт о возврате\", width - 2, \" \") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Информация по внутренним счетам:\r\nfunction get_accounts_info_to_receipt_footer(__footer)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\";\r\n	while (__footer.receipt.aoo_balances:get_next_printed_account_info()) do\r\n		if __footer.receipt.aoo_balances:get_printed_account_is_open() then\r\n			text = text .. __footer.receipt.aoo_balances:get_printed_account_name() .. \"\\n\";\r\n			local is_moved = 0;\r\n			local increased =  __footer.receipt.aoo_balances:get_printed_account_increased();\r\n			local decreased =  __footer.receipt.aoo_balances:get_printed_account_decreased();\r\n			local balance_received = 0;\r\n			if increased > ukm.currency(0) then\r\n				is_moved = 1;\r\n			end\r\n			if decreased > ukm.currency(0) then\r\n				is_moved = 1;\r\n			end\r\n			if __footer.receipt.aoo_balances:get_printed_account_balance_received() then\r\n				balance_received = 1;\r\n			end\r\n			if is_moved == 1 then\r\n				if balance_received == 1 then\r\n					text = text .. ukm.adjustment( \"  Начальный баланс\", tostring(__footer.receipt.aoo_balances:get_printed_account_initial_balance()), width - 1, \" \") .. \"\\n\";\r\n				else\r\n					text = text .. ukm.adjustment( \"  Начальный баланс\", \"недоступен\", width - 1, \" \") .. \"\\n\";\r\n				end\r\n				if increased > ukm.currency(0) then\r\n					text = text .. ukm.adjustment( \"  Начислено\", tostring(increased), width - 1, \" \") .. \"\\n\";\r\n				end       \r\n				if decreased > ukm.currency(0) then\r\n					text = text .. ukm.adjustment( \"  Списано\", tostring(decreased), width - 1, \" \") .. \"\\n\";\r\n				end\r\n				if balance_received == 1 then       \r\n					text = text .. ukm.adjustment( \"  Итоговый баланс\", tostring(__footer.receipt.aoo_balances:get_printed_account_result_balance()), width - 1, \" \") .. \"\\n\";\r\n				end\r\n			else\r\n				if balance_received == 1 then\r\n					text = text .. ukm.adjustment( \"  Баланс\", tostring(__footer.receipt.aoo_balances:get_printed_account_initial_balance()), width - 1, \" \") .. \"\\n\";\r\n				else\r\n					text = text .. ukm.adjustment( \"  Баланс\", \"недоступен\", width - 1, \" \") .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n	end\r\n	if  __footer.receipt.aoo_balances:is_balances_online_received() == false then\r\n		text = text .. ukm.insert_delimiters(\"Информация по счетам недоступна\", \"\\n\", width-1) ..\"\\n\";\r\n		text = text .. ukm.insert_delimiters(\"Отсутствует связь с сервером\", \"\\n\", width-1) ..\"\\n\";\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_order(__header, __width)\r\n	local text = \"\";\r\n	if __header.receipt.ext_order ~= nil then\r\n		text = text .. ukm.adjustment(\"Тип заказа:\", __header.receipt.ext_order.ext_order_type, __width, \" \") .. \"\\n\";\r\n--			if __header.receipt.ext_order.client_name ~= \'\' then\r\n--				text = text .. ukm.adjustmentlinesleft(\"Покупатель: \" .. __header.receipt.ext_order.client_name, __width) .. \"\\n\\n\";\r\n--			end\r\n		text = text .. ukm.adjustment(\"Номер заказа:\", __header.receipt.ext_order:get_ext_order_id_short(), __width, \" \") .. \"\\n\";\r\n		if __header.receipt.ext_order.order_date ~= nil then\r\n			text = text .. ukm.adjustment(\"Дата заказа:\", __header.receipt.ext_order.order_date:to_string(\"dd.MM.yyyy hh:mm:ss\"), __width, \" \") .. \"\\n\";\r\n		end\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction get_payment_info(__payment)\r\n	local text = \"\";\r\n	local efts = __payment:get_efts();\r\n	if efts ~= nil and efts:get() == 34 then\r\n		local cookies = ukm.explode(__payment.cookies, \",\");\r\n		if cookies:size() > 2 then\r\n			text = text .. cookies:at(2);\r\n		end\r\n	end\r\n	return text;\r\nend;\r\n\r\n\r\nfunction print_item_info(__item, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_receipt_change(__receipt, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n\r\n		local payment_local = ukm.currency(0);\r\n		local payment_change = ukm.currency(0);\r\n		for i = 0, __receipt.payments:size()-1 do\r\n			local __payment = __receipt.payments:at(i);\r\n			if (__payment.receipt.type ~= ukm.core.goods_receipt) then\r\n				if __payment.type == ukm.payment.change then\r\n					payment_change = payment_change + __payment.amount;\r\n				elseif __payment.type == ukm.payment.normal then\r\n					local efts = __payment:get_efts();\r\n					if efts ~= nil and efts:get() == 2 then\r\n						payment_local = payment_local + __payment.amountwithchange;\r\n					end\r\n				end\r\n			end\r\n		end\r\n\r\n		if payment_change ~= ukm.currency(0) and payment_local ~= ukm.currency(0) and payment_change ~= payment_local then\r\n			if(ukm.str_len(\"ПОЛУЧЕНО НАЛИЧНЫМИ:.\" .. tostring(payment_local)) > width) then\r\n				local width_currency = ukm.str_len(tostring(payment_local));\r\n				text = text .. ukm.adjustment(ukm.slice(\"ПОЛУЧЕНО НАЛИЧНЫМИ:.\",\r\n				width - width_currency), tostring(payment_local),\r\n				width*2 - width_currency, \".\")  .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(\"ПОЛУЧЕНО НАЛИЧНЫМИ:.\", tostring(payment_local), width ,\".\") .. \"\\n\";\r\n			end\r\n			if(ukm.str_len(\"СДАЧА:.\" .. tostring(payment_change)) > width) then\r\n				local width_currency = ukm.str_len(tostring(payment_change));\r\n				text = text .. ukm.adjustment(ukm.slice(\"СДАЧА:.\", width - width_currency),\r\n					tostring(payment_change), width*2 - width_currency,\".\")  .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(\"СДАЧА:.\", tostring(payment_change), width , \".\") .. \"\\n\";\r\n			end\r\n		end\r\n		__print_data:add(text, printer_type);\r\n	end\r\nend\r\n\r\nfunction print_rb_additional_text(__hard_subtotal, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		for i=0, __hard_subtotal.receipt.discounts:size()-1 do\r\n			local discount = __hard_subtotal.receipt.discounts:at(i);\r\n			local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n			local txt_index =  ukm.core.field_discount_print_message;\r\n			local slip_index =  ukm.core.field_discount_slip_script;\r\n			local txt_msg = properties_iterator:at(txt_index);\r\n			local discount_slip = properties_iterator:at(slip_index);\r\n			if( discount_slip ~= \"\") then\r\n				text = text .. ukm.source(ukm.mashine.handle,discount_slip);\r\n			end\r\n			if( txt_msg ~= \"\") then\r\n				text = text .. txt_msg .. \"\\n\";\r\n			end\r\n		end \r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_rb_additional_text_doc(__footer, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		for i=0, __footer.receipt.discounts:size()-1 do\r\n			local discount = __footer.receipt.discounts:at(i);\r\n			local properties_iterator = ukm.map.int.string.iterator(discount.properties);\r\n			local txt_index =  ukm.core.field_discount_print_message;\r\n			local slip_index =  ukm.core.field_discount_slip_script;\r\n			local txt_msg = properties_iterator:at(txt_index);\r\n			local discount_slip = properties_iterator:at(slip_index);\r\n			if( discount_slip ~= \"\") then\r\n				text = text .. ukm.source(ukm.mashine.handle,discount_slip);\r\n			end\r\n			if( txt_msg ~= \"\") then\r\n				text = text .. txt_msg .. \"\\n\";\r\n			end\r\n		end \r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_item_props(__item, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n        for i = 0, __item.properties:size() - 1 do\r\n			local property = __item.properties:at(i);\r\n			if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n			    local property_name = property.code;\r\n			    if property.name ~= nil then\r\n				    property_name = property.name:get();\r\n			    end\r\n			    local prop_text;\r\n			    if property.name ~= nil then\r\n				    prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n			    else\r\n				    prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n			    end\r\n                text = text .. prop_text;\r\n                if i < __item.properties:size() - 1 then\r\n			        text = text .. \"\\n\";\r\n                end\r\n			end\r\n		end\r\n        __print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\n\r\nfunction print_SP_KKT_item(__item, __bSplit, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	if printer then\r\n		local width = printer:get_width();\r\n		local item_total = __item.total + __item:discount_total();\r\n		local price_with_discount = __item:discount_price();\r\n		itemprice = tostring(__item.totalquantity) .. __item.measurement .. \"*\" .. tostring(price_with_discount) .. \" =\" .. tostring(item_total);\r\n		print_body_item(__item, __bSplit, __print_data, width, printer_type, itemprice );\r\n	end\r\nend\r\n\r\nfunction print_SP_KKT_item_without_breaking_items(__item, __bSplit, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n\r\n	if (__bSplit == false) then -- если произошло разбитие, запоминаем позицию и не печатаем \r\n		split_SP_KKT_item = __item;\r\n		printer = false;\r\n	end;\r\n\r\n	if printer then\r\n		local width = printer:get_width();\r\n		local itemprice = \"\";\r\n		if (__bSplit ~= false and split_SP_KKT_item ~= false) then\r\n			local item_total_item1 = __item.total + __item:discount_total();\r\n			local item_total_item2 = split_SP_KKT_item.total + split_SP_KKT_item:discount_total();\r\n			local price_with_discount1 = __item:discount_price();\r\n			local price_with_discount2 = split_SP_KKT_item:discount_price();\r\n			local price_with_discount = 0;\r\n			if (price_with_discount1 > price_with_discount2 ) then \r\n				price_with_discount = price_with_discount1;\r\n			else\r\n				price_with_discount = price_with_discount2;\r\n			end\r\n			itemprice = tostring(__item.totalquantity + split_SP_KKT_item.totalquantity) .. __item.measurement .. \"*\" .. tostring(price_with_discount) .. \" =\" .. tostring(item_total_item1 + item_total_item2);\r\n			split_SP_KKT_item = false;\r\n		else\r\n			local item_total = __item.total + __item:discount_total();\r\n			local price_with_discount = __item:discount_price();\r\n			itemprice = tostring(__item.totalquantity) .. __item.measurement .. \"*\" .. tostring(price_with_discount) .. \" =\" .. tostring(item_total);\r\n		end\r\n		print_body_item(__item, __bSplit, __print_data, width, printer_type, itemprice );\r\n	end\r\nend\r\n\r\nfunction print_body_item(__item, __bSplit, __print_data, __width, __printer_type, __itemprice)\r\n	local printer_type = __printer_type;\r\n	local text = \"\";\r\n	local width = __width;\r\n	local itemprice = __itemprice;\r\n	local item_name = \"\";\r\n\r\n	-- признак маркированности, результат проверки КМ и 2115\r\n	local marked = __item:gettag2115() .. __item:markedsign();\r\n	item_name = marked .. item_name;\r\n\r\n	-- Печать артикула перед наименованием товара\r\n	item_name = item_name .. __item.item .. \" \";\r\n\r\n	-- Наименование товара\r\n	item_name = item_name .. __item.name;\r\n\r\n	-- Многострочное название\r\n	-- item_name = ukm.insert_delimiters(item_name, \"\\n\", width - 1);\r\n\r\n	-- Однострочное название\r\n	item_name = ukm.left(item_name,  width - (string.len(itemprice)+1) );\r\n\r\n	-- + количество цена и стоимость\r\n	if ukm.str_len(item_name .. \" \" .. itemprice) <= width then\r\n		text = text .. ukm.adjustment(item_name, itemprice, width, \" \") .. \"\\n\";\r\n	else\r\n		text = text .. ukm.rightpad(item_name, width - 1, \" \") .. \"\\n\";\r\n		text = text .. ukm.leftpad(itemprice, width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	-- тип расчета\r\n	local payment_type = 4;\r\n	local payment_type_string = \"ПОЛНЫЙ РАСЧЕТ\";\r\n	\r\n	for i = 0, __item.properties:size() - 1 do\r\n		local property = __item.properties:at(i);\r\n		local property_name = property.code;\r\n		if property.name ~= nil then\r\n			property_name = property.name:get();\r\n		end\r\n		if property_name == \'RECEIPT_POS_1214\' then\r\n			payment_type = property.value;\r\n		end\r\n	end\r\n\r\n	if (payment_type == \'1\') then\r\n		payment_type_string = \"ПРЕДОПЛАТА 100%\";\r\n	elseif (payment_type == \'2\') then\r\n		payment_type_string = \"ПРЕДОПЛАТА\";\r\n	elseif (payment_type == \'3\') then\r\n		payment_type_string = \"АВАНС\";\r\n	elseif (payment_type == \'4\') then\r\n		payment_type_string = \"ПОЛНЫЙ РАСЧЕТ\";\r\n	elseif (payment_type == \'5\') then\r\n		payment_type_string = \"ЧАСТИЧНЫЙ РАСЧЕТ И КРЕДИТ\";\r\n	elseif (payment_type == \'6\') then\r\n		payment_type_string = \"ПЕРЕДАЧА В КРЕДИТ\";\r\n	elseif (payment_type == \'7\') then\r\n		payment_type_string = \"ОПЛАТА КРЕДИТА\";\r\n	end;\r\n\r\n	if(__item.receipt.header:client_exists() and __item.receipt.header.client.juristic_person) then\r\n		local taxes = ukm.taxes(__item.receipt);\r\n		taxes:create(__item, true);\r\n		for i = 0, taxes.itemtaxes:size() - 1 do\r\n			local tax = taxes.itemtaxes:at(i);\r\n			local tax_name = tax.name .. \" \";\r\n			local tax_percent = string.lower(tax.percent);\r\n			if (tax.percent == \'не облагается\') then\r\n				text = text .. ukm.adjustment(\"\", payment_type_string, width, \" \")  .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(tax_name .. tax_percent, payment_type_string, width, \" \")  .. \"\\n\";\r\n			end\r\n		end\r\n	end\r\n\r\n	-- некий комментарий\r\n	local tax_comment = GetPositionalComment(__item, __bSplit);\r\n\r\n	if (tax_comment~=\"\") then\r\n		text = text .. ukm.rightpad(tax_comment, width - 1, \" \") .. \"\\n\";\r\n	end\r\n\r\n	-- информация об агентах\r\n	if __bSplit  then\r\n		if __item.agent.agent_attr ~= \"\" then\r\n			text = text .. ukm.adjustment(\"ПРИЗНАК АГЕНТА:\", __item.agent.agent_attr, width,\" \") .. \"\\n\";\r\n			if __item.agent.operation ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ОПЕРАЦИЯ:\", __item.agent.operation, width,\" \") .. \"\\n\";\r\n			end\r\n			if __item.agent.operator_name ~= \"\" then\r\n				if (ukm.str_len(\"НАИМЕН. ОПЕРАТОРА:\" .. __item.agent.operator_name) > width) then\r\n					text = text .. \"НАИМЕН. ОПЕРАТОРА:\" .. \"\\n\";\r\n					text = text .. ukm.adjustmentlinesleft(__item.agent.operator_name, width) .. \"\\n\";\r\n				else\r\n					text = text .. ukm.adjustment(\"НАИМЕН. ОПЕРАТОРА:\", __item.agent.operator_name, width,\" \") .. \"\\n\";\r\n				end\r\n			end\r\n			if __item.agent.operator_address ~= \"\" then\r\n				if (ukm.str_len(\"АДРЕС ОПЕРАТОРА:\" .. __item.agent.operator_address) > width) then\r\n					text = text .. \"АДРЕС ОПЕРАТОРА:\" .. \"\\n\";\r\n					text = text .. ukm.adjustmentlinesleft(__item.agent.operator_address, width) .. \"\\n\";\r\n				else\r\n					text = text .. ukm.adjustment(\"АДРЕС ОПЕРАТОРА:\", __item.agent.operator_address, width,\" \") .. \"\\n\";\r\n				end\r\n			end\r\n			if __item.agent.operator_phone ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ТЕЛ. ОПЕРАТОРА:\", __item.agent.operator_phone, width,\" \") .. \"\\n\";\r\n			end\r\n			if __item.agent.operator_inn ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ИНН ОПЕРАТОРА:\", __item.agent.operator_inn, width,\" \") .. \"\\n\";\r\n			end\r\n			if __item.agent.agent_phone ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ТЕЛ. АГЕНТА:\", __item.agent.agent_phone, width,\" \") .. \"\\n\";\r\n			end\r\n			if __item.agent.rec_operator_phone ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ТЕЛ. ОПЕРАТОРА ПО ПРИЕМУ ПЛАТЕЖЕЙ:\", \"\", width,\" \") .. \"\\n\";\r\n				text = text .. ukm.leftpad(__item.agent.rec_operator_phone, width, \" \") .. \"\\n\";\r\n			end\r\n			if __item.agent.provider_name ~= \"\" then\r\n				if (ukm.str_len(\"НАИМЕН. ПОСТАВЩИКА:\" .. __item.agent.provider_name) > width) then\r\n					text = text .. \"НАИМЕН. ПОСТАВЩИКА:\" .. \"\\n\";\r\n					text = text .. ukm.adjustmentlinesleft(__item.agent.provider_name, width) .. \"\\n\";\r\n				else\r\n					text = text .. ukm.adjustment(\"НАИМЕН. ПОСТАВЩИКА:\", __item.agent.provider_name, width,\" \") .. \"\\n\";\r\n				end\r\n			end\r\n			if __item.agent.provider_phone ~= \"\" then\r\n				text = text .. ukm.adjustment(\"ТЕЛ. ПОСТАВЩИКА:\", __item.agent.provider_phone, width,\" \") .. \"\\n\";\r\n			end\r\n		end\r\n		text = text .. print_erip_text(__item);\r\n		for i = 0, __item.properties:size() - 1 do\r\n			local property = __item.properties:at(i);\r\n			if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n				local property_name = property.code;\r\n				if property.name ~= nil then\r\n					property_name = property.name:get();\r\n				end\r\n				local prop_text;\r\n				if property.name ~= nil then\r\n					prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n				else\r\n					prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n				end\r\n				text = text .. prop_text .. \"\\n\";\r\n			end\r\n		end\r\n	end\r\n	\r\n	-- Печать продавцов\r\n	if ukm.get_store().print_in_receipt==true then\r\n		if __item.seller ~= nil then\r\n			local seller=__item.seller;\r\n			text = text .. ukm.left(seller.code..\" \"..seller.name, width) .. \"\\n\";\r\n		end\r\n	end\r\n	__print_data:add(text, printer_type);\r\nend\r\n\r\nfunction GetPositionalComment(__item, __bSplit)\r\n	local text = \"\";\r\n-- LOYMAX\r\n--	if __bSplit  then\r\n--		for i = 0, __item.properties:size() - 1 do\r\n--			local property = __item.properties:at(i);\r\n--			if property.code == \"LOYMAX_BONUSES_ADDED\" then\r\n--				text  = property.value .. \" б.+\";\r\n--			end\r\n--		end\r\n--	end\r\n	return text;\r\nend\r\n\r\nfunction print_kkt_item_with_header(__item, __bSplit, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n\r\n		-- Готовим заголовки.\r\n		-- Все поля кроме названия прижимаем вправо с учётом их ширины.\r\n		-- Оставшееся слева место используем для наименования товара\r\n\r\n		-- устаналиваем ширину полей\r\n\r\n		-- ширина поля НДС\r\n		local item_taxes_width=0\r\n		if(__item.receipt.header:client_exists() and __item.receipt.header.client.juristic_person) then\r\n			item_taxes_width=6\r\n		end\r\n\r\n		-- ширина поля кол-во\r\n		local item_quantity_width=8 -- 99.999шт\r\n\r\n		-- ширина поля цена\r\n		local item_price_width=8\r\n\r\n		-- ширина поля стоимость\r\n		local item_total_width=8\r\n\r\n		-- Заголовок поля \"Стоимость\" намеренно сделан на 1 символ шире,\r\n		-- а заголовок поля \"Цена\" на 1 символ уже\r\n		local item_headers_without_name =\r\n		ukm.rightpad(\"НДС\",      item_taxes_width,     \" \") .. \" \" ..\r\n		ukm.rightpad(\"Кол-во\",   item_quantity_width,  \" \") .. \" \" ..\r\n		ukm.leftpad(\"Цена\",     item_price_width - 1, \" \") .. \" \" ..\r\n		ukm.leftpad(\"Стоимость\", item_total_width + 1, \" \");\r\n\r\n		local item_headers_without_name_width =\r\n		item_taxes_width    + 1 +\r\n		item_quantity_width + 1 +\r\n		item_price_width    + 1 +\r\n		item_total_width;\r\n		local item_header_name_width = width - 1 - item_headers_without_name_width;\r\n		local item_name_header = ukm.rightpad(\"Наименование\", item_header_name_width, \" \");\r\n\r\n		if count_print_item == 0 then\r\n-- Для первой позиции выводим на печать заголовки полей\r\n			text = text .. ukm.adjustment(item_name_header, item_headers_without_name, width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		local price_with_discount = __item:discount_price();\r\n		local item_total = __item.total + __item:discount_total();\r\n\r\n		count_print_item = count_print_item + 1;\r\n\r\n		if __item.type == ukm.item.normal then\r\n			text = text .. hw_command_normal_color;\r\n		else\r\n			text = text .. hw_command_alter_color;\r\n		end\r\n\r\n		local itemsign = \" \";\r\n		if __item.type == ukm.item.cancel then\r\n			itemsign = \"X\";\r\n		elseif __item.type == ukm.item.void then\r\n			itemsign = \"-\";\r\n		end\r\n\r\n		-- напечатается только для юр.лиц, т.к. ширина колонки = 0\r\n		local tax_present = false;\r\n		local taxes = ukm.taxes(__item.receipt);\r\n		taxes:create(__item, true);\r\n\r\n		local item_tax = \"   \";\r\n\r\n		for i=0, taxes.itemtaxes:size()-1 do\r\n			local tax = taxes.itemtaxes:at(i);\r\n			item_tax = ukm.left(tax.name .. tax.percent, item_taxes_width);\r\n-- WARNING! Исходим из постулата, что у товарной позиции только один налог\r\n			break;\r\n		end\r\n\r\n-- выводим данные товарной позиции\r\n		local item_data_without_name =\r\n		ukm.rightpad(item_tax, item_taxes_width, \" \") .. \" \" ..\r\n		ukm.leftpad(tostring(__item.totalquantity) .. __item.measurement, item_quantity_width, \" \") .. \" \" ..\r\n		ukm.leftpad(tostring(price_with_discount),         item_price_width,    \" \") .. \" \" ..\r\n		ukm.leftpad(tostring(item_total),          item_total_width,    \" \");\r\n\r\n		local item_data_without_name_width = item_headers_without_name_width;\r\n		local item_name_width = width - 1 - item_data_without_name_width;\r\n\r\n		-- признак маркированности, результат проверки КМ и 2115\r\n		local marked = __item:gettag2115() .. __item:markedsign();\r\n		local item_name = marked .. __item.name;\r\n		local item_name = ukm.left(item_name, item_name_width);\r\n		local item_name = ukm.rightpad(item_name, item_name_width, \" \");\r\n\r\n		text = text .. ukm.adjustment(item_name, item_data_without_name, width, \" \") .. \"\\n\";\r\n\r\n		if __bSplit  then\r\n			text = text .. print_erip_text(__item);\r\n			for i = 0, __item.properties:size() - 1 do\r\n				local property = __item.properties:at(i);\r\n				if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n					local property_name = property.code;\r\n					if property.name ~= nil then\r\n						property_name = property.name:get();\r\n					end\r\n					local prop_text;\r\n					if property.name ~= nil then\r\n						prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n					else\r\n						prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n					end\r\n					text = text .. prop_text .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n\r\n		-- Печать продавцов\r\n		if ukm.get_store().print_in_receipt==true then\r\n			if __item.seller ~= nil then\r\n				local seller=__item.seller;\r\n				text = text .. ukm.left(seller.code..\" \"..seller.name, width) .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		__print_data:add(text, printer_type);\r\n	end\r\nend\r\n\r\nfunction print_pos_name(__header)\r\n	local text = \"\";\r\n	if pos_name_print == true then\r\n		local printer = ukm.get_printer(ukm.printer_type_master());\r\n		if printer then\r\n			local width = printer:get_width();\r\n			text = text .. ukm.rightpad(__header.pos_name, width, \" \") .. \"\\n\";\r\n		end\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction print_erip_text(__item)\r\n	local text = \"\";\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local width = printer:get_width();\r\n		for i = 0, __item.properties:size() - 1 do\r\n			local property = __item.properties:at(i);\r\n			if string.find(property.code, \"ERIP\") then\r\n				if property.value ~= \"\" then\r\n					text = text .. ukm.adjustmentlinesleft(property.value, width) .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n	end\r\n	return text;\r\n end\r\n\r\nfunction print_receipt_item_addition(__item, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	local text = \"\";\r\n	if printer then\r\n		local width = printer:get_width();\r\n		for i = 0, __item.properties:size() - 1 do\r\n			local property = __item.properties:at(i);\r\n			if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n				if property.name ~= nill then\r\n					if property.name:get() ~= \"SMWarmPrice\" then\r\n						local property_name = property.code;\r\n						if property.name ~= nil then\r\n							property_name = property.name:get();\r\n						end\r\n						local prop_text;\r\n						if property.name ~= nil then\r\n							prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n						else\r\n							prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n						end\r\n						__print_data:add(prop_text, printer_type);\r\n					end\r\n				end\r\n			end\r\n		end\r\n	end\r\nend\r\n\r\nfunction print_kkt_item_with_discount(__item, __iSplit, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	if printer then\r\n		local text = \"\";\r\n\r\n		if count_print_item == 0 then\r\n			text = text .. ukm.leftpad( \"Цена со\" , 22 , \" \" );\r\n			text = text .. ukm.leftpad( \"Итого со\" , 34 ,  \" \" );\r\n			text = text .. \"\\n\";\r\n\r\n			text = text .. ukm.leftpad( \"Цена\" ,  11 , \" \" );\r\n			text = text .. ukm.leftpad( \"скидкой\" , 11 , \" \" );\r\n			text = text .. ukm.leftpad( \"Кол-во\" , 11 , \" \" );\r\n			text = text .. ukm.leftpad( \"Скидка\" , 11 , \" \" );\r\n			text = text .. ukm.leftpad( \"скидкой\"  , 12 ,  \" \" );\r\n			text = text .. \"\\n\";\r\n\r\n			receipt_total = ukm.currency(0);\r\n		end\r\n\r\n		count_print_item = count_print_item + 1;\r\n		local width = printer:get_width();\r\n		local item_total = __item.total;\r\n		local price_with_discount = __item.price;\r\n		local discount_count = __item.discounts:size();\r\n		local discount_total = ukm.currency(0);\r\n\r\n		if discount_count > 0 then\r\n			for i = 0, discount_count - 1 do\r\n				local discount = __item.discounts:at(i);\r\n				if discount.increment ~= ukm.currency(0) then\r\n					discount_total = discount_total - discount.increment;\r\n				end\r\n			end\r\n			if discount_total:sign() ~= 0 then\r\n				item_total = item_total - discount_total;\r\n				price_with_discount = ukm.currency((__item.total - discount_total) / __item.totalquantity);\r\n			end\r\n		end\r\n\r\n		local price = __item.price;\r\n		-- признак маркированности, результат проверки КМ и 2115\r\n		local marked = __item:gettag2115() .. __item:markedsign();\r\n		local itemName = marked .. __item.name;\r\n		-- Многострочное название\r\n		-- itemName = ukm.insert_delimiters(itemName, \"\\n\", width - 1);\r\n\r\n		if ( __item.properties:size() ~= 0) then\r\n			local property = __item.properties;\r\n			for i = 0, __item.properties:size() - 1 do\r\n				if (property:at(i).name ~= nill) then\r\n					if (property:at(i).name:get() == \"SMWarmPrice\") then\r\n						if (property:at(i).value ~= \"\" ) then\r\n							local priceStr = tonumber(property:at(i).value);\r\n							local whole   =  priceStr /  100;\r\n							local kopeck =  priceStr % 100;\r\n							local str = \".\" ;\r\n							if  ukm.str_len(tostring(kopeck)) ~= 2 then\r\n								str  = \".0\"\r\n							end\r\n							priceStr = tostring(math.floor(whole)) .. str .. tostring(kopeck);\r\n							price = ukm.currency(0);\r\n							price:from_string(priceStr);\r\n							itemName = \"*\" .. tostring( __item.name );\r\n							discount_total = ukm.currency(0);\r\n							discount_total = (price  - price_with_discount) * __item.totalquantity;\r\n							if ( discount_total < ukm.currency(0) ) then\r\n								discount_total = ukm.currency(0)\r\n							end\r\n							item_total = ukm.currency(__item.totalquantity * ukm.quantity(price_with_discount));\r\n						end\r\n					end\r\n				end\r\n			end\r\n		end\r\n\r\n		text = text .. tostring( itemName ) .. \"\\n\";\r\n		text = text .. ukm.leftpad( tostring( price ) , 11 , \" \" );\r\n		text = text .. ukm.leftpad( tostring( price_with_discount ) , 11 , \" \" );\r\n		text = text .. ukm.leftpad( tostring( __item.totalquantity ) .. __item.measurement , 11 , \" \" );\r\n		text = text .. ukm.leftpad( tostring( discount_total ) , 11 , \" \" );\r\n		text = text .. ukm.leftpad( tostring( item_total ) , 11 , \" \" );\r\n		text = text .. \"\\n\";\r\n\r\n		if __iSplit then\r\n			for i = 0, __item.properties:size() - 1 do\r\n				local property = __item.properties:at(i);\r\n				if property.code == \"LoyaDiscountOnChange\" then\r\n					text = text .. ukm.rightpad( \"в том числе скидка на мелочь\" , 33 , \" \" );\r\n					text = text .. ukm.leftpad( tostring( property.value ) , 11 , \" \" );\r\n					text = text .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n\r\n		local tax_comment = GetPositionalComment(__item, __iSplit);\r\n		\r\n		if(__item.receipt.header:client_exists() and __item.receipt.header.client.juristic_person) then\r\n			local tax_found = false;\r\n			local taxes = ukm.taxes(__item.receipt);\r\n			taxes:create(__item, true);\r\n			for i = 0, taxes.itemtaxes:size() - 1 do\r\n				local tax = taxes.itemtaxes:at(i);\r\n				text = text .. ukm.adjustment(tax.name .. \" \" .. tax.percent, tax_comment, width, \" \")  .. \"\\n\";\r\n				tax_found = true;\r\n			end\r\n		\r\n			if not tax_found and (__tax_system == 1) then\r\n				text = text .. ukm.adjustment(\"Без НДС\", tax_comment, width, \" \")  .. \"\\n\";\r\n			end\r\n		else\r\n			if (tax_comment~=\"\") then\r\n				text = text .. ukm.rightpad(tax_comment, width - 1, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		if __iSplit then\r\n			for i = 0, __item.properties:size() - 1 do\r\n				local property = __item.properties:at(i);\r\n				if (ukm.binary(property.flags) * ukm.binary(ukm.item_property.flgprint)):get() ~= 0 then\r\n					if property.name ~= nill then\r\n						if property.name:get() ~= \"SMWarmPrice\" then\r\n							local property_name = property.code;\r\n							if property.name ~= nil then\r\n								property_name = property.name:get();\r\n							end\r\n							local prop_text;\r\n							if property.name ~= nil then\r\n								prop_text = ukm.adjustment(\" \" .. property_name, property.value .. \" \", width, \" \");\r\n							else\r\n							prop_text = ukm.adjustmentlines(property.value, width, \" \");\r\n							end\r\n							text = text .. prop_text .. \"\\n\";\r\n						end\r\n					end\r\n				end\r\n			end\r\n		end\r\n\r\n		-- Печать продавцов\r\n		if ukm.get_store().print_in_receipt==true then\r\n			if __item.seller ~= nil then\r\n				local seller=__item.seller;\r\n				text = text .. ukm.left(seller.code..\" \"..seller.name, width) .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		receipt_total = receipt_total + item_total + discount_total;\r\n\r\n		if __iSplit == 2 then\r\n			text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n			text = text .. ukm.rightpad( \"Итого без скидок\" , 44 , \" \" );\r\n			text = text .. ukm.leftpad( tostring( receipt_total ) , 12 , \" \" );\r\n			text = text .. \"\\n\";\r\n		end\r\n\r\n		__print_data:add(text, printer_type);\r\n	end\r\nend\r\n\r\n-- Формирование текста перед позицией для shtrih kz\r\n\r\nfunction shtrihkz_ofd1(__item)\r\n	local printer_type = ukm.printer_type_master();\r\n	local printer = ukm.get_printer(printer_type);\r\n	local text = \"\";\r\n	if printer then\r\n		local p_type = printer:get_printer_type();\r\n		if p_type == ukm.printer.kz then\r\n			local width = printer:get_width();\r\n			if __item.dmbarcode ~= \"\" then\r\n				local barcode = \"[\" .. __item.dmbarcode .. \"]\";\r\n				text = ukm.adjustment(\" \", barcode, width, \" \")  .. \"\\n\";\r\n			end \r\n		end\r\n	end\r\n	return text\r\nend\r\n\r\n-- Формирование текста перед позицией для shtrih kz\r\nfunction print_shtrihkz_item_prefix(__item, __print_data)\r\n	local printer_type = ukm.printer_type_master();\r\n	local text = shtrihkz_ofd1(__item);\r\n	__print_data:add(text, printer_type);\r\nend\r\n\r\n-- Сокращенное название товара\r\nfunction SP_KKT_item_shortname(item)\r\n    local name = item.name;\r\n    local i = string.find(name, \'###\');\r\n    if i ~= nil then\r\n        name = string.sub(name, i+3);\r\n    end\r\n    return name;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'register.lua','-- Модуль регистрации событий и создания основных объектов системы\r\nrequire_once(\"commands.lua\")\r\nrequire_once(\"receipt.lua\")\r\nrequire_once(\"slip.lua\")\r\nrequire_once(\"pdf_report.lua\")\r\nrequire_once(\"slip_small_printer.lua\")\r\nrequire_once(\"display.lua\")\r\nrequire_once(\"videocontrol.lua\")\r\nrequire_once(\"snapshot_receipt.lua\")\r\nrequire_once(\"documents.lua\")\r\nrequire_once(\"reports.lua\")\r\nrequire_once(\"discount_coupon.lua\")\r\nrequire_once(\"reports_ext.lua\")\r\nrequire_once(\"print_dish.lua\")\r\nrequire_once(\"account.lua\")\r\nrequire_once(\"bp_reports.lua\")\r\nrequire_once(\"glory.lua\")\r\nrequire_once(\"checkway77f.lua\")\r\nrequire_once(\"return_docs.lua\")\r\nrequire_once(\"snapshot_footer.lua\")\r\n\r\nukm.debug(\"hello\");\r\n\r\n--Информация о счетах клиента, баланс\r\nregister_event(\"event_print_client_account_info\", \"print_client_account_info\");\r\n\r\n--Информация о счетах клиента, журнал\r\nregister_event(\"event_print_client_account_journal\", \"print_client_account_journal\");\r\n\r\n--Информация о счетах сертификатов, баланс\r\nregister_event(\"event_print_certificate_account_info\", \"print_certificate_account_info\");\r\n\r\n--Информация о счетах сертификатов, журнал\r\nregister_event(\"event_print_certificate_account_journal\", \"print_certificate_account_journal\");\r\n\r\n--Чек-скидка типа купон\r\nregister_event(\"event_print_discount_coupon\", \"print_discount_coupon\");\r\n\r\n--Тело шапки документов\r\nregister_event(\"event_print_banner_text\", \"banner_text\");\r\n\r\n--Окончание чека в фискальном регистраторе\r\nregister_event(\"event_print_footer_text\", \"footer_text\");\r\n\r\n--Шапка документов\r\nregister_event(\"event_print_banner\", \"print_banner\");\r\n\r\n--Шапка с промоткой без отрезки\r\nregister_event(\"event_print_banner_no_cut\", \"print_banner_no_cut\");\r\n\r\n--Отчёт по операциям\r\nregister_event(\"event_print_report\", \"print_report\");\r\n\r\n--Отчёт по операциям по нескольким эквайрингам и трансферингам\r\nregister_event(\"event_print_big_report\", \"print_big_report\");\r\n\r\n--Отчет по времени\r\nregister_event(\"event_print_report_time\", \"print_report_time\");\r\n\r\n--Отчёт Z\r\nregister_event(\"event_print_report_z\", \"print_report_z\");\r\n\r\n--Отчёт Х\r\nregister_event(\"event_print_report_x\", \"print_report_x\");\r\n\r\n--Сжатый чек инвентаризации\r\nregister_event(\"event_print_report_stock_count\", \"print_report_stock_count\");\r\n\r\n--Статистический отчет\r\nregister_event(\"event_print_report_statistic\", \"print_report_statistic\");\r\n\r\n--Отчет по отделам\r\nregister_event(\"event_print_report_stock\", \"print_report_stock\");\r\n\r\n--Декларация наличных средств в денежном ящике\r\nregister_event(\"event_print_report_moneyview\", \"print_report_moneyview\");\r\n\r\n--Товарный отчет\r\nregister_event(\"event_print_report_item\", \"print_report_item\");\r\n\r\n--Отчёт по скидкам\r\nregister_event(\"event_print_report_discount\", \"print_report_discount\");\r\n\r\n--Заголовок контрольной ленты по БД\r\nregister_event(\"event_print_report_db_journal_header\", \"print_report_db_journal_header\");\r\n\r\n--Окончание контрольной ленты по БД\r\nregister_event(\"event_print_report_db_journal_footer\", \"print_report_db_journal_footer\");\r\n\r\n--Документ на открытие смены\r\nregister_event(\"event_print_shift_open\", \"print_shift_open\");\r\n\r\n--Реквизиты документа (вспомогательный для изъят и внесения)\r\nregister_event(\"event_print_money_lite\", \"print_money_lite\");\r\n\r\n--Документ по внесению наличных средств\r\nregister_event(\"event_print_money_insert\", \"print_money_insert\");\r\n\r\n--Документ по изъятию наличных средств\r\nregister_event(\"event_print_money_extract\", \"print_money_extract\");\r\n\r\n--Событие печати документа авторизации кассира на кассе\r\nregister_event(\"event_print_login\", \"print_login\");\r\n\r\n--Событие печати документа авторизации кассира при выходе с кассы\r\nregister_event(\"event_print_logout\", \"print_logout\");\r\n\r\n-- Регистрация событий печати чека\r\n\r\n--Событие печати связанного заголовка\r\nregister_event(\"event_print_link_header\", \"print_link_header\");\r\n\r\n--Событие печати товарной позиции\r\nregister_event(\"event_print_item\", \"print_item\");\r\n\r\n--Событие печати скидки\r\nregister_event(\"event_print_discount\", \"print_discount\");\r\n\r\n--Событие печати подытога\r\nregister_event(\"event_print_hard_subtotal\", \"print_hard_subtotal\");\r\n\r\n--Событие печати платежа\r\nregister_event(\"event_print_receipt_payment\", \"print_receipt_payment\");\r\n\r\n--Событие печати закрытия чека\r\nregister_event(\"event_print_receipt_close\", \"print_receipt_close\");\r\n\r\n--Событие печати открытия чека\r\nregister_event(\"event_print_receipt_open\", \"print_receipt_open\");\r\n\r\n--Событие печати открытия фискального чека\r\nregister_event(\"event_print_receipt_open_fiscal\", \"print_receipt_open_fiscal\");\r\n\r\n--Событие печати подвала чека\r\nregister_event(\"event_print_receipt_footer\", \"print_receipt_footer\");\r\n\r\n--Событие печати слипа чека после подвала\r\nregister_event(\"event_print_receipt_slip\", \"print_receipt_slip\");\r\n\r\n--Событие формирования дополнительно текста позиции чека\r\nregister_event(\"event_print_receipt_item_addition\", \"print_receipt_item_addition\");\r\n\r\n--Печать блюд на кухонных принтерах\r\nregister_event(\"event_print_dish\", \"print_dish\");\r\n\r\n-- Регистрация событий клиентского дисплея\r\n\r\n--Событие отображения товарной позиции\r\nregister_event(\"event_display_item\", \"display_item\");\r\n\r\n--Событие отображения информации об оплате услуги\r\nregister_event(\"event_display_service_info\", \"display_service_info\");\r\n\r\n--Событие отображения оплаты\r\nregister_event(\"event_display_receipt_payment\", \"display_receipt_payment\");\r\n\r\n--Событие отображения подытога\r\nregister_event(\"event_display_subtotal\", \"display_subtotal\");\r\n\r\n--События отображения сообщений для покупателя\r\nregister_event(\"event_display_offside\", \"display_offside\");\r\nregister_event(\"event_display_pause\", \"display_pause\");\r\nregister_event(\"event_display_receipt_cancel\", \"display_receipt_cancel\");\r\nregister_event(\"event_display_receipt_push\", \"display_receipt_push\");\r\nregister_event(\"event_display_thankyou\", \"display_thankyou\");\r\n\r\n--Регистрация событий печати слипов\r\n\r\n--Слип для оплаты услуг UCS\r\nregister_event(\"event_srv_77_body\", \"auth_ucs_mts\");\r\nregister_event(\"event_srv_77_body_small_printer\", \"auth_ucs_mts_small_printer\");\r\n\r\n--Слип для оплаты услуг CYBER CASSA\r\nregister_event(\"event_srv_75_body\", \"auth_cyber_mts\");\r\nregister_event(\"event_srv_75_body_small_printer\", \"auth_cyber_mts_small_printer\");\r\n\r\n--Слип для оплаты услуг BYROCRAT\r\nregister_event(\"event_srv_78_body\", \"auth_byrocrat\");\r\nregister_event(\"event_srv_78_body_small_printer\", \"auth_byrocrat_small_printer\");\r\n\r\n--Слип NettoProcessing\r\nregister_event(\"event_srv_82_body\", \"service_netto_processing\");\r\nregister_event(\"event_srv_82_body_small_printer\", \"service_netto_processing_small_printer\");\r\n\r\n\r\n--Слип для авторизации Рапида\r\nregister_event(\"event_srv_76_body\", \"print_rapida\");\r\nregister_event(\"event_srv_76_body_small_printer\", \"print_rapida_small_printer\");\r\n\r\n\r\n--Слип для авторизации UCS\r\nregister_event(\"event_auth_3_body\", \"auth_3_body\");\r\nregister_event(\"event_auth_3_body_small_printer\", \"auth_3_body_small_printer\");\r\n\r\n\r\n--Слип авторизации RRC через файлы\r\nregister_event(\"event_auth_4_body\", \"auth_4_body\");\r\nregister_event(\"event_auth_4_body_small_printer\", \"auth_4_body_small_printer\");\r\n\r\n\r\n--Слип для авторизации RRC через сокеты\r\nregister_event(\"event_auth_5_body\", \"auth_5_body\");\r\nregister_event(\"event_auth_5_body_small_printer\", \"auth_5_body_small_printer\");\r\n\r\n--Слип для авторизации RRC через пинпад\r\nregister_event(\"event_auth_23_body\", \"auth_23_body\");\r\nregister_event(\"event_auth_23_body_small_printer\", \"auth_23_body_small_printer\");\r\n\r\n--Слип для авторизации Импэксбанк\r\nregister_event(\"event_auth_7_body\", \"auth_7_body\");\r\nregister_event(\"event_auth_7_body_small_printer\", \"auth_7_body\");\r\n\r\n\r\n--КОМПАС - Слип\r\nregister_event(\"event_auth_8_body\", \"auth_8_body\");\r\nregister_event(\"event_auth_8_body_small_printer\", \"auth_8_body\");\r\n\r\n\r\n--КОМПАС (EXT) - Слип\r\nregister_event(\"event_auth_9_body\", \"auth_9_body\");\r\nregister_event(\"event_auth_9_body_small_printer\", \"auth_9_body_small_printer\");\r\n\r\n--Авторизация ВУЗ-Банка\r\nregister_event(\"event_auth_11_body\", \"auth_11_body\");\r\nregister_event(\"event_auth_11_body_small_printer\", \"auth_11_body_small_printer\");\r\n\r\n--Голосовая авторизация\r\nregister_event(\"event_auth_14_body\", \"auth_14_body\");\r\nregister_event(\"event_auth_14_body_small_printer\", \"auth_14_body\");\r\n\r\n--Авторизация БПЦ: Печать слипа\r\nregister_event(\"event_auth_15_body\", \"auth_15_body\");\r\nregister_event(\"event_auth_15_body_small_printer\", \"auth_15_body_small_printer\");\r\n\r\n\r\n--Авторизация БПЦ: Печать итогового чека или Реестра операций\r\nregister_event(\"event_print_auth_bpc_report\", \"print_auth_bpc_report\");\r\nregister_event(\"event_print_auth_bpc_report_small_printer\", \"print_auth_bpc_report_small_printer\");\r\n\r\n--Авторизация CityNet: Печать слипа\r\nregister_event(\"event_auth_16_body\", \"auth_16_body\");\r\nregister_event(\"event_auth_16_body_small_printer\", \"auth_16_body_small_printer\");\r\n\r\n\r\nregister_event(\"event_print_auth_CityNet_slip\", \"print_auth_CityNet_slip\");\r\nregister_event(\"event_print_auth_CityNet_slip_small_printer\", \"print_auth_CityNet_slip_small_printer\");\r\n\r\n--Авторизация ГазПромБанк: Печать слипа\r\nregister_event(\"event_auth_17_body\", \"auth_17_body\");\r\nregister_event(\"event_auth_17_body_small_printer\", \"auth_17_body_small_printer\");\r\n\r\n--Авторизация банка Зенит: Печать слипа\r\nregister_event(\"event_auth_18_body\", \"auth_18_body\");\r\nregister_event(\"event_auth_18_body_small_printer\", \"auth_18_body\");\r\n\r\n--Авторизация банка Золотая Корона: Печать слипа\r\nregister_event(\"event_auth_19_body\", \"auth_19_body\");\r\nregister_event(\"event_auth_19_body_small_printer\", \"auth_19_body\");\r\n\r\n--Транзакционная авторизация(TRPOSX): Печать слипа\r\nregister_event(\"event_auth_21_body\", \"auth_21_body\");\r\nregister_event(\"event_auth_21_body_small_printer\", \"auth_21_body\");\r\n\r\n--Авторизация Эксат-бел(MultiPOS): Печать слипа\r\nregister_event(\"event_auth_22_body\", \"auth_22_body\");\r\nregister_event(\"event_auth_22_body_small_printer\", \"auth_22_body\");\r\n\r\n--Авторизации РУКАРД\r\nregister_event(\"event_auth_26_body\", \"auth_26_body\");\r\nregister_event(\"event_auth_26_body_small_printer\", \"auth_26_body\");\r\nregister_event(\"event_print_auth_rucard_report\", \"print_auth_rucard_report\");\r\nregister_event(\"event_print_auth_rucard_report_small_printer\", \"print_auth_rucard_report\");\r\n\r\n--Авторизация UCS PIN-пад: Печать слипа\r\nregister_event(\"event_auth_24_body\", \"auth_24_body\");\r\nregister_event(\"event_auth_24_body_small_printer\", \"auth_24_body\");\r\n\r\n--Авторизации СофтКейс\r\nregister_event(\"event_auth_27_body\", \"auth_27_body\");\r\nregister_event(\"event_auth_27_body_small_printer\", \"auth_27_body\");\r\n\r\nregister_event(\"event_auth_27_settlement\", \"auth_27_settlement\");\r\nregister_event(\"event_auth_27_settlement_small_printer\", \"auth_27_settlement\");\r\n\r\n--Авторизации PresentMail\r\nregister_event(\"event_auth_28_body\", \"auth_28_body\");\r\nregister_event(\"event_auth_28_body_small_printer\", \"auth_28_body\");\r\nregister_event(\"event_print_auth_presentmail_document\", \"present_mail_document\");\r\nregister_event(\"event_print_auth_presentmail_document_small_printer\", \"present_mail_document\");\r\n\r\n--Авторизация ПЛАС-ТЕК\r\n--СЛИПЫ\r\nregister_event(\"event_auth_29_body\", \"auth_29_body\");\r\nregister_event(\"event_auth_29_body_small_printer\", \"auth_29_body\");\r\nregister_event(\"event_srv_85_body\", \"srv_85_body\");\r\nregister_event(\"event_srv_85_body_small_printer\", \"srv_85_body\");\r\n--ОТЧЕТЫ\r\nregister_event(\"event_print_plas_tec_oper_report\", \"print_plas_tec_oper_report\");\r\nregister_event(\"event_print_plas_tec_oper_report_small_printer\", \"print_plas_tec_oper_report\");\r\nregister_event(\"event_print_plas_tec_oper_report_on_card\", \"print_plas_tec_oper_report_on_card\");\r\nregister_event(\"event_print_plas_tec_oper_report_on_card_small_printer\", \"print_plas_tec_oper_report_on_card\");\r\nregister_event(\"event_print_plas_tec_total_report\", \"print_plas_tec_total_report\");\r\nregister_event(\"event_print_plas_tec_total_report_small_printer\", \"print_plas_tec_total_report\");\r\n\r\n--Видео контроль\r\nregister_event(\"VideoControl_UserLogin\", \"VC_UserLogin\");\r\n\r\nregister_event(\"VideoControl_UserLogout\", \"VC_UserLogout\");\r\n\r\nregister_event(\"VideoControl_AddItem\", \"VC_AddItem\");\r\n\r\nregister_event(\"VideoControl_ChangeQuantity\", \"VC_ChangeQuantity\");\r\n\r\nregister_event(\"VideoControl_ItemCancel_Void\", \"VC_ItemCancel_Void\");\r\n\r\nregister_event(\"VideoControl_ChangePrice\", \"VC_ChangePrice\");\r\n\r\nregister_event(\"VideoControl_ReceiptCancel\", \"VC_ReceiptCancel\");\r\n\r\nregister_event(\"VideoControl_ReceiptFinal\", \"VC_ReceiptFinal\");\r\n\r\nregister_event(\"VideoControl_ReceiptSubtotal\", \"VC_ReceiptSubtotal\");\r\n\r\nregister_event(\"VideoControl_Payment\", \"VC_Payment\");\r\n\r\nregister_event(\"VideoControl_FiscalReceipt\", \"VC_FiscalReceipt\");\r\n\r\nregister_event(\"VideoControl_FiscalReport\", \"VC_FiscalReport\");\r\n\r\nregister_event(\"VideoControl_Discount\", \"VC_Discount\");\r\n\r\nregister_event(\"VideoControl_HandDiscount\", \"VC_HandDiscount\");\r\n\r\nregister_event(\"VideoControl_OpenCD\", \"VC_OpenCD\");\r\n\r\nregister_event(\"VideoControl_MoneyOperation\", \"VC_MoneyOperation\");\r\n\r\nregister_event(\"VideoControl_RegisterPaymentCard\", \"VC_RegisterPaymentCard\");\r\n\r\nregister_event(\"VideoControl_RegisterDiscountCard\", \"VC_RegisterDiscountCard\");\r\n\r\nregister_event(\"VideoControl_PrintReceiptCopy\", \"VC_PrintReceiptCopy\");\r\n\r\nregister_event(\"VideoControl_OpenCDWithoutTransaction\", \"VC_OpenCDWithoutTransaction\");\r\n\r\nregister_event(\"VideoControl_ReportZ\", \"VC_ReportZ\");\r\n\r\nregister_event(\"VideoControl_ReportX\", \"VC_ReportX\");\r\n\r\nregister_event(\"Snapshot_Receipt\", \"snapshot_receipt\");\r\n\r\nregister_event(\"handle_print_return_normal_act\", \"print_return_normal_act\");\r\nregister_event(\"handle_print_return_by_mistake_act\", \"print_return_by_mistake_act\");\r\nregister_event(\"handle_print_user_act\", \"print_user_act\");\r\n\r\n--Отчёт по напечатанным купонам\r\nregister_event(\"event_print_report_coupons_printed\", \"print_report_coupons_printed\");\r\n\r\n--Отчёт по принятым купонам\r\nregister_event(\"event_print_report_coupons_accepted\", \"print_report_coupons_accepted\");\r\n\r\n--Отчёт по кассирам\r\nregister_event(\"event_print_report_cashiers\", \"print_report_cashiers\");\r\n--Авторизации Webmoney\r\nregister_event(\"event_auth_30_body\", \"auth_30_body\");\r\nregister_event(\"event_auth_30_body_small_printer\", \"auth_30_body_small_printer\");\r\nregister_event(\"event_print_auth_webmoney_report\", \"print_auth_webmoney_report\");\r\nregister_event(\"event_print_auth_webmoney_report_small_printer\", \"print_auth_webmoney_report_small_printer\");\r\n\r\n--Информация по карте bpm online loyality\r\nregister_event(\"event_print_bpm_online_loyality_offline_slip\", \"print_bpm_online_loyality_offline_slip\");\r\nregister_event(\"event_print_bpm_online_loyality_card_info\", \"print_bpm_online_loyality_card_info\");\r\n\r\n\r\n--Функции для умного денежного ящика Glory\r\n--Дисплей покупателя: продажа\r\nregister_event(\"event_glory_sale_info\", \"glory_sale_info\");\r\n\r\n--Дисплей покупателя: внесение денег\r\nregister_event(\"event_glory_replenishment_info\", \"glory_replenishment_info\");\r\n\r\n--Дисплей покупателя: произвольное сообщение на две строки\r\nregister_event(\"event_glory_msg\", \"glory_msg\");\r\n\r\n--Слип: отсутствие купюр нужного номинала\r\nregister_event(\"event_glory_slip\", \"glory_slip\");\r\n--Слип ЕГАИС\r\nregister_event(\"event_print_egais_slip\", \"print_egais_slip\");\r\n\r\n-- SAP CRM \r\nregister_event(\"event_print_sap_crm_loyality_register_form\", \"print_sap_crm_loyality_register_form\");\r\nregister_event(\"event_print_sap_crm_loyality_change_card\", \"print_sap_crm_loyality_change_card\");\r\nregister_event(\"event_print_sap_crm_loyality_purchase\", \"print_sap_crm_loyality_purchase\");\r\nregister_event(\"event_print_sap_crm_loyality_return\", \"print_sap_crm_loyality_return\");\r\nregister_event(\"event_print_sap_crm_loyality_info\", \"print_sap_crm_loyality_info\");\r\n\r\n\r\n-- sberbank slip\r\nregister_event(\"event_auth_10_body\", \"auth_10_body\");\r\nregister_event(\"event_auth_10_body_small_printer\", \"auth_10_body\");\r\n\r\n-- LOYA\r\nregister_event(\"event_print_loya_coupon\", \"print_loya_coupon\");\r\nregister_event(\"event_print_loya_ecoupon\", \"print_loya_eCoupon\");\r\nregister_event(\"event_print_loya_account_20\", \"print_loya_account_16\");\r\nregister_event(\"event_print_loya_informing_20\", \"print_loya_informing\");\r\nregister_event(\"event_print_loya_awards_20\", \"print_loya_awards\");\r\nregister_event(\"event_print_loya_personal_slip_20\", \"print_loya_personal_slip\");\r\n\r\n-- MANZANA ML\r\nregister_event(\"event_print_manzana_ml_balance\", \"print_manzana_ml_balance\");\r\nregister_event(\"event_print_manzana_ml_slip\", \"print_manzana_ml_slip\");\r\nregister_event(\"event_print_manzana_ml_coupon\", \"print_manzana_ml_coupon\");\r\n\r\n-- CLM Plastek\r\nregister_event(\"event_print_clm_plastek_account\", \"print_event_print_clm_plastek_account\");\r\nregister_event(\"event_print_clm_plastek_informing\", \"print_event_print_clm_plastek_informing\");\r\n\r\nregister_event(\"event_print_privatebank_payment_info\", \"print_privatebank_payment_info\");\r\n\r\nregister_event(\"event_print_item_info\", \"print_item_info\");\r\n\r\nregister_event(\"event_print_moneyoperation_info\", \"print_moneyoperation_info\");\r\n\r\nregister_event(\"event_print_report_z_header54\", \"print_report_z_header54\");\r\n\r\nregister_event(\"event_print_report_z_footer54\", \"print_report_z_footer54\");\r\n\r\nregister_event(\"event_print_report_x_header54\", \"print_report_x_header54\");\r\nregister_event(\"event_print_report_x_footer54\", \"print_report_x_footer54\");\r\n\r\nregister_event(\"event_print_report_z_header_iKassa\", \"print_report_z_header_iKassa\");\r\n\r\n\r\n-- CheckWay77F\r\nregister_event(\"event_print_fn_result_header\", \"print_fn_result_header\");\r\nregister_event(\"event_print_fn_result_footer\", \"print_fn_result_footer\");\r\nregister_event(\"event_print_fn_shift_open\", \"print_fn_shift_open\");\r\nregister_event(\"event_print_fn_shift_close\", \"print_fn_shift_close\");\r\nregister_event(\"event_print_fn_registration_report\", \"print_fn_registration_report\");\r\nregister_event(\"event_print_fn_close\", \"print_fn_close\");\r\nregister_event(\"event_print_calc_state_report\", \"print_calc_state_report\");\r\nregister_event(\"event_print_ofd_confirmation\", \"print_ofd_confirmation\");\r\nregister_event(\"event_print_fn_correction_receipt\", \"print_fn_correction_receipt\");\r\nregister_event(\"event_print_fn_registry_info\", \"print_fn_registry_info\");\r\n\r\nregister_event(\"event_print_fn_receipt_open\", \"print_fn_receipt_open\");\r\nregister_event(\"event_print_fn_hard_subtotal\", \"print_fn_hard_subtotal\");\r\nregister_event(\"event_print_fn_link_header\", \"print_fn_link_header\");\r\n\r\nregister_event(\"event_print_fn_report_z\", \"print_fn_report_z\");\r\nregister_event(\"event_print_fn_receipt_close\", \"print_fn_receipt_close\");\r\n\r\n-- MANZANA DS2\r\nregister_event(\"event_print_manzana_ds2_balance\", \"print_manzana_ml_balance\");\r\nregister_event(\"event_print_manzana_ds2_slip\", \"print_manzana_ml_slip\");\r\nregister_event(\"event_print_manzana_ds2_coupon\", \"print_manzana_ml_coupon\");\r\n\r\n-- MANZANA DS3\r\nregister_event(\"event_print_manzana_ds3_balance\", \"print_manzana_ds3_balance\");\r\nregister_event(\"event_print_manzana_ds3_slip\", \"print_manzana_ds3_slip\");\r\nregister_event(\"event_print_manzana_ds3_coupon\", \"print_manzana_ds3_coupon\");\r\n\r\n\r\nregister_event(\"event_print_receipt_change\", \"print_receipt_change\");\r\n\r\nregister_event(\"event_print_rb_additional_text\", \"print_rb_additional_text\");\r\nregister_event(\"event_print_rb_additional_text_doc\", \"print_rb_additional_text_doc\");\r\nregister_event(\"event_print_item_props\", \"print_item_props\");\r\n\r\nregister_event(\"event_print_SP_KKT_item\", \"print_SP_KKT_item\");\r\n-- register_event(\"event_print_SP_KKT_item\", \"print_SP_KKT_item_without_breaking_items\"); \r\n-- register_event(\"event_print_SP_KKT_item\", \"print_kkt_item_with_header\");\r\n-- register_event(\"event_print_SP_KKT_item\", \"print_kkt_item_with_discount\");\r\n\r\n-- register_event(\"event_SP_KKT_item_name\", \"SP_KKT_item_shortname\");\r\n\r\nregister_event(\"event_print_mos_social_card_balance\", \"print_mos_social_card_balance\");\r\nregister_event(\"event_print_mos_social_discount_slip\", \"print_mos_social_discount_slip\");\r\n\r\n-- Модуль печати пакета документов на возврат на кассовом принтере\r\nregister_event(\"event_return_cash_order\", \"return_cash_order\");\r\nregister_event(\"event_return_request\", \"return_request\");\r\nregister_event(\"event_return_invoice\", \"return_invoice\");\r\n\r\n-- Siebel\r\nregister_event(\"event_print_siebel_footer\", \"print_siebel_footer\");\r\nregister_event(\"event_print_siebel_slip\", \"print_siebel_slip\");\r\n\r\n-- Middle Ware\r\nregister_event(\"event_print_middle_ware_informing\", \"print_middle_ware_informing\");\r\nregister_event(\"event_print_middle_ware_account\", \"print_middle_ware_account\");\r\nregister_event(\"event_print_middle_ware_coupon\", \"print_middle_ware_coupon\");\r\n\r\n-- QR-Pay\r\nregister_event(\"event_print_qr_pay_shift_report\", \"print_qr_pay_shift_report\");\r\nregister_event(\"event_print_qr_pay_slip\", \"print_qr_pay_slip\");\r\n\r\n-- shtrih kz\r\nregister_event(\"event_print_shtrihkz_item_prefix\", \"print_shtrihkz_item_prefix\");\r\n\r\n-- ПриватБанк JSON\r\nregister_event(\"event_print_privatebank_json_slip\", \"print_privatebank_json_slip\");\r\n\r\n-- Универсальный  интегратор\r\nregister_event(\"event_print_integration_qr_code\", \"print_integration_qr_code\");\r\n\r\n-- Печать ценника\r\nregister_event(\"event_print_price_tag\", \"print_price_tag\");\r\n\r\n-- Печать QR кода\r\nregister_event(\"event_print_qr_code\", \"print_qr_code\");\r\n\r\n-- yarus slip\r\nregister_event(\"event_auth_39_body\", \"auth_21_body\");\r\nregister_event(\"event_auth_39_body_small_printer\", \"auth_21_body\");\r\n\r\n-- Печать внешнего заказа\r\nregister_event(\"event_print_external_order\", \"print_external_order\");',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'reports_ext.lua','--Модуль печати ext отчётов\r\n\r\n\r\nfunction report_ext_general_header(__rep, __width, shift_number)\r\n     local text = \"\";\r\n     local shift_id = ukm.get_shift_id_from_number(tonumber(shift_number));\r\n\r\n     local open_date = ukm.shift_open_date(shift_id:get());\r\n     local close_date = ukm.shift_close_date(shift_id:get());\r\n     if shift_id ~= nil then\r\n       if (ukm.shift_is_closed(shift_id:get())) then\r\n           text = text .. \"*\" .. ukm.center(\"ОТЧЁТ ЗА ЗАКРЫТУЮ СМЕНУ \" .. ukm.leftpad(shift_number,5,\"0\"), __width-2,\" \") .. \"*\" .. \"\\n\";\r\n           if open_date ~= nil and close_date ~= nil then\r\n              text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА\", ukm.ptime2str(open_date, \"%d/%m/%Y %H:%M\"), __width-2,\" \") .. \"*\" .. \"\\n\";\r\n              text = text .. \"*\" .. ukm.adjustment(\" ЗАКРЫТА\", ukm.ptime2str(close_date, \"%d/%m/%Y %H:%M\"), __width-2,\" \") .. \"*\" .. \"\\n\";\r\n           end \r\n           text = text .. ukm.rightpad(\"*\",__width,\"*\") .. \"\\n\";\r\n       else\r\n          if open_date ~= nil then\r\n             text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА: \", ukm.ptime2str(open_date, \"%d/%m/%Y %H:%M\"), __width-2,\" \") .. \"*\" .. \"\\n\";\r\n          end\r\n       end\r\n     end\r\n\r\n     if __width < 30 then\r\n       text = text .. ukm.adjustmentdouble( \"ОПР:\" .. ukm.left(ukm.get_login().name,__width-4), ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n     else\r\n       text = text .. ukm.adjustment( \"ОПР:\" .. ukm.left(ukm.get_login().name,__width-21), ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n     end\r\n\r\n     text = text .. ukm.adjustmentdouble( \"ОТЧЕТ:\" .. ukm.left(ukm.leftpad(tostring(ukm.get_pos_number()),3,\"0\"),3) .. ukm.left(ukm.leftpad(tostring(ukm.get_shift_number()),5,\"0\"),5) .. ukm.left(ukm.leftpad(tostring(__rep.local_number),4,\"0\"),4), \"      ТРН:\" .. ukm.left(ukm.leftpad(tostring(__rep.global_number),12,\"0\"),12),__width,\" \") .. \"\\n\";\r\n     text = text .. ukm.rightpad(\"-\",__width,\"-\") .. \"\\n\";\r\n        \r\n  return text;\r\nend \r\n\r\n\r\n--Акт о возврате, название внешнего скрипта\r\nfunction report_ext_returns_document(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        local shift_number = ukm.get_shift_number_from_user();\r\n        if ukm.str_len(shift_number) ~= 0 then\r\n            text = report_ext_general_header(__rep,width, shift_number) ;\r\n            text = text .. \" \" .. \"\\n\";\r\n            text = text .. hw_command_double_weight;\r\n\r\n            if width < 30 then\r\n               text = text .. ukm.center(\"АКТ\", width,\" \") .. \"\\n\";\r\n            else\r\n               text = text .. ukm.center(\"АКТ\", width-20,\" \") .. \"\\n\";\r\n            end\r\n\r\n            text = text .. \" \" .. \"\\n\";\r\n            text = text .. hw_command_single_weight;\r\n\r\n            if width < 30 then \r\n              text = text .. ukm.center(\"О ВОЗВРАТЕ ДЕНЕЖНЫХ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"СУММ ПОКУПАТЕЛЯМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"(КЛИЕНТАМ) ПО\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"НЕИСПОЛЬЗОВАННЫМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"КАССОВЫМ ЧЕКАМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"(в том числе по\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"ошибочно пробитым \", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"кассовым чекам)\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.adjustmentdouble(\"ККМ N \" .. tostring(ukm.get_pos_number()), \"ЗА СМЕНУ N \" .. shift_number, width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n              text = text .. ukm.adjustmentdouble(\"N ВОЗВР.ЧЕКА\",\"СУММА ВОЗВРАТА(РУБ)\",width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n            else\r\n              text = text .. ukm.center(\"О ВОЗВРАТЕ ДЕНЕЖНЫХ СУММ ПОКУПАТЕЛЯМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"(КЛИЕНТАМ) ПО НЕИСПОЛЬЗОВАННЫМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"КАССОВЫМ ЧЕКАМ\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"(в том числе по ошибочно пробитым\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.center(\"кассовым чекам)\", width,\" \") .. \"\\n\";\r\n              text = text .. ukm.adjustmentdouble(\"ККМ № \" .. tostring(ukm.get_pos_number()), \"ЗА СМЕНУ № \" .. shift_number, width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n              text = text .. ukm.adjustmentdouble(\"№ ВОЗВР.ЧЕКА\",\"СУММА ВОЗВРАТА (РУБ.)\",width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n           end\r\n           \r\n            local total_amount = ukm.currency(0); \r\n            local text_select = \"\";\r\n            text_select = text_select .. \"select h.local_number, sum(p.amount) from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and ( h.type = \" .. tostring(ukm.header.creturn) .. \" or \" .. \"h.type = \" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"group by h.local_number\";\r\n\r\n            local qry_receipt_returns = ukm.query(__rep:get_conn(), text_select);\r\n            receipt_returns_table = {};      \r\n\r\n            while qry_receipt_returns:fetch() do\r\n                 local l_number = ukm.from_mysql.int(qry_receipt_returns:get_field(0));\r\n                 local sum = ukm.from_mysql.currency(qry_receipt_returns:get_field(1));\r\n                 receipt_returns_table[l_number] = {};\r\n                 receipt_returns_table[l_number].l_number = l_number;\r\n                 receipt_returns_table[l_number].sum = sum;\r\n            end \r\n            for ik, iv in pairs(receipt_returns_table) do\r\n                local amount = iv.sum;\r\n                total_amount = total_amount + amount;\r\n                local text_v = \"\";\r\n                text_v = text_v .. ukm.adjustmentdouble(tostring(iv.l_number), tostring(amount), width, \" \") .. \"\\n\";\r\n                text = text .. text_v;\r\n            end\r\n            text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n            text = text .. ukm.slice(\"Выдано покупателям  (клиентам)    по возвращенным ими кассовым чекам (по ошибочно пробитым чекам) согласно акту на сумму: \",width) .. \"\\n\";\r\n            text = text .. \"  \" .. ukm.slice(ukm.num2txt(total_amount) .. \" КОП.\", width) .. \"\\n\";\r\n            text = text .. ukm.slice(\"На указанную сумму следует уменьшить выручку кассы. Перечисленные возвращенные покупателями (клиентами) чеки (ошибочно пробитые чеки) погашены и прилагаются к акту.\", width) .. \"\\n\";\r\n            text = text .. ukm.rightpad(\"Приложение\",width-1,\"_\") .. \".\" .. \"\\n\";\r\n            text = text .. ukm.rightpad(\"ЧЛЕНЫ КОМИССИИ:\",width,\" \") .. \"\\n\";\r\n            if width < 30 then \r\n              text = text .. ukm.rightpad(\"ЗАВ.ОТДЕЛОМ(СЕКЦИЕЙ)\",width,\" \") .. \"\\n\" ..\" \\n\";\r\n              text = text .. ukm.rightpad(\"СТАРШИЙ КАССИР\",width,\" \") .. \"\\n\" .. \" \\n\";\r\n              text = text .. ukm.rightpad(\"КАССИР-ОПЕРАЦИОНИСТ\",width,\" \") .. \"\\n\" ..\" \\n\";\r\n            else\r\n              text = text .. ukm.rightpad(\"ЗАВЕДУЮЩИЙ ОТДЕЛОМ(СЕКЦИЕЙ)\",width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"СТАРШИЙ КАССИР\",width,\" \") .. \"\\n\";\r\n              text = text .. ukm.rightpad(\"КАССИР-ОПЕРАЦИОНИСТ\",width,\" \") .. \"\\n\";\r\n            end\r\n            text = text .. \" \" .. \"\\n\";\r\n            \r\n            __print_data:add(text, ukm.printer_type_master());\r\n        end\r\n    end\r\nend\r\n\r\n--Отчёт по отчет на кассе по налогам в разрезе кассиров\r\nfunction report_ext_cashier_taxes(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local text = \"\";\r\n       local text_p = \"\";\r\n       local width = printer:get_width();\r\n       local shift_number = ukm.get_shift_number_from_user();\r\n       if ukm.str_len(shift_number) ~= 0 then\r\n          text = report_ext_general_header(__rep,width, shift_number) ;\r\n          text_p = text_p .. ukm.center(\"ОТЧЁТ ПО КАССИРАМ\", width,\" \") .. \"\\n\";\r\n          text = text .. text_p;\r\n          if width > 29 then\r\n            text = text .. ukm.adjustment(\"КАССИР   В(ШТ) П\",\"ВОЗВРАТ(РУБ)ПРОДАЖА\",width, \" \") .. \"\\n\";\r\n          end\r\n          \r\n          local text_select = \"\";\r\n--выбираем кассиров которые работали в выбранной смене\r\n          text_select = text_select .. \"select l.user_id, l.user_name from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \", \" .. tostring(ukm.header.creturn) .. \", \" .. tostring(ukm.header.returnbyreceipt) .. \", \" .. tostring(ukm.header.pop) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"group by h.local_number\";\r\n\r\n          local qry_cashier = ukm.query(__rep:get_conn(), text_select);\r\n          cashier_table = {}; \r\n--результаты запроса помещаем в таблицу, ключом уникальности записи является идентификатор кассира\r\n          while qry_cashier:fetch() do\r\n             local u_id = ukm.from_mysql.int(qry_cashier:get_field(0));\r\n             local u_name = ukm.from_mysql.string(qry_cashier:get_field(1));\r\n             if cashier_table[u_id] == nil then\r\n                cashier_table[u_id] = {};\r\n                cashier_table[u_id].id = u_id;\r\n                cashier_table[u_id].name = u_name; \r\n             end\r\n          end \r\n          for ick, icv in pairs(cashier_table) do\r\n              text_p = ukm.adjustment(\" \" .. tostring(icv.name), \" \", width, \" \") .. \"\\n\";\r\n              text = text .. text_p;\r\n \r\n              text_select = \"\";\r\n--для каждого кассира из предыдущего запроса, получаем скидки, использованные им (имя скидки, процент, и идентификатор)\r\n              text_select = text_select .. \"select t.name, t.percent, t.tax_id from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item i on h.id = i.receipt_header and h.cash_id = i.cash_id \"\r\n                                      .. \"left join trm_out_receipt_item i2 on i.receipt_header = i2.receipt_header and i.id = i2.link_item and i.cash_id = i2.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item_tax it on i.id = it.receipt_item and i.cash_id = it.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_tax t on it.receipt_tax = t.id and it.cash_id = t.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \", \" .. tostring(ukm.header.creturn) .. \", \" .. tostring(ukm.header.returnbyreceipt) .. \", \" .. tostring(ukm.header.pop) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and l.user_id = \" .. tostring(icv.id) .. \" \"\r\n                                      .. \"and i.type = \" .. tostring(ukm.item.normal) .. \" \"\r\n                                      .. \"and i2.link_item is null \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"group by t.tax_id, t.percent\";              \r\n            \r\n              local qry_tax = ukm.query(__rep:get_conn(), text_select);\r\n              tax_table = {}; \r\n--результаты запроса помещаем в таблицу, ключом уникальности записи является идентификатор скидки и процент\r\n              while qry_tax:fetch() do\r\n                 local t_id = ukm.from_mysql.int(qry_tax:get_field(2));\r\n                 local t_name = ukm.from_mysql.string(qry_tax:get_field(0));\r\n                 local t_percent = ukm.from_mysql.string(qry_tax:get_field(1));\r\n                 if tax_table[tostring(t_id) .. t_percent] == nil then   \r\n                    tax_table[tostring(t_id) .. t_percent] = {};\r\n                    tax_table[tostring(t_id) .. t_percent].id = t_id;\r\n                    tax_table[tostring(t_id) .. t_percent].name = t_name;\r\n                    tax_table[tostring(t_id) .. t_percent].percent = t_percent; \r\n                 end\r\n\r\n              \r\n              end\r\n \r\n              for itk, itv in pairs(tax_table) do     \r\n                    local taxcountreturn;\r\n                    local taxcountsale;\r\n                    local taxreturn;\r\n                    local taxsale;\r\n--для каждой скидки из предыдущего запроса, получаем сумму данной скидки в возвратах\r\n                    text_select = \"\";\r\n                    text_select = text_select .. \"select if(sum(t.amount) is null, 0, sum(t.amount)) from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item i on h.id = i.receipt_header and h.cash_id = i.cash_id \"\r\n                                      .. \"left join trm_out_receipt_item i2 on i.receipt_header = i2.receipt_header and i.id = i2.link_item and i.cash_id = i2.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item_tax it on i.id = it.receipt_item and i.cash_id = it.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_tax t on it.receipt_tax = t.id and it.cash_id = t.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \", \" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and l.user_id = \" .. tostring(icv.id) .. \" \"\r\n                                      .. \"and i.type = \" .. tostring(ukm.item.normal) .. \" \"\r\n                                      .. \"and i2.link_item is null \"\r\n                                      .. \"and t.tax_id = \" .. tostring(itv.id) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"and t.percent = \'\" .. itv.percent .. \"\'\";\r\n                  local qry_tax_return = ukm.query(__rep:get_conn(), text_select);\r\n                  while qry_tax_return:fetch() do\r\n                     taxreturn = ukm.from_mysql.currency(qry_tax_return:get_field(0));\r\n                  end \r\n\r\n--для каждой скидки из предыдущего запроса, получаем количество позиций возвращённых с данной скидкой\r\n                  text_select = \"\";\r\n                  text_select = text_select .. \"select if(count(t.amount) is null, 0, count(t.amount)) from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item i on h.id = i.receipt_header and h.cash_id = i.cash_id \"\r\n                                      .. \"left join trm_out_receipt_item i2 on i.receipt_header = i2.receipt_header and i.id = i2.link_item and i.cash_id = i2.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item_tax it on i.id = it.receipt_item and i.cash_id = it.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_tax t on it.receipt_tax = t.id and it.cash_id = t.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \", \" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and l.user_id = \" .. tostring(icv.id) .. \" \"\r\n                                      .. \"and i.type = \" .. tostring(ukm.item.normal) .. \" \"\r\n                                      .. \"and i2.link_item is null \"\r\n                                      .. \"and t.tax_id = \" .. tostring(itv.id) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"and t.percent = \'\" .. itv.percent .. \"\'\";\r\n\r\n                  local qry_tax_count_return = ukm.query(__rep:get_conn(), text_select);\r\n                  while qry_tax_count_return:fetch() do\r\n                     taxcountreturn = ukm.from_mysql.int(qry_tax_count_return:get_field(0));\r\n                  end \r\n\r\n--для каждой скидки из предыдущего запроса, получаем сумму данной скидки в продажах\r\n                  text_select = \"\";\r\n                  text_select = text_select .. \"select if(sum(t.amount) is null, 0, sum(t.amount)) from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item i on h.id = i.receipt_header and h.cash_id = i.cash_id \"\r\n                                      .. \"left join trm_out_receipt_item i2 on i.receipt_header = i2.receipt_header and i.id = i2.link_item and i.cash_id = i2.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item_tax it on i.id = it.receipt_item and i.cash_id = it.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_tax t on it.receipt_tax = t.id and it.cash_id = t.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \", \" .. tostring(ukm.header.pop) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and l.user_id = \" .. tostring(icv.id) .. \" \"\r\n                                      .. \"and i.type = \" .. tostring(ukm.item.normal) .. \" \"\r\n                                      .. \"and i2.link_item is null \"\r\n                                      .. \"and t.tax_id = \" .. tostring(itv.id) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"and t.percent = \'\" .. itv.percent .. \"\'\";\r\n                  local qry_tax_sale = ukm.query(__rep:get_conn(), text_select);\r\n                  while qry_tax_sale:fetch() do\r\n                     taxsale = ukm.from_mysql.currency(qry_tax_sale:get_field(0));\r\n                  end \r\n\r\n--для каждой скидки из предыдущего запроса, получаем количество проданных позицийс данной скидкой\r\n                  text_select = \"\";\r\n                  text_select = text_select .. \"select if(count(t.amount) is null, 0, count(t.amount)) from trm_out_shift_open so \"\r\n                                      .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                      .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item i on h.id = i.receipt_header and h.cash_id = i.cash_id \"\r\n                                      .. \"left join trm_out_receipt_item i2 on i.receipt_header = i2.receipt_header and i.id = i2.link_item and i.cash_id = i2.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_item_tax it on i.id = it.receipt_item and i.cash_id = it.cash_id \"\r\n                                      .. \"inner join trm_out_receipt_tax t on it.receipt_tax = t.id and it.cash_id = t.cash_id \"\r\n                                      .. \"where so.number = \" .. shift_number .. \" \"\r\n                                      .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \", \" .. tostring(ukm.header.pop) .. \") \"\r\n                                      .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                      .. \"and l.user_id = \" .. tostring(icv.id) .. \" \"\r\n                                      .. \"and i.type = \" .. tostring(ukm.item.normal) .. \" \"\r\n                                      .. \"and i2.link_item is null \"\r\n                                      .. \"and t.tax_id = \" .. tostring(itv.id) .. \" \"\r\n                                      .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                      .. \"and t.percent = \'\" .. itv.percent .. \"\'\";\r\n                  local qry_tax_count_sale = ukm.query(__rep:get_conn(), text_select);\r\n                  while qry_tax_count_sale:fetch() do\r\n                     taxcountsale = ukm.from_mysql.int(qry_tax_count_sale:get_field(0));\r\n                  end \r\n\r\n                  text_p = \"\";\r\n                  if width < 30 then\r\n                   text_p = ukm.adjustmentdouble(itv.name , itv.percent, width,\" \") .. \"\\n\";\r\n                   text_p = text_p .. ukm.adjustmentdouble(\"В(ШТ)\",tostring(taxcountreturn), width,\" \") .. \"\\n\";\r\n                   text_p = text_p .. ukm.adjustmentdouble(\"П\",tostring(taxcountsale), width,\" \") .. \"\\n\";\r\n                   text_p = text_p .. ukm.adjustmentdouble(\"ВОЗВРАТ(РУБ)\",tostring(taxreturn), width,\" \") .. \"\\n\";\r\n                   text_p = text_p .. ukm.adjustmentdouble(\"ПРОДАЖА(РУБ)\",tostring(taxsale), width,\" \") .. \"\\n\";\r\n                  else\r\n                   text_p = ukm.rightpad(itv.name .. \",\" .. itv.percent, width,\" \") .. \"\\n\";\r\n                   text_p = text_p .. ukm.leftpad(tostring(taxcountreturn), width-29,\" \");\r\n                   text_p = text_p .. ukm.leftpad(tostring(taxcountsale), width-35,\" \");  \r\n                   text_p = text_p .. ukm.leftpad(tostring(taxreturn), width-28,\" \");\r\n                   text_p = text_p .. ukm.leftpad(tostring(taxsale), width-28,\" \") .. \"\\n\";\r\n                  end\r\n                  text = text .. text_p;\r\n              end              \r\n          end\r\n          \r\n          __print_data:add(text, ukm.printer_type_master());\r\n       end\r\n    end\r\nend\r\n\r\n\r\n--Отчет по платежным средствам, название внешнего скрипта\r\nfunction report_ext_payment_type(__rep, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		local shift_number = ukm.get_shift_number_from_user();\r\n		if ukm.str_len(shift_number) ~= 0 then\r\n			text = report_ext_general_header(__rep, width, shift_number) .. \" \" .. \"\\n\"\r\n				.. ukm.center(\"ОТЧЕТ ПО ПЛАТЕЖНЫМ\", width, \" \") .. \"\\n\"\r\n				.. ukm.center(\"СРЕДСТВАМ\", width, \" \") .. \"\\n\"\r\n				.. \" \" .. \"\\n\"\r\n				.. ukm.adjustment(\"СР-ВО/ОПЕРАЦИЯ  К-ВО\",\"СУММА(РУБ)\",width, \" \") .. \"\\n\"\r\n				.. \" \" .. \"\\n\";\r\n\r\n			local text_select = \"\";\r\n\r\n			local before_shift_id = \"0\";\r\n\r\n			text_select = \"select id from trm_out_shift_open where cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"and number < \" .. shift_number .. \" \"\r\n						.. \"order by id desc \"\r\n						.. \"limit 1\";\r\n						local qry_before_shift_id = ukm.query(__rep:get_conn(), text_select);\r\n			if qry_before_shift_id:fetch() then\r\n				before_shift_id = ukm.from_mysql.string(qry_before_shift_id:get_field(0));\r\n			end\r\n\r\n			text_select = \"select p.payment_id, p.payment_name, e.efts from trm_out_shift_open so \"\r\n						.. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n						.. \"inner join trm_out_receipt_footer f on h.id = f.id and f.cash_id = h.cash_id \"\r\n						.. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and p.cash_id = h.cash_id \"\r\n						.. \"INNER JOIN trm_in_pos pos ON pos.cash_id = h.cash_id \"\r\n						.. \"INNER JOIN trm_in_payments ppp ON ppp.store_id = pos.store_id AND ppp.id = p.payment_id \"\r\n						.. \"INNER JOIN trm_in_equarings e ON e.store_id = pos.store_id AND e.id = ppp.equaring_id \"\r\n						.. \"where so.number = \" .. shift_number .. \" \"\r\n						.. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n						.. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n						.. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n						.. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"group by p.payment_id \"\r\n						.. \"union \"\r\n						.. \"select m.payment_id, m.payment_name, e.efts from trm_out_moneyoperation m \"\r\n						.. \"INNER JOIN trm_in_pos pos ON pos.cash_id = m.cash_id \"\r\n						.. \"INNER JOIN trm_in_payments ppp ON ppp.store_id = pos.store_id AND ppp.id = m.payment_id \"\r\n						.. \"INNER JOIN trm_in_equarings e ON e.store_id = pos.store_id AND e.id = ppp.equaring_id \"\r\n						.. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n						.. \"and m.type in (\" .. tostring(ukm.moneyoperation.insert) .. \",\" .. tostring(ukm.moneyoperation.extract) .. \") \"\r\n						.. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"group by m.payment_id \"\r\n						.. \"union \"\r\n						.. \"select sp.payment, ifnull(p.name, sp.payment), e.efts from trm_in_pos pos \"\r\n						.. \"inner join trm_out_shift_payments sp on pos.cash_id = sp.cash_id \"\r\n						.. \"left join trm_in_payments p on pos.store_id = p.store_id and sp.payment = p.id \"\r\n						.. \"INNER JOIN trm_in_equarings e ON e.store_id = pos.store_id AND e.id = p.equaring_id \"\r\n						.. \"where pos.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"and sp.id = \" .. before_shift_id;\r\n\r\n			local qry_payments = ukm.query(__rep:get_conn(), text_select);\r\n			payments_table = {}; \r\n			while qry_payments:fetch() do\r\n				local p_id = ukm.from_mysql.int(qry_payments:get_field(0));\r\n				local p_name = ukm.from_mysql.string(qry_payments:get_field(1));\r\n				local efts = ukm.from_mysql.int(qry_payments:get_field(2));\r\n				payments_table[p_id] = {};\r\n				payments_table[p_id].id = p_id;\r\n				payments_table[p_id].name = p_name; \r\n				payments_table[p_id].efts = efts; \r\n				\r\n			end \r\n\r\n			local total_count_insert = 0;\r\n			local total_sum_insert = ukm.currency(0);\r\n			local total_count_extract = 0;\r\n			local total_sum_extract = ukm.currency(0);\r\n			local total_count_sale = 0;\r\n			local total_sum_sale = ukm.currency(0);\r\n			local total_count_return = 0;\r\n			local total_sum_return = ukm.currency(0);\r\n			local total_profit = ukm.currency(0);\r\n			local total_sum_cash_box = ukm.currency(0);\r\n\r\n			for ipk, ipv in pairs(payments_table) do\r\n				text = text .. ukm.adjustment(tostring(ipv.name), \" \", width, \" \") .. \"\\n\";\r\n\r\n				local sum_cash_box = ukm.currency(0);\r\n\r\n				text_select = \"select ifnull(sum(sp.amount), \'0.00\') from trm_out_shift_payments sp \"\r\n						.. \"where sp.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"and sp.id = \" .. before_shift_id .. \" \"\r\n						.. \"and sp.payment = \" .. ukm.to_mysql(ipv.id);\r\n				local qry_cash_box_before = ukm.query(__rep:get_conn(), text_select);\r\n\r\n				if qry_cash_box_before:fetch() then\r\n					sum_cash_box = ukm.from_mysql.currency(qry_cash_box_before:get_field(0));   \r\n				end\r\n\r\n				text = text .. ukm.adjustment(\"НА НАЧАЛО В КАССЕ\", tostring(sum_cash_box), width, \" \") .. \"\\n\";\r\n\r\n				local count_insert = 0;\r\n				local sum_insert = ukm.currency(0);\r\n				local count_extract = 0;\r\n				local sum_extract = ukm.currency(0);\r\n				local count_sale = 0;\r\n				local sum_sale = ukm.currency(0);\r\n				local count_return = 0;\r\n				local sum_return = ukm.currency(0);\r\n				local profit = ukm.currency(0);\r\n\r\n				text_select = \"select l.user_id, l.user_name from trm_out_shift_open so \"\r\n							.. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n							.. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n							.. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n							.. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n							.. \"where so.number = \" .. shift_number .. \" \"\r\n							.. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n							.. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n							.. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n							.. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n							.. \"group by l.user_id;\";\r\n\r\n				local qry_users = ukm.query(__rep:get_conn(), text_select);\r\n				users_table = {}; \r\n				while qry_users:fetch() do\r\n					local u_id = ukm.from_mysql.int(qry_users:get_field(0));\r\n					local u_name = ukm.from_mysql.string(qry_users:get_field(1));\r\n					users_table[u_id] = {};\r\n					users_table[u_id].id = u_id;\r\n					users_table[u_id].name = u_name; \r\n				end \r\n\r\n				text_select = \"select l.user_id, l.user_name from trm_out_moneyoperation m \"\r\n							.. \"inner join trm_out_login l on m.login = l.id and m.cash_id = l.cash_id \"\r\n							.. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n							.. \"and m.type in (\" .. tostring(ukm.moneyoperation.insert) .. \",\" .. tostring(ukm.moneyoperation.extract) .. \") \"\r\n							.. \"and m.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n							.. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n							.. \"group by l.user_id;\";\r\n\r\n				local qry_mo_users= ukm.query(__rep:get_conn(), text_select);\r\n\r\n				while qry_mo_users:fetch() do\r\n					local u_id = ukm.from_mysql.int(qry_mo_users:get_field(0));\r\n					local u_name = ukm.from_mysql.string(qry_mo_users:get_field(1));\r\n					if users_table[u_id] == nil then\r\n						users_table[u_id] = {};\r\n						users_table[u_id].id = u_id;\r\n						users_table[u_id].name = u_name; \r\n					end\r\n				end\r\n\r\n				for iuk, iuv in pairs(users_table) do\r\n					text = text .. ukm.adjustment(\" \" .. tostring(iuv.name), \" \", width, \" \") .. \"\\n\";\r\n					local user_count_insert = 0;\r\n   \r\n					text_select = \"select count(m.id) from trm_out_moneyoperation m \"\r\n								.. \"inner join trm_out_login l on m.login = l.id and m.cash_id = l.cash_id \"\r\n								.. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n								.. \"and m.type = \" .. tostring(ukm.moneyoperation.insert) .. \" \"\r\n								.. \"and m.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n								.. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n								.. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n					local qry_count_insert= ukm.query(__rep:get_conn(), text_select);\r\n\r\n					while qry_count_insert:fetch() do\r\n						user_count_insert = ukm.from_mysql.int(qry_count_insert:get_field(0));   \r\n					end\r\n\r\n					count_insert = count_insert + user_count_insert;   \r\n					local user_sum_insert = ukm.currency(0);\r\n\r\n					text_select = \"select ifnull(sum(m.amount), \'0.00\') from trm_out_moneyoperation m \"\r\n								.. \"inner join trm_out_login l on m.login = l.id and m.cash_id = l.cash_id \"\r\n								.. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n								.. \"and m.type = \" .. tostring(ukm.moneyoperation.insert) .. \" \"\r\n								.. \"and m.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n								.. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n								.. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n					local qry_sum_insert= ukm.query(__rep:get_conn(), text_select);\r\n\r\n					while qry_sum_insert:fetch() do\r\n						user_sum_insert = ukm.from_mysql.currency(qry_sum_insert:get_field(0));   \r\n                    end\r\n                    sum_insert = sum_insert + user_sum_insert;\r\n\r\n                    local user_count_extract = 0;\r\n   \r\n                    text_select = \"select count(m.id) from trm_out_moneyoperation m \"\r\n                                .. \"inner join trm_out_login l on m.login = l.id and m.cash_id = l.cash_id \"\r\n                                .. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n                                .. \"and m.type = \" .. tostring(ukm.moneyoperation.extract) .. \" \"\r\n                                .. \"and m.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_count_extract= ukm.query(__rep:get_conn(), text_select);\r\n\r\n                    while qry_count_extract:fetch() do\r\n                        user_count_extract = ukm.from_mysql.int(qry_count_extract:get_field(0));   \r\n                    end\r\n                    count_extract = count_extract + user_count_extract; \r\n\r\n                    local user_sum_extract = ukm.currency(0);\r\n\r\n                    text_select = \"select ifnull(sum(m.amount), \'0.00\') from trm_out_moneyoperation m \"\r\n                                .. \"inner join trm_out_login l on m.login = l.id and m.cash_id = l.cash_id \"\r\n                                .. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n                                .. \"and m.type = \" .. tostring(ukm.moneyoperation.extract) .. \" \"\r\n                                .. \"and m.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_sum_extract = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_sum_extract:fetch() do\r\n                        user_sum_extract= ukm.from_mysql.currency(qry_sum_extract:get_field(0));   \r\n                    end                   \r\n                    sum_extract = sum_extract + user_sum_extract;\r\n\r\n                    local user_count_sale = 0;\r\n\r\n                    text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_user_count_sale = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_count_sale:fetch() do\r\n                        user_count_sale = ukm.from_mysql.int(qry_user_count_sale:get_field(0));\r\n                    end \r\n\r\n                    text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    qry_user_count_sale = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_count_sale:fetch() do\r\n                        user_count_sale = user_count_sale - ukm.from_mysql.int(qry_user_count_sale:get_field(0));\r\n                    end\r\n\r\n                    count_sale = count_sale + user_count_sale;\r\n\r\n                    local user_sum_sale = ukm.currency(0);\r\n\r\n                    text_select = \"select ifnull(sum(p.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_user_sum_sale = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_sum_sale:fetch() do\r\n                        user_sum_sale = ukm.from_mysql.currency(qry_user_sum_sale:get_field(0));\r\n                    end\r\n\r\n                    text_select = \"select ifnull(sum(p.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    qry_user_sum_sale = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_sum_sale:fetch() do\r\n                        user_sum_sale = user_sum_sale - ukm.from_mysql.currency(qry_user_sum_sale:get_field(0));\r\n                    end \r\n                    sum_sale = sum_sale + user_sum_sale;\r\n\r\n                    local user_count_return = 0;\r\n\r\n                    text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_user_count_return = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_count_return:fetch() do\r\n                        user_count_return = ukm.from_mysql.int(qry_user_count_return:get_field(0));\r\n                    end \r\n\r\n                    text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    qry_user_count_return = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_count_return:fetch() do\r\n                        user_count_return = user_count_return - ukm.from_mysql.int(qry_user_count_return:get_field(0));\r\n                    end \r\n\r\n                    count_return = count_return + user_count_return;\r\n                    local user_sum_return = ukm.currency(0);\r\n\r\n                    text_select = \"select ifnull(sum(p.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    local qry_user_sum_return = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_sum_return:fetch() do\r\n                        user_sum_return = ukm.from_mysql.currency(qry_user_sum_return:get_field(0));\r\n                    end \r\n\r\n                    text_select = \"select ifnull(sum(p.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"inner join trm_out_login l on h.login = l.id and h.cash_id = l.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n                                .. \"and l.user_id = \" .. ukm.to_mysql(iuv.id) .. \";\";\r\n                    qry_user_sum_return = ukm.query(__rep:get_conn(), text_select);\r\n                    while qry_user_sum_return:fetch() do\r\n                        user_sum_return = user_sum_return - ukm.from_mysql.currency(qry_user_sum_return:get_field(0));\r\n                    end \r\n\r\n                    sum_return = sum_return + user_sum_return;\r\n                    local user_profit = user_sum_sale - user_sum_return;\r\n                    profit = profit + user_profit;\r\n\r\n                    if width < 30 then\r\n                        text = text .. ukm.adjustment(\"  ВНЕСЕНИЕ В КАССУ\", tostring(user_count_insert),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(user_sum_insert),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ИНКАССАЦИЯ\", tostring(user_count_extract),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(user_sum_extract),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ПРОДАЖА\", tostring(user_count_sale),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(user_sum_sale),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ВОЗВРАТ\", tostring(user_count_return),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(user_sum_return),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  РЕАЛИЗАЦИЯ\", tostring(user_profit),width, \" \")  .. \"\\n\";\r\n                    else\r\n                        text = text .. ukm.adjustment(ukm.adjustment(\" ВНЕСЕНИЕ В КАССУ\",tostring(user_count_insert),width-18, \" \"),tostring(user_sum_insert),width, \" \") .. \"\\n\"\r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ИНКАССАЦИЯ\",tostring(user_count_extract),width-18, \" \"),tostring(user_sum_extract),width, \" \") .. \"\\n\"     \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ПРОДАЖА\",tostring(user_count_sale),width-18, \" \"),tostring(user_sum_sale),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ВОЗВРАТ\",tostring(user_count_return),width-18, \" \"),tostring(user_sum_return),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(\"   РЕАЛИЗАЦИЯ\",tostring(user_profit),width, \" \") .. \"\\n\";\r\n                    end\r\n                end\r\n\r\n                text = text .. \" \" .. \"\\n\";\r\n                text = text .. \"ИТОГО \" .. tostring(ipv.name) .. \"\\n\";\r\n\r\n                if width < 30 then\r\n                    text = text .. ukm.adjustment(\" ВНЕСЕНИЕ\", tostring(count_insert),width-2, \" \") .. \"\\n\"\r\n                        .. ukm.leftpad(tostring(sum_insert),width,\" \") .. \"\\n\"\r\n                        .. ukm.adjustment(\" ИНКАССАЦИЯ\", tostring(count_extract),width-2, \" \") .. \"\\n\"\r\n                        .. ukm.leftpad(tostring(sum_extract),width,\" \") .. \"\\n\"\r\n                        .. ukm.adjustment(\" ПРОДАЖА\", tostring(count_sale),width-2, \" \") .. \"\\n\"\r\n                        .. ukm.leftpad(tostring(sum_sale),width,\" \") .. \"\\n\"\r\n                        .. ukm.adjustment(\" ВОЗВРАТ\", tostring(count_return),width-2, \" \") .. \"\\n\"\r\n                        .. ukm.leftpad(tostring(sum_return),width,\" \") .. \"\\n\"\r\n                        .. ukm.adjustment(\" РЕАЛИЗАЦИЯ\", tostring(profit),width, \" \")  .. \"\\n\";\r\n                else\r\n                  text = text .. ukm.adjustment(ukm.adjustment(\" ВНЕСЕНИЕ\",tostring(count_insert),width-18, \" \"),tostring(sum_insert),width, \" \") .. \"\\n\"\r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ИНКАССАЦИЯ\",tostring(count_extract),width-18, \" \"),tostring(sum_extract),width, \" \") .. \"\\n\"     \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ПРОДАЖА\",tostring(count_sale),width-18, \" \"),tostring(sum_sale),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ВОЗВРАТ\",tostring(count_return),width-18, \" \"),tostring(sum_return),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(\"   РЕАЛИЗАЦИЯ\",tostring(profit),width, \" \") .. \"\\n\";\r\n                    end\r\n\r\n                total_count_insert = total_count_insert + count_insert;\r\n                total_sum_insert = total_sum_insert + sum_insert;\r\n                total_count_extract = total_count_extract + count_extract;\r\n                total_sum_extract = total_sum_extract + sum_extract\r\n                total_count_sale = total_count_sale + count_sale;\r\n                total_sum_sale = total_sum_sale + sum_sale;\r\n                total_count_return = total_count_return + count_return;\r\n                total_sum_return = total_sum_return + sum_return;\r\n                total_profit = total_profit + profit;\r\n                sum_cash_box = sum_cash_box + sum_insert - sum_extract + sum_sale - sum_return;\r\n				local cur_efts = payments_table[ipk].efts;\r\n				if(cur_efts == 2) then\r\n					total_sum_cash_box = total_sum_cash_box + sum_cash_box;\r\n				end\r\n				\r\n                text = text .. ukm.adjustment(\"СУММА В КАССЕ\", tostring(sum_cash_box), width, \" \") .. \"\\n \\n\";\r\n            end\r\n\r\n            text = text .. \"ИТОГО ПО ВСЕМ ВИДАМ ОПЛАТ\" .. \"\\n\";\r\n\r\n            if width < 30 then\r\n                text = text .. ukm.adjustment(\" ВНЕСЕНИЕ\", tostring(total_count_insert),width-2, \" \") .. \"\\n\"\r\n                    .. ukm.leftpad(tostring(total_sum_insert),width,\" \") .. \"\\n\"\r\n                    .. ukm.adjustment(\" ИНКАССАЦИЯ\", tostring(total_count_extract),width-2, \" \")  .. \"\\n\"\r\n                    .. ukm.leftpad(tostring(total_sum_extract),width,\" \") .. \"\\n\"\r\n                    .. ukm.adjustment(\" ПРОДАЖА\", tostring(total_count_sale),width-2, \" \") .. \"\\n\"\r\n                    .. ukm.leftpad(tostring(total_sum_sale),width,\" \") .. \"\\n\"\r\n                    .. ukm.adjustment(\" ВОЗВРАТ\", tostring(total_count_return),width-2, \" \") .. \"\\n\"\r\n                    .. ukm.leftpad(tostring(total_sum_return),width,\" \") .. \"\\n\"\r\n                    .. ukm.adjustment(\" РЕАЛИЗАЦИЯ\", tostring(total_profit),width, \" \")  .. \"\\n\";\r\n            else\r\n                  text = text .. ukm.adjustment(ukm.adjustment(\" ВНЕСЕНИЕ В КАССУ\",tostring(total_count_insert),width-18, \" \"),tostring(total_sum_insert),width, \" \") .. \"\\n\"\r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ИНКАССАЦИЯ\",tostring(total_count_extract),width-18, \" \"),tostring(total_sum_extract),width, \" \") .. \"\\n\"     \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ПРОДАЖА\",tostring(total_count_sale),width-18, \" \"),tostring(total_sum_sale),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ВОЗВРАТ\",tostring(total_count_return),width-18, \" \"),tostring(total_sum_return),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(\"   РЕАЛИЗАЦИЯ\",tostring(total_profit),width, \" \") .. \"\\n\";\r\n\r\n            end\r\n\r\n            text = text .. \" \" .. \"\\nВ ДЕНЕЖНОМ ЯЩИКЕ ДОЛЖНО БЫТЬ:\\n\"\r\n                .. ukm.leftpad(tostring(total_sum_cash_box), width, \" \") .. \"\\n \\n\";\r\n\r\n            __print_data:add(text, ukm.printer_type_master());\r\n\r\n        end\r\n    end\r\nend\r\n\r\n\r\n--Отчет по платежным средствам мультивалютный\r\nfunction report_ext_payment_type_multi_currency(__rep, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		local shift_number = ukm.get_shift_number_from_user();\r\n		if ukm.str_len(shift_number) ~= 0 then\r\n			text = report_ext_general_header(__rep, width, shift_number) .. \" \" .. \"\\n\"\r\n				.. ukm.center(\"ОТЧЕТ ПО ПЛАТЕЖНЫМ\", width, \" \") .. \"\\n\"\r\n				.. ukm.center(\"СРЕДСТВАМ\", width, \" \") .. \"\\n\"\r\n				.. \" \" .. \"\\n\"\r\n				.. ukm.adjustment(\"СР-ВО/ОПЕРАЦИЯ  К-ВО\",\"СУММА\",width, \" \") .. \"\\n\"\r\n				.. \" \" .. \"\\n\";\r\n\r\n			local text_select = \"\";\r\n\r\n			local before_shift_id = \"0\";\r\n\r\n			text_select = \"select id from trm_out_shift_open where cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"and number < \" .. shift_number .. \" \"\r\n						.. \"order by id desc \"\r\n						.. \"limit 1\";\r\n			local qry_before_shift_id = ukm.query(__rep:get_conn(), text_select);\r\n			if qry_before_shift_id:fetch() then\r\n				before_shift_id = ukm.from_mysql.string(qry_before_shift_id:get_field(0));\r\n			end\r\n\r\n			text_select = \"select p.payment_id, p.payment_name from trm_out_shift_open so \"\r\n						.. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n						.. \"inner join trm_out_receipt_footer f on h.id = f.id and f.cash_id = h.cash_id \"\r\n						.. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and p.cash_id = h.cash_id \"\r\n						.. \"where so.number = \" .. shift_number .. \" \"\r\n						.. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n						.. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n						.. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n						.. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"group by p.payment_id \"\r\n						.. \"union \"\r\n						.. \"select m.payment_id, m.payment_name from trm_out_moneyoperation m \"\r\n						.. \"where m.shift_number = \" ..  shift_number .. \" \"\r\n						.. \"and m.type in (\" .. tostring(ukm.moneyoperation.insert) .. \",\" .. tostring(ukm.moneyoperation.extract) .. \") \"\r\n						.. \"and m.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"group by m.payment_id \";\r\n\r\n			local qry_payments = ukm.query(__rep:get_conn(), text_select);\r\n			payments_table = {}; \r\n			payments_change = {};\r\n			while qry_payments:fetch() do\r\n				local p_id = ukm.from_mysql.int(qry_payments:get_field(0));\r\n				local p_name = ukm.from_mysql.string(qry_payments:get_field(1));\r\n				payments_table[p_id] = {};\r\n				payments_table[p_id].id = p_id;\r\n				payments_table[p_id].name = p_name;\r\n				payments_change[p_id] = {};\r\n				payments_change[p_id].change = \"0\";\r\n				payments_change[p_id].change_base = \"0\";\r\n				\r\n			end \r\n\r\n\r\n			for ipk, ipv in pairs(payments_table) do\r\n\r\n				local currency_id = ukm.get_store_payment_currency_id(ipv.id);\r\n				text_select = \"select shortname from trm_in_currency  \"\r\n								.. \"where global_id = 0 and currency_id = \" ..  tostring(currency_id) .. \";\";\r\n				local currency_name = \"\";\r\n				local qry_currency_name = ukm.query(__rep:get_conn(), text_select);\r\n				while qry_currency_name:fetch() do\r\n					currency_name = ukm.from_mysql.string(qry_currency_name:get_field(0));   \r\n				end\r\n				\r\n\r\n				text = text .. ukm.adjustment(tostring(ipv.name), \"(\" .. currency_name ..\")\", width, \" \") .. \"\\n\";\r\n\r\n\r\n				local count_insert = 0;\r\n				local sum_insert = ukm.currency(0);\r\n				local count_extract = 0;\r\n				local sum_extract = ukm.currency(0);\r\n				local count_sale = 0;\r\n				local sum_sale = ukm.currency(0);\r\n				local count_return = 0;\r\n				local sum_return = ukm.currency(0);\r\n				local profit = ukm.currency(0);\r\n				local change_currency = ukm.currency(0);\r\n				local change_base = ukm.currency(0);\r\n				\r\n\r\n \r\n				text_select = \"select count(id) from trm_out_moneyoperation \"\r\n								.. \"where shift_number = \" ..  shift_number .. \" \"\r\n								.. \"and type = \" .. tostring(ukm.moneyoperation.insert) .. \" \"\r\n								.. \"and payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n								.. \"and cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n				local qry_count_insert= ukm.query(__rep:get_conn(), text_select);\r\n\r\n				while qry_count_insert:fetch() do\r\n					count_insert = ukm.from_mysql.int(qry_count_insert:get_field(0));   \r\n				end\r\n\r\n				\r\n				text_select = \"select ifnull(sum(amount), \'0.00\') from trm_out_moneyoperation  \"\r\n								.. \"where shift_number = \" ..  shift_number .. \" \"\r\n								.. \"and type = \" .. tostring(ukm.moneyoperation.insert) .. \" \"\r\n								.. \"and payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n								.. \"and cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n				local qry_sum_insert= ukm.query(__rep:get_conn(), text_select);\r\n\r\n				while qry_sum_insert:fetch() do\r\n					sum_insert = ukm.from_mysql.currency(qry_sum_insert:get_field(0));   \r\n                end\r\n\r\n				text_select = \"select count(id) from trm_out_moneyoperation \"\r\n                                .. \"where shift_number = \" ..  shift_number .. \" \"\r\n                                .. \"and type = \" .. tostring(ukm.moneyoperation.extract) .. \" \"\r\n                                .. \"and payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_count_extract= ukm.query(__rep:get_conn(), text_select);\r\n\r\n                while qry_count_extract:fetch() do\r\n                    count_extract = ukm.from_mysql.int(qry_count_extract:get_field(0));   \r\n                end\r\n                \r\n				text_select = \"select ifnull(sum(amount), \'0.00\') from trm_out_moneyoperation \"\r\n                                .. \"where shift_number = \" ..  shift_number .. \" \"\r\n                                .. \"and type = \" .. tostring(ukm.moneyoperation.extract) .. \" \"\r\n                                .. \"and payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_sum_extract = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_sum_extract:fetch() do\r\n                    sum_extract= ukm.from_mysql.currency(qry_sum_extract:get_field(0));   \r\n                end                   \r\n\r\n                text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_count_sale = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_count_sale:fetch() do\r\n					count_sale = ukm.from_mysql.int(qry_count_sale:get_field(0));\r\n                end \r\n\r\n                text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                qry_count_sale = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_count_sale:fetch() do\r\n                    count_sale = count_sale - ukm.from_mysql.int(qry_count_sale:get_field(0));\r\n                end\r\n\r\n                text_select = \"select ifnull(sum(p.amount), \'0.00\'), ifnull(sum(pc.amount), \'0.00\'), ifnull(sum(pc.amount_with_change - pc.amount), \'0.00\'), ifnull(sum(p.amount_with_change - p.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n								.. \"left join trm_out_receipt_payment_currency pc on pc.cash_id = p.cash_id and pc.id = p.id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_sum_sale = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_sum_sale:fetch() do\r\n					  local sum_sale_local_currency = ukm.from_mysql.currency(qry_sum_sale:get_field(1));\r\n					  if(tostring(sum_sale_local_currency) ~= \"0.00\") then\r\n						sum_sale = sum_sale_local_currency;\r\n						change_currency =  ukm.from_mysql.currency(qry_sum_sale:get_field(2));\r\n						change_base = ukm.from_mysql.currency(qry_sum_sale:get_field(3));\r\n						payments_change[ipv.id].change = tostring(change_currency);\r\n						payments_change[ipv.id].change_base = tostring(change_base);\r\n					  else\r\n						sum_sale = ukm.from_mysql.currency(qry_sum_sale:get_field(0));\r\n						payments_change[ipv.id].change = \"0\";\r\n					  end\r\n                end\r\n\r\n                text_select = \"select ifnull(sum(p.amount), \'0.00\'), ifnull(sum(pc.amount), \'0.00\'), ifnull(sum(pc.amount_with_change - pc.amount), \'0.00\'), ifnull(sum(pc.amount_with_change - pc.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n								.. \"left join trm_out_receipt_payment_currency pc on pc.cash_id = p.cash_id and pc.id = p.id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.sale) .. \",\" .. tostring(ukm.header.pop) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                qry_sum_sale = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_sum_sale:fetch() do\r\n					local sale_void_currency = ukm.from_mysql.currency(qry_sum_sale:get_field(1));\r\n					if(tostring(sale_void_currency) ~= \"0.00\") then\r\n						sum_sale = sum_sale - sale_void_currency;\r\n						change_currency = change_currency - ukm.from_mysql.currency(qry_sum_sale:get_field(2));\r\n						change_base = change_base - ukm.from_mysql.currency(qry_sum_sale:get_field(3));\r\n						payments_change[ipv.id].change = tostring(change_currency); \r\n						payments_change[ipv.id].change_base = tostring(change_base); \r\n					else\r\n						sum_sale = sum_sale - ukm.from_mysql.currency(qry_sum_sale:get_field(0));\r\n					end\r\n                end \r\n\r\n                text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_count_return = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_count_return:fetch() do\r\n                    count_return = ukm.from_mysql.int(qry_count_return:get_field(0));\r\n                end \r\n\r\n                text_select = \"select count(p.id) from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                qry_count_return = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_count_return:fetch() do\r\n                    count_return = count_return - ukm.from_mysql.int(qry_count_return:get_field(0));\r\n                end \r\n\r\n                \r\n                text_select = \"select ifnull(sum(p.amount), \'0.00\'), ifnull(sum(pc.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n								.. \"left join trm_out_receipt_payment_currency pc on pc.cash_id = p.cash_id and pc.id = p.id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.normal) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                local qry_sum_return = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_sum_return:fetch() do\r\n					local sum_return_local_currency = ukm.from_mysql.currency(qry_sum_return:get_field(1));\r\n					if(tostring(sum_return_local_currency) ~= \"0.00\") then\r\n						sum_return = sum_return_local_currency;\r\n					else\r\n						sum_return = ukm.from_mysql.currency(qry_sum_return:get_field(0));\r\n					end\r\n                end \r\n\r\n                text_select = \"select ifnull(sum(p.amount), \'0.00\'), ifnull(sum(pc.amount), \'0.00\') from trm_out_shift_open so \"\r\n                                .. \"inner join trm_out_receipt_header h on so.id = h.shift_open and so.cash_id = h.cash_id \"\r\n                                .. \"inner join trm_out_receipt_footer f on h.id = f.id and h.cash_id = f.cash_id \"\r\n                                .. \"inner join trm_out_receipt_payment p on h.id = p.receipt_header and h.cash_id = p.cash_id \"\r\n								.. \"left join trm_out_receipt_payment_currency pc on pc.cash_id = p.cash_id and pc.id = p.id \"\r\n                                .. \"where so.number = \" .. shift_number .. \" \"\r\n                                .. \"and h.type in (\" .. tostring(ukm.header.creturn) .. \",\" .. tostring(ukm.header.returnbyreceipt) .. \") \"\r\n                                .. \"and f.result = \" .. tostring(ukm.footer.normal) .. \" \"\r\n                                .. \"and p.type = \" .. tostring(ukm.payment.void) .. \" \"\r\n                                .. \"and p.payment_id = \" .. ukm.to_mysql(ipv.id) .. \" \"\r\n                                .. \"and so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \";\";\r\n                qry_sum_return = ukm.query(__rep:get_conn(), text_select);\r\n                while qry_sum_return:fetch() do\r\n					local sum_return_void_currency = ukm.from_mysql.currency(qry_sum_return:get_field(1));\r\n					if(tostring(sum_return_void_currency) ~= \"0.00\") then\r\n						sum_return = sum_return - sum_return_void_currency;\r\n					else\r\n						sum_return = sum_return - ukm.from_mysql.currency(qry_sum_return:get_field(0));\r\n					end\r\n                end \r\n\r\n                profit = sum_sale - sum_return;\r\n \r\n                if width < 30 then\r\n                        text = text .. ukm.adjustment(\"  ВНЕСЕНИЕ\", tostring(count_insert),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(sum_insert),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ИНКАССАЦИЯ\", tostring(count_extract),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(sum_extract),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ПРОДАЖА\", tostring(count_sale),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(sum_sale),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  ВОЗВРАТ\", tostring(count_return),width-2, \" \") .. \"\\n\"\r\n                                .. ukm.leftpad(tostring(sum_return),width,\" \") .. \"\\n\"\r\n                                .. ukm.adjustment(\"  РЕАЛИЗАЦИЯ\", tostring(profit),width, \" \")  .. \"\\n\";\r\n                else\r\n                        text = text .. ukm.adjustment(ukm.adjustment(\"   ВНЕСЕНИЕ\",tostring(count_insert),width-18, \" \"),tostring(sum_insert),width, \" \") .. \"\\n\"\r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ИНКАССАЦИЯ\",tostring(count_extract),width-18, \" \"),tostring(sum_extract),width, \" \") .. \"\\n\"     \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ПРОДАЖА\",tostring(count_sale),width-18, \" \"),tostring(sum_sale),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(ukm.adjustment(\"   ВОЗВРАТ\",tostring(count_return),width-18, \" \"),tostring(sum_return),width, \" \") .. \"\\n\"                                        \r\n                                    .. ukm.adjustment(\"   РЕАЛИЗАЦИЯ\",tostring(profit),width, \" \") .. \"\\n\";\r\n                end\r\n				\r\n				text = text .. \" \" .. \"\\n\";\r\n				\r\n            end\r\n\r\n			local base_currency_name = \"\";\r\n			local text_convert = \"\";\r\n			currency_id = ukm.get_store().currency_id;\r\n			text_select = \"select shortname from trm_in_currency  \"\r\n						.. \"where global_id = 0 and currency_id = \" ..  tostring(currency_id) .. \";\";\r\n			qry_currency_name = ukm.query(__rep:get_conn(), text_select);\r\n					\r\n			while qry_currency_name:fetch() do\r\n				base_currency_name = ukm.from_mysql.string(qry_currency_name:get_field(0));   \r\n			end				\r\n			\r\n			for ipk, ipv in pairs(payments_change) do\r\n				if( tostring(ipv.change) ~= \"0\" ) then\r\n					currency_id = ukm.get_store_payment_currency_id(ipk);\r\n					text_select = \"select shortname from trm_in_currency  \"\r\n									.. \"where global_id = 0 and currency_id = \" ..  tostring(currency_id) .. \";\";\r\n					currency_name = \"\";\r\n					qry_currency_name = ukm.query(__rep:get_conn(), text_select);\r\n					\r\n					while qry_currency_name:fetch() do\r\n						currency_name = ukm.from_mysql.string(qry_currency_name:get_field(0));   \r\n					end	\r\n					\r\n					text_convert =  text_convert .. \"   \" .. tostring(ipv.change) .. \" \" .. currency_name .. \" = \" .. tostring(ipv.change_base) .. \" \" .. base_currency_name .. \"\\n\";\r\n				end\r\n			end\r\n			\r\n			if text_convert ~= \"\" then\r\n				text = text .. \" \" .. \"\\nКОНВЕРТИРОВАНО В ВИДЕ СДАЧИ:\\n\"\r\n				text = text .. text_convert .. \"\\n\";\r\n			end\r\n			\r\n			local shift_close_id = \"0\";\r\n			\r\n			text_select = \"SELECT so.id FROM trm_out_shift_open so \"\r\n						.. \"INNER JOIN trm_out_shift_close sc ON so.cash_id = sc.cash_id AND so.id = sc.id \"\r\n						.. \"where so.cash_id = \" .. tostring(ukm.get_cash_id()) .. \" \"\r\n						.. \"and so.number = \" .. shift_number .. \";\";\r\n			local qry_close_shift_id = ukm.query(__rep:get_conn(), text_select);\r\n			if qry_close_shift_id:fetch() then\r\n				shift_close_id = ukm.from_mysql.string(qry_close_shift_id:get_field(0));\r\n			end\r\n\r\n			if shift_close_id == \"0\" then\r\n			\r\n				text = text .. \" \" .. \"\\nВ ДЕНЕЖНОМ ЯЩИКЕ ДОЛЖНО БЫТЬ:\\n\"\r\n				\r\n				text_select = \"select payment, ifnull(sum(amount),\'0.00\') from trm_auth_local_storage \"\r\n							.. \"where deleted = 0 \"\r\n							.. \"group by cash_id, payment\" .. \";\";\r\n				local qry_sum_cashdrawer = ukm.query(__rep:get_conn(), text_select);\r\n				cash_payments_table = {}; \r\n				while qry_sum_cashdrawer:fetch() do\r\n					local cash_p_id = ukm.from_mysql.int(qry_sum_cashdrawer:get_field(0));\r\n					local cash_p_sum = ukm.from_mysql.currency(qry_sum_cashdrawer:get_field(1));\r\n					cash_payments_table[cash_p_id] = {};\r\n					cash_payments_table[cash_p_id].id = cash_p_id;\r\n					cash_payments_table[cash_p_id].sum = cash_p_sum; \r\n				end \r\n		\r\n                                local lp_count = 0;\r\n\r\n				for ipk, ipv in pairs(cash_payments_table) do\r\n					currency_id = ukm.get_store_payment_currency_id(ipv.id);\r\n					text_select = \"select shortname from trm_in_currency  \"\r\n									.. \"where global_id = 0 and currency_id = \" ..  tostring(currency_id) .. \";\";\r\n					currency_name = \"\";\r\n					qry_currency_name = ukm.query(__rep:get_conn(), text_select);\r\n					\r\n					while qry_currency_name:fetch() do\r\n						currency_name = ukm.from_mysql.string(qry_currency_name:get_field(0));   \r\n					end	\r\n					\r\n					text = text .. ukm.adjustment(currency_name,tostring(ipv.sum),width, \" \") .. \"\\n\";\r\n                                        \r\n                                        lp_count = lp_count + 1;\r\n				end\r\n                                \r\n                                if(lp_count == 0) then\r\n                                        text = text .. \"  \" .. \"ПУСТО\\n\";\r\n                                end;\r\n\r\n			end\r\n\r\n            __print_data:add(text, ukm.printer_type_master());\r\n\r\n        end\r\n    end\r\nend\r\n\r\nfunction report_sold_certificates_current_shift(__rep, __print_data)\r\n	local shift_number = \"\";\r\n	local shift_select = \"select max(number) from trm_out_shift_open where cash_id = \" .. tostring(ukm.get_cash_id()) .. \" and deleted = 0\";\r\n	local qry_shift = ukm.query(__rep:get_conn(), shift_select);\r\n	while qry_shift:fetch() do\r\n		shift_number = ukm.from_mysql.string(qry_shift:get_field(0));\r\n	end\r\n	if ukm.str_len(shift_number) ~= 0 then\r\n		report_sold_certificates(__rep, shift_number, __print_data);\r\n	end\r\nend\r\n\r\nfunction report_sold_certificates_for_shift(__rep, __print_data)\r\n-- Запросили номер смены\r\n	local shift_number = ukm.get_shift_number_from_user();\r\n\r\n	if ukm.str_len(shift_number) ~= 0 then\r\n		report_sold_certificates(__rep, shift_number, __print_data);\r\n	end\r\nend\r\n\r\nfunction report_sold_certificates(__rep, __shift, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n\r\n                text = report_ext_general_header(__rep, width, __shift);\r\n		local text_select = \"\";\r\n\r\n		text = text .. ukm.center(\"ОТЧЁТ ПО ПРОДАННЫМ\", width, \" \") .. \"\\n\";\r\n		text = text .. ukm.center(\"ПОДАРОЧНЫМ СЕРТИФИКАТАМ И КАРТАМ\", width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Номер ПС             Чек\", \"Сумма\", width, \" \") .. \"\\n\";\r\n-- выбираем сертификаты, проданные в заданной смене\r\n		text_select = text_select .. \"SELECT aoo.client_id, h.local_number, i.total FROM trm_out_receipt_item i \"\r\n			.. \"INNER JOIN `trm_out_receipt_item_aoo` a ON a.cash_id = i.cash_id AND a.item_id = i.id AND a.deleted = 0 \"\r\n			.. \"INNER JOIN `trm_in_account_type` t ON t.type = 3 AND t.deleted = 0 AND t.global_id = 0 \"\r\n			.. \"INNER JOIN trm_out_aoo aoo ON aoo.id = a.operation_id AND aoo.account_type_id = t.id AND aoo.cash_id = i.cash_id AND aoo.deleted = 0 \"\r\n			.. \"INNER JOIN trm_out_receipt_header h ON h.cash_id = i.cash_id AND h.id = i.receipt_header \"\r\n			.. \"INNER JOIN trm_out_shift_open so ON h.cash_id = so.cash_id AND h.shift_open = so.id AND so.number = \" .. __shift .. \" \"\r\n			.. \"WHERE i.deleted = 0 AND i.cash_id = \" .. ukm.get_cash_id() \r\n			.. \" ORDER BY h.local_number, aoo.client_id\";\r\n\r\n		local qry_certif = ukm.query(__rep:get_conn(), text_select);\r\n--результаты запроса помещаем сразу в text\r\n		while qry_certif:fetch() do\r\n			local u_name = ukm.from_mysql.string(qry_certif:get_field(0));\r\n			local u_receipt_number = ukm.from_mysql.string(qry_certif:get_field(1));\r\n			local u_certif_price = ukm.from_mysql.currency(qry_certif:get_field(2));\r\n			local u_zzz = \"\";\r\n                        if ukm.str_len(u_name) < 7 then\r\n				u_zzz = ukm.mask_string_middle(u_name, \"*\", 0, 0);\r\n			else\r\n                        	u_zzz = ukm.mask_string_middle(u_name, \"*\", 2, 4);\r\n			end\r\n\r\n			text = text .. ukm.adjustment(ukm.rightpad(u_zzz, 15, \" \") .. \r\n				ukm.leftpad(tostring(ukm.get_pos_number()) .. \".\" .. __shift .. \".\" .. u_receipt_number, 12, \" \"),\r\n				tostring(u_certif_price), width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		text = text .. \"\\n\" .. \"ИТОГО\" .. \"\\n\";\r\n\r\n		local text_count_sum = \"\";\r\n		text_count_sum = text_count_sum .. \"SELECT IFNULL(COUNT(aoo.client_id), 0), IFNULL(SUM(i.total), 0.00) FROM `trm_out_receipt_item` i \"\r\n			.. \"INNER JOIN `trm_out_receipt_item_aoo` a ON a.cash_id = i.cash_id AND a.item_id = i.id AND a.deleted = 0 \"\r\n			.. \"INNER JOIN `trm_in_account_type` t ON t.type = 3 AND t.deleted = 0 AND t.global_id = 0 \"\r\n			.. \"INNER JOIN trm_out_aoo aoo ON aoo.id = a.operation_id AND aoo.account_type_id = t.id AND aoo.cash_id = i.cash_id AND aoo.deleted = 0 \"\r\n			.. \"INNER JOIN trm_out_receipt_header h ON h.cash_id = i.cash_id AND h.id = i.receipt_header \"\r\n			.. \"INNER JOIN trm_out_shift_open so ON h.cash_id = so.cash_id AND h.shift_open = so.id AND so.number = \" .. __shift .. \" \"\r\n			.. \"INNER JOIN trm_in_pos p ON p.cash_id = i.cash_id AND p.deleted  = 0\";\r\n\r\n		local qry_count = ukm.query(__rep:get_conn(), text_count_sum);\r\n		local u_total_amount, u_count;\r\n		while qry_count:fetch() do\r\n			u_count = ukm.from_mysql.string(qry_count:get_field(0));\r\n			u_total_amount = ukm.from_mysql.currency(qry_count:get_field(1));\r\n		end\r\n\r\n		text = text .. \"Кол-во сертификатов - \" .. u_count .. \"\\n\";\r\n		text = text .. \"Сумма - \" .. tostring(u_total_amount) .. \"\\n\\n\";\r\n\r\n                __print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction select_receipts(__rtype, __shift, __cash_id, __wholesale)\r\n	local text_select = \"SELECT o.ext_order_id, rs.amount, h.local_number \"\r\n		.. \"FROM `trm_out_receipt_external_orders` o \"\r\n		.. \"INNER JOIN `trm_out_receipt_header` h ON o.cash_id = h.cash_id AND o.id = h.id AND (h.type = \" .. __rtype\r\n		.. \" INNER JOIN trm_in_pos p ON h.cash_id = p.cash_id \"\r\n		.. \"INNER JOIN trm_out_receipt_subtotal rs ON h.cash_id = rs.cash_id AND rs.id = h.id AND rs.deleted = 0 \"\r\n		.. \"INNER JOIN trm_out_receipt_footer f ON f.cash_id = rs.cash_id AND f.id = h.id AND f.deleted = 0 AND f.result = 0 \"\r\n		.. \"INNER JOIN trm_out_shift_open so ON h.cash_id = so.cash_id AND h.shift_open = so.id AND so.number = \" .. __shift .. \" \"\r\n		.. \"WHERE o.wholesale = \" .. __wholesale .. \" AND o.cash_id = \" .. __cash_id\r\n		.. \" ORDER BY h.local_number\";\r\n\r\n	return text_select;\r\nend\r\n\r\nfunction report_paid_orders(__rep, __print_data)\r\n-- Запросили номер смены\r\n	local shift_number = ukm.get_shift_number_from_user();\r\n\r\n	if ukm.str_len(shift_number) ~= 0 then\r\n		local printer = ukm.get_printer(ukm.printer_type_master());\r\n		if printer then\r\n			local text = \"\";\r\n			local width = printer:get_width();\r\n\r\n			text = report_ext_general_header(__rep, width, shift_number);\r\n			local text_select;\r\n			local cash_id = ukm.get_cash_id();\r\n\r\n			text = text .. ukm.center(\"ОТЧЁТ ПО ОПЛАЧЕННЫМ ЗАКАЗАМ\", width, \" \") .. \"\\n\\n\";\r\n			text = text .. ukm.center(\"Мелкооптовые заказы\", width, \" \") .. \"\\n\";\r\n			text = text .. ukm.adjustment(\"Номер заказа           Чек\", \"Сумма\", width, \" \") .. \"\\n\";\r\n-- выбираем\r\n			text_select = select_receipts(\"0 OR h.type = 5) \", shift_number, cash_id, 1);\r\n			local u_total_amount = ukm.currency(0);\r\n			local u_count = 0;\r\n\r\n			local qry_wholesale = ukm.query(__rep:get_conn(), text_select);\r\n--результаты запроса помещаем сразу в text\r\n			while qry_wholesale:fetch() do\r\n				local u_num = ukm.from_mysql.string(qry_wholesale:get_field(0));\r\n				if ukm.str_len(u_num) > 13 then\r\n					u_num = ukm.left(u_num, 4) .. \"**\" .. ukm.right(u_num, 8);\r\n				end\r\n				local u_receipt_number = ukm.from_mysql.string(qry_wholesale:get_field(2));\r\n				local u_total = ukm.from_mysql.currency(qry_wholesale:get_field(1));\r\n				u_total_amount = u_total_amount + u_total;\r\n				u_count = u_count + 1;\r\n\r\n				text = text .. ukm.adjustment(ukm.rightpad(u_num, 15, \" \") .. \r\n					ukm.leftpad(tostring(ukm.get_pos_number()) .. \".\" .. shift_number .. \".\" .. u_receipt_number, 12, \" \"),\r\n					tostring(u_total), width, \" \") .. \"\\n\";\r\n			end\r\n\r\n			text = text .. \"\\n\" .. \"ИТОГО по мелкооптовым заказам\" .. \"\\n\";\r\n\r\n			text = text .. \"Кол-во заказов - \" .. tostring(u_count) .. \"\\n\";\r\n			text = text .. \"Сумма - \" .. tostring(u_total_amount) .. \"\\n\\n\";\r\n-- возвраты\r\n			text = text .. \"Bозвраты\" .. \"\\n\";\r\n			text = text .. ukm.adjustment(\"Номер заказа           Чек\", \"Сумма\", width, \" \") .. \"\\n\";\r\n			text_select = select_receipts(\"4)\", shift_number, cash_id, 1);\r\n\r\n			local u_total_amount_return = ukm.currency(0);\r\n			local u_count_return = 0;\r\n			local qry_wholesale_return = ukm.query(__rep:get_conn(), text_select);\r\n\r\n			while qry_wholesale_return:fetch() do\r\n				local u_num = ukm.from_mysql.string(qry_wholesale_return:get_field(0));\r\n				if ukm.str_len(u_num) > 13 then\r\n					u_num = ukm.left(u_num, 4) .. \"**\" .. ukm.right(u_num, 8);\r\n				end\r\n				local u_receipt_number = ukm.from_mysql.string(qry_wholesale_return:get_field(2));\r\n				local u_total = ukm.from_mysql.currency(qry_wholesale_return:get_field(1));\r\n				u_total_amount_return = u_total_amount_return + u_total;\r\n				u_count_return = u_count_return + 1;\r\n				text = text .. ukm.adjustment(ukm.rightpad(u_num, 15, \" \") .. \r\n					ukm.leftpad(tostring(ukm.get_pos_number()) .. \".\" .. shift_number .. \".\" .. u_receipt_number, 12, \" \"),\r\n					tostring(u_total), width, \" \") .. \"\\n\";\r\n			end\r\n\r\n			text = text .. \"\\n\" .. \"ИТОГО по возвратам\" .. \"\\n\";\r\n\r\n			text = text .. \"Кол-во заказов - \" .. tostring(u_count_return) .. \"\\n\";\r\n			text = text .. \"Сумма - \" .. tostring(u_total_amount_return) .. \"\\n\\n\";\r\n\r\n			text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n\r\n			text = text .. ukm.center(\"Розничные заказы\", width, \" \") .. \"\\n\";\r\n			text = text .. ukm.adjustment(\"Номер заказа           Чек\", \"Сумма\", width, \" \") .. \"\\n\";\r\n\r\n			text_select = select_receipts(\"0 OR h.type = 5) \", shift_number, cash_id, 0);\r\n\r\n			local u_count1 = 0;\r\n			local u_total_amount1 = ukm.currency(0);\r\n			local qry_sale = ukm.query(__rep:get_conn(), text_select);\r\n\r\n			while qry_sale:fetch() do\r\n				local u_num = ukm.from_mysql.string(qry_sale:get_field(0));\r\n				if ukm.str_len(u_num) > 13 then\r\n					u_num = ukm.left(u_num, 4) .. \"**\" .. ukm.right(u_num, 8);\r\n				end\r\n				local u_receipt_number = ukm.from_mysql.string(qry_sale:get_field(2));\r\n				local u_total = ukm.from_mysql.currency(qry_sale:get_field(1));\r\n				u_count1 = u_count1 + 1;\r\n				u_total_amount1 = u_total_amount1 + u_total;\r\n\r\n				text = text .. ukm.adjustment(ukm.rightpad(u_num, 15, \" \") .. \r\n					ukm.leftpad(tostring(ukm.get_pos_number()) .. \".\" .. shift_number .. \".\" .. u_receipt_number, 12, \" \"),\r\n					tostring(u_total), width, \" \") .. \"\\n\";\r\n			end\r\n\r\n			text = text .. \"\\n\" .. \"ИТОГО по розничным заказам\" .. \"\\n\";\r\n\r\n			text = text .. \"Кол-во заказов - \" .. tostring(u_count1) .. \"\\n\";\r\n			text = text .. \"Сумма - \" .. tostring(u_total_amount1) .. \"\\n\\n\";\r\n			text = text .. \"Возвраты\" .. \"\\n\";\r\n			text = text .. ukm.adjustment(\"Номер заказа           Чек\", \"Сумма\", width, \" \") .. \"\\n\";\r\n\r\n			text_select = select_receipts(\"4)\", shift_number, cash_id, 0);\r\n\r\n			local u_count1_return = 0;\r\n			local u_total_amount1_return = ukm.currency(0);\r\n			local qry_return = ukm.query(__rep:get_conn(), text_select);\r\n\r\n			while qry_return:fetch() do\r\n				local u_num = ukm.from_mysql.string(qry_return:get_field(0));\r\n				if ukm.str_len(u_num) > 13 then\r\n					u_num = ukm.left(u_num, 4) .. \"**\" .. ukm.right(u_num, 8);\r\n				end\r\n				local u_receipt_number = ukm.from_mysql.string(qry_return:get_field(2));\r\n				local u_total = ukm.from_mysql.currency(qry_return:get_field(1));\r\n				u_count1_return = u_count1_return + 1;\r\n				u_total_amount1_return = u_total_amount1_return + u_total;\r\n\r\n				text = text .. ukm.adjustment(ukm.rightpad(u_num, 15, \" \") .. \r\n					ukm.leftpad(tostring(ukm.get_pos_number()) .. \".\" .. shift_number .. \".\" .. u_receipt_number, 12, \" \"),\r\n					tostring(u_total), width, \" \") .. \"\\n\";\r\n			end\r\n\r\n			text = text .. \"\\n\" .. \"ИТОГО по возвратам\" .. \"\\n\";\r\n			text = text .. \"Кол-во заказов - \" .. tostring(u_count1_return) .. \"\\n\";\r\n			text = text .. \"Сумма - \" .. tostring(u_total_amount1_return) .. \"\\n\\n\";\r\n\r\n			text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n\r\n			text = text .. \"ИТОГО по всем заказам\" .. \"\\n\";\r\n			text = text .. \"Кол-во заказов - \" .. tostring(u_count + u_count1) .. \"\\n\";\r\n			text = text .. \"Сумма - \" .. tostring(u_total_amount + u_total_amount1 - (u_total_amount_return + u_total_amount1_return)) .. \"\\n\\n\";\r\n\r\n			__print_data:add(text, ukm.printer_type_master());\r\n		end\r\n	end\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'reports.lua','--Модуль печати отчётов\r\n\r\n-- функция нужна, чтобы печатать в отчёте по операциям для каждого сервера авторизации свои названия для операций\r\nfunction get_name_by_operation_type(__operation_type, __equaring_efts, __type)\r\n    operation_names = {};\r\n    local operation_name = \"\";\r\n\r\n-- описываем операции для трансферингов\r\n    if __type == \"1\" then\r\n        if __equaring_efts == \"79\" then\r\n            operation_names[\"0110430000\"] = \"Активизация карты\";\r\n            operation_names[\"0110830000\"] = \"Запрос остатка\";\r\n            operation_names[\"0210000000\"] = \"Настоящий эквайринг\";\r\n            operation_names[\"0210800000\"] = \"Погашение аванса\";\r\n            operation_names[\"0210840000\"] = \"Приём аванса\";\r\n            operation_names[\"0410000000\"] = \"Отмена эквайринга\";\r\n            operation_names[\"0410800000\"] = \"Сторно\";\r\n            operation_names[\"0410840000\"] = \"Отмена внесения\";\r\n        else\r\n\r\n        end\r\n\r\n-- описываем операции для эквайрингов\r\n    else\r\n        if __equaring_efts == \"4\" then\r\n            operation_names[\"0\"] = \"Продажа\";\r\n            operation_names[\"1\"] = \"Возврат\";\r\n            operation_names[\"2\"] = \"Отмена\";\r\n            operation_names[\"3\"] = \"Отмена возврата\";\r\n        elseif __equaring_efts == \"16\" then\r\n            operation_names[\"0110430000\"] = \"Активизация карты\";\r\n            operation_names[\"0110830000\"] = \"Запрос остатка\";\r\n            operation_names[\"0210000000\"] = \"Настоящий эквайринг\";\r\n            operation_names[\"0210800000\"] = \"Погашение аванса\";\r\n            operation_names[\"0210840000\"] = \"Приём аванса\";\r\n            operation_names[\"0410000000\"] = \"Отмена эквайринга\";\r\n            operation_names[\"0410800000\"] = \"Сторно\";\r\n            operation_names[\"0410840000\"] = \"Отмена внесения\";\r\n        else\r\n\r\n        end\r\n    end\r\n\r\n    if operation_names[__operation_type] ~= nil then\r\n        operation_name = operation_names[__operation_type];\r\n    else\r\n        operation_name = __operation_type;\r\n    end\r\n    return operation_name;\r\nend\r\n\r\n--Печать отчёта по безналичным операциям (возможно несколько серверов авторизаций)\r\nfunction print_big_report(__properties, __print_data)\r\n    local reports = ukm.map.int.string.iterator(ukm.token(__properties).tokens);\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local width = printer:get_width();\r\n        local text = \"\";\r\n\r\n        -- имя кассы\r\n        local cash_id = \"\";\r\n\r\n        -- номер терминала\r\n        local terminal_id = \"\";\r\n\r\n        -- время начала периода, за который снимаем отчёт\r\n        local start_time = \"\";\r\n\r\n        -- время окончания периода, за который снимаем отчёт\r\n        local finish_time = \"\";\r\n        \r\n        -- разбираем первую упакованную строку, там лежат имя кассы, номер смены, время начала смены и время окончания (может быть пустым)\r\n        local field = ukm.map.int.string.iterator(ukm.token(reports:at(0)).tokens);\r\n\r\n        text = text .. ukm.center(\"ОТЧЁТ ПО БЕЗНАЛИЧНЫМ ОПЕРАЦИЯМ\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"ПО КАССЕ \" .. field:at(0), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"НАЧ. \" .. field:at(1) .. \" СМЕНЫ:\", field:at(2), width, \" \") .. \"\\n\";\r\n        if ukm.str_len(field:at(3)) > 0 then\r\n            text = text .. ukm.adjustment(\"КОН. \" .. field:at(1) .. \" СМЕНЫ:\", field:at(3), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        local i = 0;\r\n        local method = 0;\r\n        local equaring_name = \"\";\r\n        local equaring_efts = \"\";\r\n        local width = printer:get_width();\r\n        for i = 1, reports:size() - 1 do\r\n            local field = ukm.map.int.string.iterator(ukm.token(reports:at(i)).tokens);\r\n            local field_size = field:size();\r\n            if field_size > 2 then\r\n                method = field:at(0);\r\n                equaring_name = field:at(1);\r\n                equaring_efts = field:at(2);\r\n\r\n-- закомментированная возможность печати названия сервера авторизации перед печатью непосредственно операций\r\n--                text = text .. ukm.center(\"ОТЧЁТ ПО ОПЕРАЦИЯМ\", width, \" \") .. \"\\n\";\r\n                local human_name_for_method = \"\";\r\n\r\n                if method == \"0\" then\r\n                    human_name_for_method = \"ОПЛАТА\";\r\n                else\r\n                    human_name_for_method = \"УСЛУГИ\";\r\n                end\r\n\r\n                j = 3;\r\n                local the_end = 0;\r\n                if field_size > 6 then\r\n                    while the_end == 0 do\r\n                        if (j + 3 < field_size) then\r\n                            if terminal_id ~= field:at(j+3) then\r\n                                terminal_id = field:at(j+3);\r\n                                text = text .. ukm.center(\"ТЕРМИНАЛ \" .. terminal_id, width, \" \") .. \"\\n\";\r\n                                text = text .. ukm.adjustment(\" \", \"КОЛ-ВО       СУММА\", width, \" \") .. \"\\n\";\r\n                                text = text .. ukm.center(\"-\", width, \"-\") .. \"\\n\";\r\n                            end\r\n                            text = text .. ukm.center(equaring_name .. \" \" .. human_name_for_method, width, \" \") .. \"\\n\";\r\n                            text = text .. ukm.adjustment(ukm.adjustment(get_name_by_operation_type(field:at(j),equaring_efts,method),field:at(j+2),width-12,\" \"),field:at(j+1),width,\" \") .. \"\\n\";\r\n                        else\r\n                            the_end = 1;\r\n                        end\r\n                        j = j + 4;\r\n                    end\r\n                else\r\n\r\n-- закомментированная возможность печати строки, говорящей о том, что операций произведено не было\r\n                    text = text .. ukm.center(\"ОПЕРАЦИИ НЕ ПРОИЗВОДИЛИСЬ\",width,\" \") .. \"\\n\";\r\n\r\n                end\r\n            end\r\n        end\r\n        text = text .. ukm.center(\"-\", width, \"-\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n--Отчёт по операциям сервера авторизации\r\nfunction print_report(__properties, __print_data)\r\n    local field = ukm.map.int.string.iterator(ukm.token(__properties).tokens);\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local i = 0;\r\n        local field_size = field:size();\r\n        local the_end = 0;\r\n        local method = 0;\r\n        local equaring_name = \"\";\r\n        local equaring_efts = \"\";\r\n        local width = printer:get_width();\r\n        if field:size() > 2 then\r\n            method = field:at(0);\r\n            equaring_name = field:at(1);\r\n            equaring_efts = field:at(2);\r\n            text = text .. ukm.center(\"ОТЧЁТ ПО ОПЕРАЦИЯМ\", width, \" \") .. \"\\n\";\r\n            text = text .. ukm.center(equaring_name, width, \" \") .. \"\\n\\n\";\r\n            i = 3;\r\n            if field_size > 5 then\r\n                while the_end == 0 do\r\n                    if (i + 2 < field_size) then\r\n                        text = text .. ukm.adjustment(get_name_by_operation_type(field:at(i),equaring_efts,method),field:at(i+2),width,\" \") .. \"\\n\";\r\n                        text = text .. ukm.adjustment(field:at(i),field:at(i+1),width,\" \") .. \"\\n\";\r\n                    else\r\n                        the_end = 1;\r\n                    end\r\n                    i = i + 3;\r\n                end\r\n            else\r\n                text = text .. ukm.center(\"ОПЕРАЦИИ НЕ ПРОИЗВОДИЛИСЬ\",width,\" \") .. \"\\n\";\r\n            end\r\n        end\r\n        __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n--Заголовок контрольной ленты по БД\r\nfunction print_report_db_journal_header(__journal_number, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer then\r\n        local width = printer:get_width();\r\n\r\n        local text = ukm.center(\"КОНТРОЛЬНАЯ ЛЕНТА № \" .. tostring(__journal_number), width, \" \") .. \"\\n\"\r\n            .. ukm.center(ukm.shop_name(), width, \" \") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Окончание контрольной ленты по БД\r\nfunction print_report_db_journal_footer(__print_data) \r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.center(\"КОНЕЦ КОНТРОЛЬНОЙ ЛЕНТЫ\",width,\" \") .. \"\\n\";\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Заголовок отчетов\r\nfunction report_general_header(__rep,width,rep_type)\r\n        local text = \"\";\r\n        text = text .. ukm.adjustment( \"ОПР:\" .. ukm.left(ukm.get_login().name,width-19), ukm.ptime2str(ukm.get_sys_date(), \"%d/%m/%Y %H:%M\"),width,\" \") .. \"\\n\";\r\n\r\n        text = text .. ukm.adjustment( \"ОТЧЕТ:\" .. ukm.left(ukm.leftpad(tostring(ukm.get_pos_number()),3,\"0\"),3) .. ukm.left(ukm.leftpad(tostring(ukm.get_shift_number()),5,\"0\"),5) .. ukm.left(ukm.leftpad(tostring(__rep.local_number),4,\"0\"),4) .. \" \" .. rep_type, \"ТРН:\" .. ukm.left(ukm.leftpad(tostring(__rep.global_number),12,\"0\"),12),width,\" \") .. \"\\n\";\r\n        text = text .. ukm.rightpad(\"-\",width,\"-\") .. \"\\n\";\r\n   return text;\r\nend\r\n\r\n--Отчёт по скидкам\r\nfunction print_report_discount(__rep,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = report_general_header(__rep,width,\"СКД\");\r\n        local text_p = \"\";\r\n        for i=0, __rep.card_numbers:size()-1 do\r\n            local card_number = __rep.card_numbers:at(i);\r\n            text_p = text_p .. ukm.center(tostring(card_number),width,\" \") .. \"\\n\";\r\n        end\r\n\r\n\r\n        __print_data:add(text .. text_p, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Статус смены, за которую формируется отчет\r\nfunction report_general_shift_period(__rep,width)\r\n       local text = \"\";\r\n       local shift_id = ukm.get_shift_id_from_number(__rep.shift_number);\r\n\r\n       local open_date = ukm.shift_open_date(shift_id:get());\r\n       local close_date = ukm.shift_close_date(shift_id:get());\r\n       if shift_id ~= nil then\r\n         if (ukm.shift_is_closed(shift_id:get())) then\r\n             text = text .. \"*\" .. ukm.center(\"ОТЧЁТ ЗА ЗАКРЫТУЮ СМЕНУ \" .. ukm.leftpad(tostring(__rep.shift_number),5,\"0\"), width-2,\" \") .. \"*\" .. \"\\n\";\r\n             if open_date ~= nil and close_date ~= nil then\r\n                text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА\", ukm.ptime2str(open_date, \"%d/%m/%Y %H:%M\"), width-2,\" \") .. \"*\" .. \"\\n\";\r\n                text = text .. \"*\" .. ukm.adjustment(\" ЗАКРЫТА\", ukm.ptime2str(close_date, \"%d/%m/%Y %H:%M\"), width-2,\" \") .. \"*\" .. \"\\n\";\r\n             end \r\n             text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n         else\r\n            if open_date ~= nil then\r\n               text = text .. \"*\" .. ukm.adjustment(\" ОТКРЫТА: \", ukm.ptime2str(open_date, \"%d/%m/%Y %H:%M\"), width-2,\" \") .. \"*\" .. \"\\n\";\r\n            end\r\n         end\r\n       end\r\n    return text;\r\nend\r\n\r\n--Товарный отчёт\r\nfunction print_report_item(__rep,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = report_general_shift_period(__rep,width);\r\n        text = text .. report_general_header(__rep,width,\"ТВР\");\r\n        text = text .. ukm.adjustment(ukm.adjustment(\"ТОВАР\",\"(РУБ) ВОЗВРАТ\",width-12,\" \"),\"ПРОДАЖА\",width,\" \") .. \"\\n\";\r\n        local report_item = ukm.map.string.report_item.iterator(__rep.items);\r\n\r\n        local full_amount_rtrn = ukm.currency(0);        \r\n        local full_amount_sale = ukm.currency(0);\r\n        while report_item:next() do\r\n           local rtrn = report_item:second().amount_return + report_item:second().disc_amount_return;\r\n           local sale = report_item:second().amount_sale + report_item:second().disc_amount_sale;\r\n           full_amount_rtrn = full_amount_rtrn + rtrn;\r\n           full_amount_sale = full_amount_sale + sale;\r\n           text = text .. ukm.adjustment(ukm.adjustment(tostring(report_item:second().item),tostring(rtrn),width-12,\" \"),tostring(sale),width,\" \") .. \"\\n\";\r\n           text = text .. \" \" .. ukm.left(ukm.rightpad(report_item:second().name,width-1,\" \"),width-1) .. \"\\n\"; \r\n        end\r\n\r\n           text = text .. ukm.adjustment(ukm.adjustment(\"Итого\",tostring(full_amount_rtrn),width-12,\" \"),tostring(full_amount_sale),width,\" \") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n-- Распределение средств оплаты по юр.лицам\r\nfunction format_report_payments2jp(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = report_general_shift_period(__rep, width)\r\n            .. report_general_header(__rep, width, \"ОПЛ\");\r\n\r\n        local w1 = width * 0.4;\r\n        local w2 = width * 0.7;\r\n\r\n        local s = ukm.leftpad(\"ВОЗВРАТ\", w1, \" \");\r\n        s = ukm.adjustment(s, \"ПРОДАЖА\", w2, \" \");\r\n        s = ukm.adjustment(s, \"ВЫРУЧКА\", width, \" \");\r\n        text = text .. s .. \"\\n\\n\"\r\n\r\n\r\n        local sit = ukm.map.report_payments2jp_stock.report_payments2jp_payments.iterator(__rep.data);\r\n\r\n        while sit:next() do\r\n            local s = sit:first();\r\n            local ps = sit:second();\r\n            \r\n            text = text .. s.name .. \" (\" .. s.id .. \") \" .. s.inn .. \" \" .. s.enterprise_name .. \"\\n\";\r\n\r\n            local pit = ukm.map.report_payments2jp_payment.report_payments2jp_amount.iterator(ps);\r\n            local sale = ukm.currency(0);\r\n            local refund = ukm.currency(0);\r\n\r\n            while pit:next() do\r\n                local p = pit:first();\r\n                local a = pit:second();\r\n                sale = sale + a.sale;\r\n                refund = refund + a.refund;\r\n\r\n                local s = ukm.adjustment(ukm.left(p.name, w1 - ukm.str_len(tostring(a.refund)) - 1), tostring(a.refund), w1, \" \");\r\n                s = ukm.adjustment(s, tostring(a.sale), w2, \" \");\r\n                s = ukm.adjustment(s, tostring(a.sale - a.refund), width, \" \");\r\n                text = text .. s .. \"\\n\"\r\n            end\r\n\r\n            local s = ukm.leftpad(tostring(refund), w1, \" \");\r\n            s = ukm.adjustment(s, tostring(sale), w2, \" \");\r\n            s = ukm.adjustment(s, tostring(sale - refund), width, \" \");\r\n            text = text .. s .. \"\\n\"\r\n\r\n            text = text .. \"\\n\";\r\n        end\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Декларация наличных средств в денежном ящике\r\nfunction print_report_moneyview(__rep,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. ukm.adjustment(\"ОПР:\" .. ukm.left(__rep.login.name, width-21), ukm.ptime2str(__rep.date, \"%d/%m/%Y %H:%M\"),width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment( \"ДОК:\" .. tostring(ukm.get_pos_number()).. \".\" .. tostring(ukm.get_shift_number()) .. \".\" .. tostring(__rep.local_number) .. \" \" , \"ТРН:\" .. ukm.leftpad(tostring(__rep.global_number), width-28,\"0\"), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n        local report_iter = ukm.map.int.report_money_record.iterator(__rep.money);\r\n        local text_p = \"\";\r\n        while report_iter:next() do\r\n           text_p = text_p .. ukm.adjustment(tostring(report_iter:second().cashier_total.name),tostring(report_iter:second().cashier_total.amount),width,\" \") .. \"\\n\";\r\n        end\r\n\r\n\r\n        __print_data:add(text .. text_p, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n\r\n--Отчет по отделам\r\nfunction print_report_stock(__rep,__print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	if printer then\r\n		local text = \"\";\r\n		local width = printer:get_width();\r\n		text = report_general_shift_period(__rep,width);\r\n		text = text .. report_general_header(__rep,width,\"ОТД\");\r\n		local report_iter = ukm.map.int.report_stock_record.iterator(__rep.stock);\r\n		text = text .. ukm.adjustment(ukm.adjustment(\"ОТДЕЛ\",ukm.adjustment(\"В(ШТ)\",\"П\",width-32,\" \"),width-22,\" \"), \"ВОЗВРАТ(РУБ)ПРОДАЖА\", width, \" \") .. \"\\n\";\r\n		while report_iter:next() do\r\n			local stock = report_iter:second().stock;\r\n			if ukm.str_len(stock.name) > 0 then\r\n				text = text .. stock.name .. \"\\n\";\r\n			end\r\n			text = text .. ukm.adjustment(ukm.adjustment(ukm.adjustment(ukm.leftpad(tostring(stock.id),5,\"0\"),ukm.adjustment(tostring(report_iter:second().count_return),tostring(report_iter:second().count_sale),width-32,\" \"),width-22,\" \"), tostring(report_iter:second().amount_return + report_iter:second().disc_amount_return), width-12,\" \"), tostring(report_iter:second().amount_sale + report_iter:second().disc_amount_sale),width, \" \") .. \"\\n\"; \r\n		end\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\n\r\nfunction report_x_statistic(__rep,__width)\r\n  local text = \"\";\r\ntext = text \r\n            .. ukm.leftpad(\"  ТОВАРЫ\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРЫ ШТ/МЕР\",__width - 15),tostring(__rep.item_return_piece) .. \"/\" .. tostring(__rep.item_return_weight),__width - 10,\" \"),tostring(__rep.item_sale_piece) .. \"/\" .. tostring(__rep.item_sale_weight),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ТОВАРЫ СКД/НЦН\",__width - 15),tostring(__rep.item_return_price_down) .. \"/\" .. tostring(__rep.item_return_price_up),__width - 10,\" \"), tostring(__rep.item_sale_price_down) .. \"/\" .. tostring(__rep.item_sale_price_up),__width, \" \") .. \"\\n\"\r\n            .. ukm.leftpad(\"  СТАТИСТИКА\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ПОЗИЦИЙ С RS-СКАНЕРА\",__width - 15),tostring(__rep.item_use_barcode_count),__width - 10,\" \"), tostring(__rep.item_use_barcode_count),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ПОЗИЦИЙ ПО НОМЕРУ\",__width - 15),tostring(__rep.item_use_id_count),__width - 10,\" \"), tostring(__rep.item_use_id_count), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ПОЗИЦИЯ ПРЕДУСТАН.\",__width - 15),tostring(__rep.item_use_hot_key_count),__width - 10,\" \"),  tostring(__rep.item_use_hot_key_count), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ККМ РАБОТАЛА\",__width - 15),tostring(__rep.time_work_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_work_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ВВОД ТОВАРА\" ,__width - 15),tostring(__rep.time_item_percent),__width - 10,\" \"), ukm.timeduration2str(__rep.time_item_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"РАСЧЁТ С КЛИЕНТОМ\",__width - 15),tostring(__rep.time_payment_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_payment_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ПЕРЕРЫВЫ\",__width - 15),tostring(__rep.time_out_percent) .. \"%\",__width - 10,\" \"),ukm.timeduration2str(__rep.time_out_time), __width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЯЩИК ОТКРЫТ\",__width - 15),tostring(__rep.time_cashdrawer_percent) .. \"%\",__width - 10,\" \"), ukm.timeduration2str(__rep.time_cashdrawer_time),__width, \" \") .. \"\\n\"\r\n            .. ukm.leftpad(\"  ЧЕКИ\",__width,\"-\") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ ВЫПУЩЕНО\",__width - 15),tostring(__rep.receipt_return),__width - 10,\" \"), tostring(__rep.receipt_sale),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ ОТЛ/ВОССТ\",__width - 15),tostring(__rep.receipt_return_push .. \"/\" .. __rep.receipt_return_pop),__width - 10,\" \"), tostring(__rep.receipt_sale_push).. \"/\" .. tostring(__rep.receipt_sale_pop),__width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.adjustment(ukm.left(\"ЧЕКОВ АННУЛИРОВАНО\",__width - 15),tostring(__rep.receipt_return_cancel),__width - 10,\" \"), tostring(__rep.receipt_sale_cancel),__width, \" \") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\n--Статистический отчет\r\nfunction print_report_statistic(__rep,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = report_general_shift_period(__rep,width);\r\n        text = text .. report_general_header(__rep,width,\"СТТ\");\r\n        text = text .. report_x_statistic(__rep,width);\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Сжатый чек инвентаризации\r\nfunction print_report_stock_count(__header, __itemrecords, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        local caption = \"\";\r\n	local short_caption = \"\";\r\n	local receipt_type = __header:receipt_type();\r\n	if receipt_type == ukm.header.stockcount then\r\n	    caption = \"Товарный документ. Инвентаризация\";\r\n	    short_caption = \"ИНВ\";\r\n	elseif receipt_type == ukm.header.stockwriteoff then\r\n	    caption = \"Товарный документ. Списание\";\r\n	    short_caption = \"СПС\";\r\n	elseif receipt_type == ukm.header.stockorder then\r\n	    caption = \"Товарный документ. Заказ на склад\";\r\n	    short_caption = \"ЗАК\";\r\n	end\r\n        \r\n        text = text .. ukm.center(caption, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ЧЕК:\" .. tostring(ukm.get_pos_number()) .. \".\" .. tostring(ukm.get_shift_number()) .. \".\" .. tostring(ukm.get_local_doc_number()),\r\n            short_caption .. \" \" .. \"ТРН:\" .. ukm.leftpad(tostring(ukm.get_global_doc_number()),12,\"0\"), width, \" \") .. \"\\n\";   \r\n        for i = 0, __itemrecords:size() - 1 do\r\n            local item = __itemrecords:at(i);\r\n            text = text .. ukm.left(ukm.adjustment(tostring(item.item) .. \"  \",item.name,width,\" \"),width) .. \"\\n\";\r\n            text = text .. ukm.adjustment(tostring(item.measurement), tostring(item.quantity), width, \" \") .. \"\\n\";\r\n        end\r\n        text = text .. \"Итого артикулов - \" .. tostring(__itemrecords:size()) .. \"\\n\";\r\n        text = text .. ukm.center(\"ДОКУМЕНТ ЗАКОНЧЕН\", width,\" \") ..\"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\nfunction report_x_cashier(__rep,__width)\r\n   local text = \"\";\r\n   local iterator_collect = ukm.map.int.report_time_cashier_payments.iterator(__rep.cashiers);\r\n   while iterator_collect:next() do\r\n       text = text .. ukm.adjustment(ukm.adjustment(tostring(iterator_collect:second().cashier.name)\r\n                                                   ,tostring(iterator_collect:second().cashier.sale + iterator_collect:second().cashier.insert)\r\n                                                   , __width-14, \" \")\r\n                                    ,tostring(iterator_collect:second().cashier.origin + iterator_collect:second().cashier.sale + iterator_collect:second().cashier.insert -  iterator_collect:second().cashier.extract)\r\n                                    ,__width, \" \")..\"\\n\";\r\n       local payment_collect = ukm.map.int.report_time_payment.iterator(iterator_collect:second().payments);\r\n       while payment_collect:next() do\r\n          text = text .. ukm.adjustment(ukm.adjustment(ukm.adjustment(ukm.left(tostring(payment_collect:second().name),__width - 23 - ukm.str_len(tostring(payment_collect:second().count)))\r\n																		 ,tostring(payment_collect:second().count)\r\n																		 , __width-22, \" \")\r\n														  ,tostring(payment_collect:second().sale + payment_collect:second().insert)\r\n														  , __width-10, \" \")\r\n                                           ,tostring(payment_collect:second().origin + payment_collect:second().sale + payment_collect:second().insert - payment_collect:second().extract)\r\n                                           , __width, \" \") .. \"\\n\"\r\n					  .. ukm.adjustment(ukm.adjustment(ukm.left(\" Внесения\",__width - 23 - ukm.str_len(tostring(payment_collect:second().count_insert))), tostring(payment_collect:second().count_insert),__width-22,\" \"), tostring(payment_collect:second().insert), __width, \" \") .. \"\\n\"\r\n					  .. ukm.adjustment(ukm.adjustment(ukm.left(\" Изъятия \",__width - 23 - ukm.str_len(tostring(payment_collect:second().count_extract))), tostring(payment_collect:second().count_extract),__width-22,\" \"), tostring(payment_collect:second().extract), __width, \" \") .. \"\\n\";\r\nend\r\n   end\r\nreturn text;\r\nend\r\n\r\n\r\nfunction report_x_taxes(__rep,__width)\r\n   local text = \"\";\r\n   for j= 0, __rep.taxes:size() - 1 do\r\n       tax = __rep.taxes:at(j);\r\n       text = text .. ukm.adjustment(ukm.adjustment(tostring(tax.name),tostring(tax.percent),__width-14,\" \"), tostring(tax.amount),__width,\" \") .. \"\\n\";\r\n   end\r\nreturn text;\r\nend\r\n\r\nfunction report_x_body(__rep,__width)\r\n   local text = \"\";\r\n   local text_p = \"\";\r\n   text = text .. ukm.adjustment(ukm.adjustment(\" \", \"(РУБ) ВОЗВРАТ\",__width-10,\" \"), \"ПРОДАЖА\", __width, \" \") .. \"\\n\"\r\n			   .. ukm.adjustment(ukm.adjustment(\"ОБЩ.ОПЕРАЦИИ\", tostring(__rep.global_sum_return),__width-10,\" \"), tostring(__rep.global_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(\"ОБЩАЯ РЕАЛИЗАЦИЯ\", tostring(__rep.global_sum_sale - __rep.global_sum_return),__width,\" \") .. \"\\n\"\r\n   			   .. ukm.leftpad(\"  ОПЕРАЦИИ\",__width,\"-\") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(\"ПРОВЕДЁННЫЕ\", tostring(__rep.period_sum_return),__width-10,\" \"), tostring(__rep.period_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(\"РЕАЛИЗАЦИЯ\", tostring(__rep.period_sum_sale - __rep.period_sum_return),__width,\" \") .. \"\\n\"\r\n   			   .. ukm.leftpad(\"  СКИДКА/НАЦЕНКА\",__width,\"-\") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(ukm.adjustment(\"СКИДКА\",  tostring(__rep.price_down_count),__width-22,\" \"), tostring(__rep.price_down_sum_return), __width-10,\" \"), tostring(__rep.price_down_sum_sale), __width,\" \") .. \"\\n\"\r\n   			   .. ukm.adjustment(ukm.adjustment(ukm.adjustment(\"НАЦЕНКА\", tostring(__rep.price_up_count),__width-22,\" \"), tostring(__rep.price_up_sum_return), __width-10,\" \"), tostring(__rep.price_up_sum_sale), __width,\" \") .. \"\\n\"\r\n      		   .. report_x_statistic(__rep,__width)\r\n                   .. ukm.adjustment(\r\n                        ukm.adjustment(ukm.left(\"СУММА ОТМЕН. ЧЕКОВ\",__width - 15), tostring(__rep.cancelled_return_receipts_sum), __width - 10, \" \"),\r\n                        tostring(__rep.cancelled_sale_receipts_sum),\r\n                        __width,\r\n                        \" \") .. \"\\n\"\r\n                   .. ukm.adjustment(\r\n                        ukm.adjustment(\"КОРРЕКЦИЙ\", tostring(__rep.voided_items),__width-10,\" \"),\r\n                        tostring(__rep.voided_items_sums),\r\n                        __width,\r\n                        \" \") .. \"\\n\"\r\n      		   .. ukm.leftpad(\"  ПЛАТЁЖНЫЕ СРЕДСТВА\",__width,\"-\") .. \"\\n\"\r\n         	   .. ukm.adjustment(ukm.adjustment(\" \",\"ШТ (РУБ)  САЛЬДО\", __width-10,\" \"),\"ОСТАТОК\",__width,\" \") .. \"\\n\"\r\n         	   .. report_x_cashier(__rep,__width);\r\n   if __rep.taxes:size() ~= 0 then\r\n      text = text .. ukm.leftpad(\"  ВКЛЮЧАЯ НАЛОГИ\",__width,\"-\") .. \"\\n\"\r\n				  .. report_x_taxes(__rep,__width);\r\n   end\r\nreturn text;\r\nend\r\n\r\n--Отчёт Х\r\nfunction print_report_x(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = report_general_shift_period(__rep,width)\r\n        text = text .. report_general_header(__rep,width,\"\");\r\n        text = text .. report_x_body(__rep,width);\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Отчёт Z\r\nfunction print_report_z(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer then\r\n        local width = printer:get_width();\r\n\r\n        local j_count = \"\";\r\n\r\n        if __rep.journal_count > 0 then\r\n            j_count = ukm.adjustment(\"ВСЕГО КОНТРОЛЬНЫХ ЛЕНТ\", tostring(__rep.journal_count), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        local text = report_general_shift_period(__rep,width)\r\n            .. report_general_header(__rep,width,\"\")\r\n            .. j_count\r\n            .. report_x_body(__rep,width);\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--Отчет по времени\r\nfunction print_report_time(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        if width  == 40 then\r\n           text = text .. \"* \" .. ukm.ptime2str(__rep.t_from,\"%d.%m.%Y %H:%M\") .. \" -- \" .. ukm.ptime2str(__rep.t_to,\"%d.%m.%Y %H:%M\") .. \" *\" .. \"\\n\";  \r\n        else\r\n           text = text .. \"*\" .. ukm.ptime2str(__rep.t_from,\"%d.%m.%Y %H:%M\") .. \"--\" .. ukm.ptime2str(__rep.t_to,\"%d.%m.%Y %H:%M\") .. \"*\" .. \"\\n\";  \r\n        end\r\n        text = text .. ukm.rightpad(\"*\",width,\"*\") .. \"\\n\";\r\n        text = text .. report_general_header(__rep,width,\"ЧСВ\"); \r\n        text = text .. report_x_body(__rep,width); \r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n\r\n   end\r\nend\r\n\r\n\r\n--Почасовой отчёт\r\nfunction format_report_by_the_hour(__rep,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n    if printer then\r\n        local width = printer:get_width();\r\n        local text \r\n            = report_general_shift_period(__rep, width)\r\n            .. report_general_header(__rep, width, \"ЧСВ\")\r\n            .. ukm.adjustment(ukm.leftpad(\"ВОЗВРАТ (РУБ)\", width - 18, \" \"), \"ПРОДАЖА (РУБ)\", width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.leftpad(\"         (ШТ)\", width - 18, \" \"), \"(ШТ)\", width, \" \") .. \"\\n\";\r\n\r\n        for i = 0, __rep.hours:size() - 1 do\r\n           local hour = __rep.hours:at(i);\r\n           text = text .. ukm.ptime2str(hour.from, \"%H:%M %d.%m.%Y\") .. \" - \" .. ukm.ptime2str(hour.to, \"%H:%M %d.%m.%Y\") .. \"\\n\";\r\n\r\n           local p = ukm.map.string.report_by_the_hour_row.iterator(hour.payments);\r\n           while p:next() do\r\n               local t = p:second();\r\n               text = text .. \"   \" .. p:first() .. \"\\n\"\r\n                   .. ukm.adjustment(ukm.leftpad(tostring(t.amount_return), width - 18, \" \"), tostring(t.amount_sale), width, \" \") .. \"\\n\"\r\n                   .. ukm.adjustment(ukm.leftpad(tostring(t.count_return), width - 18, \" \"), tostring(t.count_sale), width, \" \") .. \"\\n\";\r\n           end\r\n\r\n           text = text .. \"   ИТОГО:\\n\"\r\n               .. ukm.adjustment(ukm.leftpad(tostring(hour.total.amount_return), width - 18, \" \"), tostring(hour.total.amount_sale), width, \" \") .. \"\\n\"\r\n               .. ukm.adjustment(ukm.leftpad(tostring(hour.total.count_return), width - 18, \" \"), tostring(hour.total.count_sale), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        text = text .. \"ИТОГО ЗА ВЕСЬ ПЕРИОД:\" .. \"\\n\"\r\n            .. ukm.adjustment(ukm.leftpad(tostring(__rep.total.amount_return), width - 18, \" \"), tostring(__rep.total.amount_sale), width, \" \") .. \"\\n\"\r\n            .. ukm.adjustment(ukm.leftpad(tostring(__rep.total.count_return), width - 18, \" \"), tostring(__rep.total.count_sale), width, \" \") .. \"\\n\";\r\n\r\n        __print_data:add(text, ukm.printer_type_master());\r\n   end\r\nend\r\n\r\n--------------ОТЧЕТЫ ПЛАС-ТЕК-------\r\n--ОТЧЕТ ПО ОПЕРАЦИЯМ ДЛЯ ВСЕХ КАРТ\r\nfunction print_plas_tec_oper_report(__report, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local text = \"\\n\" .. ukm.center(\"ПЛАС-ТЕК. ОТЧЕТ ПО ОПЕРАЦИЯМ ПО ВСЕМ КАРТАМ\", width, \" \") .. \"\\n\\n\";\r\n\r\n    local col_1 = 19;\r\n    local col_2 = 8;\r\n    local col_3 = 11;\r\n\r\n    local terminal = \"\";\r\n    if __report.report_items:size() == 0 then\r\n        text = text .. \"ОПЕРАЦИЙ ПО ДАННОМУ ПЕРИОДУ НЕТ\\n\"\r\n    else\r\n        text = text .. \"ДАТА ОПЕРАЦИИ      |№ОПЕР   |№ КАРТЫ    \\n\"\r\n        text = text .. \"НАЗВАНИЕ ОПЕРАЦИИ  |ИТОГО   |БАЛАНС     \\n\"\r\n        text = text .. \"ССЫЛКА НА ТРАЗАКЦИЮ|                    \\n\"\r\n        text = text .. \"========================================\\n\"\r\n        for i=0, __report.report_items:size()-1 do\r\n            local string = \"\";\r\n            \r\n            local rec = __report.report_items:at(i);\r\n            if (ukm.str_len(rec.date) > col_1) or (ukm.str_len(rec.transaction) > col_2) or (ukm.str_len(rec.card_number) > col_3) then\r\n                string = string .. ukm.left(rec.date, col_1) .. \"|\" .. ukm.left(rec.transaction, col_2) .. \"|\" .. ukm.left(rec.card_number, col_3) .. \"\\n\";\r\n                string = string .. ukm.leftpad(ukm.mid(rec.date, col_1, ukm.str_len(rec.date) - col_1 + 1), col_1, \" \") .. \"|\" \r\n                                .. ukm.leftpad(ukm.mid(rec.transaction, col_2, ukm.str_len(rec.transaction) - col_2 + 1), col_2, \" \") .. \"|\" \r\n                                .. ukm.leftpad(ukm.mid(rec.card_number, col_3, ukm.str_len(rec.card_number) - col_3 + 1), col_3, \" \") .. \"\\n\";\r\n            else\r\n                string = string .. rec.date .. \"|\" .. rec.transaction.. \"|\" .. rec.card_number .. \"\\n\";\r\n            end\r\n\r\n            string = string .. \"----------------------------------------\\n\";\r\n\r\n	    if (ukm.str_len(rec.oper_name) > col_1) or (ukm.str_len(rec.total) > col_2) or (ukm.str_len(rec.balance) > col_3) then\r\n                string = string .. ukm.left(rec.oper_name, col_1) .. \"|\" .. ukm.left(rec.total, col_2) .. \"|\" .. ukm.left(rec.balance, col_3) .. \"\\n\";\r\n                string = string .. ukm.leftpad(ukm.mid(rec.oper_name, col_1 + 1, ukm.str_len(rec.oper_name) - col_1 + 1), col_1, \" \") .. \"|\" \r\n                                .. ukm.leftpad(ukm.mid(rec.total, col_2, ukm.str_len(rec.total) - col_2 + 1), col_2, \" \") .. \"|\" \r\n                                .. ukm.leftpad(ukm.mid(rec.balance, col_3, ukm.str_len(rec.balance) - col_3 + 1), col_3, \" \") .. \"\\n\";			\r\n            else\r\n                string = string .. rec.oper_name .. \"|\" .. rec.total .. \"|\" .. rec.balance .. \"\\n\";\r\n            end\r\n\r\n            string = string .. \"----------------------------------------\\n\";\r\n			\r\n            if (ukm.str_len(rec.h_transaction) > col_1) then\r\n                string = string .. ukm.left(rec.h_transaction, col_1) .. \"|\" .. \"                    \" .. \"\\n\";\r\n                string = string .. ukm.leftpad(ukm.mid(rec.h_transaction, col_1, ukm.str_len(rec.h_transaction) - col_1 + 1), col_1, \" \");\r\n            else\r\n                string = string .. rec.h_transaction;\r\n            end\r\n\r\n           string = string .. \"\\n========================================\\n\";\r\n           text = text .. string;\r\n        end\r\n    end\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n--ОТЧЕТ ПО ОПЕРАЦИЯМ ДЛЯ ОПРЕДЕЛЁННОЙ КАРТЫ\r\nfunction print_plas_tec_oper_report_on_card(__report, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local text = \"\\n\" .. ukm.center(\"ПЛАС-ТЕК. ОТЧЕТ ПО ОПЕРАЦИЯМ ПО КАРТЕ\", width, \" \") .. \"\\n\";\r\n\r\n    text = text ..  ukm.center(\"НОМЕР КАРТЫ: \" .. __report.card, width, \" \" ) .. \"\\n\\n\";\r\n\r\n    if __report.report_items:size() == 0 then\r\n        text = text .. \"ОПЕРАЦИЙ ПО ДАННОМУ ПЕРИОДУ НЕТ\\n\"\r\n    else\r\n        text = text .. \"ДАТА ОПЕРАЦИИ      |№ОПЕР   |НАЗВ ОПЕР  \\n\"\r\n        text = text .. \"ID МАГАЗИНА        |ИТОГО   |БАЛАНС     \\n\"\r\n        text = text .. \"ССЫЛКА НА ТРАЗАКЦИЮ|                    \\n\"\r\n        text = text .. \"----------------------------------------\\n\"\r\n       for i=0, __report.report_items:size()-1 do\r\n            local rec = __report.report_items:at(i);\r\n            local string = rec.date .. \"|\" .. rec.transaction.. \"|\" .. rec.oper_type .. \"\\n\" .. rec.shop_id .. \"|\" .. rec.total .. \"|\" .. rec.balance .. \"|\\n\" .. rec.h_transaction .. \"\\n-----------------------------------------\\n\";\r\n            text = text .. string;\r\n        end\r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n--ОТЧЕТ ПО ИТОГАМ ПЛАС-ТЕК\r\nfunction print_plas_tec_total_report(__report, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local text = \"\\n\" .. ukm.center(\"ПЛАС-ТЕК. ОТЧЕТ ПО ИТОГАМ\", width, \" \") .. \"\\n\\n\";\r\n   \r\n    if __report.report_items:size() == 0 then\r\n        text = text .. \"ОПЕРАЦИЙ ПО ДАННОМУ ПЕРИОДУ НЕТ\\n\"\r\n    else\r\n       text = text .. \"НАЗВАНИЕ ОПЕРАЦИИ |КОЛИЧЕСТВО|СУММА     \\n\"\r\n       text = text .. \"----------------------------------------\\n\"\r\n        for i=0, __report.report_items:size()-1 do\r\n            local rec = __report.report_items:at(i);\r\n            local string = rec.oper_name .. \"|\" .. rec.amount .. \"|\" .. rec.total .. \"\\n\" .. \"\\n-----------------------------------------\\n\";\r\n            text = text .. string;\r\n        end\r\n    end\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Отчет по напечатанным купонам\r\nfunction print_report_coupons_printed(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. report_general_header(__rep,width,\"Отчет по выданным купонам\"); \r\n        text = text .. report_general_shift_period(__rep,width);\r\n\r\n    if __rep.coupons ~=0 and __rep.coupons:size()>0 then\r\n      text = text .. \"*\" .. ukm.center(\"Выданные купоны\", width-2,\"-\") .. \"*\" .. \"\\n\";\r\n      local w2 = 17;\r\n      local w3 = 8;\r\n      local w4 = 4;\r\n      local w1 = width - w2 - w3 - w4;\r\n\r\n      text = text .. ukm.rightpad(\"Тип купона\", w1, \" \") .. ukm.rightpad(\"Номер купона\", w2, \" \") .. ukm.leftpad(\"Сумма\", w3, \" \") .. ukm.leftpad(\"Чек\", w4, \" \") .. \"\\n\";\r\n      for i=0, __rep.coupons:size()-1 do\r\n        local coupon = __rep.coupons:at(i);\r\n        text = text .. ukm.left(ukm.rightpad(coupon.type_name, w1-1, \" \"), w1-1) .. \" \" .. ukm.rightpad(coupon.number, w2, \" \") .. ukm.leftpad(tostring(coupon.amount), w3, \" \") .. ukm.leftpad(coupon.receipt_number, w4, \" \") .. \"\\n\";\r\n      end\r\n\r\n      text = text .. \"*\" .. ukm.center(\"Итого по типам купонов\", width-2,\"-\") .. \"*\" .. \"\\n\";\r\n      text = text .. ukm.left( ukm.rightpad(\"Тип купона\", width-w3-1, \" \"), width-w3-1) .. \" \" .. ukm.leftpad(\"Сумма\", w3, \" \") .. \"\\n\";\r\n      for i=0, __rep.types_total:size()-1 do\r\n        local type_total = __rep.types_total:at(i);\r\n        text = text .. ukm.left( ukm.rightpad(type_total.type_name, width-w3-1, \" \"), width-w3-1) .. \" \" .. ukm.leftpad(tostring(type_total.amount), w3, \" \") .. \"\\n\";\r\n      end\r\n\r\n      text = text .. ukm.adjustment(\"Итого выдано купонов на сумму\", tostring(__rep.total), width, \" \") .. \"\\n\";\r\n\r\n    else\r\n      text = text .. \"Не выдано ни одного купона\\n\";\r\n    end\r\n\r\n   __print_data:add(text, ukm.printer_type_master());\r\n\r\n   end\r\nend\r\n\r\n--Отчет по принятым купонам\r\nfunction print_report_coupons_accepted(__rep, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n        local text = \"\";\r\n        local width = printer:get_width();\r\n        text = text .. report_general_header(__rep,width,\"Отчет по принятым купонам\"); \r\n        text = text .. report_general_shift_period(__rep,width);\r\n\r\n    if __rep.coupons ~=0 and __rep.coupons:size()>0 then\r\n      text = text .. \"*\" .. ukm.center(\"Принятые купоны\", width-2,\"-\") .. \"*\" .. \"\\n\";\r\n      local w2 = 17;\r\n      local w3 = 8;\r\n      local w4 = 4;\r\n      local w1 = width - w2 - w3 - w4;\r\n\r\n      text = text .. ukm.rightpad(\"Тип купона\", w1, \" \") .. ukm.rightpad(\"Номер купона\", w2, \" \") .. ukm.leftpad(\"Сумма\", w3, \" \") .. ukm.leftpad(\"Чек\", w4, \" \") .. \"\\n\";\r\n      for i=0, __rep.coupons:size()-1 do\r\n        local coupon = __rep.coupons:at(i);\r\n        text = text .. ukm.left(ukm.rightpad(coupon.type_name, w1-1, \" \"), w1-1) .. \" \" .. ukm.rightpad(coupon.number, w2, \" \") .. ukm.leftpad(tostring(coupon.amount), w3, \" \") .. ukm.leftpad(coupon.receipt_number, w4, \" \") .. \"\\n\";\r\n      end\r\n\r\n      text = text .. \"*\" .. ukm.center(\"Итого по типам купонов\", width-2,\"-\") .. \"*\" .. \"\\n\";\r\n      text = text .. ukm.left( ukm.rightpad(\"Тип купона\", width-w3-1, \" \"), width-w3-1) .. \" \" .. ukm.leftpad(\"Сумма\", w3, \" \") .. \"\\n\";\r\n      for i=0, __rep.types_total:size()-1 do\r\n        local type_total = __rep.types_total:at(i);\r\n        text = text .. ukm.left( ukm.rightpad(type_total.type_name, width-w3-1, \" \"), width-w3-1) .. \" \" .. ukm.leftpad(tostring(type_total.amount), w3, \" \") .. \"\\n\";\r\n      end\r\n\r\n      text = text .. ukm.adjustment(\"Итого принято купонов на сумму\", tostring(__rep.total), width, \" \") .. \"\\n\";\r\n\r\n    else\r\n      text = text .. \"Не принято ни одного купона\\n\";\r\n    end\r\n\r\n   __print_data:add(text, ukm.printer_type_master());\r\n\r\n   end\r\nend\r\n\r\n-- Отчёт по кассирам\r\nfunction print_report_cashiers(__rep, __print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n\r\n  if printer then\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    text = text .. report_general_shift_period(__rep,width);\r\n    text = text .. report_general_header(__rep,width,\"КСР\");\r\n    text = text .. ukm.center(\"ОТЧЁТ ПО КАССИРАМ\", width, \" \") .. \"\\n\";\r\n\r\n   local iterator_collect = ukm.map.int.report_time_cashier_payments.iterator(__rep.cashiers);\r\n\r\n   local field_title_len = 20;\r\n   local field_values_len = width - field_title_len;\r\n\r\n   local field_title = \"Кассиры\";\r\n   local field_value1 = \"КОЛ-ВО\";\r\n   local field_value2 = \"СУММА\";\r\n   local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n   text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n\r\n   while iterator_collect:next() do\r\n     text = text .. ukm.left(tostring(iterator_collect:second().cashier.name), width) .. \"\\n\";\r\n\r\n     local field_title = \"  Внесения\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.count_insert);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.insert);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Изъятия\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.count_extract);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.extract);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Отмен чеков ПРД\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.cancelled_sale_receipts_count);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.cancelled_sale_receipts_items_sum);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Отмен чеков ВЗВ\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.cancelled_return_receipts_count);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.cancelled_return_receipts_items_sum);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Коррекций\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.voided_items);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.voided_items_sum);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Чеков ВЗВ\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.return_receipts_count);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.return_receipts_sum);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n\r\n     local field_title = \"  Чеков ПРД\";\r\n     local field_value1 = tostring(iterator_collect:second().cashier.sale_receipts_count);\r\n     local field_value2 = tostring(iterator_collect:second().cashier.sale_receipts_sum);\r\n     local field_values = ukm.adjustment(field_value1, field_value2, field_values_len, \" \");\r\n     text = text .. ukm.adjustment(field_title, field_values, width, \" \") .. \"\\n\";\r\n   end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n  end\r\nend\r\n\r\n\r\n-- Отчет по WebMoney\r\nfunction print_auth_webmoney_report(__cookies, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n	\r\n    local field = ukm.map.int.string.iterator(ukm.token(__cookies).tokens);\r\n	\r\n    if field:at(0) == \"0\" then\r\n       text = text ..  ukm.center(\"Отчет за период по WebMoney\", width, \" \") .. \"\\n\\n\";\r\n       text = text ..  ukm.adjustment(\"C \", field:at(4), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"По \", field:at(5), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номер кассы: \", field:at(1), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номера смен: \", field:at(2) .. \" - \" .. field:at(3), width, \" \") .. \"\\n\"; \r\n    else\r\n       text = text ..  ukm.center(\"Отчет по WebMoney № \" .. field:at(0), width, \" \") .. \"\\n\\n\";\r\n       text = text ..  ukm.adjustment(\"Номер кассы: \", field:at(1), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номер смены: \", field:at(2), width, \" \") .. \"\\n\"; \r\n \r\n    end\r\n    \r\n    text = text ..  ukm.adjustment(\"ОПЛАЧЕНО(\" .. field:at(6) .. \"):\", field:at(7), width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\"АННУЛИРОВАНО(\" .. field:at(8) .. \"):\", field:at(9), width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\"ВОЗВРАЩЕНО(\" .. field:at(10) .. \"):\", field:at(11), width, \" \") .. \"\\n\\n\"; \r\n\r\n    \r\n    __print_data:add(text, ukm.printer_type_master());\r\n\r\nend\r\n\r\nfunction print_auth_webmoney_report_small_printer(__cookies, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n	\r\n    local field = ukm.map.int.string.iterator(ukm.token(__cookies).tokens);\r\n	\r\n    if field:at(0) == \"0\" then\r\n       text = text ..  ukm.center(\"Отчет за период\", width, \" \") .. \"\\n\";\r\n       text = text ..  ukm.center(\"по WebMoney\", width, \" \") .. \"\\n\\n\";\r\n       text = text ..  ukm.adjustment(\"C \", field:at(4), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"По \", field:at(5), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номер кассы: \", field:at(1), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номера смен: \", field:at(2) .. \" - \" .. field:at(3), width, \" \") .. \"\\n\"; \r\n    else\r\n       text = text ..  ukm.center(\"Отчет по WebMoney\" .. field:at(0), width, \" \") .. \"\\n\";\r\n       text = text ..  ukm.center(\"№ \" .. field:at(0), width, \" \") .. \"\\n\\n\";\r\n       text = text ..  ukm.adjustment(\"Номер кассы: \", field:at(1), width, \" \") .. \"\\n\"; \r\n       text = text ..  ukm.adjustment(\"Номер смены: \", field:at(2), width, \" \") .. \"\\n\"; \r\n \r\n    end\r\n    \r\n    text = text ..  ukm.adjustment(\"ОПЛАЧЕНО(\" .. field:at(6) .. \"):\", \" \", width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\" \", field:at(7), width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\"АННУЛИРОВАНО(\" .. field:at(8) .. \"):\", \" \", width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\" \", field:at(9), width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\"ВОЗВРАЩЕНО(\" .. field:at(10) .. \"):\", \" \", width, \" \") .. \"\\n\"; \r\n    text = text ..  ukm.adjustment(\" \", field:at(11), width, \" \") .. \"\\n\\n\"; \r\n\r\n    \r\n    __print_data:add(text, ukm.printer_type_master());\r\n\r\nend\r\n\r\n\r\n--Заголовок Z- отчета ККТ ФЗ-54 \r\nfunction print_report_z_header54(__print_data)\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.adjustment( \"Касса\", tostring(ukm.get_pos_number()) ,width,\" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment( \"Смена в кассе\", tostring(ukm.get_shift_number()) ,width,\" \") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Нижний колонтитул Z- отчета ККТ ФЗ-54 \r\nfunction print_report_z_footer54(__print_data)\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Заголовок X- отчета ККТ ФЗ-54 \r\nfunction print_report_x_header54(__print_data)\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.adjustment( \"Касса\", tostring(ukm.get_pos_number()) ,width,\" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment( \"Смена в кассе\", tostring(ukm.get_shift_number()) ,width,\" \") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Нижний колонтитул x- отчета ККТ ФЗ-54 \r\nfunction print_report_x_footer54(__print_data)\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n-- Заголовок Z- отчета iKassa \r\nfunction print_report_z_header_iKassa(__ShiftClose, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n	text = text .. ukm.adjustment( \"Касса\", tostring(ukm.get_pos_number()) ,width,\" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment( \"Смена в кассе\", tostring(ukm.get_shift_number()) ,width,\" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment( \"Закрыта\", ukm.ptime2str(__ShiftClose.date, \"%d/%m/%Y %H:%M\") ,width,\" \") .. \"\\n\";\r\n\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'return_docs.lua','-- Модуль печати пакета документов на возврат на кассовом принтере\r\n\r\nfunction  return_cash_order(__receipt, __type, __cash, __index)\r\n	local text = \"\";\r\n	local width = 35;\r\n        local heads = ukm.shop_juristic_person() .. \", \" .. ukm.shop_code_subdivision();\r\n        local cupon = 0;\r\n\r\n        local price_vector = ukm.explode(tostring(__cash),\".\");\r\n\r\n\r\n                text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n		if ukm.str_len(heads ) <= width then\r\n		 text = text .. ukm.center(heads , width, \" \") .. \"\\n\";\r\n		else\r\n		 text = text .. ukm.slice(ukm.center(heads , width, \" \"), width) .. \"\\n\";\r\n		end\r\n		text = text .. \"РАСХОДНО-КАССОВЫЙ ОРДЕР\" .. \"\\n\";\r\n		text = text .. \"№\" .. ukm.center(\"\", 16 , \"_\") .. \" от \" .. ukm.ptime2str(__receipt.header.date, \"%d.%m.%Y\") .. \"\\n\";\r\n		text = text .. \"Код Форма по ОКУД \" .. ukm.center(\"\", 10 , \"_\") .. \"0310002\" .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Код по ОКПО \", ukm.shop_okpo(), width, \"_\") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Корр. счет \", __index, width, \"_\") .. \"\\n\";\r\n		text = text .. \"Код аналитического учета \" .. ukm.center(\"\", 9 , \"_\") .. \"\\n\";\r\n		text = text ..  ukm.adjustment(\"Кредит \", \"50.02\", width, \"_\")  .. \"\\n\";\r\n		text = text ..  ukm.adjustment(\"Сумма \", tostring(__cash), width, \"_\")  .. \"\\n\";\r\n		text = text .. \"Код цел. назначения \" .. ukm.center(\"\", 15 , \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"Выдать(ФИО) \" .. ukm.center(\"\", 23 , \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width , \"_\") .. \"\\n\";\r\n		text = text .. \"Основание: Возврат товаров от\" .. \"\\n\";\r\n		text = text .. \"покупателя\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Сумма: \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП \" \r\n		.. \"(\" .. ukm.num2txt(__cash) .. \" КОП\" .. \")\", width) ..\"\\n\";\r\n\r\n		if (__type == 1) then\r\n		 text = text .. ukm.rightpad(\"Приложение: Чек \" .. tostring(__receipt.link.headerlink.pos) .. \".\" .. tostring(__receipt.link.headerlink.shiftopen.number) \r\n		 .. \".\" .. tostring(__receipt.link.headerlink.localnumber), width, \" \") .. \"\\n\";\r\n		 text = text .. \"от \" .. ukm.ptime2str(__receipt.link.headerlink.date, \"%d.%m.%Y\") .. \"\\n\";\r\n		end\r\n		if (__type == 2) then\r\n		  text = text .. ukm.rightpad(\"Приложение: Чек \" .. tostring(__receipt.header.pos) .. \".\" .. tostring(__receipt.header.shiftopen.number) \r\n		 .. \".\" .. tostring( __receipt.header.localnumber), width, \" \") .. \"\\n\";\r\n		 text = text .. \"от \" .. ukm.ptime2str(ukm.get_sys_date(), \"%d.%m.%Y\") .. \"\\n\"; \r\n		end\r\n\r\n		text = text .. ukm.slice(\"Рук.орг.: \" .. ukm.shop_director(), width) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Гл.бух.: \" .. ukm.shop_accountant(), width) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.slice(\"Получил: \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП \" \r\n		.. \"(\" .. ukm.num2txt(__cash) .. \" КОП\" .. \")\", width) ..\"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.ptime2str(__receipt.header.date, \"%d.%m.%Y\") .. ukm.center(\"\", 6, \" \") .. \"Подпись\" .. ukm.center(\"\", 12, \"_\") .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"По \"  .. ukm.center(\"\", 32, \"_\") .. \"\\n\";\r\n		text = text .. \"   (наименование, номер, дата\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n		text = text .. \"   и место выдачи документа,\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n		text = text .. \"   удостоверяющего личность)\" .. \"\\n\";\r\n                text = text .. \"\\n\";\r\n		text = text .. \"Выдал кассир\" .. ukm.center(\"\", 23, \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 16, \" \") .. \"(подпись)\" .. \"\\n\";\r\n		text = text .. ukm.left(__receipt.login.name, width-16) .. \"\\n\";\r\n		text = text .. ukm.center(\"\", 2, \" \") .. \"(расшифровка подписи)\" .. \"\\n\";\r\n\r\n	return text;\r\nend\r\n\r\nfunction  return_request (__receipt)\r\n	local text = \"\";\r\n	local nameArk = \"\";\r\n	local width = 35;\r\n	local price_vector = ukm.explode(tostring( __receipt:receipt_amount()),\".\");\r\n	\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	if ukm.str_len(ukm.shop_juristic_person()) <= width then\r\n         text = text .. ukm.center(ukm.shop_juristic_person(), width, \" \") .. \"\\n\";\r\n        else\r\n         text = text .. ukm.slice(ukm.center(ukm.shop_juristic_person(), width, \" \"), width) .. \"\\n\";\r\n        end\r\n	text = text .. ukm.slice( \"Директору \" .. ukm.shop_director() ..  \", \" .. ukm.shop_address(), width) .. \"\\n\";\r\n\r\n        text = text .. \"\\n\";\r\n	text = text .. \"От \" .. ukm.center(\"\", width-3, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"паспорт (сер.,ном.) \" .. ukm.center(\"\", 5, \"_\") .. \" \" .. ukm.center(\"\", 9, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"выдан (кем, когда) \" .. ukm.center(\"\", 16, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n\r\n	text = text .. \"   ЗАЯВЛЕНИЕ О ВОЗВРАТЕ ТОВАРА\" .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. \"\\\"___\\\"\" .. ukm.center(\"\", 22, \"_\") .. \" 20___г.\" .. \"\\n\";\r\n	text = text .. ukm.slice(\"в магазине \" .. ukm.shop_name() .. \"\" .. \" мной был приобретен:\", width) ..\"\\n\";\r\n\r\n	for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(j) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					price_with_discount = ukm.currency(( __receipt.items:at(i).total - discount_total) /  __receipt.items:at(i).totalquantity);\r\n\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" ..__receipt.items:at(i).name, width) ..  \"\\n\";\r\n					end\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                        tostring(discount_price * __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";	\r\n                                  else\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" ..__receipt.items:at(i).name, width) ..  \"\\n\";\r\n					end\r\n					text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                        tostring(__receipt.items:at(i).price* __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";\r\n                                end\r\n			else\r\n                                nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n				if ukm.str_len(nameArk) <= width then\r\n					text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width)   ;\r\n				else\r\n					text = text .. ukm.slice(__receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n				end\r\n				text = text .. ukm.adjustment(__receipt.items:at(i).measurement .. \"*\" .. tostring(__receipt.items:at(i).totalquantity), \r\n                                tostring(__receipt.items:at(i).price* __receipt.items:at(i).totalquantity), width, \" \") .. \"\\n\";	\r\n                        end\r\n		end\r\n	end\r\n\r\n        text = text .. \"\\n\";\r\n	text = text .. \"Причина возврата: \" .. ukm.center(\"\", width-18, \"_\") .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", width, \"_\") .. \"\\n\";\r\n	\r\n	text = text .. ukm.slice(\"В соответствии с Законом РФ \\\"О защите прав потребителя от 07.02.92 г. №2300-1, прошу расторгнуть со мной договор купли-продажи и возвратить мне сумму в размере \" .. price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП\", width) .. \"\\n\";\r\n	text = text .. ukm.slice( \"(\" .. ukm.num2txt(__receipt.subtotal.amount) .. \" КОП\" ..\")\", width) .. \"\\n\"; \r\n	text = text .. \"\\\"___\\\"\" .. ukm.center(\"\", 22, \"_\") .. \" 20___г.\" .. \"\\n\";\r\n        text = text .. \"\\n\";\r\n	text = text .. ukm.center(\"\", 26, \"_\") .. \"(подпись)\" .. \"\\n\";\r\n       \r\n	return text;\r\nend\r\n\r\nfunction  return_invoice (__receipt)\r\n	local text = \"\";\r\n	local width = 35;\r\n	local price_vector = ukm.explode(tostring( __receipt:receipt_amount()),\".\");\r\n\r\n        text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n	text = text .. ukm.center(\"ВОЗВРАТ ОТ ПОКУПАТЕЛЯ\", width, \" \") .. \"\\n\";\r\n	text = text .. \"Поставщик: Розничный покупатель\" .. \"\\n\";\r\n	text = text .. ukm.slice(\"Покупатель: \".. ukm.shop_juristic_person(), width) .. \"\\n\";\r\n	\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n	text = text .. \"№ Наим. товара     Кол-во Стоимость\" .. \"\\n\";\r\n\r\n	for i = 0, __receipt.items:size() - 1 do\r\n		if __receipt.items:at(i).type == ukm.item.normal then\r\n			local discount_count = __receipt.items:at(i).discounts:size();\r\n			if discount_count > 0 then\r\n				local discount_total = ukm.currency(0);\r\n				for j = 0, discount_count - 1 do\r\n					local discount = __receipt.items:at(i).discounts:at(j);\r\n					if discount.increment ~= ukm.currency(0) then\r\n						discount_total = discount_total - discount.increment;\r\n					end\r\n				end\r\n				if discount_total:sign() ~= 0 then\r\n					local discount_price = (__receipt.items:at(i).total - discount_total) / __receipt.items:at(i).totalquantity;\r\n					discount_price = ukm.currency(discount_price);\r\n					\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n					text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(discount_price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";	\r\n                                 else\r\n                                        nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n					text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(__receipt.items:at(i).price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";\r\n                                 end\r\n			else\r\n				nameArk = __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name;\r\n					if ukm.str_len(nameArk) <= width then\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width);\r\n					else\r\n						text = text .. ukm.slice(i+1 .. \" \" .. __receipt.items:at(i).item .. \" \" .. __receipt.items:at(i).name, width) .. \"\\n\";\r\n					end\r\n				text = text .. ukm.leftpad(tostring(__receipt.items:at(i).totalquantity) .. \" \" ..  __receipt.items:at(i).measurement .. \". =\" .. tostring(__receipt.items:at(i).price * __receipt.items:at(i).totalquantity), width-2, \" \") .. \"\\n\";	\r\n                        end\r\n		end\r\n	end\r\n\r\n	text = text .. ukm.center(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	text = text .. \"Итого: \" .. ukm.leftpad(price_vector:at(0) .. \" РУБ \" .. price_vector:at(1) .. \" КОП\", 0, \".\") .. \"\\n\";\r\n	text = text ..  ukm.slice(\"(\" .. ukm.num2txt(__receipt.subtotal.amount) .. \" КОП\" .. \")\", width)  .. \"\\n\";\r\n	text = text .. \"Отпустил \" .. ukm.center(\"\", 16, \"_\") ..\"(подпись)\" .. \"\\n\";\r\n        text = text ..  \"\\n\";\r\n	text = text .. \"Получил \" .. ukm.center(\"\", 17, \"_\") ..\"(подпись)\" .. \"\\n\";\r\n	\r\n	return text;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'slip_internal_account.lua','-- Если print_receipt_copy = true, то печатается копия чека, если нет, то слип\r\nlocal print_receipt_copy = false;\r\n-- Печать места для подписи\r\nlocal print_signature = true;\r\n\r\nfunction print_slip_header(__header, __width)\r\n	local text = \"\";\r\n	if __header.receipt.type == ukm.core.copy then\r\n	   text = text .. \"*\" .. ukm.center(\"К О П И Я   Ч Е К А\",__width-2,\" \") .. \"*\" .. \"\\n\";\r\n	   text = text .. ukm.leftpad(\"*\", __width, \"*\") .. \"\\n\";\r\n	elseif __header.receipt.type == ukm.core.duplicate_ then\r\n	   text = text .. \"*\" .. ukm.center(\"Д У Б Л И К А Т   Ч Е К А\",__width-2,\" \") .. \"*\" .. \"\\n\";\r\n	   text = text .. ukm.leftpad(\"*\", __width, \"*\") .. \"\\n\";\r\n	elseif __header.receipt.type == ukm.core.restore_ then\r\n	   text = text .. \"*\" .. ukm.center(\"Ч Е К   В О С С Т А Н О В Л Е Н\",__width-2,\" \") .. \"*\" .. \"\\n\";\r\n	   text = text .. ukm.leftpad(\"*\", __width, \"*\") .. \"\\n\";\r\n	elseif __header.receipt.type == ukm.core.goods_receipt then\r\n	   text = text .. \"*\" .. ukm.center(\"Т О В А Р Н Ы Й   Ч Е К\",__width-2,\" \") .. \"*\" .. \"\\n\";\r\n	   text = text .. ukm.leftpad(\"*\", __width, \"*\") .. \"\\n\";\r\n	end\r\n\r\n	if __width > 20 then\r\n	   text = text .. ukm.adjustment(__header.login.name, ukm.ptime2str(__header.date, \"%d/%m/%Y %H:%M\"), __width, \" \") .. \"\\n\";\r\n	else\r\n	   text = text .. ukm.rightpad(__header.login.name, __width, \" \") .. \"\\n\";\r\n	   text = text .. ukm.leftpad(ukm.ptime2str(__header.date, \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n	end\r\n	local recnumb = get_recnumb(__header);\r\n\r\n	if __width > 20 then\r\n	   text = text .. ukm.adjustment(\"ЧЕК:\" .. tostring(__header.pos) .. \".\" .. tostring(__header.shiftopen.number) .. \".\" .. tostring(__header.localnumber), recnumb .. \" \" .. \"ТРН:\" .. ukm.leftpad(tostring(__header.globalnumber),12,\"0\"), __width, \" \") .. \"\\n\";\r\n	else\r\n	   text = text .. ukm.rightpad(\"ЧЕК:\" .. tostring(__header.pos) .. \".\" .. tostring(__header.shiftopen.number) .. \".\" .. tostring(__header.localnumber), __width, \" \") .. \"\\n\";\r\n	   text = text .. ukm.adjustment( recnumb , \"ТРН:\" ..ukm.leftpad(tostring(__header.globalnumber),12,\"0\"), __width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	text = text .. print_client(__header, __width);\r\n	text = text .. ukm.leftpad(\"-\", __width, \"-\") .. \"\\n\";\r\n	\r\n	if __header.receipt:link_exists() then\r\n		local print_linked = false;\r\n		local header_t = \"\";\r\n		if __header.type == ukm.header.returnbyreceipt then\r\n           header_t = \"ВОЗВРАТ ПО ЧЕКУ\";\r\n		   print_linked = true;\r\n        elseif header_type == ukm.header.pop or header_type == ukm.header.nonfiscal then\r\n           header_t = \"ВОССТАНОВЛЕНИЕ ЧЕКА\";\r\n		   print_linked = true;\r\n		end\r\n		\r\n		if print_linked then\r\n			if __width <= 20 then\r\n				text = text .. header_t .. \"\\n\";\r\n				text = text .. ukm.leftpad(ukm.ptime2str(__header.receipt.link.headerlink.date, \"%d/%m/%Y %H:%M\"),__width,\" \") .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(header_t, ukm.ptime2str(__header.receipt.link.headerlink.date, \"%d/%m/%Y %H:%M\"), __width, \" \") .. \"\\n\";\r\n			end\r\n			\r\n			local recnumb = get_recnumb(__header.receipt.link.headerlink);\r\n			if __width <= 20 then\r\n				text = text .. \"ЧЕК:\" .. tostring(__header.receipt.link.headerlink.pos) .. \".\" .. tostring(__header.receipt.link.headerlink.shiftopen.number) .. \".\" .. tostring(__header.receipt.link.headerlink.localnumber)  .. \"\\n\";\r\n				text = text .. ukm.adjustment(recnumb,\"ТРН:\" .. ukm.leftpad(tostring(__header.receipt.link.headerlink.globalnumber),12,\"0\"), __width, \" \") .. \"\\n\";\r\n			else\r\n				text = text .. ukm.adjustment(\"ЧЕК:\" .. tostring(__header.receipt.link.headerlink.pos) .. \".\" .. tostring(__header.receipt.link.headerlink.shiftopen.number) .. \".\" .. tostring(__header.receipt.link.headerlink.localnumber), recnumb .. \" \" .. \"ТРН:\" .. ukm.leftpad(tostring(__header.receipt.link.headerlink.globalnumber),12,\"0\"), __width, \" \") .. \"\\n\";\r\n			end\r\n			\r\n			text = text .. ukm.leftpad(\"-\", __width, \"-\") .. \"\\n\";\r\n		end\r\n	end\r\n	\r\n	return text;\r\nend\r\n\r\nfunction print_slip_payment(__payment, __width)\r\n	local text = \"\";\r\n	local paytype = \"\";\r\n	if __payment.receipt.type ~= ukm.core.goods_receipt then\r\n		if __payment.type == ukm.payment.void or __payment.type == ukm.payment.normal then\r\n			if __payment.receipt.header.type == ukm.header.sale\r\n				or __payment.receipt.header.type == ukm.header.pop then\r\n				paytype = \"ОПЛАТА С \" .. ukm.str_upper(__payment:get_account_type_name());\r\n			elseif __payment.receipt.header.type == ukm.header.creturn\r\n				or __payment.receipt.header.type == ukm.header.returnbyreceipt then\r\n				paytype = \"ВОЗВРАТ НА \" .. ukm.str_upper(__payment:get_account_type_name());\r\n			end\r\n		end\r\n		\r\n		local npaytype = \" \";\r\n		if __payment.type == ukm.payment.cancel then\r\n			npaytype = \"X\";\r\n		elseif __payment.type == ukm.payment.void  or __payment.type == ukm.payment.change then\r\n			npaytype = \"-\";\r\n		end\r\n\r\n		if ukm.str_len(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\" .. ukm.leftpad(tostring(__payment.amountwithchange), 14 ,\".\") .. npaytype) < (__width + 1) then\r\n			text = text .. ukm.leftpad(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\" .. ukm.leftpad(tostring(__payment.amountwithchange), 14 ,\".\") .. npaytype, __width ,\" \")  .. \"\\n\";\r\n		else\r\n			text = text .. ukm.rightpad(paytype .. \",\" .. ukm.str_upper(__payment.paymentname) .. \":.\", __width ,\".\")  .. \"\\n\";\r\n			text = text .. ukm.leftpad(tostring(__payment.amountwithchange) .. npaytype,__width, \".\") .. \"\\n\";\r\n		end\r\n	end\r\n	\r\n	return text;\r\nend\r\n\r\nfunction print_slip()\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local core = ukm.get_core(ukm.mashine.handle);\r\n	local has_account_payments = false;\r\n	local text = \"\";\r\n	\r\n	local normal_payments = core.payments:leavenormal();\r\n	for i = 0, normal_payments:size() - 1 do\r\n		local payment = normal_payments:at(i);\r\n		local efts = payment:get_efts();\r\n		if efts ~= nil and efts:get() == 12 then\r\n			text = text .. \"\\n\" .. print_slip_payment(payment, width);\r\n			has_account_payments = true;\r\n		end\r\n	end\r\n	\r\n	if not has_account_payments then\r\n		return \"\";\r\n	end\r\n	\r\n	if print_receipt_copy then\r\n		text = core:get_receipt_copy_text();\r\n	else\r\n		text = print_slip_header(core.header, width) .. ukm.rightpad(\"ОПЛАТА С ВНУТРЕННИХ СЧЕТОВ:\", width, \" \") .. text .. \"\\n\";\r\n	end\r\n	\r\n	if print_signature then\r\n		text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \" \\n\";\r\n	end\r\n	\r\n	return text;\r\nend\r\n\r\nreturn print_slip();',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'slip.lua','-- Печать слипов\r\nloya_short_slip = false; -- true - короткий слип loya, false - полный слип loya\r\n\r\nfunction rtrim(inputstr)\r\n   local n = #inputstr\r\n   while n > 0 and inputstr:find(\'^%s\', n) do\r\n      n = n - 1\r\n   end\r\n   return inputstr:sub(1, n)\r\nend\r\n\r\nfunction split(inputstr, sep)\r\n   if sep == nil then\r\n     sep = \'%s\'\r\n   end\r\n   local t = {}\r\n   for str in string.gmatch(inputstr, \'([^?!\'..sep..\']+)\') do\r\n     table.insert(t, str)\r\n   end\r\n   return t\r\nend\r\n\r\nfunction find_item_property(__item, __code)\r\n    for i = 0, __item.properties:size() - 1 do\r\n      local property = __item.properties:at(i);\r\n      local property_code = property.code;\r\n      if property_code == __code then\r\n         return true, property;\r\n      end \r\n    end\r\n   return false, \"\";\r\nend\r\nfunction find_item_property_value(__item, __code)\r\n    local res_ok;\r\n    local prop;\r\n    res_ok, prop = find_item_property(__item, __code);\r\n    if res_ok then \r\n        return prop.value;\r\n    end\r\n    return \"\";\r\nend\r\nfunction find_item_property_name(__item, __code)\r\n    local res_ok;\r\n    local prop;\r\n    res_ok, prop = find_item_property(__item, __code);\r\n    if res_ok then\r\n      if prop.name ~= nil then \r\n          return prop.name:get();\r\n      end\r\n    end\r\n    return \"\";\r\nend\r\n\r\n--Форматирование даты в виде ДД.ММ.ГГГГ чч:мм:cc (из ГГГГММДДччммcc)\r\nfunction to_formated_date_DD_MM_YYYY_HH_mm_ss(__date_time)\r\n    local new_date = \"\";\r\n    if  __date ~= \"\" then\r\n        new_date = ukm.mid(__date_time, 6 ,2) .. \".\" .. ukm.mid(__date_time, 4 ,2) .. \".\" .. ukm.mid(__date_time, 0 ,4) .. \" \" .. ukm.mid(__date_time, 8 ,2) .. \":\" .. ukm.mid(__date_time, 10 ,2) .. \":\" .. ukm.mid(__date_time, 12 ,2);\r\n    end\r\n    return new_date;\r\nend\r\n\r\n--Форматирование даты в виде ММ/ГГ (из ММГГ)\r\nfunction to_formated_date_MM_YY(__date)\r\n    local new_date = \"\";\r\n    if  __date ~= \"\" then\r\n        new_date = ukm.mid(__date, 0 ,2) .. \"/\" .. ukm.mid(__date, 2 ,2);\r\n    end\r\n    return new_date;\r\nend\r\n\r\n--Маскирование номера в виде xxxxxxxxxxxxxxx1234\r\nfunction f_mask_card_number(__card_number)\r\n   local num_len = ukm.str_len(__card_number);\r\n   local count_numb = 0;\r\n   local j = 0;\r\n   while count_numb ~= 4 do\r\n      local simb = ukm.str_sub(__card_number, num_len-j, num_len-j)\r\n      if (simb ~= \"-\") then\r\n         count_numb = count_numb + 1;\r\n      end\r\n      j = j+1;\r\n   end\r\n   return ukm.mask_string_middle(__card_number,\"x\",0,j);\r\nend\r\n\r\n--Маскирование номера в виде 12xxxxxxxxxxxxx1234\r\nfunction f_mask_bank_card_number(__card_number)\r\n   local num_len = ukm.str_len(__card_number);\r\n   local count_numb = 0;\r\n   local j = 0;\r\n   while count_numb ~= 4 do\r\n      local simb = ukm.str_sub(__card_number, num_len-j, num_len-j)\r\n      if (simb ~= \"-\") then\r\n         count_numb = count_numb + 1;\r\n      end\r\n      j = j+1;\r\n   end\r\n   return ukm.mask_string_middle(__card_number,\"x\",2,j);\r\nend\r\n\r\n\r\n\r\nfunction auth_byrocrat(__item, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local int width = printer:get_width();\r\n    local int max_param_width = width/2 + 2;\r\n    --text = text .. ukm.center(\"SHOP NAME\", width, \" \") .. \"\\n\";\r\n    --text = text .. ukm.center(\"SHOP ADDRESS\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ID кассы:\" .. find_item_property_value(__item, \"TERMINAL\"), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ID платежа:\" .. find_item_property_value(__item, \"TRANSACTIONID\"),  width, \" \") .. \"\\n\";\r\n    text = text .. \"\\n\";\r\n    local date_time = \"\";\r\n    date_time = find_item_property_value(__item, \"TRNDATETIME\");\r\n    text = text .. ukm.adjustment(\"Дата, время\", to_formated_date_DD_MM_YYYY_HH_mm_ss(date_time), width, \" \") .. \"\\n\";\r\n    text = text .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Оплата услуг Оператора\", __item.name, width, \" \") ..\"\\n\";\r\n    local parameter_name = find_item_property_name(__item, \"TELNUMBER\");\r\n    local tel_number = tostring( find_item_property_value(__item, \"TELNUMBER\") );\r\n    local temp_number = ukm.str_sub(tel_number, 0, max_param_width - 1);\r\n    local i = 0;\r\n\r\n    if ukm.str_len(tel_number) > max_param_width then\r\n        text = text .. parameter_name .. \"\\n\";\r\n        while temp_number ~= \"\" do\r\n            i = i + 1;\r\n            text = text .. ukm.adjustment(\" \", temp_number, width, \" \") ..\"\\n\";\r\n            temp_number = ukm.str_sub(tel_number, i*max_param_width, (i + 1)*max_param_width - 1);\r\n        end\r\n    else\r\n        text = text .. ukm.adjustment(parameter_name, tel_number, width, \" \") ..\"\\n\";\r\n    end\r\n    if find_item_property_value(__item, \"TAXTOTAL\") then\r\n--        text = text .. ukm.adjustment(\"Комиссия\" .. find_item_property_value(__item, \"TAXTYPE\"), find_item_property_value(__item, \"TAXAMOUNT\"), width, \" \") ..\"\\n\";\r\n	if find_item_property_value(__item, \"TAXTYPE\") == \"1\" then\r\n        	text = text .. ukm.adjustment(\"Комиссия\", find_item_property_value(__item, \"TAXAMOUNT\") .. \"%\", width, \" \") ..\"\\n\";\r\n	else \r\n	        text = text .. ukm.adjustment(\"Комиссия\", find_item_property_value(__item, \"TAXAMOUNT\"), width, \" \") ..\"\\n\";\r\n	end\r\n\r\n        text = text .. ukm.adjustment(\"Оплачено\", find_item_property_value(__item, \"AMOUNT\"), width, \" \") ..\"\\n\";\r\n        text = text .. ukm.adjustment(\"Комиссия\", find_item_property_value(__item, \"TAXTOTAL\"), width, \" \") ..\"\\n\";\r\n    end\r\n    text = text .. ukm.adjustment(\"К зачислению\", find_item_property_value(__item, \"REALAMOUNT\"), width, \" \") ..\"\\n\";\r\n\r\n    text = text .. \"\\n\";\r\n\r\n    if find_item_property_value(__item, \"FINALSLIP\") ~= \"\" then\r\n        text = text .. ukm.center(\"Спасибо!\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"Услуга предоставлена совместно c\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"ФГ \\\"БюрократЪ\\\"\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"Телефон тех. поддержки: (495)721-2876\", width, \" \") .. \"\\n\";\r\n    else\r\n        text = text .. \"реквизиты платежа\\n\";\r\n        text = text .. ukm.adjustment(\"указаны правильно\", \"_\", width, \"_\") .. \"\\n\";\r\n        text = text .. ukm.leftpad(\"(подпись плательщика)\", width,\" \") .. \"\\n\";\r\n    end\r\n\r\n    text = text .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_typical_item_slip(__item, __type, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    text = ukm.center(__type, width, \" \") .. \"\\n\";\r\n    local recnumb = get_recnumb(__item.receipt.header);\r\n    text = text .. ukm.adjustment(\"ЧЕК:\" .. tostring(__item.receipt.header.pos) .. \".\" .. tostring(__item.receipt.header.shiftopen.number) .. \".\" .. tostring(__item.receipt.header.localnumber), recnumb .. \" \" .. \"ТРН:\" .. ukm.leftpad(tostring(__item.receipt.header.globalnumber),12,\"0\"), width, \" \") .. \"\\n\";   \r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. find_item_property_value(__item, \"TERMINAL\"),width, \" \")  .. \"\\n\";\r\n    if __type == \"UCS\" then\r\n       text = text .. ukm.center(\"ID ТОЧКИ ОБСЛУЖИВАНИЯ \" .. find_item_property_value(__item, \"MERCHN\"),width, \" \")  .. \"\\n\";\r\n    end\r\n    text = text .. ukm.center(__item.name,width, \" \") .. \"\\n\";\r\n    if __type == \"CYBER CASSA\" then\r\n      local cyber_code = \"\";\r\n      cyber_code = find_item_property_value(__item, \"OPERATORCODE\");\r\n      if cyber_code ~= \"\" then\r\n         text = text .. ukm.center(cyber_code, width, \" \") .. \"\\n\";\r\n      end     \r\n    end\r\n    text = text .. ukm.adjustment(\"ИТОГО (с учетом НДС И НСП):\", tostring(__item.total), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ДАТА\", ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 6 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 4 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 0 ,4) .. \" \" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 8 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 10 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 12 ,2), width, \" \") .. \"\\n\";\r\n    local tel_num = \"\";\r\n    tel_num = find_item_property_value(__item, \"TELNUMBER\");\r\n    if tel_num ~= \"\" then\r\n      text = text .. ukm.adjustment(\"Телефон\", \"(\" .. ukm.mid(tel_num, 0, 3) .. \")\" ..  ukm.mid(tel_num, 3, 3) .. \"-\" .. ukm.mid(tel_num, 6, 4), width, \" \") .. \"\\n\"; \r\n    end\r\n    local account_num = \"\";\r\n    account_num = find_item_property_value(__item, \"ACCOUNT\");\r\n    if account_num ~= \"\" then\r\n      text = text .. ukm.adjustment(\"№ счета\", account_num, width, \" \") .. \"\\n\"; \r\n    end\r\n    local auth_code = \"\";\r\n    auth_code = find_item_property_value(__item, \"AUTHCODE\");\r\n    if auth_code ~= \"\" then\r\n      text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. auth_code, width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction rapida_item(__item)\r\n  local text = \"\";\r\n  text = text .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 6 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 4 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 0 ,4) .. \" \" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 8 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 10 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 12 ,2) .. \"\\n\";\r\n  text = text .. ukm.adjustment(\"ЧЕК:\" .. ukm.leftpad(tostring(__item.receipt.header.pos),3 ,0) .. \".\" .. ukm.leftpad(tostring(__item.receipt.header.shiftopen.number),4 ,0) .. \".\" .. ukm.leftpad(tostring(__item.receipt.header.localnumber),5 ,0), \"Касса \" .. tostring(__item.receipt.header.pos), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustment(\"КАРТА номинал шт1\", \"0.01 РУБ\", width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustment(\"Количество    шт\", tostring(__item.total*100), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustment(\"ИТОГО\", tostring(__item.total), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.center(\"ПРОШУ ВАС АКТИВИЗИРОВАТЬ КАРТЫ\\\"РАПИДА\\\"\", width, \" \") .. \"\\n\" .. \" \\n\";\r\n  text = text .. __item.name .. \"\\n\";\r\n  local tel_num = \"\";\r\n  tel_num = find_item_property_value(__item, \"TELNUMBER\");\r\n  text = text .. ukm.adjustment(\"N телефона\", \"(\" .. ukm.mid(tel_num, 0, 3) .. \")\" ..  ukm.mid(tel_num, 3, 3) .. \"-\" .. ukm.mid(tel_num, 6, 4), width, \" \") .. \"\\n\"; \r\n  text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n  text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.adjustment(\"Телефон справочной службы\", \"222-22-22\",width, \" \") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\n\r\n--Слип для оплаты услуг через UCS\r\n--function print_ucs_item_slip(__item)\r\nfunction auth_ucs_mts(__item, __print_data)\r\n  print_typical_item_slip(__item, \"UCS\", __print_data)\r\nend\r\n\r\n--Слип для оплаты услуг через CYBER CASSA\r\nfunction auth_cyber_mts(__item, __print_data)\r\n  print_typical_item_slip(__item, \"CYBER CASSA\", __print_data)\r\nend\r\n\r\n--Слип для авторизации Рапида\r\nfunction print_rapida(__item, __print_data)\r\n-- PRINT cashier\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n  local text = \"\";\r\n  text = text .. rapida_item(__item);\r\n  text = text .. ukm.center(\"ПЛАТЕЖНАЯ ИНТЕРНЕТ СИСТЕМА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КАРТА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КОПИЯ ПРОДАВЦА\", width, \" \") .. \" \\n\";\r\n  __print_data:add(text, ukm.printer_type_master());\r\n-- PRINT customer\r\n  local text = \"\";\r\n  text = text .. ukm.center(\"ПЛАТЕЖНАЯ ИНТЕРНЕТ СИСТЕМА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КАРТА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КОПИЯ КЛИЕНТА\", width, \" \") .. \" \\n\";\r\n  text = text .. rapida_item(__item);\r\n  __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип для авторизации UCS\r\nfunction auth_3_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local oper = \"\";\r\n    text = text .. \" \" .. \"\\n\";\r\n    if field:at(7) == \"0\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(7) == \"1\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    elseif field:at(7) == \"2\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ ПРОДАЖИ\";\r\n    elseif field:at(7) == \"3\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ ВОЗВРАТА\";\r\n    end\r\n\r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ID ТОЧКИ ОПЛАТЫ \" .. field:at(12), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. field:at(5), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(0), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ДАТА\", ukm.mid(field:at(3), 0, 2) .. \"/\" .. ukm.mid(field:at(3), 2, 2) .. \"/\" .. ukm.mid(field:at(3), 4, 2) .. \" \" .. ukm.mid(field:at(3), 6, 2) .. \":\" .. ukm.mid(field:at(3), 8, 2) .. \":\" .. ukm.mid(field:at(3), 10, 2) ,width, \" \") .. \"\\n\";  \r\n    text = text .. ukm.adjustment(\"СУММА\", field:at(8), width, \" \") .. \"\\n\";\r\n\r\n    local code = \" \";\r\n    text = text .. \" \" .. \"\\n\";\r\n    if field:at(11) == \"1\" then\r\n       code = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    end\r\n    text = text .. ukm.adjustment(\"КОД \" .. code .. \" АВТОРИЗАЦИИ\", ukm.trim(field:at(4)), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    local masked_card = f_mask_card_number(field:at(9));\r\n    text = text .. ukm.adjustment(masked_card, field:at(10), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Слип авторизации RRC через файлы\r\nfunction auth_4_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = text .. \" \" .. \"\\n\";\r\n\r\n    local oper = \"\";\r\n    if field:at(23) == \"0\" then\r\n       oper = \"#ERR#\";  \r\n    elseif field:at(23) == \"1\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(23) == \"2\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(23) == \"3\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(23) == \"4\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    elseif field:at(23) == \"29\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    end \r\n   \r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. field:at(9), width, \" \") .. \"\\n\";\r\n\r\n    if field:at(5) ~= \"\" then\r\n       text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(5), width, \" \") .. \"\\n\";\r\n    elseif field:at(7) ~= \"\" then\r\n       text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(7), width, \" \") .. \"\\n\";\r\n    end\r\n    if field:at(7) ~= \"\" then\r\n       text = text .. ukm.slice(\"ОТВЕТ \" .. field:at(29), width) .. \"\\n\";\r\n    end\r\n\r\n    text = text .. ukm.adjustment(\"ДАТА\", to_formated_date_DD_MM_YYYY_HH_mm_ss(field:at(1)), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"СУММА\", tostring(field:at(17) / 100), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ\", field:at(3), width, \" \") .. \"\\n\"\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    text = text .. ukm.center(field:at(22), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(field:at(13), to_formated_date_MM_YY(field:at(15)), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    \r\nend\r\n\r\n--Слип для авторизации RRC через сокеты\r\nfunction auth_5_body(__payment, __print_data)\r\n    auth_4_body(__payment, __print_data);\r\nend\r\n\r\n--Слип для авторизации RRC через пинпад\r\nfunction auth_23_body(__payment, __print_data)\r\n    auth_4_body(__payment, __print_data);\r\nend\r\n\r\n--Слип для авторизации Импэксбанк\r\nfunction auth_7_body(__payment, __print_data)\r\n    printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\nukm.debug(\"+field:at(0)+\" .. field:at(0));\r\nukm.debug(\"+field:at(1)+\" .. field:at(1));\r\n    text = ukm.source(ukm.mashine.handle,field:at(0)) .. \"\\n\";\r\nukm.debug(\"+text+\" .. text);\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    local text_cashier = \"\";\r\n    text_cashier = ukm.source(ukm.mashine.handle,field:at(1)) .. \"\\n\";\r\nukm.debug(\"+text_cashier+\" .. text_cashier);\r\n    __print_data:add(text_cashier, ukm.printer_type_master());\r\nend\r\n\r\n--КОМПАС - Слип\r\nfunction auth_8_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = text .. field:at(0) .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--КОМПАС (EXT) - Слип\r\nfunction auth_9_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"SHOP\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(9), width, \" \") .. \"\\n\";\r\n    if field:at(15) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.rightpad(\"Подпись\", width, \".\") .. \"\\n\";\r\n    end\r\n    if field:at(16) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.rightpad(\"Подпись\", width, \".\") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustment(\"Дата\", field:at(7), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Время\", field:at(8), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Номер чека\", field:at(4), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Номер операции\", ukm.mid(field:at(6), 0, 3) .. \":\" .. ukm.mid(field:at(6), 3, 3) .. \":\" .. ukm.mid(field:at(6), 6, 3), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Код авторизации\", field:at(5), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Код ответа\", field:at(3), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(12), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(ukm.insert_delimiters(ukm.mask_string_middle(field:at(10),\"X\", 4, 4),\"-\",4), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(11), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Сумма \", field:at(13) .. \" руб\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Итого \", field:at(13) .. \" руб\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Авторизация ВУЗ-Банка\r\nfunction auth_11_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    local oper = \"\";\r\n    if field:at(19) == \"0\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ПРОДАЖИ\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ВОЗВРАТА\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ОТМЕНЫ ПРОДАЖИ\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ОТМЕНЫ ВОЗВРАТА\", width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    text = text .. ukm.center(\"ТОРГОВАЯ ТОЧКА \" .. field:at(23), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. field:at(21), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"Автобанк\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"СУММА \", tostring(field:at(13) / 100), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.insert_delimiters(ukm.mask_string_middle(field:at(25),\"X\", 4, 4),\"-\",4), field:at(9), width, \" \") .. \"\\n\";\r\n    if field:at(17) == \"0\" then\r\n       text = text .. ukm.center(\"ОПЕРАЦИЯ ВЫПОЛНЕНА\", width, \" \") .. \"\\n\";\r\n    elseif field:at(17) == \"1\" then\r\n       text = text .. ukm.center(\"ОПЕРАЦИЯ ОТКЛОНЕНА\", width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustment(\"КОД ОТВЕТА     :\", field:at(15), width, \" \") .. \"\\n\";\r\n    if field:at(17) ~= \"\" then\r\n       text = text .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ:\", field:at(17), width, \" \") .. \"\\n\";\r\n    else\r\n       text = text .. \" \" .. \"\\n\";\r\n    end\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(ПОДПИСЬ КАССИРА)\", width, \" \") .. \"\\n\";\r\n    if field:at(17) ~= \"\" then\r\n       text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n       text = text .. ukm.center(\"(ПОДПИСЬ КЛИЕНТА)\", width, \" \") .. \"\\n\";\r\n    else\r\n       text = text .. \" \" .. \"\\n\";\r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Авторизация БПЦ: Шаблоны слипов по операциям Продажа, Возврат, Отмена\r\nfunction auth_15_body(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n 	local slip_customer = \"\";\r\n	local slip_bank = \"\";\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n	local op_name = \"\";\r\n\r\n	text = \"\\n\\n\\n\";\r\n	if (__payment.receipt.type ==  ukm.core.copy) then\r\n		text = ukm.center(\"*КОПИЯ*\", width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	text = text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP name\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP phone\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"Терминал:\" .. field:at(6), width, \" \") .. \"\\n\";\r\n	slip_customer = text .. ukm.center(\"*ДЛЯ КЛИЕНТА*\", width, \" \") .. \"\\n\";\r\n	slip_bank  = text .. ukm.center(\"*ДЛЯ БАНКА*\", width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 18: Тип операции\r\n	--	0 - оплата товара (Sale),\r\n	--	1 - отмена платежа (Reversal)\r\n	--	2 - отмена возврата\r\n	--	3 - возврат денег на карточный счет (Refund)\r\n	--	4 - сверка итоговых сумм (Settlement)\r\n	--	5 - тестирование канала связи (Echo Test)\r\n\r\n	local op_type = field:at(18);\r\n\r\n	if (\"0\" == op_type) then\r\n		op_name = \"ОПЛАТА\";\r\n	elseif (\"1\" == op_type) then\r\n		op_name = \"ОТМЕНА\";\r\n	elseif (\"2\" == op_type) then\r\n		op_name = \"ОТМЕНА ВОЗВРАТА\";\r\n	elseif (\"3\" == op_type) then\r\n		op_name = \"ВОЗВРАТ\";\r\n	elseif (\"4\" == op_type) then\r\n		op_name = \"ОТЧЁТ\";\r\n	else\r\n		op_name = \"ОПЕРАЦИЯ:\" .. op_type;\r\n	end\r\n\r\n	text = ukm.center(\"*\" .. op_name .. \"*\", width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 3: POSTransNumber\r\n	-- Поле 25:Номер пакета (смены) БПЦ\r\n	text = text .. ukm.adjustment(\"ПАКЕТ:\" .. field:at(24), \"ЧЕК:\" .. field:at(3), width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 9: Дата и время, возвращаемые HOSTом авторизации\r\n	-- Формат поля 9: Y Y M M D D H H M M  S  S\r\n	--                1 2 3 4 5 6 7 8 9 10 11 12\r\n	local host_date_time = field:at(9);\r\n\r\n	local host_date_formated = ukm.str_sub(host_date_time,5,6) .. \"/\" .. ukm.str_sub(host_date_time,3,4) .. \"/\" .. ukm.str_sub(host_date_time,1,2);\r\n	local host_time_formated = ukm.str_sub(host_date_time,7,8) .. \":\" .. ukm.str_sub(host_date_time,9,10) .. \":\" .. ukm.str_sub(host_date_time,11,12);\r\n	text = text .. ukm.adjustment(\"Дата: \" .. host_date_formated, \"Время: \" .. host_time_formated, width, \" \") .. \"\\n\";\r\n	slip_customer = slip_customer .. text;\r\n	slip_bank = slip_bank .. text;\r\n\r\n	-- Поле 4: Номер карты\r\n	local cardno = field:at(4);\r\n	-- local cardno_masked = ukm.mask_string_middle(cardno, \"X\", 0, 4);\r\n	local cardno_masked_bank = f_mask_card_number(cardno);\r\n	local cardno_masked_customer = f_mask_card_number(cardno);\r\n\r\n	-- поле 5: Дата истечения срока действия карты в формате YYMM\r\n	-- local card_exp_date = field:at(5);\r\n	-- local card_exp_date_formated = ukm.str_sub(card_exp_date, 3, 4) .. \"/\" .. ukm.str_sub(card_exp_date, 1, 2);\r\n\r\n	--Поменял в строке cardno_masked_bank на cardno_masked_customer (Смирнов)\r\n	--text = ukm.adjustment(\"КАРТА:\" .. cardno_masked_bank, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n\r\n	--text = ukm.adjustment(\"КАРТА:\" .. cardno_masked_customer, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n	--slip_customer = slip_customer .. text;\r\n\r\n	--Тоже самое, что и выше, но без card_exp_date_formated\r\n	text = ukm.adjustment(\"КАРТА:\", cardno_masked_customer, width, \" \") .. \"\\n\";\r\n	slip_customer = slip_customer .. text;\r\n\r\n	--Поменял в строке cardno_masked_customer  на  cardno_masked_bank (Смирнов)\r\n	--text = ukm.adjustment(\"КАРТА:\" .. cardno_masked_customer, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n\r\n	text = ukm.adjustment(\"КАРТА:\", cardno_masked_bank, width, \" \") .. \"\\n\";	\r\n	slip_bank = slip_bank ..text;\r\n\r\n	--  Поле 12: код авторизации\r\n	text = \"КОД АВТ.:  \" .. field:at(12) .. \"\\n\";\r\n\r\n	text = text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n	-- Поле 10: response\r\n	text = text .. ukm.center(\"КОД:\" .. field:at(10), width, \" \") .. \"\\n\";\r\n	-- Поле 11: ResponseText\r\n	text = text .. ukm.center(field:at(11), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	-- Поле 16: Название валюты\r\n	-- Поле 8 : Amount\r\n	text = text .. ukm.adjustment(field:at(16), field:at(8), width, \" \") .. \"\\n\";\r\n\r\n	slip_customer = slip_customer .. text;\r\n	slip_bank = slip_bank .. text;\r\n\r\n	-- Поле 17: Тип транзакции\r\n	local transaction_type = field:at(17);\r\n	if \"0\" == op_type then\r\n		-- Продажа\r\n		if \"P\" == transaction_type then\r\n			-- PIN based transaction\r\n			text = \"Принадлежность карты\" .. \"\\n\";\r\n			text = text .. \"подтверждена ПИН-кодом\" .. \"\\n\";\r\n\r\n			slip_customer = slip_customer .. text;\r\n			slip_bank = slip_bank .. text;\r\n		else\r\n			-- Signature based transaction\r\n			text = \"\\n \\n\";\r\n			text = text .. ukm.leftpad(\"подпись клиента\", width, \"_\") .. \"\\n\";\r\n\r\n			slip_bank = slip_bank .. text;\r\n		end\r\n	end\r\n\r\n	if (\"1\" == op_type) or (\"2\" == op_type) then\r\n		-- Отмена\r\n		text = \"\\n \\n\" .. ukm.leftpad(\"подпись кассира\", width, \"_\") .. \"\\n\";\r\n\r\n		slip_customer = slip_customer .. text;\r\n		slip_bank = slip_bank .. text;\r\n	end\r\n\r\n	if \"3\" == op_type then\r\n		-- Возврат\r\n		if \"P\" == transaction_type then\r\n			-- PIN based transaction\r\n			text = \"Принадлежность карты\" .. \"\\n\";\r\n			text = text .. \"подтверждена ПИН-кодом\" .. \"\\n \\n\";\r\n			text = text .. ukm.leftpad(\"подпись кассира\", width, \"_\") .. \"\\n\";\r\n\r\n			slip_customer = slip_customer .. text;\r\n			slip_bank = slip_bank .. text;\r\n		else\r\n			-- Sigature based transaction\r\n			text = \"\\n \\n\" .. ukm.leftpad(\"подпись клиента\", width, \"_\") .. \"\\n\";\r\n			slip_bank = slip_bank .. text;\r\n\r\n			text = \"\\n \\n\" .. ukm.leftpad(\"подпись кассира\", width, \"_\") .. \"\\n\";\r\n			slip_bank = slip_bank .. text;\r\n			slip_customer = slip_customer .. text;\r\n		end\r\n	end\r\n\r\n	slip_bank = slip_bank .. \"\\n \\n \\n\";\r\n	slip_customer = slip_customer .. \"\\n \\n \\n\";\r\n\r\n        __print_data:add(slip_customer, ukm.printer_type_master());\r\n        __print_data:add(slip_bank, ukm.printer_type_master());\r\nend\r\n\r\n--Авторизация БПЦ: Шаблоны слипов по операциям \"Сверка итогов\" и \"Реестр операций (Детальный отчёт)\"\r\nfunction print_auth_bpc_report(__report, __print_data)\r\n\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local slip_text = \"\";\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__report.cookies).tokens);\r\n\r\n	slip_text = \"\\n\\n\\n\";\r\n	slip_text = slip_text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP name\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP phone\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"Терминал:\" .. field:at(6), width, \" \") .. \"\\n\";\r\n\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.center(\"*РЕЕСТР ОПЕРАЦИЙ*\", width, \" \") .. \"\\n\";\r\n	else\r\n		slip_text = slip_text .. ukm.center(\"*ОТЧЁТ*\", width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	-- Поле 3: POSTransNumber\r\n	-- Поле 24:Номер пакета (смены) БПЦ\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.rightpad(\"ПАКЕТ:\" .. field:at(24), width, \" \") .. \"\\n\";\r\n	else\r\n		slip_text = slip_text .. ukm.adjustment(\"ПАКЕТ:\" .. field:at(24), \"ЧЕК:\" .. field:at(3), width, \" \") .. \"\\n\";\r\n	end\r\n\r\n\r\n	-- Поле 9: Дата и время, возвращаемые HOSTом авторизации\r\n	-- Формат поля 9: Y Y M M D D H H M M  S  S\r\n	--                1 2 3 4 5 6 7 8 9 10 11 12\r\n	local host_date_time = field:at(9);\r\n\r\n	local host_date_formated = ukm.str_sub(host_date_time,5,6) .. \"/\" .. ukm.str_sub(host_date_time,3,4) .. \"/\" .. ukm.str_sub(host_date_time,1,2);\r\n	local host_time_formated = ukm.str_sub(host_date_time,7,8) .. \":\" .. ukm.str_sub(host_date_time,9,10) .. \":\" .. ukm.str_sub(host_date_time,11,12);\r\n	slip_text = slip_text .. ukm.adjustment(\"Дата: \" .. host_date_formated, \"Время: \" .. host_time_formated, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	--Поле Валюта\r\n	local currency = field:at(16);\r\n\r\n	-- Поле 27: Количество транзакций\r\n	local transaction_count = field:at(27);\r\n\r\n\r\n	-- Поле 21: Сумма по операциям Sale\r\n	local sum_total_sale = field:at(21);\r\n	-- Поле 28: Количество операций Sale\r\n	local ops_count_sale = field:at(28);\r\n\r\n	-- Поле 23: Сумма по операциям Void\r\n	local sum_total_void = field:at(23);\r\n	-- Поле 30: Количество операций Void\r\n	local ops_count_void = field:at(30);\r\n\r\n	-- Поле 22: Сумма по операциям Refund\r\n	local sum_total_refund = field:at(22);\r\n	-- Поле 29: Количество операций Refund\r\n	local ops_count_refund = field:at(29);\r\n\r\n	-- Поле 25: Итоговая сумма за смену по данным сервера УКМ4\r\n	local sum_total_by_ukm4 = field:at(25);\r\n	-- Поле 8:  Итоговая сумма за смену по данным сервера БПЦ\r\n	local sum_total_by_bpc = field:at(8);\r\n\r\n\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.adjustment(\"Чек Операция\", \"Код авториз.\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.adjustment(\"Номер карты\", \"Сумма Валюта\", width, \" \") .. \"\\n \\n\";\r\n\r\n		local report_item = ukm.map.int.bpc_report_record.iterator(__report.report_map);\r\n		local report_map_size = ukm.map.int.bpc_report_record.iterator(__report.report_map):size();\r\n\r\n		while report_item:next() do\r\n			local currstr = \"\";\r\n			--Поле Чек\r\n			currstr = report_item:second().pos_trans_number .. \" \";\r\n\r\n			--Поле Операция\r\n			local op_type = report_item:second().op_type;\r\n			local op_name = \"\";\r\n			if (\"0\" == op_type) then\r\n				op_name = \"ОПЛАТА\";\r\n			elseif (\"1\" == op_type) then\r\n				op_name = \"ОТМЕНА ОПЛАТЫ\";\r\n			elseif (\"2\" == op_type) then\r\n				op_name = \"ОТМЕНА ВОЗВРАТА\";\r\n			elseif (\"3\" == op_type) then\r\n				op_name = \"ВОЗВРАТ\";\r\n			else\r\n				op_name = \"ОПЕРАЦИЯ:\" .. op_type;\r\n			end\r\n			currstr = currstr .. op_name;\r\n\r\n			--Поле Код авторизации\r\n			local auth_code = report_item:second().auth_code;\r\n\r\n			slip_text = slip_text .. ukm.adjustment(currstr, auth_code, width, \" \")  .. \"\\n\";\r\n\r\n			--Поле Номер карты\r\n			local card_no = report_item:second().card_no;\r\n			--Поле Сумма\r\n			local amount_str = report_item:second().amount_str;\r\n\r\n			slip_text = slip_text .. ukm.adjustment(card_no, amount_str .. \" \" .. currency, width, \" \")  .. \"\\n \\n\";\r\n		end\r\n\r\n		slip_text = slip_text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n	end\r\n\r\n\r\n\r\n	-- Поле 16: Название валюты\r\n	slip_text = slip_text .. ukm.rightpad(\"Валюта: \" .. currency, width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 27: Количество транзакций\r\n	slip_text = slip_text .. ukm.rightpad(\"Транзакций: \" .. transaction_count, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.rightpad(\" Оплачено:  \" .. ops_count_sale .. \" на сумму \" .. sum_total_sale, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.rightpad(\" Отменено:  \" .. ops_count_void .. \" на сумму \" .. sum_total_void, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.rightpad(\" Возврат:   \" .. ops_count_refund .. \" на сумму \" .. sum_total_refund, width, \" \") .. \"\\n\";\r\n\r\n	if (true == __report.is_detailed) then\r\n		-- Это для слипа по операции Реестр операций\r\n		slip_text = slip_text .. ukm.adjustment(\"Итого:\", sum_total_by_ukm4, width, \" \") .. \"\\n \\n\";\r\n	else\r\n		-- Это для слипа по операции Settlement\r\n		if (sum_total_by_ukm4 == sum_total_by_bpc) then\r\n			slip_text = slip_text .. ukm.adjustment(\"Итого:\", sum_total_by_ukm4, width, \" \") .. \"\\n\";\r\n		else\r\n			slip_text = slip_text .. ukm.adjustment(\"Итого по кассе:\", sum_total_by_ukm4, width, \" \") .. \"\\n\";\r\n			slip_text = slip_text .. ukm.adjustment(\"Итого по банку:\", sum_total_by_bpc, width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		slip_text = slip_text .. ukm.leftpad(\"\", width, \".\") .. \"\\n\\n\";\r\n\r\n		slip_text = slip_text .. ukm.rightpad(\"Настоящим подтверждаем, что\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.rightpad(\"карт-чеки по операциям, входящим\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.rightpad(\"в данный отчет, имеются в наличии\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.rightpad(\"и будут представлены по первому\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.rightpad(\"требованию.\", width, \" \") .. \"\\n \\n\";\r\n\r\n	end\r\n\r\n	slip_text = slip_text .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.rightpad(\"Подпись кассира\", width, \"_\") .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.rightpad(\"Подпись ст.кассира\", width, \"_\") .. \"\\n \\n\";\r\n        slip_text = slip_text .. \"\\n \\n\";\r\n\r\n        __print_data:add(slip_text, ukm.printer_type_master());\r\nend\r\n\r\n--Авторизация CityNet: Шаблоны слипов по операциям Продажа, Возврат, Отмена\r\nfunction auth_16_body(__payment, __print_data)\r\n	print_auth_CityNet_slip(__payment.cookies, __print_data)\r\nend\r\n\r\nfunction print_auth_CityNet_slip(__cookies, __print_data)\r\n	local text, twice = print_auth_CityNet_slip_prepare(__cookies, __print_data)\r\n	__print_data:add(text, ukm.printer_type_master());\r\n	\r\n	if twice then \r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_auth_CityNet_slip_prepare(__cookies, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__cookies).tokens);\r\n\r\n	-- переменные\r\n	local type_msg     = field:at(0);  -- Тип сообщения\r\n	local card_num     = field:at(1);  -- номер карты\r\n	local mtid         = field:at(2);  -- действие\r\n	local amount       = tonumber(field:at(3));  -- сумма\r\n	local check_num    = field:at(4);  -- номер квитанции\r\n	local date         = field:at(5);  -- дата\r\n	local time         = field:at(5);  -- время\r\n	local card_date    = field:at(6);  -- срок действия карты\r\n	local link_num     = field:at(7);  -- номер ссылки\r\n	local auth_code    = field:at(8);  -- код авторизации\r\n	local result       = tonumber(field:at(9));  -- Код ответа\r\n	local term_num     = field:at(10); -- номер терминала\r\n	local result_txt   = field:at(11); -- результат операции в текстовом виде\r\n			-- field:at(12); -- валюта\r\n	local ret_account  = tonumber( ukm.str_sub(field:at(13),9,20) ); -- остаток на счете ПК\r\n	local shop_name    = field:at(14); -- название магазина\r\n	local shop_address = field:at(15); -- адрес магазина\r\n	\r\n	local card_inputtype = field:at(17); -- способ ввода карты\r\n	local ident_type = field:at(18); -- способ идентификации\r\n	local client_fio = field:at(19);\r\n	local card_type = field:at(20); -- тип карты\r\n	local aid = field:at(21); \r\n	local tc = field:at(22); \r\n	\r\n	local tmp_mtid = mtid;\r\n	mtid = \"НЕИЗВЕСТНАЯ ОПЕРАЦИЯ\";\r\n	if (type_msg == \"0210\" and tmp_mtid == \"000000\") then mtid = \"Оплата\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"200000\") then mtid = \"Возврат товара\"; end\r\n	if (type_msg == \"0410\" and tmp_mtid == \"000000\") then mtid = \"Отмена оплаты товара\"; end		\r\n	if (type_msg == \"0410\" and tmp_mtid == \"200000\") then mtid = \"Отмена возврата товара\"; end	\r\n\r\n	if (type_msg == \"0810\" and tmp_mtid == \"911000\") then mtid = \"ОТКРЫТИЕ СМЕНЫ\"; end\r\n	if (type_msg == \"0810\" and tmp_mtid == \"912000\") then mtid = \"Сверка итогов\"; end\r\n	\r\n	if (type_msg == \"0110\" and tmp_mtid == \"430000\") then mtid = \"АКТИВАЦИЯ ПОДАРОЧНОЙ КАРТЫ\"; end\r\n	if (type_msg == \"0110\" and tmp_mtid == \"830000\") then\r\n		mtid = \"ЗАПРОС БАЛАНСА ПК\";\r\n		amount = ret_account;\r\n	end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"800000\") then mtid = \"ОПЛАТА ПО ПК (ПОГАШЕНИЕ АВАНСА)\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"820000\") then mtid = \"ВОЗВРАТ ПО ПК(ОТМ ПОГАШ АВАНСА)\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"840000\") then mtid = \"ПОПОЛНЕНИЕ СЧЕТА ПК(ПРИЕМ АВАНСА)\"; end	\r\n	if (type_msg == \"0410\" and tmp_mtid == \"800000\") then mtid = \"ОТМЕНА ОПЛ ПО ПК(ОТМ ПОГАШ АВАНСА)\"; end\r\n	if (type_msg == \"0410\" and tmp_mtid == \"820000\") then mtid = \"ОТМЕНА ВОЗВРАТА ТОВАРА\"; end	\r\n	if (type_msg == \"0410\" and tmp_mtid == \"840000\") then mtid = \"ОТМЕНА ПОПОЛН СЧЕТА ПК(ОТМ ПРИЕМ АВАНСА)\"; end\r\n\r\n	-- приведение к печатному виду\r\n	if date ~= \"\" then date = ukm.str_sub(date,5,2) .. \".\" .. ukm.str_sub(date,3,2) .. \".\" .. ukm.str_sub(date,1,2); end -- дата\r\n	if time ~= \"\" then time = ukm.str_sub(time,7,2) .. \":\" .. ukm.str_sub(time,9,2); end -- время\r\n	\r\n	if tmp_mtid == \"912000\" then -- сверка итогов\r\n		local text = \"\\n\\n\" .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Дата \" .. date, \"Время \" .. time, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Тип операции\", mtid, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Код ответа\", tostring(result), width, \" \") .. \"\\n\\n\";\r\n		\r\n		if result == 0 then\r\n			text = text .. ukm.center(\"Операция выполнена\", width, \" \") .. \"\\n\\n\";\r\n		else	\r\n			text = text .. ukm.center(\"Операция не выполнена\", width, \" \") .. \"\\n\\n\";	\r\n		end\r\n	\r\n		return text, false\r\n	end	\r\n	\r\n	-- авторизация разрешена\r\n	if (result == 0 and (tmp_mtid == \"000000\" or tmp_mtid == \"200000\")) then -- операции по банковским картам\r\n		\r\n		if card_num ~= \"\" then -- номер карты\r\n			card_num = \"XXXX XXXX XXXX \" .. ukm.str_sub(card_num,13,16); \r\n		end\r\n		\r\n		local text = \"\\n\\n\" .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\\n\";\r\n	\r\n		if result == 0 then\r\n			text = text .. ukm.adjustment(\"Номер терминала\", term_num, width, \" \") .. \"\\n\\n\";\r\n		end\r\n		text = text .. ukm.adjustment(\"Дата \" .. date, \"Время \" .. time, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Тип операции\", mtid, width, \" \") .. \"\\n\\n\";\r\n		\r\n		local amount_str = \"\";\r\n		if amount ~= nil then\r\n			amount_str = tostring(math.floor(amount/100)) .. \",\" .. ukm.leftpad(tostring(amount%100), 2, \"0\");\r\n		end		\r\n		text = text .. ukm.adjustment(\"Сумма\", amount_str .. \" руб.\", width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Номер карты\", card_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты\", card_type, width, \" \") .. \"\\n\\n\";\r\n		\r\n		if card_inputtype == \"07\" or card_inputtype == \"91\" then\r\n			text = text .. ukm.adjustment(\" \", \"PAYPASS\", width, \" \") .. \"\\n\\n\";\r\n		end\r\n		\r\n		text = text .. ukm.adjustment(\"Номер ссылки (RRN)\", link_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Номер транзакции\", check_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Код авторизации\", auth_code, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustment(\"Код ответа\", tostring(result), width, \" \") .. \"\\n\\n\";\r\n\r\n		if ident_type == \"1\" or ident_type == \"9\" then	-- был введен ПИН код\r\n			text = text .. ukm.center(\"ОДОБРЕНО С ПИН\", width, \" \") .. \"\\n\\n\";\r\n		else\r\n			text = text .. ukm.center(\"ОДОБРЕНО\", width, \" \") .. \"\\n\\n\";\r\n		end\r\n		\r\n		if ( card_inputtype ~= \"01\" and card_inputtype ~= \"02\" ) then	-- не магнитная полоса\r\n			text = text .. ukm.adjustment(\"Владелец карты\", client_fio, width, \" \") .. \"\\n\\n\";\r\n			if aid ~= \"\" then text = text .. ukm.adjustment(\"AID\", aid, width, \" \") .. \"\\n\\n\"; end\r\n			if tc ~= \"\" then text = text .. ukm.adjustment(\"ТС\", tc, width, \" \") .. \"\\n\\n\"; end\r\n		end\r\n		\r\n		if ident_type == \"0\" or ident_type == \"2\" then	-- ПИН код не вводили\r\n			if card_inputtype == \"07\" or card_inputtype == \"91\" then	-- карта PayPass\r\n				if amount > 100000 then	-- нужна подпись клиента\r\n					text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n					text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n				end\r\n			else			-- нужна подпись клиента\r\n				text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n				text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n			end\r\n		end\r\n		\r\n		text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n		text = text .. ukm.center(\"(Подпись кассира)\", width, \" \") .. \"\\n\\n\";\r\n		\r\n		return text, true\r\n	end \r\n	\r\n	if card_num ~= \"\" then -- номер карты\r\n		card_num = ukm.str_sub(card_num,1,4) .. \" \" ..\r\n			ukm.str_sub(card_num,5,6) .. \"XX XXXX \" .. ukm.str_sub(card_num,13,16); \r\n	end\r\n	\r\n	if card_date ~= \"\" then	-- срок действия карты\r\n		card_date = ukm.str_sub(card_date,1,2) .. \"/\" .. ukm.str_sub(card_date,3,4);\r\n	end \r\n\r\n	local text = \"\\n\" .. ukm.adjustment(date, time, width, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"БЕЗНАЛИЧНЫЙ РАСЧЕТ\", width, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.adjustment(card_num, card_date, width, \" \") .. \"\\n\\n\";\r\n\r\n	if result == 0 then -- авторизация разрешена\r\n	\r\n		if amount ~= nil then\r\n			amount = tostring(math.floor(amount/100)) .. \".\" .. ukm.leftpad(tostring(amount%100), 2, \"0\");\r\n		end\r\n		\r\n		text = text .. ukm.center(mtid, width, \" \") .. \"\\n\\n\";\r\n		if (type_msg ~= \"0110\" or tmp_mtid ~= \"430000\" or amount ~= \"0.00\") then -- при активации ПК не печатать нулевую сумму\r\n			text = text .. \"\" .. ukm.adjustment(\"           СУММА:\", amount .. \" руб.\", width, \" \") .. \"\\n\\n\";\r\n		end\r\n\r\n		text = text .. ukm.adjustment(\" НОМЕР ТЕРМИНАЛА:\", term_num, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\" НОМЕР КВИТАНЦИИ:\", check_num, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\" КОД АВТОРИЗАЦИИ:\", auth_code, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"    НОМЕР ССЫЛКИ:\", link_num, width, \" \") .. \"\\n\";\r\n		\r\n		if ret_account ~= \"\" and ret_account ~= nill then -- если присутствует поле остатка на счете\r\n			ret_account = tostring(math.floor(ret_account/100)) .. \".\" .. ukm.leftpad(tostring(ret_account%100), 2, \"0\");\r\n			text = text .. ukm.adjustment(\"ОСТАТОК НА СЧЕТЕ:\", ret_account, width, \" \") .. \"\\n\";\r\n		end\r\n		text = text .. \"\\n\";\r\n		text = text .. ukm.center(result_txt, width, \" \") .. \"\\n\\n\";\r\n\r\n		text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"(ПОДПИСЬ КЛИЕНТА)\", width, \" \") .. \"\\n\";\r\n		\r\n		return text, true\r\n	end\r\n	\r\n	-- отказано в авторизации\r\n	text = text .. ukm.center(\" В АВТОРИЗАЦИИ ОТКАЗАНО \", width, \"*\") .. \"\\n\\n\";\r\n	text = text .. ukm.center(mtid, width, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.adjustment(\"НОМЕР ТЕРМИНАЛА:\", term_num, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"   НОМЕР ССЫЛКИ:\", link_num, width, \" \") .. \"\\n\\n\\n\";\r\n	text = text .. ukm.center(result_txt .. \"(КОД \" .. result .. \")\", width, \" \") .. \"\\n\";\r\n	\r\n	return text, false\r\nend\r\n\r\n--Слип для авторизации ГАЗПРОМБАНК\r\nfunction auth_17_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local oper = \"\";\r\n    if field:at(6) == \"0\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(6) == \"4\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    elseif field:at(6) == \"9\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    else\r\n       oper = field:at(6);\r\n    end\r\n\r\n    text = text .. \"\\n\";\r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ЧЕК\", tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ТЕРМИНАЛ\", field:at(11), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ТОЧКА ОБСЛУЖИВАНИЯ\", field:at(12), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ТРАНЗАКЦИЯ\", field:at(0), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"ДАТА\", ukm.mid(field:at(3), 4, 2)..\".\"..ukm.mid(field:at(3), 2, 2)..\".\"..ukm.mid(field:at(3), 0, 2)..\" \"..ukm.mid(field:at(3), 6, 2)..\":\"..ukm.mid(field:at(3), 8, 2)..\":\"..ukm.mid(field:at(3), 10, 2), width, \" \")..\"\\n\";  \r\n    text = text .. ukm.adjustment(\"СУММА\", ukm.mid(field:at(7),0,ukm.str_len(field:at(7))-2) .. \".\" .. ukm.mid(field:at(7),ukm.str_len(field:at(7))-2,2)..\" Руб.\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ\", field:at(4), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    if field:at(1) ~= \"\" then\r\n        text = text .. ukm.adjustment(field:at(8), to_formated_date_MM_YY(field:at(9)), width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип для авторизации Зенит-банка\r\nfunction auth_18_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    text = text .. \"\\n\";\r\n    \r\n    local int width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    -- переменные\r\n    local pan     = field:at(0);  -- PAN\r\n    local ed      = field:at(1);  -- срок годности карты\r\n    local sum     = field:at(2);  -- сумма платежа\r\n    local oper    = field:at(3);  -- операция оплата/возврат\r\n    local operation =\"\";\r\n\r\n    if  oper == \"1\" then\r\n        operation = \"ОПЛАТА\";\r\n    else\r\n        operation = \"ВОЗВРАТ\";\r\n    end\r\n\r\n    if  width > 27 then\r\n        text = text .. ukm.center(operation .. \" ПО МАГНИТНОЙ КАРТЕ\", width, \" \") .. \"\\n\";\r\n    else\r\n        text = text .. ukm.center(operation, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"ПО МАГНИТНОЙ КАРТЕ\", width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    text = text .. ukm.rightpad(\"СУММА  \".. sum, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.rightpad(\"PAN    \".. pan, width, \" \") .. \"\\n\";\r\n    \r\n    if  width > 29 then   \r\n     text = text .. ukm.rightpad(\"Срок годности карты: \".. ed, width, \" \") .. \"\\n\";\r\n    else\r\n     text = text .. ukm.rightpad(\"Срок годности карты:\", width, \" \") .. \"\\n\";\r\n     text = text .. ukm.rightpad(ed, width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    if width > 29 then\r\n     text = text .. ukm.rightpad(\" \", width, \" \") .. \"\\n\";\r\n     text = text .. ukm.rightpad(\"Подпись владельца карты:\", width, \".\") .. \"\\n\";\r\n    else\r\n     text = text .. ukm.rightpad(\"Подпись владельца карты:\", width, \" \") .. \"\\n\";\r\n     text = text .. ukm.rightpad(\" \", width, \" \") .. \"\\n\";\r\n     text = text .. ukm.rightpad(\"\", width, \".\") .. \"\\n\";     \r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\n\r\nend\r\n\r\n--Слип для авторизации Золотая Корона\r\nfunction auth_19_body(__payment, __print_data)\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n   local text = \"\";\r\n   text = text .. \"\\n\";\r\n   text = text .. __payment.cookies;\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\n\r\nend\r\n\r\n--Оплата услуг НеттоПроцессинг\r\nfunction service_netto_processing(__item, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local int width = printer:get_width();\r\n    local int max_param_width = width/2 + 2;\r\n	\r\n	if width > 20 then\r\n        text = text .. ukm.adjustment(__item.receipt.header.pos_name, __item.receipt.header.login.name, width, \" \") .. \"\\n\";\r\n    else\r\n        text = text .. ukm.rightpad(__item.receipt.header.pos_name, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.leftpad(__item.receipt.header.login.name,width,\" \") .. \"\\n\";\r\n    end\r\n	\r\n	text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n	text = text .. ukm.center(\"ОПЛАТА УСЛУГ\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Терминал\", find_item_property_value(__item, \"TERMINAL\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Код платежа\", find_item_property_value(__item, \"TRANSACTIONID\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Оператор\", find_item_property_value(__item, \"OPERATORCODE\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Лицевой счет\", find_item_property_value(__item, \"ACCOUNT\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Сумма для зачисления\", find_item_property_value(__item, \"REALAMOUNT\"), width, \" \") .. \"\\n\";\r\n	\r\n	local tax_total = find_item_property_value(__item, \"TAXTOTAL\");\r\n	if tax_total ~= \"\" then\r\n		text = text .. ukm.adjustment(\"Комиссия\", tax_total, width, \" \") .. \"\\n\";\r\n	end\r\n	\r\n	text = text .. \"\\n\\n\";\r\n	text = text .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"(подпись плательщика)\", width,\" \") .. \"\\n\";\r\n	\r\n    text = text .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип голосовой авторизации\r\nfunction auth_14_body(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());	\r\n	local width = printer:get_width();\r\n\r\n    local slip = \'\'\r\n    if __payment.slip ~= \'\' then\r\n        slip = \'return \"\' .. __payment.slip .. \'\"\'\r\n        local text = ukm.source(ukm.mashine.handle,slip) .. \"\\n\";\r\n		text =  text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\n--Слип транзакционной авторизации (TRPOSX)\r\nfunction auth_21_body(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());	\r\n	local width = printer:get_width();\r\n\r\n    local slip = \'\'\r\n    if __payment.slip ~= \'\' then\r\n        slip = \'return \"\' .. __payment.slip .. \'\"\'\r\n        local text = ukm.source(ukm.mashine.handle,slip) .. \"\\n\";\r\n		text =  text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\n--Слип авторизации Эксат-бел(MultiPOS)\r\nfunction auth_22_body(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	text = text .. \"\\n\";\r\n	text = text .. __payment.cookies;\r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип авторизации РУКАРД\r\nfunction auth_26_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \" \\n\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local receipt = tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber);\r\n    text = text .. ukm.adjustment(\"СЛИП К ЧЕКУ \", receipt, width, \" \") .. \"\\n\";\r\n	\r\n    if (__payment.receipt.type == ukm.core.copy) then\r\n     text = ukm.center(\"*КОПИЯ*\", width, \" \") .. \"\\n\";\r\n    end\r\n	\r\n    local oper = \"\";\r\n    local oper_type = field:at(1);\r\n    local card_number = field:at(5);\r\n    local auth_code = field:at(9);\r\n    local op_date = field:at(11);\r\n    local amount = field:at(13);\r\n    local terminal_id = field:at(15);	\r\n    local op_time = field:at(17);\r\n    local kkm_trn_id = field:at(19);\r\n    local card_holder = field:at(21);\r\n    local currency_code = field:at(27);\r\n    local card_type = field:at(29);\r\n    local pin_inter = field:at(31);\r\n\r\n    if oper_type == \"00\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";  \r\n    elseif oper_type == \"04\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    elseif oper_type == \"05\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    end \r\n   \r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. terminal_id, width, \" \") .. \"\\n\\n\";\r\n\r\n    local date_time = op_date .. op_time;\r\n    text = text .. ukm.adjustment(\"ДАТА\", to_formated_date_DD_MM_YYYY_HH_mm_ss(date_time), width, \" \") .. \"\\n\";\r\n	\r\n    if card_type ~= \"\" then\r\n 	text = text .. ukm.adjustment(\"ТИП КАРТЫ\", card_type, width, \" \") .. \"\\n\";\r\n    end\r\n	\r\n    text = text .. ukm.adjustment(\"СУММА\", amount, width, \" \") .. \"\\n\";\r\n	\r\n    if currency_code == \"0643\" then\r\n	text = text .. ukm.adjustment(\"КОД ВАЛЮТЫ\", \"RUR\", width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustment(\"ТРАНЗАКЦИЯ\", kkm_trn_id, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ\", auth_code, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"КАРТА\", card_number, width, \" \") .. \"\\n\";\r\n\r\n    if card_holder ~= \"\" then\r\n	text = text .. ukm.adjustment(\"ВЛАДЕЛЕЦ\", card_holder, width, \" \") .. \"\\n\";\r\n    end\r\n	\r\n    if (pin_inter ~= \"\") then\r\n	text = text .. ukm.center(\"ВВЕДЕН PIN\", width, \" \") .. \"\\n\";\r\n    else\r\n        text = text .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n        text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Журнал авторизации РУКАРД\r\nfunction print_auth_rucard_report(__report, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	\r\n    local text = \"\\n\" .. ukm.center(\"ЖУРНАЛ ОПЕРАЦИЙ\", width, \" \") .. \"\\n\\n\";\r\n    \r\n	local terminal = \"\";\r\n	for i=0, __report.report_records:size()-1 do\r\n		local rec = __report.report_records:at(i);\r\n		if rec.terminal_number ~= terminal then\r\n			text = text .. ukm.center(\"ТЕРМИНАЛ \" .. rec.terminal_number, width, \" \") .. \"\\n\\n\";\r\n			terminal = rec.terminal_number;\r\n		end\r\n		\r\n		local oper = \"\";\r\n		if rec.op_code == \"0\" then\r\n		   oper = \"ПРОДАЖИ\";  \r\n		elseif rec.op_code == \"4\" then\r\n		   oper = \"ОТМЕНЫ\";\r\n		elseif rec.op_code == \"5\" then\r\n		   oper = \"ВОЗВРАТЫ\";\r\n		end \r\n	\r\n		local card_prog = \"РАЗБЛОКИРОВАНО\";\r\n		if rec.card_prog ~= \"\" then\r\n			card_prog = rec.card_prog;\r\n		end\r\n		\r\n		text = text .. ukm.adjustment(oper, card_prog, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"ВСЕГО ОПЕРАЦИЙ:\", rec.op_count, width, \" \") .. \"\\n\";\r\n		\r\n		local currency_name = \"\";\r\n		if rec.currency == \"0643\" then\r\n			currency_name = \" RUR\";\r\n		end\r\n	\r\n		text = text .. ukm.adjustment(\"СУММА:\", tostring(rec.amount) .. currency_name, width, \" \") .. \"\\n\\n\";\r\n		\r\n	end\r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип аторизации UCS PIN-пад\r\nfunction auth_24_body(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	\r\n	local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n	local slps = ukm.explode(field:at(1), \"\\013\");\r\n	for i = 0, slps:size() - 1 do\r\n		if slps:at(i) ~= \"\" then\r\n			__print_data:add(ukm.trim(slps:at(i))..\"\\n\\n\", ukm.printer_type_master());\r\n		end\r\n	end\r\nend\r\n\r\n--Слип авторизации СофтКейс\r\nfunction auth_27_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local text = \"\\n\" .. ukm.center(field:at(37), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"ТЕРМИНАЛ:\", field:at(3), width, \" \") .. \"\\n\";\r\n\r\n 	local trn_date = field:at(11);\r\n	local date_time = \"20\" .. ukm.mid(trn_date, 0, 2) .. ukm.mid(trn_date, 2, 2) .. ukm.mid(trn_date, 4, 2) .. ukm.mid(trn_date, 6, 6);\r\n        text = text .. ukm.adjustment(\"Дата\", to_formated_date_DD_MM_YYYY_HH_mm_ss(date_time), width, \" \") .. \"\\n\";\r\n\r\n	local receipt = tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber);\r\n	text = text .. ukm.adjustment(\"ЧЕК:\", receipt, width, \" \") .. \"\\n\";\r\n\r\n    local oper = \"\";\r\n	local oper_type = field:at(1);\r\n\r\n    if oper_type == \"0210000000\" then\r\n       oper = \"О П Л А Т А\";\r\n    elseif oper_type == \"0410000000\" then\r\n       oper = \"О Т М Е Н А\";\r\n    elseif oper_type == \"0210200000\" then\r\n       oper = \"В О З В Р А Т\";\r\n    end\r\n\r\n    text = text .. ukm.adjustment(\"Тип операции:\", oper, width, \" \") .. \"\\n\";\r\n\r\n	if field:at(15) == \"00\" then\r\n		text = text .. ukm.adjustment(\"Сумма:\", field:at(13), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Номер карты:\", field:at(5), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты:\", field:at(27), width, \" \") .. \"\\n\";\r\n                if ukm.mid(field:at(23), 0, 2)== \"07\" then\r\n                     text = text .. ukm.leftpad(\"Бесконтактно\", width, \" \") .. \"\\n\";\r\n                end\r\n		text = text .. ukm.adjustment(\"Номер ссылки (RRN):\", field:at(19), width, \" \") .. \"\\n\";\r\n                text = text .. ukm.adjustment(\"№ транзакции:\", field:at(21), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Код авторизации:\", field:at(9), width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	text = text .. ukm.adjustment(\"Код ответа:\", field:at(15), width, \" \") .. \"\\n\";\r\n\r\n	if field:at(15) == \"00\" then\r\n        	text = text .. \"\\n\" .. ukm.center(field:at(17), width, \" \") .. \"\\n\";\r\n	else\r\n		text = text .. \"\\n\" .. ukm.center(\"О Т К А З\", width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Причина:\", field:at(17), width, \" \") .. \"\\n\";\r\n	end\r\n\r\n       text = text .. ukm.adjustment(\"Владелец карты:\", field:at(29), width, \" \") .. \"\\n\";\r\n\r\n       if  ukm.mid(field:at(23), 0, 2)== \"07\" or ukm.mid(field:at(23), 0, 2) == \"05\" then\r\n              text = text .. ukm.adjustment(\"AID:\", field:at(31), width, \" \") .. \"\\n\";\r\n              text = text .. ukm.adjustment(\"TC:\", field:at(33), width, \" \") .. \"\\n\";\r\n       end\r\n\r\n       if field:at(35) == \"1\" then\r\n 	    text = text .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n            text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\";\r\n       end\r\n\r\n	text = text .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n        text = text .. ukm.center(\"(Подпись кассира)\", width, \" \") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction auth_27_settlement(__res, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__res).tokens);\r\n    local dateTime = ukm.get_sys_date();\r\n    local dateString = ukm.ptime2str(dateTime,  \"Дата  %d.%m.%Y\");\r\n    local timeString = ukm.ptime2str(dateTime,  \"Время  %H:%M\");\r\n    local text =  \"\\n\" .. ukm.center(field:at(0), width, \" \") .. \"\\n\\n\";\r\n    text = text .. ukm.adjustment(dateString, timeString, width, \" \") .. \"\\n\\n\";\r\n    text = text .. ukm.adjustment(\"Тип операции\", \"С В Е Р К А   И Т О Г О В\", width, \" \") .. \"\\n\\n\";\r\n    text = text .. ukm.adjustment(\"Код ответа\", field:at(1), width, \" \") .. \"\\n\\n\";\r\n\r\n    if field:at(1) == \"00\" then\r\n         text  = text .. ukm.center(\"ОПЕРАЦИЯ ВЫПОЛНЕНА\", width, \" \") .. \"\\n\\n\";\r\n    else\r\n         text  = text .. ukm.center(\"ОПЕРАЦИЯ HE ВЫПОЛНЕНА\", width, \" \") .. \"\\n\\n\";\r\n    end\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Документы авторизации PresentMail\r\nfunction present_mail_document_text(__cookies, __print_data, __text)\r\n	local field = ukm.map.int.string.iterator(ukm.token(__cookies).tokens);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = __text;\r\n    local width = printer:get_width();\r\n	\r\n	text = text .. ukm.adjustment(\"НОМЕР ЧЕКА\", field:at(15), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ДАТА\", field:at(9), width, \" \") .. \"\\n\";\r\n	\r\n	local oper = \"\";\r\n	local oper_type = field:at(1);\r\n	local card_num = \"\";\r\n	local show_balance = 0;\r\n	local print_duplicate = 1;\r\n	\r\n    if oper_type == \"VIRT_CERT_AUTH\" then\r\n       oper = \"ОПЛАТА\";  \r\n	   card_num = field:at(21);\r\n    elseif oper_type == \"GIFT_CARD_AUTH\" then\r\n       oper = \"ОПЛАТА\";\r\n    elseif oper_type == \"GIFT_CARD_AUTH_CANCEL\" then\r\n       oper = \"ОТМЕНА\";\r\n	elseif oper_type == \"GIFT_CARD_REFUND\" then\r\n       oper = \"ВОЗВРАТ\";\r\n	elseif oper_type == \"GIFT_CARD_ACT\" then\r\n       oper = \"АКТИВАЦИЯ\";\r\n	elseif oper_type == \"VIRT_CERT_BAL\" then\r\n       oper = \"ЗАПРОС БАЛАНСА\";\r\n	   card_num = field:at(21);\r\n	   print_duplicate = 0;\r\n	   show_balance = 1;\r\n	elseif oper_type == \"GIFT_CARD_BAL\" then\r\n       oper = \"ЗАПРОС БАЛАНСА\";\r\n	   show_balance = 1;\r\n	   print_duplicate = 0;\r\n	elseif oper_type == \"GIFT_CARD_ACT_CANCEL\" then\r\n       oper = \"ОТМЕНА АКТИВАЦИИ\";\r\n    end \r\n	\r\n	text = text .. ukm.adjustment(\"ВИД ОПЕРАЦИИ\", oper, width, \" \") .. \"\\n\";\r\n	\r\n	local trn_success = 1;\r\n	if field:at(5) ~= \"000\" then\r\n		trn_success = 0;\r\n		print_duplicate = 0;\r\n	end\r\n	\r\n	text = text .. ukm.adjustment(\"НОМЕР ТЕРМИНАЛА\", field:at(13), width, \" \") .. \"\\n\\n\";\r\n    \r\n	text = text .. ukm.adjustment(\"НОМЕР КАРТЫ\", field:at(21), width, \" \") .. \"\\n\";\r\n	\r\n	if show_balance == 0 then\r\n		text = text .. ukm.adjustment(\"СУММА\", field:at(19), width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.center(field:at(7), width, \" \") .. \"\\n\";\r\n	else\r\n		if trn_success == 1 then\r\n			text = text .. ukm.adjustment(\"БАЛАНС\", field:at(23), width, \" \") .. \"\\n\";\r\n		else\r\n			text = text .. ukm.center(field:at(7), width, \" \") .. \"\\n\";\r\n		end\r\n	end\r\n	if trn_success == 1 then\r\n		text = text .. \"\\n\" .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ\", field:at(17), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"RRN\", field:at(11), width, \" \") .. \"\\n\";\r\n		\r\n		if show_balance == 0 then\r\n			text = text .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n			text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\";\r\n			\r\n			text = text .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n			text = text .. ukm.center(\"(Подпись кассира)\", width, \" \") .. \"\\n\";\r\n		end\r\n	else\r\n		text = text .. \"\\n\" .. ukm.adjustment(\"КОД ОТВЕТА\", field:at(5), width, \" \") .. \"\\n\\n\";\r\n	end\r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\n	if print_duplicate == 1 then\r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction present_mail_document(__cookies, __print_data)\r\n	present_mail_document_text(__cookies, __print_data, \"\");\r\nend\r\n\r\nfunction auth_28_body(__payment, __print_data)\r\n	local text = \"\";\r\n	if (__payment.receipt.type == ukm.core.copy) then\r\n		local printer = ukm.get_printer(ukm.printer_type_master());\r\n		local width = printer:get_width();\r\n		text = ukm.center(\"*КОПИЯ*\", width, \" \") .. \"\\n\\n\";\r\n	end\r\n	\r\n	present_mail_document_text(__payment.cookies, __print_data, text);\r\nend\r\n\r\n--------------------------------авторизация ПЛАС-ТЕК--------------------------------------------------------------------\r\nfunction auth_29_body(__payment, __print_data)\r\n\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n	local text = \"\\n\";\r\n	text = text .. ukm.adjustment(\"ПЛАС-ТЕК\", field:at(0), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"МАГАЗИН:\", field:at(1), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"АДРЕС:\", field:at(2), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТОРГОВОЙ СЕТИ:\", field:at(3), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID МАГАЗИНА:\", field:at(4), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТЕРМИНАЛА:\", field:at(5), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТРАНЗАКЦИИ:\", field:at(6), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"НОМЕР КАРТЫ:\", field:at(7), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ИТОГО\\nTOTAL\", field:at(8), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ДАТА ОПЕРАЦИИ:\", field:at(9), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"БАЛАНС:\", field:at(10), width, \" \") .. \"\\n\\n\\n\";\r\n	text = text .. ukm.adjustment(\"ПОДПИСЬ ПЛАТЕЛЬЩИКА:\", \"__________\", width, \" \") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master() );\r\n	__print_data:add(text, ukm.printer_type_master() );\r\nend\r\n\r\nfunction srv_85_body(__item, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n\r\n	local text = \"\\n\";\r\n	text = text .. ukm.adjustment(\"ПЛАС-ТЕК\",  find_item_property_value(__item, \"operation_name\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"МАГАЗИН:\",  find_item_property_value(__item, \"mag_name\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"АДРЕС:\",  find_item_property_value(__item, \"mag_addr\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТОРГОВОЙ СЕТИ:\", find_item_property_value(__item, \"company_id\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID МАГАЗИНА:\", find_item_property_value(__item, \"mag_id\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТЕРМИНАЛА:\", find_item_property_value(__item, \"term_id\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ID ТРАНЗАКЦИИ:\", find_item_property_value(__item, \"transaction_id\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"НОМЕР КАРТЫ:\",  find_item_property_value(__item, \"card_num\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ИТОГО\\nTOTAL\", find_item_property_value(__item, \"total\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"ДАТА ОПЕРАЦИИ:\", find_item_property_value(__item, \"operation_time\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"БАЛАНС:\", find_item_property_value(__item, \"balance\"), width, \" \") .. \"\\n\\n\\n\";\r\n	text = text .. ukm.adjustment(\"ПОДПИСЬ ПЛАТЕЛЬЩИКА:\", \"__________\", width, \" \") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master() );\r\n	__print_data:add(text, ukm.printer_type_master() );\r\nend\r\n--------------------------------авторизация ПЛАС-ТЕК--------------------------------------------------------------------\r\n\r\nfunction thank_sbrf_slip(__in_data, __type, __print_data)\r\n	local field = ukm.map.int.string.iterator(__in_data);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n	text = text .. ukm.center(\"СПАСИБО ОТ СБЕРБАНКА\", width, \" \") .. \"\\n\";\r\n\r\n	if (__type == \"info\") then\r\n		text = text .. ukm.adjustment(\"Карта \", field:at(0), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Состояние \", field:at(5), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Количество СПАСИБО на карте \", field:at(6), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"в т.ч. доступных для списания \", field:at(7), width, \" \") .. \"\\n\";\r\n	else\r\n		if (__type == \"add\") then\r\n			text = text .. ukm.center(\"Начисление СПАСИБО\", width, \" \") .. \"\\n\";\r\n		else \r\n			if (__type == \"refund\") then\r\n				text = text .. ukm.center(\"Возврат СПАСИБО\", width, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		text = text .. ukm.adjustment(\"Карта \", field:at(0), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Терминал \", field:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Дата и время \", field:at(2), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Сумма покупки \", field:at(3), width, \" \") .. \"\\n\";\r\n\r\n		if (__type == \"add\") then\r\n			text = text .. ukm.center(\"CПАСИБО будут начислены позже\", width, \" \") .. \"\\n\";\r\n		else \r\n			if (__type == \"refund\") then\r\n				text = text .. ukm.center(\"CПАСИБО будут возвращены позже\", width, \" \") .. \"\\n\";\r\n			end\r\n		end\r\n\r\n		text = text .. ukm.center(\"в соответствии с правилами программы\", width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	text = text .. ukm.center(field:at(4), width, \" \") .. \"\\n\";\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n--Слип авторизации WEBMONEY\r\nfunction auth_30_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n  \r\n    local receipt = tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber);\r\n\r\n    text = text .. ukm.center(\"КВИТАНЦИЯ № \" .. field:at(1), width, \" \") .. \"\\n\";\r\n    \r\n    if __payment.cardnumber ~= nil then\r\n       text = text ..  ukm.adjustment(\"Телефон: \",  __payment.cardnumber:get(), width, \" \") .. \"\\n\";\r\n    end\r\n    \r\n   \r\n    local oper = \"\";\r\n    if __payment.receipt.header.type == 0 or __payment.receipt.header.type == 5 then\r\n       oper = \"Сумма платежа: \";\r\n    else\r\n       oper = \"Сумма возврата: \";\r\n    end  \r\n\r\n    text = text ..  ukm.adjustment(oper, tostring(__payment.amount), width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.adjustment(\"По чеку: \", receipt, width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.center(\"_________________\", width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.center(\"(подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n    \r\n    __print_data:add(text,ukm.printer_type_master());\r\n\r\n  \r\nend\r\n\r\nfunction auth_4_fail_body(__data, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__data).tokens);\r\n    text = text .. \" \" .. \"\\n\";\r\n\r\n    local oper = \"\";\r\n    if field:at(12) == \"0\" then\r\n       oper = \"#ERR#\";  \r\n    elseif field:at(12) == \"1\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(12) == \"2\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(12) == \"3\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(12) == \"4\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    elseif field:at(12) == \"29\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    end \r\n   \r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. field:at(4), width, \" \") .. \"\\n\";\r\n\r\n    if field:at(2) ~= \"\" then\r\n       text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(2), width, \" \") .. \"\\n\";\r\n    elseif field:at(3) ~= \"\" then\r\n       text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(3), width, \" \") .. \"\\n\";\r\n    end\r\n    if field:at(3) ~= \"\" then\r\n       text = text .. ukm.slice(\"ОТВЕТ \" .. field:at(13), width) .. \"\\n\";\r\n    end\r\n    if field:at(11) == \"fail\" then\r\n       text = text .. ukm.adjustment(\"ДАТА\", to_formated_date_DD_MM_YYYY_HH_mm_ss(field:at(0)), width, \" \") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"СУММА\", tostring(field:at(8) / 100), width, \" \") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"КОД АВТОРИЗАЦИИ\", field:at(1), width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. field:at(14) .. \"\\n\";\r\n     \r\n    if field:at(11) == \"timeout\" then\r\n       text = text .. ukm.center(field:at(15), width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    \r\nend\r\n\r\nfunction print_bpm_online_loyality_card_info(__card_info,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. ukm.left(__card_info:get_pos_name(), width) .. \"\\n\";\r\n       text = text .. print_info_header(width);\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n           text = text .. ukm.adjustmentdouble(\"Статус карты \",__card_info.str_status,width,\" \") .. \"\\n\";\r\n           for i = 0, __card_info:get_params_count() - 1 do\r\n               text = text .. ukm.adjustmentdouble(__card_info:get_param_description(i),__card_info:get_param_value(i),width,\" \") .. \"\\n\";\r\n           end \r\n           text = text .. ukm.slicecenter(__card_info.notes_in_check, width) .. \"\\n\";\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n\r\n\r\nfunction display_manzana_balance(__card_info, __width, __print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"Номер карты \", __card_info.CardNumber,  __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Тип \", __card_info.CardType, __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Статус \", __card_info.CardStatus,  __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Баланс \", __card_info.CardBalance, __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Всего покупок со скидкой \", __card_info.CardSummDiscounted,  __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Начислено статусных бонусов \", __card_info.CardChargeStatusBonus,  __width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Доступно к списанию бонусов \", __card_info.CardActiveBalance,  __width, \".\") ..\"\\n\";\r\n \r\n       __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n\r\n\r\nfunction print_manzana_slip(__card_info,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"Номер карты \", __card_info.CardNumber, width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Баланс \", __card_info.CardBalance, width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Доступно бонусов \", __card_info.CardActiveBalance, width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Всего покупок со скидкой \", __card_info.CardSummDiscounted, width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_manzana_transaction(__card_info,__print_data)\r\n local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"Номер карты \", __card_info.CardNumber, width, \".\") ..\"\\n\";\r\n	   text = text .. ukm.adjustment(\"Тип карты \", __card_info.CardType, width, \".\") ..\"\\n\";\r\n	   text = text .. ukm.adjustment(\"Статус карты \", __card_info.CardStatus, width, \".\") ..\"\\n\";	   \r\n       text = text .. ukm.adjustment(\"Начислено бонусов \", __card_info.ChargedBonus, width, \".\") ..\"\\n\";	   \r\n       if __card_info.ActiveChargedBonus ~= \"\" then\r\n         text = text .. ukm.adjustment(\"Начисленных активных бонусов \", __card_info.ActiveChargedBonus, width, \".\") ..\"\\n\";\r\n       end\r\n       text = text .. ukm.adjustment(\"Списано бонусов \", __card_info.WriteOffBonus, width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"Доступно к оплате \", __card_info.CardActiveBalance, width, \".\") ..\"\\n\";\r\n	   text = text .. ukm.adjustment(\"Всего покупок со скидкой \", __card_info.CardSummDiscounted, width, \".\") ..\"\\n\";\r\n	   text = text .. ukm.adjustment(\"Статусных бонусов \", __card_info.CardChargeStatusBonus, width, \".\") ..\"\\n\";\r\n	   text = text .. ukm.adjustment(\"Всего списано бонусов \", __card_info.CardWriteoffBonus, width, \".\") ..\"\\n\";\r\n\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n       if __card_info.MessageOne ~= \"\" then\r\n         text = text .. ukm.slicecenter(__card_info.MessageOne, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __card_info.MessageTwo ~= \"\" then\r\n         text = text .. ukm.slicecenter(__card_info.MessageTwo, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __card_info.PersonalMessageOne ~= \"\" then\r\n         text = text .. ukm.slicecenter(__card_info.PersonalMessageOne, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __card_info.PersonalMessageTwo ~= \"\" then\r\n         text = text .. ukm.slicecenter(__card_info.PersonalMessageTwo, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend \r\n\r\nfunction loymax_slip(__card, __pay, __cashb, __print_data)\r\n	local card = ukm.map.int.string.iterator(__card);\r\n	local pay = ukm.map.int.string.iterator(__pay);\r\n	local cashb = ukm.map.int.string.iterator(__cashb);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n        text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n        if card:at(0) == \"1\" then\r\n		text = text .. ukm.adjustment(\"Карта \", card:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Держатель \", card:at(2), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты \", card:at(3), width, \" \") .. \"\\n\";\r\n\r\n         if ukm.str_len(card:at(5)) > 0 then\r\n		text = text .. ukm.adjustment(\"Прямая скидка \", card:at(5), width, \" \") .. \"\\n\";\r\n         end\r\n         end\r\n\r\n        if pay:at(0) == \"1\" then\r\n	text = text .. ukm.center(\"СПИСАНИЕ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", pay:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Бонусов списано \", pay:at(2), width, \" \") .. \"\\n\";\r\n        	text = text .. ukm.center(pay:at(3), width, \" \") .. \"\\n\";\r\n         end\r\n\r\n        if cashb:at(0) == \"1\" then\r\n	text = text .. ukm.center(\"НАЧИСЛЕНИЕ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", cashb:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Бонусов начислено \", cashb:at(2), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Бонусов до покупки \", cashb:at(3), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Остаток бонусов \", cashb:at(4), width, \" \") .. \"\\n\"; \r\n        	text = text .. ukm.center(cashb:at(5), width, \" \") .. \"\\n\";\r\n         end\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction loymax_balance_slip(__card, __print_data)\r\n	local card = ukm.map.int.string.iterator(__card);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n        if card:at(0) == \"1\" then\r\n		text = text .. ukm.adjustment(\"Карта \", card:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Держатель \", card:at(2), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты \", card:at(3), width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Баланс на карте \", card:at(5), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\" \", card:at(4), width, \" \") .. \"\\n\";\r\n         end\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction loymax_refund_slip(__refund_info, __print_data)\r\n	local refund_info = ukm.map.int.string.iterator(__refund_info);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n        if ukm.str_len(refund_info:at(0)) > 0 then\r\n		text = text .. ukm.adjustment(\"Карта \", refund_info:at(0), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Держатель \", refund_info:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты \", refund_info:at(2), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        if ukm.str_len(refund_info:at(3)) > 0 then\r\n	text = text .. ukm.center(\"ВОЗВРАТ СПИСАНИЯ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", refund_info:at(3), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Сумма возврата \", refund_info:at(4), width, \" \") .. \"\\n\";\r\n        	text = text .. ukm.center(refund_info:at(5), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        if ukm.str_len(refund_info:at(6)) > 0 then\r\n	text = text .. ukm.center(\"ВОЗВРАТ НАЧИСЛЕНИЯ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", refund_info:at(6), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Сумма возврата \", refund_info:at(7), width, \" \") .. \"\\n\";\r\n        	text = text .. ukm.center(refund_info:at(8), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction print_egais_slip(__header, __printQRCode, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local width = printer:get_width();\r\n    local text = ukm.adjustment(\"ИНН: \" .. ukm.shop_inn(), \"КПП: \" .. ukm.shop_kpp(), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"КАССА: \" .. tostring(__header.pos), \"СМЕНА: \" .. tostring(__header.shiftopen.number), width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustment(\"ЧЕК: \" .. tostring(__header.localnumber), \"ДАТА: \" .. ukm.ptime2str(__header.date, \"%d/%m/%Y %H:%M\"), width, \" \") .. \"\\n\\n\";\r\n        if (__printQRCode) then\r\n                text = text .. hw_command_qrcode(__header.receipt.egaisUrl) .. \"\\n\";\r\n            end\r\n\r\n        text = text .. ukm.adjustmentlines(__header.receipt.egaisUrl, width, \" \") .. \"\\n\";\r\n        text = text .. ukm.adjustmentlines(__header.receipt.egaisSign, width, \" \") .. \"\\n\";\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\n-- SAP CRM\r\n\r\nfunction print_sap_crm_loyality_register_form(__auth, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     local width = printer:get_width();\r\n     \r\n     local text = ukm.slicecenter(\"Уважаемый клиент, спасибо за регистрацию в ПЛ! Теперь у вас появляется возможность использовать накопленные бонусы для оплаты последующих покупок.\", width) .. \"\\n\";\r\n     if(__auth:is_balance()) then\r\n        text = text .. ukm.adjustmentdouble(\"Баланс на текущий момент:\", __auth:get_balance(), width, \" \") .. \"\\n\";\r\n     end\r\n     \r\n     __print_data:add(text,ukm.printer_type_master());\r\n\r\nend\r\n\r\nfunction print_sap_crm_loyality_change_card(__auth, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     local width = printer:get_width();\r\n     \r\n     local text = ukm.slicecenter(\"Уважаемый клиент! Карта с № \" .. __auth.old_card_num .. \" заблокирована. Вам выдана новая карта с № \" .. __auth.card_num, width) .. \"\\n\";\r\n     if(__auth:is_balance()) then\r\n        text = text .. ukm.adjustmentdouble(\"Баланс бонусов по новой карте:\", __auth:get_balance(), width, \" \") .. \"\\n\";\r\n     end\r\n\r\n     __print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction print_sap_crm_loyality_purchase(__auth, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     local width = printer:get_width();\r\n     \r\n     local text = ukm.center(\"Уважаемый клиент! Спасибо за покупку.\", width, \" \") .. \"\\n\";\r\n     local card_num = __auth.card_num;\r\n     if(card_num ~= \"\") then\r\n        text = text .. ukm.center(\"Номер вашей карты \" .. card_num .. \".\", width, \" \") .. \"\\n\";\r\n     end\r\n     text = text .. ukm.slicecenter(\"Вам будут начислены бонусы в ближайшее время.\", width) .. \"\\n\";\r\n\r\n     if(__auth:is_spent_bonuses()) then\r\n        text = text .. ukm.adjustmentdouble(\"Израсходовано в этом чеке:\", __auth:get_spent_bonuses(), width, \" \") .. \"\\n\";\r\n     end\r\n     if(__auth:is_balance()) then\r\n        text = text .. ukm.adjustmentdouble(\"Баланс на текущий момент:\", __auth:get_balance(), width, \" \") .. \"\\n\";\r\n     end\r\n\r\n     __print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction print_sap_crm_loyality_return(__auth, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     local width = printer:get_width();\r\n     \r\n     local text = ukm.slicecenter(\"Уважаемый клиент! По результатам возврата:\", width) .. \"\\n\";\r\n     if(__auth:is_return_bonuses()) then\r\n        text = text .. ukm.adjustmentdouble(\"начислено бонусов:\", __auth:get_return_bonuses(), width, \" \") .. \"\\n\";\r\n     end\r\n     if(__auth:is_spent_bonuses()) then\r\n        text = text .. ukm.adjustmentdouble(\"списано бонусов:\", __auth:get_spent_bonuses(), width, \" \") .. \"\\n\";\r\n     end\r\n     if(__auth:is_balance()) then\r\n        text = text .. ukm.adjustmentdouble(\"Баланс на текущий момент:\", __auth:get_balance(), width, \" \") .. \"\\n\";\r\n     end\r\n\r\n     __print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction print_sap_crm_loyality_info(__auth, __print_data)\r\n     local printer = ukm.get_printer(ukm.printer_type_master());\r\n     local width = printer:get_width();\r\n     \r\n     local text = ukm.slicecenter(\"Уважаемый клиент! Выписка по карте № \" .. __auth.card_num .. \" на \" .. __auth.doc_time .. \":\", width) .. \"\\n\";\r\n     text = text .. ukm.adjustment(\"Статус карты:\",__auth.doc_card_status, width, \" \") .. \"\\n\";\r\n     text = text .. ukm.adjustment(\"Использование бонусов:\",__auth.doc_msh_type, width, \" \") .. \"\\n\";\r\n     text = text .. ukm.adjustment(\"Уровень клиента:\",__auth.doc_msh_tier, width, \" \") .. \"\\n\";\r\n     text = text .. ukm.adjustmentdouble(\"Количество квалификационных баллов:\",__auth.doc_qualify_bonus, width, \" \") .. \"\\n\";\r\n     if(__auth:is_balance()) then\r\n        text = text .. ukm.adjustment(\"Баланс:\", __auth:get_balance(), width, \" \") .. \"\\n\";\r\n     end\r\n\r\n     __print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\n\r\nfunction auth_10_body(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = \"\\n\" .. text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\"\r\n\r\n    local slip = \'\'\r\n    if __payment.slip ~= \'\' then\r\n        slip = \'return \"\' .. __payment.slip .. \'\"\'\r\n    else\r\n        slip = field:at(2)\r\n        if slip == \'\' then\r\n            slip = \'return \"\"\'\r\n        end\r\n    end\r\n\r\n    text = text .. ukm.source(ukm.mashine.handle,slip) .. \"\\n\";\r\n    text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- Manzana ML\r\n\r\nfunction print_manzana_ml_balance(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"* Всего баллов:\",__auth:get_balance_CardBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Из них доступно:\",__auth:get_balance_CardActiveBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Всего покупок (руб.):\",__auth:get_balance_CardSumm() .. \" *\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_manzana_ml_slip(__auth,__print_data)\r\n local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"* Начислено бонусов \", __auth:get_ChargedBonus() ..\" *\", width, \".\") ..\"\\n\";	   \r\n       text = text .. ukm.adjustment(\"* Начислено активных бонусов \", __auth:get_ActiveChargedBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано бонусов \", __auth:get_WriteOffBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано статусных бонусов \", __auth:get_WriteoffStatusBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Активный баланс карты \", __auth:get_CardActiveBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Баланс карты \", __auth:get_CardBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Сумма покупок со скидкой \", __auth:get_SummDiscounted() .. \" *\", width, \".\") ..\"\\n\";\r\n       local coupon = __auth:get_FirstUsedCouponNumber();\r\n       if( coupon ~=\"\") then\r\n             text = text .. ukm.adjustment(\"* Были приняты купоны с номерами: \", \" *\", width, \" \") ..\"\\n\";\r\n             while (coupon ~=\"\") do\r\n                    text = text .. ukm.adjustment(\"* \" .. coupon, \" *\", width, \" \") ..\"\\n\";\r\n                    coupon = __auth:get_NextUsedCouponNumber();\r\n             end\r\n       end\r\n\r\n \r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n       if __auth.ChequeMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.ChequeMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.ChequeMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.ChequeMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend \r\n\r\n\r\n\r\nfunction print_event_print_clm_plastek_account(__plastek, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n	local inc     = __plastek.client.surname .. \" \" .. __plastek.client.name .. \" \" .. __plastek.client.patronymic;\r\n	local account = __plastek.client.account_number;\r\n	local card    = __plastek.client.card_number;\r\n	\r\n	local award_b = tostring(__plastek.award_bonus);\r\n	local used_b  = tostring(__plastek.used_bonus);\r\n	\r\n	local active  = tostring(__plastek.client.balance);\r\n	local balance = tostring(__plastek.client.active);\r\n	\r\n	if award_b == \"\" then award_b = \"0\"; end\r\n	if used_b  == \"\" then used_b = \"0\"; end\r\n	if active  == \"\" then active = \"0\"; end\r\n	if balance == \"\" then balance = \"0\"; end\r\n	  \r\n	if card ~= \"\" then\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n		text = text .. ukm.left(inc, width) .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Номер счета: \", account, 	width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Номер карты: \", card, 	width, \" \") .. \"\\n\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Начислено баллов PlasTek: \", award_b, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Потрачено баллов PlasTek: \", used_b,  width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Всего баллов PlasTek: \",  	 active,  width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Активно баллов PlasTek: \", 	 balance, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	end\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_event_print_clm_plastek_informing(__plastek, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n	\r\n	for i = 0, __plastek:inf_size() - 1 do\r\n		\r\n		text = text .. ukm.slice(__plastek:inf_at(i), width) .. \"\\n\";\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	end \r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\nfunction print_manzana_ml_coupon(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n   text = text .. ukm.center(\" К у п о н \", width, \" \") .. \"\\n\".. \"\\n\";\r\n   text = text .. ukm.slicecenter(__auth:get_InstantCouponMessage(), width) ..\"\\n\\n\";\r\n   text = text .. hw_command_bar_code(__auth:get_InstantCouponNumber()) .. \"\\n\";\r\n   text = text .. ukm.center(__auth:get_InstantCouponNumber(), width, \" \") ..\"\\n\\n\";\r\n   text = text .. ukm.center(\" Купон действителен \", width, \" \") ..\"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"с \"..__auth:get_InstantCouponEffectDate(), \"по \".. __auth:get_InstantCouponExpiryDate(), width, \" \") .. \"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\n\r\n\r\nfunction print_bpm_online_loyality_offline_slip(__card_info,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.center(\"ВНИМАНИЕ!!!\", width, \" \") .. \"\\n\";\r\n       text = text .. ukm.center(\"Отсутствует связь с сервером\", width, \" \") .. \"\\n\";\r\n       text = text .. ukm.center(\"Программы КУПИЛКА.\", width, \" \") .. \"\\n\";\r\n       text = text .. ukm.slicecenter(\"Но волноваться не стоит – все Ваши бонусы будут зачислены сразу же после восстановления связи.\", width) .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\n-- LOYA\r\nfunction print_loya_informing(__loya, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n	\r\n	for i = 0, __loya:inf_size() - 1 do\r\n		\r\n		local info_vec = ukm.explode(__loya:inf_at(i), \"\\n\");\r\n		for i = 0, info_vec:size() - 1 do\r\n			text = text .. ukm.slice(info_vec:at(i), width);\r\n		end		\r\n		if (info_vec:size() > 0) then\r\n			text = text .. \"\\n\";\r\n		end\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	end \r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_loya_personal_slip(__loya, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n	\r\n	text = text .. ukm.center(\"ДЛЯ ВАС\", width-2,\" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"ПЕРСОНАЛЬНОЕ ПРЕДЛОЖЕНИЕ\", width-2,\" \") .. \"\\n\";\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	\r\n	for i = 0, __loya:inf_size() - 1 do\r\n		\r\n		local info_vec = ukm.explode(__loya:inf_at(i), \"\\n\");\r\n		for i = 0, info_vec:size() - 1 do\r\n			text = text .. ukm.slice(info_vec:at(i), width);\r\n		end		\r\n		if (info_vec:size() > 0) then\r\n			text = text .. \"\\n\";\r\n		end\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	end \r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\nfunction print_loya_eCoupon(__coupon, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n	text = text .. ukm.adjustmentdouble(\"Вам выдан купон \", __coupon.barcode, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.name, width) .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.description, width) .. \"\\n\\n\";\r\n	text = text .. ukm.adjustmentdouble(__coupon.reward_title, __coupon.reward, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата начала действия: \", __coupon.date_from, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата окончания действия: \", __coupon.date_till, width, \" \") .. \"\\n\";\r\n\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_loya_coupon(__coupon, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	text = text .. ukm.center(\"Купон на скидку\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Номер купона: \", __coupon.barcode, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.name, width) .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.description, width) .. \"\\n\\n\";\r\n	text = text .. ukm.adjustmentdouble(__coupon.reward_title, __coupon.reward, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата выдачи: \", os.date(\"%d.%m.%Y\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата начала действия: \", __coupon.date_from, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Дата окончания действия: \", __coupon.date_till, width, \" \") .. \"\\n\";\r\n\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	text = text .. hw_command_bar_code(__coupon.barcode) .. \"\\n\";\r\n\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction local_txt_currency(__txt)	 \r\n	local c_summ = ukm.currency(0);	 \r\n	c_summ: from_string(__txt);	 \r\n	return tostring(c_summ);	 \r\nend\r\n\r\nfunction print_loya_account_16_short(__loya, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n    local order_num = __loya:get_order_number();\r\n    if (order_num ~= \"\") then\r\n        text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"Номер заказа:\", order_num, width, \" \") .. \"\\n\";\r\n    end\r\n\r\n	local card    = __loya.client.card_number;\r\n\r\n	local active  = tostring(__loya.client.balance);\r\n	local balance = tostring(__loya.client.active);\r\n\r\n	if card ~= \"\" then\r\n		text = text .. ukm.adjustmentdouble(\"Баланс\", tostring(balance), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n 	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_loya_account_16_full(__loya, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	\r\n    local order_num = __loya:get_order_number();\r\n    if (order_num ~= \"\") then\r\n        text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"Номер заказа:\", order_num, width, \" \") .. \"\\n\";\r\n    end\r\n	\r\n\r\n	local inc     = __loya.client.surname .. \" \" .. __loya.client.name .. \" \" .. __loya.client.patronymic;\r\n	local account = __loya.client.account_number;\r\n	local card    = __loya.client.card_number;\r\n\r\n	local award_b = tostring(__loya.award_bonus);\r\n	local used_b  = tostring(__loya.used_bonus);\r\n	local award_b_text = \"Начислено баллов LOYA: \";\r\n	local used_b_text = \"Потрачено баллов LOYA: \";\r\n	if (__loya.check_type == 2) then\r\n		award_b_text = \"Возврат начисленных баллов LOYA: \";\r\n		used_b_text = \"Возврат потраченных баллов LOYA: \";\r\n	end\r\n\r\n	local active  = tostring(__loya.client.balance);\r\n	local balance = tostring(__loya.client.active);\r\n\r\n	if card ~= \"\" then\r\n		text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n		text = text .. ukm.slice(inc, width) .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Номер счета: \", account, 	width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Номер карты: \", card, 	width, \" \") .. \"\\n\\n\";\r\n\r\n		if award_b ~= \"0.00\" then\r\n			text = text .. ukm.adjustmentdouble(award_b_text, award_b, width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		if used_b ~= \"0.00\" then\r\n			text = text .. ukm.adjustmentdouble(used_b_text, used_b,  width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		if __loya.client.appliedAward ~= nil then\r\n                    if __loya.client.balance ~= ukm.currency(0) or __loya.client.appliedAward ~= ukm.currency(0) or __loya.used_bonus ~= ukm.currency(0) then\r\n			text = text .. ukm.left(\"Aктивные бонусы:\", width) .. \"\\n\";\r\n			text = text .. ukm.adjustmentdouble(\"  Начальный баланс\", tostring(__loya.client.balance), width, \" \") .. \"\\n\";\r\n			if (__loya.client.appliedAward ~= ukm.currency(0)) then\r\n				text = text .. ukm.adjustmentdouble(\"  Начислено\", tostring(__loya.client.appliedAward), width, \" \") .. \"\\n\";\r\n			end\r\n			if  __loya.client.appliedAward ~= ukm.currency(0) or __loya.used_bonus ~= ukm.currency(0) then\r\n				text = text .. ukm.adjustmentdouble(\"  Итоговый баланс\", tostring(__loya.client.active), width, \" \") .. \"\\n\";\r\n			end\r\n                    end\r\n			if (__loya.client.totalInactive > ukm.currency(0) or __loya.client.inactiveAward > ukm.currency(0)) then\r\n				text = text .. ukm.left(\"Неактивные бонусы:\", width) .. \"\\n\";\r\n				text = text .. ukm.adjustmentdouble(\"  Начальный баланс\", tostring(__loya.client.balanceInactive), width, \" \") .. \"\\n\";\r\n				if (__loya.client.inactiveAward > ukm.currency(0)) then\r\n					text = text .. ukm.adjustmentdouble(\"  Начислено\", tostring(__loya.client.inactiveAward), width, \" \") .. \"\\n\";\r\n					text = text .. ukm.adjustmentdouble(\"  Итоговый баланс\", tostring(__loya.client.totalInactive), width,\" \") .. \"\\n\";\r\n				end\r\n			end\r\n		end\r\n	end\r\n\r\n	if (__loya:extension_by_key(\"ukm.awards.campaignName.0\") ~= \"\" or __loya:extension_by_key(\"ukm.awards.partnerName.0\") ~= \"\") then\r\n        if (__loya:extension_by_key(\"ukm.awards.awardBonus.0\") ~= \"0\" or __loya:extension_by_key(\"ukm.awards.discount.0\") ~= \"0.00\") then\r\n            text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n        end\r\n    end\r\n    local j = 0;\r\n    local titleBonus = \"Начислено баллов: \\n\";\r\n    local titleDiscount = \"Ваши скидки: \\n\";\r\n    local couponText = \"Купоны: \\n\";\r\n	local dibsText = \"\";\r\n    local auxText = \"\";\r\n\r\n    for j = 0, __loya.ext_size, 1 do\r\n        local awardBonusTxt = __loya:extension_by_key(\"ukm.awards.awardBonus.\" .. j);\r\n        local awardDiscountTxt = __loya:extension_by_key(\"ukm.awards.discount.\" .. j);\r\n        local awardBonus = ukm.currency(0);\r\n        local awardDiscount = ukm.currency(0);\r\n        \r\n		if (awardBonusTxt ~= \"\") then\r\n            awardBonus:from_string(awardBonusTxt);\r\n        end\r\n       \r\n		if (awardDiscountTxt ~= \"\") then\r\n            awardDiscount:from_string(awardDiscountTxt);\r\n		end\r\n\r\n		if __loya:extension_by_key(\"ukm.awards.campaignName.\" .. j) ~= \"\" then\r\n            if awardBonus:sign() ~= 0 then\r\n                titleBonus = titleBonus .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.campaignName.\" .. j), local_txt_currency(awardBonusTxt), width, \" \") .. \"\\n\";\r\n            end\r\n            if awardDiscount:sign() ~= 0 then\r\n                text = text .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.campaignName.\" .. j), local_txt_currency(awardDiscountTxt), width, \" \") .. \"\\n\";\r\n            end\r\n		elseif __loya:extension_by_key(\"ukm.awards.partnerName.\" .. j) ~= \"\" then\r\n            if awardBonus:sign() ~= 0 then\r\n                auxText = auxText .. ukm.adjustmentdouble(\"Базовые начисления\", awardBonusTxt, width, \" \") .. \"\\n\";\r\n            end\r\n            if awardDiscount:sign() ~= 0 then\r\n                auxText = auxText .. ukm.adjustmentdouble(\"Мелочь\", awardDiscountTxt, width, \" \") .. \"\\n\";\r\n            end\r\n        elseif __loya:extension_by_key(\"ukm.awards.couponName.\" .. j) ~= \"\" then\r\n            if awardBonus:sign() ~= 0 then\r\n                couponText = couponText .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.couponName.\" .. j), awardBonusTxt, width, \" \") .. \"\\n\";\r\n            end\r\n            if awardDiscount:sign() ~= 0 then\r\n                couponText = couponText .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.couponName.\" .. j), awardDiscountTxt, width, \" \") .. \"\\n\";\r\n			elseif awardBonus:sign() ~= 0 then\r\n				couponText = couponText .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.couponName.\" .. j), \"выдан подарок\", width, \" \") .. \"\\n\";\r\n			end\r\n        end\r\n		\r\n		if __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.campaignName\") ~= \"\" then\r\n			local name = __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.campaignName\");\r\n			local total = \"0\";			\r\n			if __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.total\") ~= \"\" then\r\n				total = __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.total\");\r\n			end\r\n			\r\n			local used = \"0\";\r\n			if __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.used\") ~= \"\" then\r\n				used = __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.used\");\r\n			end\r\n			\r\n			local issued = \"0\";\r\n			if __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.issued\") ~= \"\" then\r\n				issued = __loya:extension_by_key(\"ext.\" .. j .. \".DibsActionMechanicPlugin.dibs.issued\");\r\n			end\r\n			\r\n			dibsText = dibsText .. name .. \":\\n\";\r\n			dibsText = dibsText .. ukm.adjustmentdouble(\" накоплено\", total, width, \" \") .. \"\\n\";\r\n			if (__loya.check_type == 2) then\r\n				dibsText = dibsText .. ukm.adjustmentdouble(\" списано\", used, width, \" \") .. \"\\n\";\r\n			else\r\n				dibsText = dibsText .. ukm.adjustmentdouble(\" использовано в чеке\", used, width, \" \") .. \"\\n\";\r\n				dibsText = dibsText .. ukm.adjustmentdouble(\" выдано в чеке\", issued, width, \" \") .. \"\\n\";\r\n			end			\r\n		end\r\n    end	\r\n    \r\n	if ukm.str_len(titleBonus)>25 then\r\n       text = text .. \"\\n\" .. titleBonus;\r\n    end\r\n    if ukm.str_len(titleDiscount)>20 then\r\n       text = text .. \"\\n\" .. titleDiscount;\r\n    end\r\n    if ukm.str_len(couponText)>15 then\r\n       text = text .. \"\\n\" .. couponText;\r\n    end\r\n     if ukm.str_len(auxText)>0 then\r\n       text = text .. \"\\n\" .. auxText;\r\n    end\r\n	if ukm.str_len(dibsText) > 0 then\r\n      text = text .. \"Фишечные акции: \\n\" .. dibsText;\r\n    end\r\n	\r\n    text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n\r\n 	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_loya_account_16(__loya, __print_data)\r\n    if loya_short_slip == true then\r\n        print_loya_account_16_short(__loya, __print_data);\r\n    else\r\n        print_loya_account_16_full(__loya, __print_data);\r\n    end\r\nend\r\n\r\nfunction print_loya_awards(__loya, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n	if (__loya:extension_by_key(\"ukm.awards.campaignName.0\") ~= \"\" or __loya:extension_by_key(\"ukm.awards.partnerName.0\") ~= \"\") then\r\n        if (__loya:extension_by_key(\"ukm.awards.awardBonus.0\") ~= \"0\" or __loya:extension_by_key(\"ukm.awards.discount.0\") ~= \"0.00\") then\r\n            text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n        end\r\n    end\r\n    local j = 0;\r\n    local titleBonus = \"Начислено баллов: \\n\";\r\n    local titleDiscount = \"Ваши скидки: \\n\";\r\n    local couponText = \"Купоны: \\n\";\r\n    local auxText = \"\";\r\n\r\n    for j = 0, __loya.ext_size, 1 do\r\n        if __loya:extension_by_key(\"ukm.awards.campaignName.\" .. j) ~= \"\" then\r\n            if __loya:extension_by_key(\"ukm.awards.discount.\" .. j) ~= \"0.00\" then\r\n                text = text .. ukm.adjustmentdouble(__loya:extension_by_key(\"ukm.awards.campaignName.\" .. j), local_txt_currency(__loya:extension_by_key(\"ukm.awards.discount.\" .. j)), width, \" \") .. \"\\n\";\r\n            end\r\n        end\r\n    end\r\n\r\n	if (__loya:extension_by_key(\"ukm.awards.campaignName.0\") ~= \"\" or __loya:extension_by_key(\"ukm.awards.partnerName.0\") ~= \"\") then\r\n            if (__loya:extension_by_key(\"ukm.awards.awardBonus.0\") ~= \"0\" or __loya:extension_by_key(\"ukm.awards.discount.0\") ~= \"0.00\") then\r\n                text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n            end\r\n        end \r\n 	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- PRIVATE BANK\r\nfunction print_privatebank_payment_info(__Info, __print_data)\r\n\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. \"ПриватБанк\" .. \"\\n\";\r\n    text = text .. \"Транзакция №\" .. \"\\n\";\r\n    text = text .. __Info.RRN .. \"\\n\";\r\n    text = text .. \"ЕПЗ  \" .. __Info.IssuerName .. \"  \" .. __Info.PAN .. \"\\n\";\r\n    text = text .. \"Терминал №  \" .. __Info.TerminaID.. \"\\n\";\r\n    text = text .. \"Оплата товаров/услуг\" .. \"\\n\";\r\n    text = text .. \"КОД АВТ.  \" .. __Info.AuthCode .. \"\\n\\n\";\r\n    text = text .. \"Держатель ЕПЗ_____________________\" .. \"\\n\";\r\n    text = text .. __Info.UserName .. \"\\n\\n\";\r\n    text = text .. \"Касир______________________\" .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n\r\nend\r\n\r\n\r\n-- Manzana DS2\r\n\r\nfunction print_manzana_ds2_balance(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"* Всего баллов:\",__auth:get_balance_CardBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Из них доступно:\",__auth:get_balance_CardActiveBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Всего покупок (руб.):\",__auth:get_balance_CardSumm() .. \" *\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_manzana_ds2_slip(__auth,__print_data)\r\n local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"* Начислено бонусов \", __auth:get_ChargedBonus() ..\" *\", width, \".\") ..\"\\n\";	   \r\n       text = text .. ukm.adjustment(\"* Начислено активных бонусов \", __auth:get_ActiveChargedBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано бонусов \", __auth:get_WriteOffBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано статусных бонусов \", __auth:get_WriteoffStatusBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Активный баланс карты \", __auth:get_CardActiveBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Баланс карты \", __auth:get_CardBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Сумма покупок со скидкой \", __auth:get_SummDiscounted() .. \" *\", width, \".\") ..\"\\n\";\r\n       local coupon = __auth:get_FirstUsedCouponNumber();\r\n       if( coupon ~=\"\") then\r\n             text = text .. ukm.adjustment(\"* Были приняты купоны с номерами: \", \" *\", width, \" \") ..\"\\n\";\r\n             while (coupon ~=\"\") do\r\n                    text = text .. ukm.adjustment(\"* \" .. coupon, \" *\", width, \" \") ..\"\\n\";\r\n                    coupon = __auth:get_NextUsedCouponNumber();\r\n             end\r\n       end\r\n\r\n \r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n       if __auth.ChequeMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.ChequeMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.ChequeMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.ChequeMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend \r\n\r\nfunction print_manzana_ds2_coupon(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n   text = text .. ukm.center(\" К у п о н \", width, \" \") .. \"\\n\".. \"\\n\";\r\n   text = text .. ukm.slicecenter(__auth:get_InstantCouponMessage(), width) ..\"\\n\\n\";\r\n   text = text .. hw_command_bar_code(__auth:get_InstantCouponNumber()) .. \"\\n\";\r\n   text = text .. ukm.center(__auth:get_InstantCouponNumber(), width, \" \") ..\"\\n\\n\";\r\n   text = text .. ukm.center(\" Купон действителен \", width, \" \") ..\"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"с \"..__auth:get_InstantCouponEffectDate(), \"по \".. __auth:get_InstantCouponExpiryDate(), width, \" \") .. \"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\n-- Manzana DS3\r\n\r\nfunction print_manzana_ds3_balance(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"* Всего баллов:\",__auth:get_balance_CardBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Из них доступно:\",__auth:get_balance_CardActiveBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Всего покупок (руб.):\",__auth:get_balance_CardSumm() .. \" *\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_manzana_ds3_slip(__auth,__print_data)\r\n local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"* Начислено бонусов \", __auth:get_ChargedBonus() ..\" *\", width, \".\") ..\"\\n\";	   \r\n       text = text .. ukm.adjustment(\"* Начислено активных бонусов \", __auth:get_ActiveChargedBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано бонусов \", __auth:get_WriteOffBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано статусных бонусов \", __auth:get_WriteoffStatusBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Активный баланс карты \", __auth:get_CardActiveBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Баланс карты \", __auth:get_CardBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Сумма покупок со скидкой \", __auth:get_SummDiscounted() .. \" *\", width, \".\") ..\"\\n\";\r\n       local coupon = __auth:get_FirstUsedCouponNumber();\r\n       if( coupon ~=\"\") then\r\n             text = text .. ukm.adjustment(\"* Были приняты купоны с номерами: \", \" *\", width, \" \") ..\"\\n\";\r\n             while (coupon ~=\"\") do\r\n                    text = text .. ukm.adjustment(\"* \" .. coupon, \" *\", width, \" \") ..\"\\n\";\r\n                    coupon = __auth:get_NextUsedCouponNumber();\r\n             end\r\n       end\r\n\r\n \r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n       if __auth.ChequeMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.ChequeMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.ChequeMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.ChequeMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend \r\n\r\nfunction print_manzana_ds3_coupon(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n   text = text .. ukm.center(\" К у п о н \", width, \" \") .. \"\\n\".. \"\\n\";\r\n   text = text .. ukm.slicecenter(__auth:get_InstantCouponMessage(), width) ..\"\\n\\n\";\r\n   text = text .. hw_command_bar_code(__auth:get_InstantCouponNumber()) .. \"\\n\";\r\n   text = text .. ukm.center(__auth:get_InstantCouponNumber(), width, \" \") ..\"\\n\\n\";\r\n   text = text .. ukm.center(\" Купон действителен \", width, \" \") ..\"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"с \"..__auth:get_InstantCouponEffectDate(), \"по \".. __auth:get_InstantCouponExpiryDate(), width, \" \") .. \"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\n\r\n-- Moscow social program\r\nfunction print_mos_social_card_balance(__Trans, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"-\") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustmentdouble(\"Остаток на счете по карте: \",__Trans:get_MaskCardNum(), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"по состоянию на \".. __Trans:get_strTransDate()..\": \", __Trans.strAmount .. \" руб.\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"-\") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_mos_social_discount_slip(__Trans,__print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n  text = text .. ukm.adjustment(\"\",\"\", width, \"-\") .. \"\\n\";\r\n\r\n  text = text .. ukm.adjustmentdouble(\"Социальная карта: \",__Trans:get_MaskCardNum(), width, \" \") .. \"\\n\";\r\n  if (__Trans.strDiscount ~=\"\") then\r\n      text = text .. ukm.adjustmentdouble(\"Социальная скидка: \",__Trans.strDiscount, width, \" \") .. \"\\n\";\r\n  end\r\n  text = text .. ukm.adjustmentdouble(\"Оплата по соц. сертификату: \",__Trans.strAmount, width, \" \") .. \"\\n\";\r\n\r\n  text = text .. ukm.adjustment(\"\",\"\", width, \"-\") .. \"\\n\";\r\n \r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n-- Manzana MK\r\n\r\nfunction print_manzana_mk_balance(__auth, __print_data)\r\n--    Пример получения xml-ответа от Manzana\r\n--    local xml = __auth:get_Response();\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"* Всего баллов:\",__auth:get_balance_CardBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Из них доступно:\",__auth:get_balance_CardActiveBalance() .. \" *\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"* Всего покупок (руб.):\",__auth:get_balance_CardSumm() .. \" *\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\";\r\n\r\n     __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction print_manzana_mk_slip(__auth,__print_data)\r\n--    Пример получения xml-ответа от Manzana\r\n--    local xml = __auth:get_Response();\r\n local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text =\"\";\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       text = text .. ukm.adjustment(\"* Начислено бонусов \", __auth:get_ChargedBonus() ..\" *\", width, \".\") ..\"\\n\";	   \r\n       text = text .. ukm.adjustment(\"* Начислено активных бонусов \", __auth:get_ActiveChargedBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано бонусов \", __auth:get_WriteOffBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Списано статусных бонусов \", __auth:get_WriteoffStatusBonus() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Активный баланс карты \", __auth:get_CardActiveBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Баланс карты \", __auth:get_CardBalance() .. \" *\", width, \".\") ..\"\\n\";\r\n       text = text .. ukm.adjustment(\"* Сумма покупок со скидкой \", __auth:get_SummDiscounted() .. \" *\", width, \".\") ..\"\\n\";\r\n       local coupon = __auth:get_FirstUsedCouponNumber();\r\n       if( coupon ~=\"\") then\r\n             text = text .. ukm.adjustment(\"* Были приняты купоны с номерами: \", \" *\", width, \" \") ..\"\\n\";\r\n             while (coupon ~=\"\") do\r\n                    text = text .. ukm.adjustment(\"* \" .. coupon, \" *\", width, \" \") ..\"\\n\";\r\n                    coupon = __auth:get_NextUsedCouponNumber();\r\n             end\r\n       end\r\n\r\n \r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n       if __auth.ChequeMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.ChequeMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.ChequeMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.ChequeMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage2, width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n       end\r\n\r\n      __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend \r\n\r\nfunction print_manzana_mk_coupon(__auth, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n\r\n    text = text .. ukm.left(__auth:get_PosName(), width) .. \"\\n\";\r\n    text = text .. ukm.adjustment(ukm.left(__auth:get_LoginName(),width-16),__auth:get_CurrentDateTime(), width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n\r\n   text = text .. ukm.center(\" К у п о н \", width, \" \") .. \"\\n\".. \"\\n\";\r\n   text = text .. ukm.slicecenter(__auth:get_InstantCouponMessage(), width) ..\"\\n\\n\";\r\n   text = text .. hw_command_bar_code(__auth:get_InstantCouponNumber()) .. \"\\n\";\r\n   text = text .. ukm.center(__auth:get_InstantCouponNumber(), width, \" \") ..\"\\n\\n\";\r\n   text = text .. ukm.center(\" Купон действителен \", width, \" \") ..\"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"с \"..__auth:get_InstantCouponEffectDate(), \"по \".. __auth:get_InstantCouponExpiryDate(), width, \" \") .. \"\\n\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"\",\"\", width, \"*\") .. \"\\n\\n\";\r\n \r\n     __print_data:add(text, ukm.printer_type_master());\r\n end\r\n\r\nfunction display_manzana_mk_balance(__auth, __width, __print_data)\r\n--    Пример получения xml-ответа от Manzana\r\n--    local xml = __auth:get_Response();\r\n    local text = \"\";\r\n \r\n    text = text .. ukm.adjustment(\"Всего баллов:\",__auth:get_balance_CardBalance() .. \" \", __width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Из них доступно:\",__auth:get_balance_CardActiveBalance() .. \" \", __width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Всего покупок (руб.):\",__auth:get_balance_CardSumm() .. \" \", __width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustment(\"-\",\"-\", __width, \"-\") .. \"\\n\";\r\n\r\n      if __auth.CashierMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.CashierMessage, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n      end\r\n       if __auth.CashierMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.CashierMessage2, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n       end\r\n      if __auth.ChequeMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.ChequeMessage, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n      end\r\n       if __auth.ChequeMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(auth.ChequeMessage2, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n       end\r\n       if __auth.PersonalMessage2 ~= \"\" then\r\n         text = text .. ukm.slicecenter(__auth.PersonalMessage2, __width) ..\"\\n\";\r\n         text = text .. ukm.adjustment(\"-\", \"-\", __width, \"-\") .. \"\\n\";\r\n       end\r\n    \r\n     __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- LOYMAX 15\r\nfunction loymax_slip15(__card, __pay, __cashb, __print_data)\r\n   local card = ukm.map.int.string.iterator(__card);\r\n   local pay = ukm.map.int.string.iterator(__pay);\r\n   local cashb = ukm.map.int.string.iterator(__cashb);\r\n   local printer = ukm.get_printer(ukm.printer_type_master());\r\n   local width = printer:get_width();\r\n   local text = \"\\n\";\r\n\r\n   text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n   if card:at(0) == \"1\" then\r\n      text = text .. ukm.adjustment(\"Карта \", card:at(1), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Держатель \", card:at(2), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Тип карты \", card:at(3), width, \" \") .. \"\\n\";\r\n\r\n      if ukm.str_len(card:at(5)) > 0 then\r\n         text = text .. ukm.adjustment(\"Прямая скидка \", card:at(5), width, \" \") .. \"\\n\";\r\n      end\r\n   end\r\n\r\n   if pay:at(0) == \"1\" then\r\n      text = text .. ukm.center(\"СПИСАНИЕ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n      text = text .. ukm.adjustment(\"Код операции \", pay:at(1), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Бонусов списано \", pay:at(2), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.center(pay:at(3), width, \" \") .. \"\\n\";\r\n   end\r\n\r\n   if cashb:at(0) == \"1\" then\r\n      text = text .. ukm.center(\"НАЧИСЛЕНИЕ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n      text = text .. ukm.adjustment(\"Код операции \", cashb:at(1), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Бонусов начислено \", cashb:at(2), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Бонусов до покупки \", cashb:at(3), width, \" \") .. \"\\n\";\r\n      text = text .. ukm.adjustment(\"Остаток бонусов \", cashb:at(4), width, \" \") .. \"\\n\"; \r\n      text = text .. ukm.center(cashb:at(5), width, \" \") .. \"\\n\";\r\n   end\r\n\r\n   __print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction loymax_balance_slip15(__card, __print_data)\r\n	local card = ukm.map.int.string.iterator(__card);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n        if card:at(0) == \"1\" then\r\n		text = text .. ukm.adjustment(\"Карта \", card:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Держатель \", card:at(2), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты \", card:at(3), width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Баланс на карте \", card:at(5), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\" \", card:at(4), width, \" \") .. \"\\n\";\r\n         end\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\nfunction loymax_refund_slip15(__refund_info, __print_data)\r\n	local refund_info = ukm.map.int.string.iterator(__refund_info);\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local text = \"\\n\";\r\n\r\n       text = text .. ukm.adjustment(\"*\", \"*\", width, \"*\") .. \"\\n\";\r\n\r\n        if ukm.str_len(refund_info:at(0)) > 0 then\r\n		text = text .. ukm.adjustment(\"Карта \", refund_info:at(0), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Держатель \", refund_info:at(1), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Тип карты \", refund_info:at(2), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        if ukm.str_len(refund_info:at(3)) > 0 then\r\n	text = text .. ukm.center(\"ВОЗВРАТ СПИСАНИЯ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", refund_info:at(3), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Сумма возврата \", refund_info:at(4), width, \" \") .. \"\\n\";\r\n        	text = text .. ukm.center(refund_info:at(5), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        if ukm.str_len(refund_info:at(6)) > 0 then\r\n	text = text .. ukm.center(\"ВОЗВРАТ НАЧИСЛЕНИЯ БОНУСОВ\", width, \" \") .. \"\\n\";\r\n\r\n		text = text .. ukm.adjustment(\"Код операции \", refund_info:at(6), width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustment(\"Сумма возврата \", refund_info:at(7), width, \" \") .. \"\\n\";\r\n        	text = text .. ukm.center(refund_info:at(8), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n	__print_data:add(text,ukm.printer_type_master());\r\nend\r\n\r\n\r\n-- Siebel\r\nfunction print_siebel_slip(__siebel_auth,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n       local slip_text =__siebel_auth:get_slip_text();\r\n       if slip_text ~= \"\" then\r\n            text = text .. slip_text .. \"\\n\";\r\n       end\r\n\r\n       __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_siebel_footer(__siebel_auth,__print_data)\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n    if printer then\r\n       local width = printer:get_width();\r\n       local text = \"\";\r\n\r\n      local order_num = __siebel_auth:get_order_number();\r\n      if(order_num ~= \"\") then\r\n           text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n           text = text .. ukm.adjustment(\"Номер заказа: \", order_num, width, \" \") .. \"\\n\";\r\n      end\r\n\r\n	  local discount_card_num = __siebel_auth:get_discount_card();\r\n      if(discount_card_num ~= \"\") then\r\n           text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n           text = text .. ukm.adjustment(\"Номер карты: \", discount_card_num, width, \" \") .. \"\\n\";\r\n      end\r\n\r\n      local discount_info = __siebel_auth:get_first_discount_info(width - 2);\r\n       if(discount_info ~= \"\") then\r\n           text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n           text = text .. \"Акции Siebel:\".. \"\\n\";\r\n           while (discount_info ~= \"\") do\r\n               text = text .. \"  \" .. discount_info .. \"\\n\";\r\n               discount_info = __siebel_auth:get_next_discount_info(width - 2);\r\n           end\r\n       end\r\n\r\n       \r\n       local used_coupon = __siebel_auth:get_first_used_coupon();\r\n       if(used_coupon ~= \"\") then\r\n           text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n           text = text .. \"Использованы купоны:\".. \"\\n\";\r\n           while (used_coupon ~= \"\") do\r\n               text = text .. \"  \" .. used_coupon .. \"\\n\";\r\n               used_coupon = __siebel_auth:get_next_used_coupon();\r\n           end\r\n       end\r\n\r\n       local footer_text =__siebel_auth:get_footer_text();\r\n       if footer_text ~= \"\" then\r\n           text = text .. ukm.rightpad(\"-\", width, \"-\") .. \"\\n\";\r\n           text = text .. footer_text .. \"\\n\";\r\n       end\r\n\r\n       __print_data:add(text, ukm.printer_type_master());\r\n    end\r\nend\r\n\r\nfunction print_middle_ware_account(__midleWare, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n\r\n	local inc     = __midleWare.client.surname .. \" \" .. __midleWare.client.name .. \" \" .. __midleWare.client.patronymic;\r\n	local account = __midleWare.client.account_number;\r\n	local card    = __midleWare.client.card_number;\r\n	\r\n	local award_b = tostring(__midleWare.award_bonus);\r\n	local used_b  = tostring(__midleWare.used_bonus);\r\n	\r\n	local active  = tostring(__midleWare.client.balance);\r\n	local balance = tostring(__midleWare.client.active);\r\n	  \r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n\r\n	if card ~= \"\" then text = text .. ukm.adjustment(\"Номер телефона: \", __midleWare:phone(), width, \" \") .. \"\\n\"; end\r\n\r\n        if __midleWare:CheckReturn() ~= true then text = text .. \"В этой покупке:\".. \"\\n\"; end\r\n\r\n        if __midleWare:CheckReturn() ~= true then\r\n	        text = text .. ukm.adjustment(\"- скидки\", tostring(__midleWare:dscnt_all()), width, \" \") .. \"\\n\";\r\n        end\r\n\r\n        for i = 0, __midleWare:inf_size() - 1 do\r\n			text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n			local info_vec = ukm.explode(__midleWare:inf_at(i), \"\\n\");\r\n			for i = 0, info_vec:size() - 1 do\r\n				text = text .. ukm.slice(info_vec:at(i), width);\r\n			end		\r\n			if (info_vec:size() > 0) then\r\n				text = text .. \"\\n\";\r\n			end\r\n		end \r\n\r\n        if __midleWare:CheckReturn() ~= true then\r\n        for i = 0, __midleWare:cmpName_size() - 1 do\r\n                if i == 0 then \r\n                       text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n                       text = text .. \"Ваши скидки :\" .. \"\\n\";\r\n                end\r\n                if ukm.str_len(__midleWare:cmpName_at(i)) > width - 3 then \r\n			local name = ukm.slice(__midleWare:cmpName_at(i), width) .. \"\\n\" ;\r\n			local name_vector = ukm.explode(tostring(name),\"\\n\");\r\n			for j = 0, name_vector:size() - 3 do\r\n				text = text .. name_vector:at(j) .. \"\\n\";\r\n			end\r\n			text = text .. ukm.adjustment(name_vector:at(name_vector:size() - 2), __midleWare:cmpDiscount_at(i), width, \".\") .. \"\\n\";\r\n		else\r\n			text = text .. ukm.adjustment(__midleWare:cmpName_at(i), __midleWare:cmpDiscount_at(i), width, \".\") .. \"\\n\" ;\r\n		end\r\n	end\r\n        end\r\n\r\n        text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n              \r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- MiddleWare\r\n\r\nfunction print_middle_ware_informing(__midleWare, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n\r\n	\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_middle_ware_coupon(__coupon, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	text = text .. ukm.center(\"Персональный промо-код\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Номер промо-код: \", __coupon.barcode, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.name, width) .. \"\\n\";\r\n	text = text .. ukm.adjustmentlinesleft(__coupon.description, width) .. \"\\n\\n\";\r\n	text = text .. ukm.adjustment(__coupon.reward_title, __coupon.reward, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Дата выдачи: \", os.date(\"%d.%m.%Y\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Дата начала действия: \", __coupon.date_from, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustment(\"Дата окончания действия: \", __coupon.date_till, width, \" \") .. \"\\n\";\r\n\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	text = text .. hw_command_bar_code(__coupon.barcode) .. \"\\n\";\r\n\r\n	text = text .. ukm.rightpad(\"-\", width , \"-\") .. \"\\n\";\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\nfunction print_receipt_slip(__payment, __is_last, __print_data)\r\n   local text = \'return \"\' .. __payment.slip .. \'\"\'\r\n   text = ukm.source(ukm.mashine.handle, text)\r\n\r\n   tbl = split(text, \'\\n\')\r\n   text = \'\'\r\n   local ln = \'\'\r\n   local n = #tbl\r\n   for i = 1, n do\r\n      ln = rtrim(tbl[i])\r\n      if ln ~= \'\' then\r\n         text = text .. ln .. \'\\n\'\r\n      end\r\n   end\r\n   text = rtrim(text)\r\n\r\n   if not __is_last then\r\n       local printer = ukm.get_printer(ukm.printer_type_master())\r\n       text = text .. \'\\n\' .. string.rep(\'-\', printer:get_width())\r\n   end\r\n   __print_data:add(text, ukm.printer_type_master())\r\nend\r\n\r\n-- Loymax JSON формирование сообщения для кассира о клиенте\r\nfunction make_loymax_json_user_info(__user_info)\r\n   local text = \'\'\r\n\r\n   local full_name = __user_info.first_name ..\' \'.. __user_info.patronymic_name .. \' \' .. __user_info.last_name\r\n   if full_name ~= \"  \" then\r\n      text = text .. full_name .. \'\\n\'\r\n   else\r\n      text = text .. \'<ФИО не заполнено>\' .. \'\\n\'      \r\n   end\r\n\r\n   if __user_info.birth_day ~= \"\" then\r\n      text = text .. \'Дата рождения \' .. __user_info.birth_day:sub(0, 10) .. \'\\n\'\r\n   end\r\n   text = text .. \'\\n\'\r\n   \r\n   local mc_and_status = tostring(__user_info.meat_coins) .. \' миткоинов \' .. __user_info.status\r\n   text = text .. mc_and_status .. \'\\n\'\r\n   text = text .. \'\\n\'\r\n\r\n   text = text .. \'Доступно для списания:\\n\'\r\n   local balance = tostring(__user_info.balance) .. \' \' .. \'бонусных рублей\' -- __user_info.currency_name\r\n   text = text .. balance .. \'\\n\'\r\n   text = text .. \'\\n\'\r\n\r\n   local allow_change_birthday_favorite_good = false\r\n   for i = 0, __user_info.favorite_goods:size() - 1 do\r\n      local item = __user_info.favorite_goods:at(i)\r\n      if item.position_type == \"birthday\" then\r\n         if item.allow_change then\r\n            allow_change_birthday_favorite_good = true\r\n         end\r\n	  end\r\n   end\r\n   \r\n   if __user_info.birth_day ~= \'\' then\r\n      local month = __user_info.birth_day:sub(6, 7)\r\n      if month == os.date(\'%m\') then\r\n	     if allow_change_birthday_favorite_good then\r\n            local birth_day = __user_info.birth_day:sub(0, 10)\r\n            text = text .. \'У клиента в этом месяце День Рождения!\\n\'\r\n            text = text .. \'Напомните, что он может выбрать дополнительный любимый вкус\\n\'\r\n         end\r\n      end\r\n   end\r\n\r\n   local allow_change_good = false\r\n   text = text .. \'Любимые вкусы:\\n\'\r\n   if __user_info.favorite_goods:size() ~= 0 then\r\n      for i = 0, __user_info.favorite_goods:size() - 1 do\r\n         local item = __user_info.favorite_goods:at(i)\r\n         text = text .. (i + 1) .. \'. \'\r\n         if item.name ~= \'\' then\r\n            text = text .. item.name\r\n         else\r\n            text = text .. \'Этот вкус еще не выбран\'\r\n         end\r\n         if not item.allow_change then\r\n            text = text .. \' (X)\'\r\n         else\r\n            allow_change_good = true\r\n         end\r\n         text = text .. \'\\n\'\r\n      end\r\n   else\r\n      text = text .. \'<любимые вкусы недоступны>\' .. \'\\n\'\r\n   end\r\n\r\n   if allow_change_good then\r\n      text = text .. \'\\nИзменить набор?\'\r\n   end\r\n\r\n   return text\r\nend\r\n\r\n-- QR-Pay \r\nfunction print_qr_pay_slip(__qrpay, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n    local info_vec = ukm.explode(__qrpay:get_slip(), \"\\n\");\r\n    for i = 0, info_vec:size() - 1 do\r\n		text = text .. ukm.slice(info_vec:at(i), width);\r\n    end\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n-- ПриватБанк JSON \r\nfunction print_privatebank_json_slip(__Transaction, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	\r\n	local store_name = ukm.shop_name();\r\n	text = text .. ukm.center(store_name,width-1,\" \") .. \"\\n\";\r\n	\r\n	if __Transaction.bankaquirer ~= \'\' then\r\n		text = text .. __Transaction.bankaquirer ..\"\\n\";\r\n	else\r\n		text = text .. \'ПриватБанк\' .. \'\\n\'      \r\n	end\r\n	\r\n	text = text .. __Transaction.str_date .. \" \" .. __Transaction.str_time ..\"\\n\";\r\n	text = text .. \"Транзакція №\" ..\"\\n\";\r\n	text = text .. __Transaction.rrn ..\"\\n\";\r\n	text = text .. \"ПЛАТІЖНА СИСТЕМА \" .. __Transaction.issuerName .. \"\\n\";\r\n	text = text .. \"ЕПЗ \" .. __Transaction.pan .. \"\\n\";\r\n	text = text .. \"Термінал № \" .. __Transaction.terminalId .. \" \" .. __Transaction.pan .. \"\\n\";\r\n	\r\n	if __Transaction.txnType == 1 then\r\n		text = text .. \"Оплата товарів/послуг\" ..\"\\n\";\r\n	end\r\n	if __Transaction.txnType == 2 then\r\n		text = text .. \"Повернення\" ..\"\\n\";\r\n	end\r\n	if __Transaction.txnType == 3 then\r\n		text = text .. \"Анулювання\" ..\"\\n\";\r\n	end\r\n	\r\n	local amount = tostring(__Transaction.amount) .. \" ГРН\";\r\n	text = text .. ukm.adjustment(\"СУМА: \", amount, width - 1, \" \") ..\"\\n\";\r\n\r\n	text = text .. \"КОД АВТ. \" .. __Transaction.approvalCode .. \"\\n\";\r\n	\r\n	if __Transaction.signVerif == 1 then\r\n		text = text .. \"\\n\" .. \"Держатель ЕПЗ_____________________\" ..\"\\n\";\r\n		text = text .. __Transaction.cardHolderName ..\"\\n\";\r\n	end\r\n	\r\n	text = text .. \"\\n\" .. \"Касир______________________\" ..\"\\n\";\r\n	\r\n	if __Transaction.signVerif == 0 then\r\n		text = text .. \"PIN OK\" ..\"\\n\";\r\n		text = text .. \"Підпис власника не потрібен\" ..\"\\n\";\r\n	end\r\n\r\n	text = text .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'slip_small_printer.lua','-- Печать слипов для принтера с узкой печатью\r\n\r\n\r\nfunction auth_byrocrat_small_printer(__item, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local int width = printer:get_width();\r\n    local int max_param_width = width/2 + 2;\r\n    --text = text .. ukm.center(\"SHOP NAME\", width, \" \") .. \"\\n\";\r\n    --text = text .. ukm.center(\"SHOP ADDRESS\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ID кассы:\" .. find_item_property_value(__item, \"TERMINAL\"), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ID платежа:\" .. find_item_property_value(__item, \"TRANSACTIONID\"),  width, \" \") .. \"\\n\";\r\n    text = text .. \"\\n\";\r\n    local date_time = \"\";\r\n    date_time = find_item_property_value(__item, \"TRNDATETIME\");\r\n\r\n    text = text .. \"Дата, время :\" .. \"\\n\";\r\n    text = text .. ukm.leftpad( to_formated_date_DD_MM_YYYY_HH_mm_ss(date_time)  ,width, \" \") .. \"\\n\";\r\n\r\n    text = text .. \" \" .. \"\\n\";\r\n\r\n    text = text .. \"Оплата услуг Оп-ра\" ..\"\\n\";\r\n    text = text .. \" \" .. __item.name ..\"\\n\";\r\n\r\n    local parameter_name = find_item_property_name(__item, \"TELNUMBER\");\r\n    local tel_number = tostring( find_item_property_value(__item, \"TELNUMBER\") );\r\n    local temp_number = ukm.str_sub(tel_number, 0, max_param_width - 1);\r\n    local i = 0;\r\n\r\n    if ukm.str_len(tel_number) > max_param_width then\r\n        text = text .. parameter_name .. \"\\n\";\r\n        while temp_number ~= \"\" do\r\n            i = i + 1;\r\n            text = text .. ukm.adjustment(\" \", temp_number, width, \" \") ..\"\\n\";\r\n            temp_number = ukm.str_sub(tel_number, i*max_param_width, (i + 1)*max_param_width - 1);\r\n        end\r\n    else\r\n        text = text .. ukm.adjustmentdouble(parameter_name, tel_number, width, \" \") ..\"\\n\";\r\n    end\r\n    if find_item_property_value(__item, \"TAXTOTAL\") then\r\n--        text = text .. ukm.adjustment(\"Комиссия\" .. find_item_property_value(__item, \"TAXTYPE\"), find_item_property_value(__item, \"TAXAMOUNT\"), width, \" \") ..\"\\n\";\r\n	if find_item_property_value(__item, \"TAXTYPE\") == \"1\" then\r\n        	        text = text .. ukm.adjustmentdouble(\"Комиссия\", find_item_property_value(__item, \"TAXAMOUNT\") .. \"%\", width, \" \") ..\"\\n\";\r\n	else \r\n	        text = text .. ukm.adjustmentdouble(\"Комиссия\", find_item_property_value(__item, \"TAXAMOUNT\"), width, \" \") ..\"\\n\";\r\n	end\r\n\r\n        text = text .. ukm.adjustmentdouble(\"Оплачено\", find_item_property_value(__item, \"AMOUNT\"), width, \" \") ..\"\\n\";\r\n        text = text .. ukm.adjustmentdouble(\"Комиссия\", find_item_property_value(__item, \"TAXTOTAL\"), width, \" \") ..\"\\n\";\r\n    end\r\n    text = text .. ukm.adjustmentdouble(\"К зачислению\", find_item_property_value(__item, \"REALAMOUNT\"), width, \" \") ..\"\\n\";\r\n\r\n    text = text .. \"\\n\";\r\n\r\n    if find_item_property_value(__item, \"FINALSLIP\") ~= \"\" then\r\n        text = text .. ukm.center(\"Спасибо!\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"Услуга предоставлена\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"совместно c\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"ФГ \\\"БюрократЪ\\\"\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"Телефон тех.\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"поддержки:\", width, \" \") .. \"\\n\";\r\n        text = text .. ukm.center(\"(495)721-2876\", width, \" \") .. \"\\n\";\r\n    else\r\n        text = text .. \"реквизиты платежа\\n\";\r\n        text = text .. \"указаны правильно\" .. \"\\n\";\r\n        text = text .. \" \" .. ukm.leftpad( \"_\", width, \"_\") .. \"\\n\";\r\n        text = text .. ukm.leftpad(\"подпись плательщика\", width,\" \") .. \"\\n\";\r\n    end\r\n\r\n    text = text .. \" \\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Типовой слип, узкая печать:\r\nfunction print_typical_item_slip_small_printer(__item, __type, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    text = ukm.center(__type, width, \" \") .. \"\\n\";\r\n    local recnumb = get_recnumb(__item.receipt.header);\r\n    text = text .. \"ЧЕК:\" .. tostring(__item.receipt.header.pos) .. \".\" .. tostring(__item.receipt.header.shiftopen.number) .. \".\" .. tostring(__item.receipt.header.localnumber) .. \"\\n\";    \r\n    text = text .. ukm.adjustmentdouble(recnumb, \"ТРН:\" .. ukm.leftpad(tostring(__item.receipt.header.globalnumber),12,\"0\"), width,\" \") .. \"\\n\";   \r\n\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. find_item_property_value(__item, \"TERMINAL\"),width, \" \")  .. \"\\n\";\r\n    text = text .. ukm.center(__item.name,width, \" \") .. \"\\n\";\r\n    if __type == \"CYBER CASSA\" then\r\n      local cyber_code = \"\";\r\n      cyber_code = find_item_property_value(__item, \"OPERATORCODE\");\r\n      if cyber_code ~= \"\" then\r\n         text = text .. ukm.center(cyber_code, width, \" \") .. \"\\n\";\r\n      end     \r\n    end\r\n\r\n    text = text .. \"ИТОГО (С НДС И НСП):\" .. \"\\n\";\r\n    text = text .. ukm.leftpad(tostring(__item.total), width,\" \") .. \"\\n\";\r\n    text = text .. \"ДАТА :\" .. \"\\n\";\r\n    text = text .. ukm.leftpad( ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 6 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 4 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 0 ,4) .. \" \" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 8 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 10 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 12 ,2) , width,\" \") .. \"\\n\";\r\n\r\n    local tel_num = \"\";\r\n    tel_num = find_item_property_value(__item, \"TELNUMBER\");\r\n    if tel_num ~= \"\" then\r\n      text = text .. ukm.adjustment(\"Тел.\", \"(\" .. ukm.mid(tel_num, 0, 3) .. \")\" ..  ukm.mid(tel_num, 3, 3) .. \"-\" .. ukm.mid(tel_num, 6, 4), width, \" \") .. \"\\n\"; \r\n    end\r\n    local account_num = \"\";\r\n    account_num = find_item_property_value(__item, \"ACCOUNT\");\r\n    if account_num ~= \"\" then\r\n      text = text .. ukm.adjustment(\"№ счета\", account_num, width, \" \") .. \"\\n\"; \r\n    end\r\n    local auth_code = \"\";\r\n    auth_code = find_item_property_value(__item, \"AUTHCODE\");\r\n    if auth_code ~= \"\" then\r\n      text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. auth_code, width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. \" \" .. \"\\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n\r\nfunction rapida_item_small_printer(__item)\r\n  local text = \"\";\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n  local width = printer:get_width();\r\n\r\n  text = text .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 6 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 4 ,2) .. \".\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 0 ,4) .. \" \" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 8 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 10 ,2) .. \":\" .. ukm.mid(find_item_property_value(__item, \"TRNDATETIME\"), 12 ,2) .. \"\\n\";\r\n  text = text .. ukm.adjustmentdouble(\"ЧЕК:\" .. ukm.leftpad(tostring(__item.receipt.header.pos),3 ,0) .. \".\" .. ukm.leftpad(tostring(__item.receipt.header.shiftopen.number),4 ,0) .. \".\" .. ukm.leftpad(tostring(__item.receipt.header.localnumber),5 ,0), \"Касса \" .. tostring(__item.receipt.header.pos), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustmentdouble(\"КАРТА номинал шт1\", \"0.01 РУБ\", width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustmentdouble(\"Количество    шт\", tostring(__item.total*100), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.adjustmentdouble(\"ИТОГО\", tostring(__item.total), width, \" \") .. \"\\n\";\r\n  text = text .. ukm.center(\"ПРОШУ ВАС\", width, \" \") .. \"\\n\";\r\n  text = text .. ukm.center(\"АКТИВИЗИРОВАТЬ\", width, \" \") .. \"\\n\";\r\n  text = text .. ukm.center(\"КАРТЫ\\\"РАПИДА\\\"\", width, \" \") .. \"\\n\" .. \" \\n\";\r\n  text = text .. __item.name .. \"\\n\";\r\n  local tel_num = \"\";\r\n  tel_num = find_item_property_value(__item, \"TELNUMBER\");\r\n  text = text .. ukm.adjustmentdouble(\"N телефона\", \"(\" .. ukm.mid(tel_num, 0, 3) .. \")\" ..  ukm.mid(tel_num, 3, 3) .. \"-\" .. ukm.mid(tel_num, 6, 4), width, \" \") .. \"\\n\"; \r\n  text = text .. \" \\n\" .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n  text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.adjustmentdouble(\"Телефон справочной\", \"222-22-22\",width, \" \") .. \"\\n\";\r\n  return text;\r\nend\r\n\r\n\r\n--Слип для оплаты услуг через UCS, узкая печать\r\nfunction auth_ucs_mts_small_printer(__item, __print_data)\r\n  print_typical_item_slip_small_printer(__item, \"UCS\", __print_data)\r\nend\r\n\r\n--Слип для оплаты услуг через CYBER CASSA\r\nfunction auth_cyber_mts_small_printer(__item, __print_data)\r\n  print_typical_item_slip_small_printer(__item, \"CYBER CASSA\", __print_data)\r\nend\r\n\r\n--Слип для авторизации Рапида, узкая печать.\r\nfunction print_rapida_small_printer(__item, __print_data)\r\n-- PRINT cashier\r\n  local printer = ukm.get_printer(ukm.printer_type_master());\r\n  local width = printer:get_width();\r\n  local text = \"\";\r\n  text = text .. rapida_item_small_printer(__item);\r\n  text = text .. ukm.center(\"ПЛАТЕЖНАЯ\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"ИНТЕРНЕТ СИСТЕМА\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"\\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КАРТА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КОПИЯ ПРОДАВЦА\", width, \" \") .. \" \\n\";\r\n  __print_data:add(text, ukm.printer_type_master());\r\n-- PRINT customer\r\n  local text = \"\";\r\n  text = text .. ukm.center(\"ПЛАТЕЖНАЯ\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"ИНТЕРНЕТ СИСТЕМА\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"\\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КАРТА \\\"РАПИДА\\\"\", width, \" \") .. \" \\n\";\r\n  text = text .. ukm.center(\"КОПИЯ КЛИЕНТА\", width, \" \") .. \" \\n\";\r\n  text = text .. rapida_item_small_printer(__item);\r\n  __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n\r\n--Слип для авторизации UCS, узкая печать:\r\nfunction auth_3_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local oper = \"\";\r\n    text = text .. \" \" .. \"\\n\";\r\n    if field:at(7) == \"0\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(7) == \"1\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    elseif field:at(7) == \"2\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\\nПРОДАЖИ\";\r\n    elseif field:at(7) == \"3\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\\nВОЗВРАТА\";\r\n    end\r\n\r\n    text = text .. oper .. \"\\n\";\r\n    text = text .. ukm.center(\"ТЕРМИНАЛ \" .. field:at(5), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"ТРАНЗАКЦИЯ \" .. field:at(0), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ДАТА\", ukm.mid(field:at(3), 0, 2) .. \".\" .. ukm.mid(field:at(3), 2, 2) .. \".\" .. ukm.mid(field:at(3), 4, 2) .. \".\" .. ukm.mid(field:at(3), 6, 2) .. \".\" .. ukm.mid(field:at(3), 8, 2) .. \".\" .. ukm.mid(field:at(3), 10, 2) ,width, \" \") .. \"\\n\";  \r\n    text = text .. ukm.adjustmentdouble(\"СУММА\", field:at(8), width, \" \") .. \"\\n\";\r\n\r\n    local code = \" \";\r\n    text = text .. \" \" .. \"\\n\";\r\n    if field:at(11) == \"1\" then\r\n       code = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    end\r\n    text = text .. \"КОД \" .. code .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"АВТОРИЗАЦИИ\", field:at(4), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(field:at(9), field:at(10), width, \" \") .. \"\\n\" .. \" \\n\";\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип авторизации RRC через файлы, узкая печать\r\nfunction auth_4_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = text .. \" \" .. \"\\n\";\r\n\r\n    local oper = \"\";\r\n    if field:at(23) == \"0\" then\r\n       oper = \"#ERR#\";  \r\n    elseif field:at(23) == \"1\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(23) == \"2\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(23) == \"3\" then\r\n       oper = \"#ERR#\";\r\n    elseif field:at(23) == \"4\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    elseif field:at(23) == \"29\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    end \r\n   \r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ТЕРМИНАЛ \", field:at(9), width, \" \") .. \"\\n\";\r\n\r\n    if field:at(5) ~= \"\" then\r\n       text = text .. ukm.adjustmentdouble(\"ТРАНЗАКЦИЯ \", field:at(5), width, \" \") .. \"\\n\";\r\n    elseif field:at(7) ~= \"\" then\r\n       text = text .. ukm.adjustmentdouble(\"ТРАНЗАКЦИЯ \", field:at(7), width, \" \") .. \"\\n\";\r\n    end\r\n    if field:at(7) ~= \"\" then\r\n       text = text .. ukm.slice(\"ОТВЕТ \" .. field:at(29), width) .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustmentdouble(\"ДАТА\", to_formated_date_DD_MM_YYYY_HH_mm_ss(field:at(1)), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"СУММА\", tostring(field:at(17) / 100), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"КОД АВТОРИЗАЦИИ\", field:at(3), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(field:at(13), to_formated_date_MM_YY(field:at(15)), width, \" \") .. \"\\n\";\r\n    text = text .. \" \\n\";\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип для авторизации RRC через сокеты, узкая печать\r\nfunction auth_5_body_small_printer(__payment, __print_data)\r\n    auth_4_body_small_printer(__payment, __print_data);\r\nend\r\n\r\n--Слип для авторизации RRC через пинпад, узкая печать\r\nfunction auth_23_body_small_printer(__payment, __print_data)\r\n    auth_4_body_small_printer(__payment, __print_data);\r\nend\r\n\r\n\r\n--КОМПАС (EXT) - Слип, узкая печать\r\nfunction auth_9_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    text = text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"SHOP\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(9), width, \" \") .. \"\\n\";\r\n    if field:at(15) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.rightpad(\"Подпись\", width, \".\") .. \"\\n\";\r\n    end\r\n    if field:at(16) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.rightpad(\"Подпись\", width, \".\") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustment(\"Дата\", field:at(7), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Время\", field:at(8), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Номер чека\", field:at(4), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Номер операции\", ukm.mid(field:at(6), 0, 3) .. \":\" .. ukm.mid(field:at(6), 3, 3) .. \":\" .. ukm.mid(field:at(6), 6, 3), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Код авторизации\", field:at(5), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"Код ответа\", field:at(3), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(12), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(ukm.insert_delimiters(ukm.mask_string_middle(field:at(10),\"X\", 4, 4),\"-\",4), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(field:at(11), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Сумма \", field:at(13) .. \" руб\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustment(\"Итого \", field:at(13) .. \" руб\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Авторизация ВУЗ-Банка, узкая печать\r\nfunction auth_11_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n    local oper = \"\";\r\n    if field:at(19) == \"0\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ПРОДАЖИ\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ ВОЗВРАТА\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ\", width, \" \") .. \"\\n\";\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОТМЕНЫ ПРОДАЖИ\", width, \" \") .. \"\\n\";\r\n    elseif field:at(19) == \"1\" then\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОПЕРАЦИЯ\", width, \" \") .. \"\\n\";\r\n       text = text .. \" \" .. \"\\n\" .. ukm.center(\"ОТМЕНЫ ВОЗВРАТА\", width, \" \") .. \"\\n\";\r\n    end\r\n\r\n    text = text .. ukm.adjustmentdouble(\"ТОРГОВАЯ ТОЧКА\" .. field:at(23), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ТЕРМИНАЛ\" .. field:at(21), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.center(\"Автобанк\", width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"СУММА\", tostring(field:at(13) / 100), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(ukm.insert_delimiters(ukm.mask_string_middle(field:at(25),\"X\", 4, 4),\"-\",4), field:at(9), width, \" \") .. \"\\n\";\r\n    if field:at(17) == \"0\" then\r\n       text = text .. ukm.center(\"ОПЕРАЦИЯ ВЫПОЛНЕНА\", width, \" \") .. \"\\n\";\r\n    elseif field:at(17) == \"1\" then\r\n       text = text .. ukm.center(\"ОПЕРАЦИЯ ОТКЛОНЕНА\", width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.adjustmentdouble(   \"КОД ОТВЕТА     :\", field:at(15), width, \" \") .. \"\\n\";\r\n    if field:at(17) ~= \"\" then\r\n       text = text .. ukm.adjustmentdouble(\"КОД АВТОРИЗАЦИИ:\", field:at(17), width, \" \") .. \"\\n\";\r\n    else\r\n       text = text .. \" \\n\";\r\n    end\r\n       text = text .. \" \\n\";\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(ПОДПИСЬ КАССИРА)\", width, \" \") .. \"\\n\";\r\n    if field:at(17) ~= \"\" then\r\n       text = text .. \" \\n\";\r\n       text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n       text = text .. ukm.center(\"(ПОДПИСЬ КЛИЕНТА)\", width, \" \") .. \"\\n\";\r\n    else\r\n       text = text .. \" \" .. \"\\n\";\r\n    end\r\n\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n\r\n--Авторизация БПЦ: Шаблоны слипов по операциям Продажа, Возврат, Отмена\r\n--Узкая печать\r\nfunction auth_15_body_small_printer(__payment, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n 	local slip_customer = \"\";\r\n	local slip_bank = \"\";\r\n	local text = \"\";\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n	local op_name = \"\";\r\n\r\n	text = \"\\n\\n\\n\";\r\n	if (__payment.receipt.type ==  ukm.core.copy) then\r\n		text = ukm.center(\"*КОПИЯ*\", width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	text = text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP name\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"SHOP phone\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"Терминал:\" .. field:at(6), width, \" \") .. \"\\n\";\r\n	slip_customer = text .. ukm.center(\"*ДЛЯ КЛИЕНТА*\", width, \" \") .. \"\\n\";\r\n	slip_bank  = text .. ukm.center(\"*ДЛЯ БАНКА*\", width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 18: Тип операции\r\n	--	0 - оплата товара (Sale),\r\n	--	1 - отмена платежа (Reversal)\r\n	--	2 - отмена возврата\r\n	--	3 - возврат денег на карточный счет (Refund)\r\n	--	4 - сверка итоговых сумм (Settlement)\r\n	--	5 - тестирование канала связи (Echo Test)\r\n\r\n	local op_type = field:at(18);\r\n\r\n	if (\"0\" == op_type) then\r\n		op_name = \"ОПЛАТА\";\r\n	elseif (\"1\" == op_type) then\r\n		op_name = \"ОТМЕНА\";\r\n	elseif (\"2\" == op_type) then\r\n		op_name = \"ОТМЕНА ВОЗВРАТА\";\r\n	elseif (\"3\" == op_type) then\r\n		op_name = \"ВОЗВРАТ\";\r\n	elseif (\"4\" == op_type) then\r\n		op_name = \"ОТЧЁТ\";\r\n	else\r\n		op_name = \"ОПЕРАЦИЯ:\" .. op_type;\r\n	end\r\n\r\n	text = ukm.center(\"*\" .. op_name .. \"*\", width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 3: POSTransNumber\r\n	-- Поле 25:Номер пакета (смены) БПЦ\r\n	text = text .. ukm.adjustmentdouble(\"ПАКЕТ:\" .. field:at(24), \"ЧЕК:\" .. field:at(3), width, \" \") .. \"\\n\";\r\n	-- Поле 9: Дата и время, возвращаемые HOSTом авторизации\r\n	-- Формат поля 9: Y Y M M D D H H M M  S  S\r\n	--                1 2 3 4 5 6 7 8 9 10 11 12\r\n	local host_date_time = field:at(9);\r\n\r\n	local host_date_formated = ukm.str_sub(host_date_time,5,6) .. \"/\" .. ukm.str_sub(host_date_time,3,4) .. \"/\" .. ukm.str_sub(host_date_time,1,2);\r\n	local host_time_formated = ukm.str_sub(host_date_time,7,8) .. \":\" .. ukm.str_sub(host_date_time,9,10) .. \":\" .. ukm.str_sub(host_date_time,11,12);\r\n	text = text .. ukm.adjustmentdouble(\"Дата: \" .. host_date_formated, \"Время: \" .. host_time_formated, width, \" \") .. \"\\n\";\r\n	slip_customer = slip_customer .. text;\r\n	slip_bank = slip_bank .. text;\r\n\r\n	-- Поле 4: Номер карты\r\n	local cardno = field:at(4);\r\n	-- local cardno_masked = ukm.mask_string_middle(cardno, \"X\", 0, 4);\r\n	local cardno_masked_bank = f_mask_card_number(cardno);\r\n	local cardno_masked_customer = f_mask_card_number(cardno);\r\n\r\n	-- поле 5: Дата истечения срока действия карты в формате YYMM\r\n	-- local card_exp_date = field:at(5);\r\n	-- local card_exp_date_formated = ukm.str_sub(card_exp_date, 3, 4) .. \"/\" .. ukm.str_sub(card_exp_date, 1, 2);\r\n\r\n	--Поменял в строке cardno_masked_bank на cardno_masked_customer (Смирнов)\r\n	--text = ukm.adjustmentdouble(\"КАРТА:\" .. cardno_masked_bank, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n\r\n	--text = ukm.adjustmentdouble(\"КАРТА:\" .. cardno_masked, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n	--slip_customer = slip_customer .. text;\r\n\r\n	--Тоже самое, что и выше, но без card_exp_date_formated\r\n	text = ukm.adjustmentdouble(\"КАРТА:\", cardno_masked_customer, width, \" \") .. \"\\n\";\r\n	slip_customer = slip_customer .. text;\r\n\r\n	--Поменял в строке cardno_masked_customer  на  cardno_masked_bank (Смирнов)\r\n	--text = ukm.adjustmentdouble(\"КАРТА:\" .. cardno_masked_customer, card_exp_date_formated, width, \" \") .. \"\\n\";\r\n\r\n	text = ukm.adjustmentdouble(\"КАРТА:\", cardno_masked_bank, width, \" \") .. \"\\n\";	\r\n	slip_bank = slip_bank ..text;\r\n\r\n	--  Поле 12: код авторизации\r\n	text = \"КОД АВТ.:  \" .. field:at(12) .. \"\\n\";\r\n\r\n	text = text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n	-- Поле 10: response\r\n	text = text .. ukm.center(\"КОД:\" .. field:at(10), width, \" \") .. \"\\n\";\r\n	-- Поле 11: ResponseText\r\n	text = text .. ukm.center(field:at(11), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n\r\n	-- Поле 16: Название валюты\r\n	-- Поле 8 : Amount\r\n	text = text .. ukm.adjustmentdouble(field:at(16), field:at(8), width, \" \") .. \"\\n\";\r\n\r\n	slip_customer = slip_customer .. text;\r\n	slip_bank = slip_bank .. text;\r\n\r\n	-- Поле 17: Тип транзакции\r\n	local transaction_type = field:at(17);\r\n	if \"0\" == op_type then\r\n		-- Продажа\r\n		if \"P\" == transaction_type then\r\n			-- PIN based transaction\r\n			text = \"Принадлежность карты\" .. \"\\n\";\r\n			text = text .. \"подтверждена ПИН-кодом\" .. \"\\n\";\r\n\r\n			slip_customer = slip_customer .. text;\r\n			slip_bank = slip_bank .. text;\r\n		else\r\n			-- Signature based transaction\r\n			text = \"\\n \\n\";\r\n			text = text .. ukm.leftpad(\"подпись клиента\", width, \"_\") .. \"\\n\";\r\n\r\n			slip_bank = slip_bank .. text;\r\n		end\r\n	end\r\n\r\n	if (\"1\" == op_type) or (\"2\" == op_type) then\r\n		-- Отмена\r\n		text = \"\\n \\n\" .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"(подпись кассира)\", width, \" \") \r\n		slip_customer = slip_customer .. text;\r\n		slip_bank = slip_bank .. text;\r\n	end\r\n\r\n	if \"3\" == op_type then\r\n		-- Возврат\r\n		if \"P\" == transaction_type then\r\n			-- PIN based transaction\r\n			text = \"Принадлежность карты\" .. \"\\n\";\r\n			text = text .. \"подтверждена ПИН-кодом\" .. \"\\n \\n\";\r\n			text = text .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n			text = text .. ukm.center(\"(подпись кассира)\", width, \" \") \r\n			slip_customer = slip_customer .. text;\r\n			slip_bank = slip_bank .. text;\r\n		else\r\n			-- Sigature based transaction\r\n			text = \"\\n \\n\" .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n			text = text .. ukm.center(\"(подпись клиента)\", width, \"_\") .. \"\\n\";\r\n			slip_bank = slip_bank .. text;\r\n\r\n			text = \"\\n \\n\" .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n			text = text .. ukm.center(\"(подпись кассира)\", width, \"_\") .. \"\\n\";\r\n			slip_bank = slip_bank .. text;\r\n			slip_customer = slip_customer .. text;\r\n		end\r\n	end\r\n\r\n	slip_bank = slip_bank .. \"\\n \\n \\n\";\r\n	slip_customer = slip_customer .. \"\\n \\n \\n\";\r\n\r\n        __print_data:add(slip_customer, ukm.printer_type_master());\r\n        __print_data:add(slip_bank, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Авторизация БПЦ: Шаблоны слипов по операциям \"Сверка итогов\" и \"Реестр операций (Детальный отчёт)\"\r\n--узкая печать\r\nfunction print_auth_bpc_report_small_printer(__report, __print_data)\r\n\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local slip_text = \"\";\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__report.cookies).tokens);\r\n\r\n	slip_text = \"\\n\\n\\n\";\r\n	slip_text = slip_text .. ukm.center(\"Enterprise Name\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP name\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP address\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"SHOP phone\", width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.center(\"Терминал:\" .. field:at(6), width, \" \") .. \"\\n\";\r\n\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.center(\"*РЕЕСТР ОПЕРАЦИЙ*\", width, \" \") .. \"\\n\";\r\n	else\r\n		slip_text = slip_text .. ukm.center(\"*ОТЧЁТ*\", width, \" \") .. \"\\n\";\r\n	end\r\n\r\n	-- Поле 3: POSTransNumber\r\n	-- Поле 24:Номер пакета (смены) БПЦ\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.rightpad(\"ПАКЕТ:\" .. field:at(24), width, \" \") .. \"\\n\";\r\n	else\r\n		slip_text = slip_text .. ukm.adjustment(\"ПАКЕТ:\" .. field:at(24), \"ЧЕК:\" .. field:at(3), width, \" \") .. \"\\n\";\r\n	end\r\n\r\n\r\n	-- Поле 9: Дата и время, возвращаемые HOSTом авторизации\r\n	-- Формат поля 9: Y Y M M D D H H M M  S  S\r\n	--                1 2 3 4 5 6 7 8 9 10 11 12\r\n	local host_date_time = field:at(9);\r\n\r\n	local host_date_formated = ukm.str_sub(host_date_time,5,6) .. \"/\" .. ukm.str_sub(host_date_time,3,4) .. \"/\" .. ukm.str_sub(host_date_time,1,2);\r\n	local host_time_formated = ukm.str_sub(host_date_time,7,8) .. \":\" .. ukm.str_sub(host_date_time,9,10) .. \":\" .. ukm.str_sub(host_date_time,11,12);\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\"Дата: \" .. host_date_formated, \"Время: \" .. host_time_formated, width, \" \") .. \"\\n\";\r\n \r\n	slip_text = slip_text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n\r\n	--Поле Валюта\r\n	local currency = field:at(16);\r\n\r\n	-- Поле 27: Количество транзакций\r\n	local transaction_count = field:at(27);\r\n\r\n\r\n	-- Поле 21: Сумма по операциям Sale\r\n	local sum_total_sale = field:at(21);\r\n	-- Поле 28: Количество операций Sale\r\n	local ops_count_sale = field:at(28);\r\n\r\n	-- Поле 23: Сумма по операциям Void\r\n	local sum_total_void = field:at(23);\r\n	-- Поле 30: Количество операций Void\r\n	local ops_count_void = field:at(30);\r\n\r\n	-- Поле 22: Сумма по операциям Refund\r\n	local sum_total_refund = field:at(22);\r\n	-- Поле 29: Количество операций Refund\r\n	local ops_count_refund = field:at(29);\r\n\r\n	-- Поле 25: Итоговая сумма за смену по данным сервера УКМ4\r\n	local sum_total_by_ukm4 = field:at(25);\r\n	-- Поле 8:  Итоговая сумма за смену по данным сервера БПЦ\r\n	local sum_total_by_bpc = field:at(8);\r\n\r\n\r\n	if (true == __report.is_detailed) then\r\n		slip_text = slip_text .. ukm.adjustmentdouble(\"Чек Операция\", \"Код авториз.\", width, \" \") .. \"\\n\";\r\n		slip_text = slip_text .. ukm.adjustmentdouble(\"Номер карты\", \"Сумма Валюта\", width, \" \") .. \"\\n \\n\";\r\n\r\n		local report_item = ukm.map.int.bpc_report_record.iterator(__report.report_map);\r\n		local report_map_size = ukm.map.int.bpc_report_record.iterator(__report.report_map):size();\r\n\r\n		while report_item:next() do\r\n			local currstr = \"\";\r\n			--Поле Чек\r\n			currstr = report_item:second().pos_trans_number .. \" \";\r\n\r\n			--Поле Операция\r\n			local op_type = report_item:second().op_type;\r\n			local op_name = \"\";\r\n			if (\"0\" == op_type) then\r\n				op_name = \"ОПЛАТА\";\r\n			elseif (\"1\" == op_type) then\r\n				op_name = \"ОТМЕНА ОПЛАТЫ\";\r\n			elseif (\"2\" == op_type) then\r\n				op_name = \"ОТМЕНА ВОЗВРАТА\";\r\n			elseif (\"3\" == op_type) then\r\n				op_name = \"ВОЗВРАТ\";\r\n			else\r\n				op_name = \"ОПЕРАЦИЯ:\" .. op_type;\r\n			end\r\n			currstr = currstr .. op_name;\r\n\r\n			--Поле Код авторизации\r\n			local auth_code = report_item:second().auth_code;\r\n\r\n			slip_text = slip_text .. ukm.adjustmentdouble(currstr, auth_code, width, \" \")  .. \"\\n\";\r\n\r\n			--Поле Номер карты\r\n			local card_no = report_item:second().card_no;\r\n			--Поле Сумма\r\n			local amount_str = report_item:second().amount_str;\r\n\r\n			slip_text = slip_text .. ukm.adjustmentdouble(card_no, amount_str .. \" \" .. currency, width, \" \")  .. \"\\n \\n\";\r\n		end\r\n\r\n		slip_text = slip_text .. ukm.leftpad(\"\", width, \"-\") .. \"\\n\";\r\n	end\r\n\r\n\r\n\r\n	-- Поле 16: Название валюты\r\n	slip_text = slip_text .. ukm.rightpad(\"Валюта: \" .. currency, width, \" \") .. \"\\n\";\r\n\r\n	-- Поле 27: Количество транзакций\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\"Транзакций: \", transaction_count, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\" Оплачено:\",ops_count_sale , width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\"   на сумму \", sum_total_sale, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\" Отменено:  \", ops_count_void , width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\"   на сумму \", sum_total_void, width, \" \") .. \"\\n\";\r\n\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\" Возврат:   \", ops_count_refund, width, \" \") .. \"\\n\";\r\n	slip_text = slip_text .. ukm.adjustmentdouble(\"   на сумму \",sum_total_refund, width, \" \") .. \"\\n\";\r\n\r\n	if (true == __report.is_detailed) then\r\n		-- Это для слипа по операции Реестр операций\r\n		slip_text = slip_text .. ukm.adjustment(\"Итого:\", sum_total_by_ukm4, width, \" \") .. \"\\n \\n\";\r\n	else\r\n		-- Это для слипа по операции Settlement\r\n		if (sum_total_by_ukm4 == sum_total_by_bpc) then\r\n			slip_text = slip_text .. ukm.adjustmentdouble(\"Итого:\", sum_total_by_ukm4, width, \" \") .. \"\\n\";\r\n		else\r\n			slip_text = slip_text .. ukm.adjustmentdouble(\"Итого по кассе:\", sum_total_by_ukm4, width, \" \") .. \"\\n\";\r\n			slip_text = slip_text .. ukm.adjustmentdouble(\"Итого по банку:\", sum_total_by_bpc, width, \" \") .. \"\\n\";\r\n		end\r\n\r\n		slip_text = slip_text .. ukm.leftpad(\"\", width, \".\") .. \"\\n\\n\";\r\n                                                        \r\n		  slip_text = slip_text .. ukm.rightpad(\"Настоящим подтверж- \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"даем, что карт-чеки \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"по операциям, вхо-  \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"дящим в данный от-  \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"чет, имеются в нали-\", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"чии и будут пред-   \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"ставлены по первому \", width, \" \") .. \"\\n\";\r\n		  slip_text = slip_text .. ukm.rightpad(\"требованию.         \", width, \" \") .. \"\\n\";\r\n\r\n	end\r\n\r\n	slip_text = slip_text .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.rightpad(\"_\", width, \"_\") .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.center(\"(Подпись кассира)\", width, \" \") .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.rightpad(\"_\", width, \"_\") .. \"\\n \\n\";\r\n	slip_text = slip_text .. ukm.center(\"(Подпись ст.кассира)\", width, \" \") .. \"\\n \\n\";\r\n	slip_text = slip_text .. \"\\n \\n\";\r\n\r\n        __print_data:add(slip_text, ukm.printer_type_master());\r\nend\r\n\r\n\r\n--Авторизация CityNet: Шаблоны слипов по операциям Продажа, Возврат, Отмена\r\n--узкая печать\r\nfunction auth_16_body_small_printer(__payment, __print_data)\r\n	print_auth_CityNet_slip_small_printer(__payment.cookies, __print_data)\r\nend\r\n\r\nfunction print_auth_CityNet_slip_small_printer(__cookies, __print_data)\r\n	local text, twice = print_auth_CityNet_slip_small_printer_prepare(__cookies, __print_data)\r\n	__print_data:add(text, ukm.printer_type_master());\r\n	\r\n	if twice then \r\n		__print_data:add(text, ukm.printer_type_master());\r\n	end\r\nend\r\n\r\nfunction print_auth_CityNet_slip_small_printer_prepare(__cookies, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local width = printer:get_width();\r\n	local field = ukm.map.int.string.iterator(ukm.token(__cookies).tokens);\r\n\r\n	-- переменные\r\n	local type_msg     = field:at(0);  -- Тип сообщения\r\n	local card_num     = field:at(1);  -- номер карты\r\n	local mtid         = field:at(2);  -- действие\r\n	local amount       = tonumber(field:at(3));  -- сумма\r\n	local check_num    = field:at(4);  -- номер квитанции\r\n	local date         = field:at(5);  -- дата\r\n	local time         = field:at(5);  -- время\r\n	local card_date    = field:at(6);  -- срок действия карты\r\n	local link_num     = field:at(7);  -- номер ссылки\r\n	local auth_code    = field:at(8);  -- код авторизации\r\n	local result       = tonumber(field:at(9));  -- Код ответа\r\n	local term_num     = field:at(10); -- номер терминала\r\n	local result_txt   = field:at(11); -- результат операции в текстовом виде\r\n			-- field:at(12); -- валюта\r\n	local ret_account  = tonumber( ukm.str_sub(field:at(13),9,20) ); -- остаток на счете ПК\r\n	local shop_name    = field:at(14); -- название магазина\r\n	local shop_address = field:at(15); -- адрес магазина\r\n	\r\n	local card_inputtype = field:at(17); -- способ ввода карты\r\n	local ident_type = field:at(18); -- способ идентификации\r\n	local client_fio = field:at(19);\r\n	local card_type = field:at(20); -- тип карты\r\n	local aid = field:at(21); \r\n	local tc = field:at(22); 	\r\n\r\n	local tmp_mtid = mtid;\r\n	mtid = \"НЕИЗВЕСТНАЯ ОПЕРАЦИЯ\";\r\n	if (type_msg == \"0210\" and tmp_mtid == \"000000\") then mtid = \"Оплата\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"200000\") then mtid = \"Возврат товара\"; end\r\n	if (type_msg == \"0410\" and tmp_mtid == \"000000\") then mtid = \"Отмена оплаты товара\"; end		\r\n	if (type_msg == \"0410\" and tmp_mtid == \"200000\") then mtid = \"Отмена возврата товара\"; end	\r\n\r\n	if (type_msg == \"0810\" and tmp_mtid == \"911000\") then mtid = \"ОТКРЫТИЕ СМЕНЫ\"; end\r\n	if (type_msg == \"0810\" and tmp_mtid == \"912000\") then mtid = \"Сверка итогов\"; end\r\n	\r\n	if (type_msg == \"0110\" and tmp_mtid == \"430000\") then mtid = \"АКТИВАЦИЯ ПОДАРОЧНОЙ КАРТЫ\"; end\r\n	if (type_msg == \"0110\" and tmp_mtid == \"830000\") then\r\n		mtid = \"ЗАПРОС БАЛАНСА ПК\";\r\n		amount = ret_account;\r\n	end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"800000\") then mtid = \"ОПЛАТА ПО ПК (ПОГАШЕНИЕ АВАНСА)\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"820000\") then mtid = \"ВОЗВРАТ ПО ПК(ОТМ ПОГАШ АВАНСА)\"; end\r\n	if (type_msg == \"0210\" and tmp_mtid == \"840000\") then mtid = \"ПОПОЛНЕНИЕ СЧЕТА ПК(ПРИЕМ АВАНСА)\"; end	\r\n	if (type_msg == \"0410\" and tmp_mtid == \"800000\") then mtid = \"ОТМЕНА ОПЛ ПО ПК(ОТМ ПОГАШ АВАНСА)\"; end\r\n	if (type_msg == \"0410\" and tmp_mtid == \"820000\") then mtid = \"ОТМЕНА ВОЗВРАТА ТОВАРА\"; end	\r\n	if (type_msg == \"0410\" and tmp_mtid == \"840000\") then mtid = \"ОТМЕНА ПОПОЛН СЧЕТА ПК(ОТМ ПРИЕМ АВАНСА)\"; end\r\n          \r\n	-- приведение к печатному виду\r\n	if date ~= \"\" then date = ukm.str_sub(date,5,2) .. \".\" .. ukm.str_sub(date,3,2) .. \".\" .. ukm.str_sub(date,1,2); end -- дата\r\n	if time ~= \"\" then time = ukm.str_sub(time,7,2) .. \":\" .. ukm.str_sub(time,9,2); end -- время\r\n	\r\n	if tmp_mtid == \"912000\" then -- сверка итогов\r\n		local text = \"\\n\\n\" .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Дата \" .. date, \"Время \" .. time, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Тип операции\", mtid, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Код ответа\", tostring(result), width, \" \") .. \"\\n\\n\";\r\n		\r\n		if result == 0 then\r\n			text = text .. ukm.center(\"Операция выполнена\", width, \" \") .. \"\\n\\n\";\r\n		else	\r\n			text = text .. ukm.center(\"Операция не выполнена\", width, \" \") .. \"\\n\\n\";	\r\n		end\r\n	\r\n		return text, false\r\n	end		\r\n	\r\n	-- авторизация разрешена\r\n	if (result == 0 and (tmp_mtid == \"000000\" or tmp_mtid == \"200000\")) then -- операции по банковским картам\r\n		\r\n		if card_num ~= \"\" then -- номер карты\r\n			card_num = \"XXXX XXXX XXXX \" .. ukm.str_sub(card_num,13,16); \r\n		end\r\n		\r\n		local text = \"\\n\\n\" .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\\n\";\r\n	\r\n		if result == 0 then\r\n			text = text .. ukm.adjustmentdouble(\"Номер терминала\", term_num, width, \" \") .. \"\\n\\n\";\r\n		end\r\n		text = text .. ukm.adjustmentdouble(\"Дата \" .. date, \"Время \" .. time, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Тип операции\", mtid, width, \" \") .. \"\\n\\n\";\r\n		\r\n		local amount_str = \"\";\r\n		if amount ~= nil then\r\n			amount_str = tostring(math.floor(amount/100)) .. \",\" .. ukm.leftpad(tostring(amount%100), 2, \"0\");\r\n		end		\r\n		text = text .. ukm.adjustmentdouble(\"Сумма\", amount_str .. \" руб.\", width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Номер карты\", card_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Тип карты\", card_type, width, \" \") .. \"\\n\\n\";\r\n		\r\n		if card_inputtype == \"07\" or card_inputtype == \"91\" then\r\n			text = text .. ukm.adjustmentdouble(\" \", \"PAYPASS\", width, \" \") .. \"\\n\\n\";\r\n		end\r\n		\r\n		text = text .. ukm.adjustmentdouble(\"Номер ссылки (RRN)\", link_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Номер транзакции\", check_num, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Код авторизации\", auth_code, width, \" \") .. \"\\n\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"Код ответа\", tostring(result), width, \" \") .. \"\\n\\n\";\r\n\r\n		if ident_type == \"1\" or ident_type == \"9\" then	-- был введен ПИН код\r\n			text = text .. ukm.center(\"ОДОБРЕНО С ПИН\", width, \" \") .. \"\\n\\n\";\r\n		else\r\n			text = text .. ukm.center(\"ОДОБРЕНО\", width, \" \") .. \"\\n\\n\";\r\n		end\r\n		\r\n		if ( card_inputtype ~= \"01\" and card_inputtype ~= \"02\" ) then	-- не магнитная полоса\r\n			text = text .. ukm.adjustmentdouble(\"Владелец карты\", client_fio, width, \" \") .. \"\\n\\n\";\r\n			if aid ~= \"\" then text = text .. ukm.adjustmentdouble(\"AID\", aid, width, \" \") .. \"\\n\\n\"; end\r\n			if tc ~= \"\" then text = text .. ukm.adjustmentdouble(\"ТС\", tc, width, \" \") .. \"\\n\\n\"; end\r\n		end\r\n		\r\n		if ident_type == \"0\" or ident_type == \"2\" then	-- ПИН код не вводили\r\n			if card_inputtype == \"07\" or card_inputtype == \"91\" then	-- карта PayPass\r\n				if amount > 100000 then	-- нужна подпись клиента\r\n					text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n					text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n				end\r\n			else			-- нужна подпись клиента\r\n				text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n				text = text .. ukm.center(\"(Подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n			end\r\n		end\r\n		\r\n		text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\\n\";\r\n		text = text .. ukm.center(\"(Подпись кассира)\", width, \" \") .. \"\\n\\n\";\r\n		\r\n		return text, true\r\n	end \r\n	\r\n    mtid = ukm.slice(mtid, width);\r\n \r\n	if card_num ~= \"\" then -- номер карты\r\n		card_num = ukm.str_sub(card_num,1,4) .. \" \" ..\r\n			ukm.str_sub(card_num,5,6) .. \"XX XXXX \" .. ukm.str_sub(card_num,13,16); \r\n	end\r\n	\r\n	if card_date ~= \"\" then	-- срок действия карты\r\n		card_date = ukm.str_sub(card_date,1,2) .. \"/\" .. ukm.str_sub(card_date,3,4);\r\n	end \r\n\r\n	local text = \"\\n\" .. ukm.adjustmentdouble(date, time, width, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.center(\"ВВЕДИТЕ НАЗВАНИЕ БАНКА\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.center(\"БЕЗНАЛИЧНЫЙ РАСЧЕТ\", width, \" \") .. \"\\n\\n\";\r\n	text = text .. ukm.adjustmentdouble(card_num, card_date, width, \" \") .. \"\\n\\n\";\r\n\r\n	if result == 0 then -- авторизация разрешена\r\n	\r\n		if amount ~= nil then\r\n			amount = tostring(math.floor(amount/100)) .. \".\" .. ukm.leftpad(tostring(amount%100), 2, \"0\");\r\n		end\r\n		\r\n		text = text .. mtid .. \"\\n\";\r\n\r\n		if (type_msg ~= \"0110\" or tmp_mtid ~= \"430000\" or amount ~= \"0.00\") then -- при активации ПК не печатать нулевую сумму\r\n			text = text .. \"\\n\";\r\n			text = text .. ukm.adjustmentdouble(\"           СУММА:\", amount .. \" руб.\", width, \" \") .. \"\\n\";\r\n		end\r\n		text = text .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\" НОМЕР ТЕРМИНАЛА:\", term_num, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\" НОМЕР КВИТАНЦИИ:\", check_num, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\" КОД АВТОРИЗАЦИИ:\", auth_code, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.adjustmentdouble(\"    НОМЕР ССЫЛКИ:\", link_num, width, \" \") .. \"\\n\";\r\n		if ret_account ~= \"\" and ret_account ~= nill then -- если присутствует поле остатка на счете\r\n			ret_account = tostring(math.floor(ret_account/100)) .. \".\" .. ukm.leftpad(tostring(ret_account%100), 2, \"0\");\r\n			text = text .. ukm.adjustmentdouble(\"ОСТАТОК НА СЧЕТЕ:\", ret_account, width, \" \") .. \"\\n\";\r\n		end\r\n		text = text .. \"\\n\";\r\n		text = text .. ukm.center(result_txt, width, \" \") .. \"\\n\\n\";\r\n		\r\n		text = text .. ukm.center(\"_\", width, \"_\") .. \"\\n\";\r\n		text = text .. ukm.center(\"(ПОДПИСЬ КЛИЕНТА)\", width, \" \") .. \"\\n\";\r\n		\r\n		return text, true\r\n	end\r\n\r\n	-- отказано в авторизации\r\n	text = text .. ukm.center(\" В АВТОРИЗАЦИИ \", width, \"*\") .. \"\\n\";\r\n	text = text .. ukm.center(\" ОТКАЗАНО \", width, \"*\") .. \"\\n\\n\";\r\n	\r\n    text = text .. mtid .. \"\\n\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"НОМЕР ТЕРМИНАЛА:\", term_num, width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"   НОМЕР ССЫЛКИ:\", link_num, width, \" \") .. \"\\n\\n\\n\";\r\n	text = text .. ukm.adjustmentdouble(result_txt, \"(КОД \" .. tostring(result) .. \")\", width, \" \") .. \"\\n\";\r\n\r\n	return text, false\r\nend\r\n\r\n\r\n--Слип для авторизации ГАЗПРОМБАНК\r\nfunction auth_17_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n\r\n    local oper = \"\";\r\n    if field:at(6) == \"0\" then\r\n       oper = \"ОПЕРАЦИЯ ПРОДАЖИ\";\r\n    elseif field:at(6) == \"4\" then\r\n       oper = \"ОПЕРАЦИЯ ВОЗВРАТА\";\r\n    elseif field:at(6) == \"9\" then\r\n       oper = \"ОПЕРАЦИЯ ОТМЕНЫ\";\r\n    else\r\n       oper = field:at(6);\r\n    end\r\n\r\n    text = text .. \"\\n\";\r\n    text = text .. ukm.center(oper, width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ЧЕК\", tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ТЕРМИНАЛ\", field:at(11), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ТОЧКА ОБСЛУЖИВАНИЯ\", field:at(12), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ТРАНЗАКЦИЯ\", field:at(0), width, \" \") .. \"\\n\";\r\n    text = text .. ukm.adjustmentdouble(\"ДАТА\", ukm.mid(field:at(3), 4, 2)..\".\"..ukm.mid(field:at(3), 2, 2)..\".\"..ukm.mid(field:at(3), 0, 2)..\" \"..ukm.mid(field:at(3), 6, 2)..\":\"..ukm.mid(field:at(3), 8, 2)..\":\"..ukm.mid(field:at(3), 10, 2), width, \" \")..\"\\n\";  \r\n    text = text .. ukm.adjustmentdouble(\"СУММА\", ukm.mid(field:at(7),0,ukm.str_len(field:at(7))-2) .. \".\" .. ukm.mid(field:at(7),ukm.str_len(field:at(7))-2,2)..\" Руб.\", width, \" \") .. \"\\n\";\r\n\r\n    text = text .. ukm.adjustmentdouble(\"КОД АВТОРИЗАЦИИ\", field:at(4), width, \" \") .. \"\\n\";\r\n    text = text .. __payment.paymentname .. \"\\n\";\r\n    if field:at(1) ~= \"\" then\r\n        text = text .. ukm.adjustmentdouble(field:at(8), to_formated_date_MM_YY(field:at(9)), width, \" \") .. \"\\n\";\r\n    end\r\n    text = text .. ukm.rightpad(\"_\", width , \"_\") .. \"\\n\";\r\n    text = text .. ukm.center(\"(место для подписи)\", width, \" \") .. \"\\n\";\r\n    __print_data:add(text, ukm.printer_type_master());\r\n    __print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Оплата услуг НеттоПроцессинг\r\nfunction service_netto_processing_small_printer(__item, __print_data)\r\n	local printer = ukm.get_printer(ukm.printer_type_master());\r\n	local text = \"\";\r\n	local int width = printer:get_width();\r\n	local int max_param_width = width/2 + 2;\r\n	\r\n	if width > 20 then\r\n		text = text .. ukm.adjustment(__item.receipt.header.pos_name, __item.receipt.header.login.name, width, \" \") .. \"\\n\";\r\n	else\r\n		text = text .. ukm.rightpad(__item.receipt.header.pos_name, width, \" \") .. \"\\n\";\r\n		text = text .. ukm.leftpad(__item.receipt.header.login.name,width,\" \") .. \"\\n\";\r\n	end\r\n	\r\n	text = text .. ukm.leftpad(\"-\", width, \"-\") .. \"\\n\";\r\n	text = text .. ukm.center(\"ОПЛАТА УСЛУГ\", width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Терминал\", find_item_property_value(__item, \"TERMINAL\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Код платежа\", find_item_property_value(__item, \"TRANSACTIONID\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Оператор\", find_item_property_value(__item, \"OPERATORCODE\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Лицевой счет\", find_item_property_value(__item, \"ACCOUNT\"), width, \" \") .. \"\\n\";\r\n	text = text .. ukm.adjustmentdouble(\"Сумма для зачисления\", find_item_property_value(__item, \"REALAMOUNT\"), width, \" \") .. \"\\n\";\r\n	\r\n	local tax_total = find_item_property_value(__item, \"TAXTOTAL\");\r\n	if tax_total ~= \"\" then\r\n		text = text .. ukm.adjustmentdouble(\"Комиссия\", tax_total, width, \" \") .. \"\\n\";\r\n	end\r\n	\r\n	text = text .. \"\\n\\n\";\r\n	text = text .. ukm.leftpad(\"_\", width, \"_\") .. \"\\n\";\r\n	text = text .. ukm.center(\"(подпись плательщика)\", width,\" \") .. \"\\n\";\r\n	\r\n	text = text .. \"\\n\";\r\n\r\n	__print_data:add(text, ukm.printer_type_master());\r\nend\r\n\r\n--Слип авторизации WEBMONEY\r\nfunction auth_30_body_small_printer(__payment, __print_data)\r\n    local printer = ukm.get_printer(ukm.printer_type_master());\r\n    local text = \"\\n\";\r\n    local width = printer:get_width();\r\n    local field = ukm.map.int.string.iterator(ukm.token(__payment.cookies).tokens);\r\n  \r\n    local receipt = tostring(__payment.receipt.header.pos) .. \".\" .. tostring(__payment.receipt.header.shiftopen.number) .. \".\" .. tostring(__payment.receipt.header.localnumber);\r\n\r\n    text = text .. ukm.center(\"КВИТАНЦИЯ № \" .. field:at(1), width, \" \") .. \"\\n\";\r\n    \r\n    text = text ..  ukm.adjustment(\"Телефон: \",  \" \", width, \" \") .. \"\\n\";\r\n    if __payment.cardnumber ~= nil then\r\n       text = text ..  ukm.adjustment(\" \",  __payment.cardnumber:get(), width, \" \") .. \"\\n\";\r\n    end\r\n    \r\n   \r\n    local oper = \"\";\r\n    if __payment.receipt.header.type == 0 or __payment.receipt.header.type == 5 then\r\n       oper = \"Сумма платежа: \";\r\n    else\r\n       oper = \"Сумма возврата: \";\r\n    end  \r\n\r\n    text = text ..  ukm.adjustment(oper, \" \", width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.adjustment(\" \", tostring(__payment.amount), width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.adjustment(\"По чеку: \", \" \", width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.adjustment(\" \", receipt, width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.center(\"_________________\", width, \" \") .. \"\\n\";\r\n    text = text ..  ukm.center(\"(подпись клиента)\", width, \" \") .. \"\\n\\n\";\r\n    \r\n    __print_data:add(text,ukm.printer_type_master());\r\n  \r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'snapshot_footer.lua','function snapshot_footer_subtotal(core)\r\n    local table_s = \"<table width=100%>\"\r\n    local table_e = \"</table>\"\r\n    local left = \"<tr><td></td>\"\r\n    local right = \"<td></td></tr>\"\r\n    \r\n    local discount = ukm.currency(0)\r\n    \r\n    if core:items_exists() then\r\n        local normal_items = core.items:leavenormal()\r\n\r\n        local size = normal_items:size();\r\n        local total = ukm.currency(0)\r\n        for j = 0, normal_items:size() - 1 do\r\n            local i = normal_items:at(j)\r\n            total = total + i.total\r\n        end\r\n    \r\n        if total > ukm.currency(0) then    \r\n            local receipt_total = total\r\n            if core:subtotal_exists() == true then\r\n                discount = core:receipt_discount_amount()\r\n                receipt_total = core:receipt_amount() - core:receipt_payed()\r\n            end\r\n            \r\n            left = \"<tr><td align=\\\"left\\\" width=65%>\" .. \"итого \" .. tostring(size) .. \" шт\" .. \"</td>\"\r\n            \r\n            if discount > ukm.currency(0) then\r\n                right = \"<td align=\\\"right\\\">\" .. \"<table width=100%><tr><td align=\\\"right\\\"><div style=\'color: rgb(100,100,100);\'><s>\" \r\n                    .. tostring(total) .. \" ₽\"\r\n                    .. \"</s></div></td><td align=\\\"right\\\">\" .. \"<b>\" \r\n                    .. tostring(receipt_total) .. \" ₽\" .. \"</b></td></tr></table></td></tr>\"\r\n            else\r\n                right = \"<td align=\\\"right\\\"><b>\" .. tostring(receipt_total) .. \" ₽\" .. \"</b></td></tr>\"\r\n            end            \r\n        end\r\n    end\r\n    return table_s .. left .. right .. table_e\r\nend\r\n\r\nfunction snapshot_footer_pay_up(core)\r\n    local text = \"\"\r\n    \r\n    if core:items_exists() then\r\n        local normal_items = core.items:leavenormal();\r\n        \r\n        local total = ukm.currency(0)\r\n        local discount = ukm.currency(0)\r\n        local discount_details = {}\r\n        \r\n        for j = 0, normal_items:size() - 1 do\r\n            local item = normal_items:at(j)\r\n            total = total + item.total\r\n            \r\n            for i = 0, item.discounts:size() - 1 do\r\n                local discount = item.discounts:at(i);\r\n                ukm.debug(\"increment: \" .. tostring(discount.increment));\r\n                if discount.increment ~= ukm.currency(0) then\r\n                    ukm.debug(\"receipt_discount_item_campaign: \" .. tostring(discount.receipt_discount_item_campaign:size()));\r\n                    if discount.receipt_discount_item_campaign:size() ~= 0 then\r\n                        for j = 0, discount.receipt_discount_item_campaign:size() - 1 do\r\n                            local campaign = discount.receipt_discount_item_campaign:at(j);\r\n                            \r\n                            if discount_details[campaign.first] == nil then\r\n                                discount_details[campaign.first] = campaign.second;\r\n                            else\r\n                                discount_details[campaign.first] = discount_details[campaign.first] + campaign.second;\r\n                            end\r\n                            \r\n                        end\r\n                    end\r\n                end\r\n            end            \r\n        end\r\n        \r\n        if total > ukm.currency(0) then\r\n            if core:subtotal_exists() == true then\r\n                discount = core:receipt_discount_amount()\r\n            end\r\n            \r\n            local table_s = \"<table width=100%>\"\r\n            local table_e = \"</table>\"\r\n            \r\n            local left_1 = \"<tr><td align=\\\"left\\\">\" .. \"итого без скидок\" .. \"</td>\"\r\n            local right_1 = \"<td align=\\\"right\\\">\" .. tostring(total)..\" ₽\" .. \"</td></tr>\"\r\n            \r\n            local discounts_info = \"\";\r\n            \r\n            for discount_detail_name, discount_detail_amount in pairs(discount_details) do\r\n                discounts_info = discounts_info .. \"<tr><td align=\\\"left\\\">\" .. discount_detail_name .. \"</td>\"\r\n                discounts_info = discounts_info .. \"<td align=\\\"right\\\">\" .. tostring(discount_detail_amount) .. \" ₽\" .. \"</td></tr>\"\r\n            end\r\n            \r\n            local siebel_cert_efts = 38\r\n            local siebel_payment_sum = ukm.currency(0)\r\n            for i = 0, core.payments:size()-1 do\r\n                local payment__ = core.payments:at(i);\r\n                if (payment__.receipt.type ~= ukm.core.goods_receipt) then\r\n                    if (payment__.type == ukm.payment.normal) then\r\n                        local efts = payment__:get_efts();\r\n                        if (efts ~= nil and efts:get() == siebel_cert_efts) then\r\n                            siebel_payment_sum = siebel_payment_sum + payment__.amountwithchange;\r\n                        end\r\n                    end\r\n                end\r\n            end\r\n            \r\n            local down_1_l = \"<tr>\"\r\n            local down_1_r = \"</tr>\"\r\n            \r\n            if siebel_payment_sum ~= ukm.currency(0) then\r\n                down_1_l = \"<tr><td align=\\\"left\\\">\" .. \"сертификат \" .. \"</td>\"\r\n                down_1_r = \"<td align=\\\"right\\\"><font color=\'red\'>\" .. tostring(siebel_payment_sum) .. \" ₽\" .. \"</font></td></tr>\"\r\n            end\r\n            \r\n            text = table_s .. left_1 .. right_1 .. discounts_info .. down_1_l .. down_1_r .. table_e\r\n        end\r\n    end\r\n    return text\r\nend\r\n\r\nfunction snapshot_footer_pay_down(core)\r\n    local text = \"\"\r\n    \r\n    if core:items_exists() then\r\n        local normal_items = core.items:leavenormal();\r\n\r\n        local total = ukm.currency(0)\r\n        \r\n        for j = 0, normal_items:size() - 1 do\r\n            local i = normal_items:at(j)\r\n            total = total + i.total\r\n        end\r\n    \r\n        if total > ukm.currency(0) then\r\n            local receipt_total = total\r\n            if core:subtotal_exists() == true then\r\n                receipt_total = core:receipt_amount() - core:receipt_payed()\r\n            end\r\n            \r\n            local table_s = \"<table width=100%>\"\r\n            local table_e = \"</table>\"\r\n            \r\n            local left_2 = \"<tr><td align=\\\"left\\\"><b>\" .. \"итого\" .. \"</b></td>\"\r\n            local right_2 = \"<td align=\\\"right\\\"><b>\" .. tostring(receipt_total) .. \" ₽\" .. \"</b></td></tr>\"\r\n            \r\n            text = table_s .. left_2 .. right_2 .. table_e\r\n        end\r\n    end\r\n    return text\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'snapshot_receipt.lua','-- Модуль отображения чека на экране Lillo\r\n\r\nfunction block_header(__core, __count)\r\n	local text = \"\";\r\n\r\n	if __core:header_exists() then\r\n		local receipt_type = __core.header:receipt_type();\r\n		local recnumb =\"\";\r\n		if receipt_type == ukm.header.sale then\r\n			if (__core.ext_order ~= nil) then\r\n				recnumb = \"***ЗАКАЗ ДЛЯ ВЫДАЧИ***\";\r\n			else\r\n				recnumb = \"***ПРОДАЖА***\";\r\n			end\r\n		elseif receipt_type == ukm.header.creturn then\r\n			if (__core.ext_order ~= nil) then\r\n				recnumb = \"<font color = \'red\'>***ЗАКАЗ ДЛЯ ВОЗВРАТА***<font color = \'black\'>\";\r\n			else\r\n				recnumb = \"<font color = \'red\'>***ВОЗВРАТ***<font color = \'black\'>\";\r\n			end\r\n		elseif receipt_type == ukm.header.returnbyreceipt then\r\n			recnumb = \"<font color = \'red\'>***ВОЗВРАТ ПО ЧЕКУ***<font color = \'black\'>\";\r\n		elseif receipt_type == ukm.header.pop then\r\n			recnumb = \"***ПРОДАЖА***\";\r\n		elseif receipt_type == ukm.header.expense then\r\n			recnumb = \"***ЧЕК РАСХОДА***\";\r\n		elseif receipt_type == ukm.header.return_expense then\r\n			recnumb = \"***ЧЕК ВОЗВРАТА РАСХОДА***\";\r\n		elseif receipt_type == ukm.header.return_expense_by then\r\n			recnumb = \"***ВОЗВРАТА ПО ЧЕКУ РАСХОДА***\";\r\n		elseif receipt_type == ukm.header.stockcount then\r\n			recnumb = \"*** Товарный документ. Инвентаризация ***\";\r\n		elseif receipt_type == ukm.header.stockwriteoff then\r\n			recnumb = \"*** Товарный документ. Списание ***\";\r\n		elseif receipt_type == ukm.header.stockorder then\r\n			recnumb = \"*** Товарный документ. Заказ на склад ***\";\r\n		elseif receipt_type == ukm.header.nonfiscal then\r\n			recnumb = \"***НЕФИСКАЛЬНЫЙ РЕЖИМ***\";\r\n		elseif receipt_type == ukm.header.returnbyreceiptnonfiscal then\r\n			recnumb = \"<font color = \'red\'>***НЕФИСК ВОЗВР ПО ЧЕКУ***<font color = \'black\'>\";\r\n		elseif receipt_type == ukm.header.returnnonfiscal then\r\n			recnumb = \"<font color = \'red\'>***НЕФИСКАЛЬНЫЙ ВОЗВРАТ***<font color = \'black\'>\";\r\n		end\r\n\r\n		st_len = ukm.str_len(recnumb) ;\r\n		if st_len > __count then\r\n			count = st_len;\r\n		else\r\n			count = __count - 1;\r\n		end\r\n\r\n		text = text .. ukm.center(recnumb, count, \"*\") \r\n			.. \"<br />\"..\r\n			\"Имя: \"..__core.header.login.name..\"<br />Время: \"..ukm.ptime2str(__core.header.date, \"%H:%M:%S %d.%m.%Y\")..\r\n			\"<br /> Номер чека: \"..__core.header.localnumber ..\"/ \" .. __core.header.globalnumber .. \"<br />\";\r\n		if __core.disc_name ~= nil then\r\n			text = text .. \"Добавлена карта: \"..__core.disc_name:get() .. \"<br />\";\r\n		end\r\n		if __core.header.table ~= nil then\r\n			text = text .. \"Стол:\" .. __core.header.table:get() .. \"<br />\";\r\n		end\r\n		if __core.header:client_exists() then\r\n			text = text .. snapshot_client(__core.header.client, count) .. \"<br />\";\r\n		end\r\n		local order =  snapshot_order(__core.header, count);\r\n		if order ~= \"\" then\r\n			text = text .. order .. \"<br />\";\r\n		end;\r\n		local siebel_dc = snapshot_siebel_dc();\r\n		if  siebel_dc  ~= \"\" then\r\n			text = text .. siebel_dc .. \"<br />\";\r\n		end;\r\n	end\r\n\r\n	if __core:link_exists() then\r\n		text =  text .. \"<br />\" ..\"Имя: \" .. __core.link.headerlink.login.name\r\n			..\"  Время: \"..ukm.ptime2str(__core.link.headerlink.date, \"%H:%M:%S %d.%m.%Y\");\r\n	end\r\n	return text;\r\nend\r\n\r\nfunction block_item(__core, __jj, __count, __storn, __alternative)\r\n-- __storn = true, если позиция сторнированная или аннулированная\r\n\r\n  local text = \"\";\r\n\r\n  if __storn== true then\r\n      return text;\r\n  end\r\n\r\n\r\n  if __core:items_exists() then\r\n    size = __core.items:size();\r\n    if size > 0 then\r\n      text = snapshot_i(__core.items, __core.items:size(), __jj, __count, __alternative);\r\n    end\r\n  end\r\n\r\n  return text;\r\nend\r\n\r\nfunction block_footer(__core, __count)\r\n  local text = \"\";\r\n  local size;\r\n\r\n  if __core:items_exists() then\r\n  \r\n    size = __core.items:size();\r\n    if size > 0 then\r\n      text = text .. snapshot_discount(__core.items, size, __count);\r\n    end\r\n  end\r\n\r\n  if __core:subtotal_exists() then\r\n     text = text.. snapshot_subtotal(__core, __count) .. \"<br />\";\r\n     text = text .. snapshot_to_pay(__core.subtotal, __core.payments, __count);\r\n  end\r\n\r\n  if not __core.taxes:empty() then\r\n    text = text .. snapshot_taxes(__core.taxes, __count) ..\"<br />\";\r\n  end\r\n\r\n  if __core:subtotal_exists() then\r\n       text = text .. snapshot_payment(__core.payments, __count) ..\"<br />\";\r\n  end\r\n\r\n   if __core:footer_exists() then\r\n    local rec = \"\";\r\n    if __core.footer.result == 0 then\r\n      rec = \"<font color=\'black\'>***ЗАВЕРШЕННЫЙ ЧЕК***<br />\";\r\n    end\r\n    if __core.footer.result == 1 then\r\n      rec = \"<font color=\'red\'>***АННУЛИРОВАННЫЙ ЧЕК***<br />\";\r\n    end\r\n    if __core.footer.result == 2 then\r\n      rec = \"<font color=\'blue\'>***ОТЛОЖЕННЫЙ ЧЕК***<br />\";\r\n    end\r\n    if __core.footer.result == 3 then\r\n     rec = \"<font color=\'blue\'>***НЕЗАВЕРШЕННЫЙ ЧЕК***<br />\";\r\n    end\r\n\r\n    st_len = ukm.str_len(rec) ;\r\n    if st_len > __count then\r\n      count = st_len;\r\n    else\r\n      count = __count - 1;\r\n    end\r\n\r\n    text = text  ..ukm.center(rec, count , \".\")..\r\n                              \"<font color=\'black\'>\" ..\r\n       ukm.ptime2str(__core.footer.date, \"%H:%M:%S %d.%m.%Y\") .. \"</ font>\";\r\n    end\r\n  return text;\r\nend\r\n\r\nfunction snapshot_i(__items, __datasize, __jj, __count, __alternative)\r\n\r\n    local item = __items:at(__jj);\r\n    local text = \"<br/>\";\r\n\r\n    if not __alternative then\r\n\r\n        if item:is_additive() then\r\n            text = text .. \"<font color = \'grey\' size = \'2\'>\";\r\n        else\r\n            text = text .. \"<font color = \'black\'>\";\r\n        end\r\n\r\n        text = text .. \" \" .. item.item .. \" \" .. item.name .. \" \" .. \"<br/>\";\r\n\r\n        local st1 = tostring(item.totalquantity) .. \" * \" .. tostring(item.price) .. \" = \";\r\n        local st2 = tostring(item.total);\r\n\r\n        local st_len = ukm.str_len(st1 .. st2) ;\r\n        local count = __count - 1;\r\n        if st_len > count then\r\n            count = st_len;\r\n        end\r\n\r\n        text = text .. ukm.adjustment(st1, st2, count, \".\") .. \"</font>\" .. \"<br/>\";\r\n\r\n    else\r\n\r\n        text = \"<font color=\'grey\' size=\'1\'><table width=\'100%\'><tr><td colspan=\'2\'><font color=\'black\' size=\'2\'>\" .. item.item .. \" \" .. item.name .. \"</font></td></tr>\";\r\n\r\n        local st1 = item.measurement .. \" * \" .. tostring(item.totalquantity) .. \" * \" .. tostring(item:discount_price()) .. \" = \";\r\n        local st2 = tostring(item.total + item:discount_total());\r\n\r\n        text = text .. \"<tr><td>\" .. st1 .. \"</td><td align=\'right\' width=\'1%\' style=\'white-space: nowrap\'>\" .. st2 .. \"</td></tr>\";\r\n\r\n        if item:discount_total() ~= ukm.currency(0) then\r\n\r\n            st1 = \"Сумма без скидки \" .. item.measurement .. \" * \" .. tostring(item.totalquantity) .. \" * \" .. tostring(item.price) .. \" = \";\r\n            st2 = tostring(item.total);\r\n\r\n            text = text .. \"<tr><td>\" .. st1 .. \"</td><td align=\'right\' width=\'1%\' style=\'white-space: nowrap\'>\" .. st2 .. \"</td></tr>\";\r\n\r\n            for i = 0, item.discounts:size() - 1 do\r\n                local discount = item.discounts:at(i);\r\n                if discount.increment ~= ukm.currency(0) then\r\n                    if discount.receipt_discount_item_campaign:size() ~= 0 then\r\n                        text = text .. \"<tr><td><table width=\'100%\' border=1>\"\r\n                        for j = 0, discount.receipt_discount_item_campaign:size() - 1 do\r\n                            local campaign = discount.receipt_discount_item_campaign:at(j);\r\n                            text = text .. \"<tr><td>\" .. campaign.first .. \"</td><td align=\'right\' width=\'1%\' style=\'white-space: nowrap\'>\" .. tostring(campaign.second) .. \"</td></tr>\";\r\n                        end\r\n                        text = text .. \"</table></td><td></td></tr>\";\r\n                        text = text .. \"<tr><td>Всего по скидке \" .. discount.receiptdiscount.name .. \"</td><td align=\'right\' width=\'1%\' style=\'white-space: nowrap\'>\" .. tostring(discount.increment) .. \"</td></tr>\";\r\n                    else\r\n                        text = text .. \"<tr><td>Скидка \" .. discount.receiptdiscount.name .. \"</td><td align=\'right width=\'1%\' style=\'white-space: nowrap\'>\" .. tostring(discount.increment) .. \"</td></tr>\";\r\n                    end\r\n                end\r\n            end\r\n\r\n        end\r\n\r\n        text = text .. \"</table></font>\";\r\n\r\n    end\r\n\r\n    if item.date_print ~= nil and not item:is_additive() then\r\n        text = text .. \"<font color = \'red\'>\" .. \"Время отправки на кухню: \" .. ukm.ptime2str(item.date_print, \"%H:%M:%S\") .. \"</font><br/>\";\r\n    end\r\n\r\n    if item.dish_received ~= nil and not item:is_additive() then\r\n        text = text .. \"<font color = \'blue\'>\" .. \"Блюдо получено с кухни:\" .. \"</font><br/>\";\r\n    end\r\n\r\n    -- Печать продавцов\r\n    if ukm.get_store().print_on_screen == true and item.seller ~= nil then\r\n        text = text .. ukm.left(item.seller.code .. \" \" .. item.seller.name, count) .. \"<br/>\";\r\n    end\r\n\r\n    return text;\r\nend\r\n\r\nfunction snapshot_discount(__items, __datasize, __count)\r\nlocal text = \"\";\r\n  local dname = \"Итоговая наценка: \";\r\n  local disc;\r\n\r\n  for i = 0, __datasize - 1  do\r\n          for j=0, __items:at(i).discounts:size()-1 do\r\n       local discount = __items:at(i).discounts:at(j);\r\n       if not(tostring(discount.increment) == \"0.00\") then\r\n           if disc == nil then\r\n             disc = discount.increment;\r\n           else\r\n             disc = disc + discount.increment;\r\n           end\r\n       end\r\n     end\r\n  end\r\n  \r\n  if not(disc == nil) then\r\n	if disc:sign() < 0 then\r\n	  disc = disc*ukm.currency(-1);\r\n	  dname = \"Итоговая скидка: \";\r\n	end\r\n	\r\n	st_len = ukm.str_len(dname .. tostring(disc)) ;\r\n	if st_len > __count then\r\n	  count = st_len;\r\n	else\r\n	  count = __count - 1;\r\n	end\r\n\r\n    text = text .. \"<br />\" .. ukm.adjustment(dname, tostring(disc), count, \".\" ) .. \"<br />\";\r\n  end\r\n  return text;\r\nend\r\n\r\nfunction snapshot_subtotal(__core, __count)\r\n  local text = \"\";\r\n\r\n  st_len = ukm.str_len(\"Итого: \" .. tostring(__core.subtotal.amount));\r\n  if st_len > __count then\r\n    count = st_len;\r\n  else\r\n    count = __count - 1;\r\n  end\r\n\r\n  local i_count = __core.subtotal.itemscount ;\r\n\r\n  if __core.lastitemeditable == true then\r\n    i_count = i_count + 1;\r\n  end \r\n\r\n  text = text .. \"<br/>\"\r\n              ..\"Товаров в чеке: \"\r\n              ..tostring( i_count)\r\n              .. \"<br />\"\r\n              .. ukm.adjustment(\r\n                 \"Итого: \"\r\n               ,tostring(__core.subtotal.amount), count, \".\" ).. \"<br />\";\r\n  return text;\r\nend\r\n\r\nfunction snapshot_taxes(__taxes, __count)\r\n  local text =\r\n\"\";\r\n  local fl = 0;\r\n\r\n  local tax_table= {};\r\n  for i=0, __taxes.itemtaxes:size()-1 do\r\n    local tax = __taxes.itemtaxes:at(i);\r\n    local key = tostring(tax.taxid) .. \"_\" .. tax.percent;\r\n    if tax_table[key] == nil then\r\n      tax_table[key] = {};\r\n      tax_table[key].name = tax.name;\r\n      tax_table[key].percent = tax.percent;\r\n      tax_table[key].amount = tax.amount;\r\n    else\r\n      tax_table[key].amount = tax_table[key].amount + tax.amount;\r\n    end\r\n    fl = 1;\r\n  end\r\n\r\n  if fl == 1 then\r\n    text = text ..\"Включая налоги:\" .. \"<br />\";\r\n  end\r\n  for rk, rv in pairs(tax_table) do\r\n\r\n    st_len = ukm.str_len(rv.name ..\" \".. rv.percent .. \" \" .. tostring(rv.amount));\r\n    if st_len > __count then\r\n      count = st_len;\r\n    else\r\n      count = __count - 1;\r\n    end\r\n\r\n    text = text .. ukm.adjustment(rv.name ..\" \".. rv.percent .. \" \"\r\n                   , tostring(rv.amount), count, \".\" ).. \"<br />\";\r\n  end\r\n  return text;\r\nend\r\n\r\n\r\nfunction snapshot_payment(__payments, __count)\r\n  local text = \"\";\r\n\r\n  local payments_table = {};\r\n  for i=0, __payments:size()-1 do\r\n      local payment = __payments:at(i);\r\n      local key = payment.paymentname ..  \"_\" .. payment.type;\r\n      if payments_table[key] == nil then\r\n         payments_table[key] = {};\r\n         payments_table[key].name = payment.paymentname;\r\n         payments_table[key].amountwithchange = payment.amountwithchange;\r\n         payments_table[key].amount = payment.amount;\r\n\r\n         local header_type = payment.receipt.header:receipt_type();\r\n			\r\n         if payment.type == ukm.payment.void or payment.type == ukm.payment.normal then\r\n           if header_type == ukm.header.nonfiscal or header_type == ukm.header.sale or header_type == ukm.header.pop or header_type == ukm.header.expense then\r\n             payments_table[key].paytype = \"ОПЛАТА: \";\r\n           elseif header_type== ukm.header.returnnonfiscal or header_type == ukm.header.returnbyreceiptnonfiscal or header_type == ukm.header.creturn or header_type == ukm.header.returnbyreceipt or header_type == ukm.header.return_expense or header_type == ukm.header.return_expense_by then\r\n             payments_table[key].paytype = \"ВОЗВРАТ: \";\r\n           end\r\n         elseif payment.type == ukm.payment.change then\r\n             payments_table[key].paytype = \"СДАЧА: \";\r\n         else\r\n             payments_table[key].paytype = \"\";\r\n         end\r\n      else\r\n         payments_table[key].amountwithchange = payments_table[key].amountwithchange + payment.amountwithchange;\r\n      end\r\n  end\r\n\r\n  for rk, rv in pairs(payments_table) do\r\n\r\n    st_len = ukm.str_len(rv.paytype .. rv.name ..\" \".. tostring(rv.amountwithchange));\r\n    if st_len > __count then\r\n      count = st_len;\r\n    else\r\n      count = __count - 1;\r\n    end\r\n\r\n     text = text .. ukm.adjustment(rv.paytype .. rv.name .. \" \",\r\n                     tostring(rv.amountwithchange), count, \".\") .. \"<br />\";\r\n  end\r\n  return text;\r\nend\r\n\r\nfunction snapshot_siebel_dc()\r\n  local text = \"\";\r\n  local core = ukm.get_core(ukm.mashine.handle);\r\n  if core:header_exists() then\r\n       text = core.header:get_siebel_dc_number_always();\r\n  end;\r\n  return text;\r\nend\r\n\r\n\r\nfunction snapshot_client(__client, __count)\r\n  local text = \"\";\r\n\r\n  text = text .. ukm.leftpad(\" -\", __count, \" -\") .. \"<br />\";\r\n  if __client.sur_name ~= \"\" then\r\n     text = text .. ukm.adjustment(\"Фамилия:\", __client.sur_name, __count, \" \") .. \"<br />\";\r\n  end\r\n  if __client.name ~= \"\" then\r\n     text = text .. ukm.adjustment(\"Имя:\", __client.name, __count, \" \") .. \"<br />\";\r\n  end\r\n  if __client.patronymic ~= nil then \r\n     text = text .. ukm.adjustment(\"Отчество:\", __client.patronymic:get(), __count, \" \") .. \"<br />\"; \r\n  end\r\n  if __client.enterprisename ~= nil then \r\n     text = text .. ukm.adjustment(\"Название:\", __client.enterprisename:get(), __count, \" \") .. \"<br />\"; \r\n  end\r\n  if __client.inn ~= nil  then \r\n     text = text .. ukm.adjustment(\"ИНН:\", __client.inn:get(), __count, \" \") .. \"<br />\"; \r\n  end\r\n  if __client.passport ~= nil then \r\n     text = text .. ukm.adjustment(\"Пасп.данные:\", __client.passport:get(), __count, \" \") .. \"<br />\"; \r\n  end\r\n\r\n  return text;\r\nend\r\n\r\nfunction snapshot_to_pay(__subtotal, __payments, __count)\r\n  local text = \"\";\r\n  local count = __count - 1;\r\n  local to_pay = __subtotal.amount;\r\n  \r\n  for i=0, __payments:size()-1 do\r\n     local payment = __payments:at(i);\r\n     local header_type = payment.receipt.header:receipt_type();\r\n     if payment.type == ukm.payment.void or payment.type == ukm.payment.normal then\r\n        if header_type == ukm.header.nonfiscal or header_type == ukm.header.sale or header_type == ukm.header.pop then\r\n           to_pay = to_pay - payment.amount;\r\n        end\r\n     end\r\n  end\r\n\r\n  text = text .. ukm.adjustment(\"К ОПЛАТЕ: \", tostring(to_pay), count, \".\") .. \"<br />\";\r\n\r\n  return text;\r\nend\r\n\r\nfunction snapshot_order(__header, __count)\r\n	local text = \"\";\r\n \r\n	if __header.receipt.ext_order ~= nil then\r\n  \r\n		text = text\r\n		.. ukm.adjustment(\"Тип заказа:\", __header.receipt.ext_order.ext_order_type, __count, \" \") ..  \"<br />\"\r\n		.. ukm.adjustment(\"Номер заказа:\", __header.receipt.ext_order:get_ext_order_id_short(), __count, \" \") ..  \"<br />\"; \r\n				\r\n		if __header.receipt.ext_order.order_date ~= nil then\r\n			text = text .. ukm.adjustment(\"Дата заказа:\", __header.receipt.ext_order.order_date:to_string(\"dd.MM.yyyy hh:mm:ss\"), __count, \" \") .. \"<br />\"; \r\n		end\r\n	end\r\n    return text;\r\nend',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'ukm.lua','-- Основной модуль\r\nfunction require_once(__name)\r\n    ukm.require_once(ukm.mashine.handle, __name);\r\nend\r\n\r\nfunction register_event(__event, __function)\r\n    ukm.register_event(ukm.mashine.handle, __event, __function);\r\nend\r\n\r\nrequire_once(\"register.lua\")',0,1,0);
REPLACE INTO trm_in_luaukm VALUES (0,1,'videocontrol.lua','-- Видео контроль\r\nfunction VC_UserLogin(__login)\r\n    \r\n   text = \"Вход кассира.  Имя: \"..__login.name..\"  Id: \"..__login.id..\"  Время: \"..ukm.ptime2str(__login.date, \"%H:%M:%S %d.%m.%Y\")..\"\\n\";\r\n   return text;\r\n    \r\nend\r\n\r\nfunction VC_UserLogout(__logout)\r\n\r\n   text = \"Выход кассира.  Имя: \"..__logout.login.name..\"  Id: \"..__logout.login.id..\"  Время: \"..ukm.ptime2str(__logout.date, \"%H:%M:%S %d.%m.%Y\")..\"\\n\";\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_AddItem(__item)\r\n\r\n   local text = \"Добавление товара.  Название: \"..__item.name..\"  Id: \"..__item.item ..\"  Штрих-код: \"..__item.var ..\"\\n\";\r\n   text = text..\"Цена: \"..tostring(__item.price)..\"  Количество: \"..tostring(__item.quantity)..\"  Сумма: \"..tostring(__item.total)..\"\\n\";\r\n   return text; \r\n\r\nend\r\n\r\nfunction VC_ChangeQuantity(__item)\r\n \r\n   local text = \"Изменение количества товара.  Название: \"..__item.name..\"  Id: \"..__item.item ..\"  Штрих-код: \"..__item.var ..\"\\n\";\r\n   text = text..\"Цена: \"..tostring(__item.price)..\"  Количество: \"..tostring(__item.quantity)..\"  Сумма: \"..tostring(__item.total)..\"\\n\";\r\n   return text; \r\n\r\nend\r\n\r\nfunction VC_ItemCancel_Void(__item)\r\n\r\n   local text = \"Аннулирование или сторнирование позиции.  Название: \"..__item.name..\"  Id: \"..__item.item ..\"  Штрих-код: \"..__item.var ..\"\\n\";\r\n   text = text..\"Цена: \"..tostring(__item.price)..\"  Количество: \"..tostring(__item.quantity)..\"  Сумма: \"..tostring(__item.total)..\"\\n\";\r\n   return text; \r\n\r\nend\r\n\r\nfunction VC_ChangePrice(__item)\r\n\r\n  local text = \"Изменение цены последней позиции.  Название: \"..__item.name..\"  Id: \"..__item.item ..\"  Штрих-код: \"..__item.var ..\"\\n\";\r\n  text = text..\"Цена: \"..tostring(__item.price)..\"  Количество: \"..tostring(__item.quantity)..\"  Сумма: \"..tostring(__item.total)..\"\\n\";\r\n  return text; \r\n\r\nend\r\n\r\nfunction get_receipt_type_text(__header)\r\n\r\n   local text = \"\";\r\n   local header_type = __header:receipt_type();\r\n   \r\n   if header_type == ukm.header.sale then\r\n        text = text..\"Продажа \\n\";\r\n   elseif header_type == ukm.header.creturn then\r\n        text = text..\"Возврат \\n\";\r\n   elseif header_type == ukm.header.returnbyreceipt then\r\n        text = text..\"Возврат по чеку \\n\";\r\n   elseif header_type == ukm.header.pop then\r\n        text = text..\"Воcстановление отложенного \\n\";\r\n   elseif header_type == ukm.header.stockcount then\r\n        text = text..\"Товарный документ. Инвентаризация \\n\";\r\n   elseif header_type == ukm.header.stockwriteoff then\r\n        text = text..\"Товарный документ. Списание \\n\";\r\n   elseif header_type == ukm.header.stockorder then\r\n        text = text..\"Товарный документ. Заказ на склад \\n\";\r\n   elseif header_type == ukm.header.nonfiscal then\r\n        text = text..\"Нефискальный \\n\";\r\n   elseif header_type == ukm.header.returnbyreceiptnonfiscal then\r\n        text = text..\"Возврат по нефискальному \\n\";\r\n   elseif header_type == ukm.header.returnnonfiscal then\r\n        text = text..\"Нефискальный чек на возврат \\n\";\r\n   else\r\n        text = text..\"Неизвестный тип \\n\";\r\n   end\r\n   \r\n   return text;\r\nend\r\n\r\nfunction VC_ReceiptCancel(__footer)\r\n\r\n   local text = \"\";\r\n   if __footer.result == ukm.footer.cancel then\r\n        text = text..\"Аннулированный чек.  \";\r\n   elseif __footer.result == ukm.footer.push then\r\n        text = text..\"Отложенный чек.  \";\r\n   end\r\n\r\n   text = text..\"Кассир: \"..__footer.receipt.header.login.name..\"  Id кассира: \"..__footer.receipt.header.login.id..\"\\n\";\r\n   text = text..\"Локальный №: \"..__footer.receipt.header.localnumber..\"  Глобальный №: \"..__footer.receipt.header.globalnumber..\"  Время: \"..ukm.ptime2str(__footer.receipt.header.date, \"%H:%M:%S %d.%m.%Y\")..\"  Тип: \";\r\n   text = text..get_receipt_type_text(__footer.receipt.header);\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_ReceiptFinal(__footer)\r\n\r\n   local text = \"Завершение чека.  \";\r\n   text = text..\"Кассир: \"..__footer.receipt.header.login.name..\"  Id кассира: \"..__footer.receipt.header.login.id..\"\\n\";\r\n   text = text..\"Локальный №: \"..__footer.receipt.header.localnumber..\"  Глобальный №: \"..__footer.receipt.header.globalnumber..\"  Время: \"..ukm.ptime2str(__footer.receipt.header.date, \"%H:%M:%S %d.%m.%Y\")..\"\\n\"..\"Тип: \";\r\n   text = text..get_receipt_type_text(__footer.receipt.header);\r\n\r\n   text = text..\"  Результат: \"\r\n   if __footer.result == ukm.footer.normal then\r\n        text = text..\"Нормальный чек.\\n\";\r\n   elseif __footer.result == ukm.footer.push then\r\n        text = text..\"Отложенный чек.\\n\";\r\n   elseif __footer.result == ukm.footer.cancel then\r\n        text = text..\"Аннулированный чек.\\n\";\r\n   elseif __footer.result == ukm.footer.broken then\r\n        text = text..\"Разрушенный чек.\\n\";\r\n   elseif __footer.result == ukm.footer.stock_count then\r\n        text = text..\"Документ инвентаризации.\\n\";\r\n   elseif __footer.result == ukm.footer.stock_write_off then\r\n        text = text..\"Документ списания.\\n\";\r\n   elseif __footer.result == ukm.footer.stock_order then\r\n        text = text..\"Документ заказа на склад.\\n\";\r\n   else\r\n        text = text..\"Неизвестный тип.\\n\";\r\n   end\r\n\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_ReceiptSubtotal(__subtotal)\r\n\r\n  ukm.debug(\"VideoControl_RS\");\r\n  local text = \"Подытог.  Сумма: \"..tostring(__subtotal.amount)..\"  Скидка: \"..tostring(__subtotal.receipt:receipt_discount_amount())..\"  Количество позиций: \"..tostring(__subtotal.itemscount)..\"\\n\";\r\n  return text;\r\n\r\nend\r\n\r\nfunction VC_Payment(__payment)\r\n\r\n    local text = \"Платеж.  Название: \"..__payment.paymentname..\"  Сумма: \"..tostring(__payment.amount)..\"  Сумма без сдачи: \"..tostring(__payment.amountwithchange)..\"  Сдача: \"..tostring(__payment.amountwithchange-__payment.amount)..\"\\n\";\r\n    return text;\r\n\r\nend;\r\n\r\nfunction VC_FiscalReceipt(__header, __restore)\r\n   \r\n   local text=\"Открытие чека.  \";\r\n   if __restore then\r\n     text = text..\"Восстановление после сбоя.  \";\r\n   end\r\n   text = text..\"Кассир: \"..__header.login.name..\"  Id кассира: \"..__header.login.id..\"\\n\";\r\n   text = text..\"Локальный №: \"..__header.localnumber..\"  Глобальный №:\"..__header.globalnumber..\"  Время: \"..ukm.ptime2str(__header.date, \"%H:%M:%S %d.%m.%Y\")..\"  Тип: \";\r\n\r\n   text = text..get_receipt_type_text(__header);\r\n   \r\n   return text;\r\n\r\nend\r\n\r\n\r\nfunction VC_FiscalReport(__document_number)\r\n\r\n   local text = \"Закрытие смены.  Глобальный №: \"..__document_number..\"\\n\";\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_Discount(__discount)\r\n\r\n   local text = \"Скидка.  Название: \"..__discount.name..\"  Сумма чека: \"..tostring(__discount.receipt:receipt_amount())..\"  Скидка по чеку: \"..tostring(__discount.receipt:receipt_discount_amount());\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_HandDiscount(__item_pos, __modificator)\r\n\r\n   local text = \"\"; \r\n   if (__item_pos > 0) then\r\n      text = \"Ручная скидка на товарную позицию.  № позиции: \"..__item_pos..\"  Модификатор: \"..__modificator;\r\n   else\r\n      text = \"Ручная скидка на чек.  Модификатор: \"..__modificator; \r\n   end\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_OpenCD(__header)\r\n\r\n   local text = \"Открытие денежного ящика.\\n\";\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_MoneyOperation(__mo)\r\n\r\n   local text = \"Денежная операция.  Тип: \";\r\n   if __mo.moneyophead.type == ukm.moneyoperation.insert then\r\n      text = text..\"Внесение\";\r\n   elseif __mo.moneyophead.type == ukm.moneyoperation.extract then\r\n      text = text..\"Изъятие\";\r\n   end  \r\n   text = text..\"  Название: \"..__mo.moneyophead.paymentname..\"  Сумма: \"..tostring(__mo.moneyophead.amount)..\"\\n\";\r\n   text = text..\"Глобальный №: \"..__mo.moneyophead.globalnumber..\"  Локальный №: \"..__mo.moneyophead.localnumber;\r\n   text = text..\"  № смены: \"..__mo.moneyophead.shiftnumber..\"  Время: \"..ukm.ptime2str(__mo.moneyophead.date,\"%H:%M:%S %d.%m.%Y\")..\"\\n\";\r\n   return text;\r\n\r\nend\r\n\r\n\r\nfunction VC_RegisterPaymentCard(__header, __enter_type, __card_number)\r\n\r\n   local text = \"Платежная карта.  Тип ввода: \"..__enter_type..\"  №: \"..__card_number..\"\\n\";\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_RegisterDiscountCard(__header, __enter_type, __card_number)\r\n\r\n   local text = \"Дисконтная карта.  Тип ввода: \"..__enter_type..\"  №: \"..__card_number..\"\\n\";\r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_PrintReceiptCopy(__header)\r\n   \r\n   local text = \"Печать копии чека.  Кассир: \"..__header.login.name..\"  Id кассира: \"..__header.login.id..\"\\n\";\r\n   text = text..\"Локальный №: \"..__header.localnumber..\"  Глобальный №:\"..__header.globalnumber..\"  Дата: \"..ukm.ptime2str(__header.date, \"%H:%M:%S %d.%m.%Y\")..\"  Тип: \";\r\n\r\n   text = text..get_receipt_type_text(__header);\r\n   \r\n   return text;\r\n\r\nend\r\n\r\nfunction VC_OpenCDWithoutTransaction(__login)\r\n\r\n    text = \"Открытие денежного ящика без транзакции.  Кассир: \"..__login.name..\"  Id: \"..__login.id..\"\\n\";\r\n    return text;\r\n \r\nend\r\n\r\nfunction VC_ReportZ(__shift_close)\r\n\r\n    text = \"Z отчет.  Кассир: \"..__shift_close.login.name..\"  Id: \"..__shift_close.login.id..\"  Время: \"..ukm.ptime2str(__shift_close.date,\"%H:%M:%S %d.%m.%Y\")..\"  Номер смены: \"..__shift_close.shift_open.number..\"\\n\";\r\n    return text;\r\n \r\nend\r\n\r\nfunction VC_ReportX(__login, __shift_number)\r\n\r\n    text = \"X отчет.  Кассир: \"..__login.name..\"  Id: \"..__login.id..\"  Номер смены: \"..__shift_number..\"\\n\";\r\n    return text;\r\n \r\n\r\nend',0,1,0);
